--::::::::::
--int_text_io.ads
--::::::::::
With text_io;
Pragma elaborate (text_io);
Package int_text_io is new text_io.integer_io(integer);
 
--::::::::::
--atypes.ads
--::::::::::
 with SYSTEM;  -- use SYSTEM;
 package ATYPES is
  type REAL8   is digits 6;  -- 6
--  type REAL8   is digits 15;  -- 6
  type VEC     is array (integer range <>)		   of REAL8;
  type IVEC    is array (integer range <>)		   of INTEGER;
  type FMAT    is array (integer range<>,integer range <>) of REAL8;
  type IMAT    is array (integer range<>,integer range <>) of INTEGER;
  type IV2     is array (1..2)		   of INTEGER;
  type IV3     is array (1..3)		   of INTEGER;
  type IV5     is array (1..5)		   of INTEGER;
  type IV7     is array (1..7)		   of INTEGER;
  type IV8     is array (1..8)		   of INTEGER;
  type IV10    is array (1..10) 	   of INTEGER;
  type IV15    is array (1..15) 	   of INTEGER;
  type IV20    is array (1..20) 	   of INTEGER;
  type IV100   is array (1..100)	   of INTEGER;
  type IV200   is array (1..200)	   of INTEGER;
  type IV3000  is array (1..3000)	   of INTEGER;
  type IV4000  is array (1..4000)	   of INTEGER;
  type IM40005 is array (1..4000,1..5)	   of INTEGER;
  type IM30005 is array (1..3000,1..5)	   of INTEGER;
  type IM300010 is array (1..3000,1..10)    of INTEGER;
  type IM2100  is array (1..2,1..100)	   of INTEGER;
  type	V2     is array (1..2 ) 	   of REAL8;
  type	V3     is array (1..3 ) 	   of REAL8;
  type	V4     is array (1..4 ) 	   of REAL8;
  type	V5     is array (1..5 ) 	   of REAL8;
  type	V7     is array (1..7 ) 	   of REAL8;
  type	V8     is array (1..8 ) 	   of REAL8;
  type	V10    is array (1..10) 	   of REAL8;
  type	V15    is array (1..15) 	   of REAL8;
  type	V20    is array (1..20) 	   of REAL8;
  type	V26    is array (1..26) 	   of REAL8;
  type	V48    is array (1..48) 	   of REAL8;
  type V100    is array (1..100)	   of REAL8;
  type V200    is array (1..200)	   of REAL8;
  type V3000   is array (1..3000)	   of REAL8;
  type V4000   is array (1..4000)	   of REAL8;
  type FM33    is array (1..3,1..3)	   of REAL8;
  type FM226   is array (1..2,1..26)	   of REAL8;
  type FM4115  is array (1..4,1..115)	   of REAL8;
  type FM320   is array (1..3,1..20)	   of REAL8;
  type FM100100 is array (1..100,1..100)   of REAL8;
  type FM10022 is array (1..100,1..22)	   of REAL8;
  type FM33000 is array (1..3,1..3000)	   of REAL8;
  type FM263000 is array (1..26,1..3000)    of REAL8;
  type FM34000 is array (1..3,1..4000)	   of REAL8;
  type FM488   is array (1..48,1..8)	   of REAL8;
  type A3106   is array (1..3,1..10,1..6 ) of REAL8;
 end ATYPES;
--::::::::::
--indata.ads
--::::::::::
with ATYPES; use ATYPES; 
package INDATA is

 NINDATA : constant := 200;
 BSIZE : constant := 10;

 type FARR4 is array (1..NINDATA,1..4) of REAL8;
 type A3106_BIS is array(1..6,1..10) of REAL8;
 type FM4115_BIS  is array (1..102,1..4)      of REAL8;

 type byte is range -128..127;
 for byte'size use 8;
 iadja : array(1..995) of byte :=(

-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
0 ,
0 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
0 ,
0 ,
0 ,
-1 ,
-1 ,
-1 ,
0 ,
0 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
0 ,
-1 ,
0 ,
0 ,
0 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
0 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
0 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
0 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
0 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
0 ,
0 ,
0 ,
0 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
0 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
0 ,
0 ,
0 ,
0 ,
-1 ,
-1 ,
0 ,
0 ,
0 ,
0 ,
0 ,
-1 ,
0 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
0 ,
0 ,
0 ,
0 ,
-1 ,
0 ,
0 ,
-1 ,
0 ,
0 ,
0 ,
-1 ,
0 ,
-1 ,
0 ,
-1 ,
0 ,
0 ,
0 ,
0 ,
-1 ,
0 ,
-1 ,
0 ,
0 ,
-1 ,
-1 ,
0 ,
0 ,
0 ,
0 ,
-1 ,
0 ,
0 ,
-1 ,
-1 ,
0 ,
-1 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
-1 ,
-1 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
-1 ,
0 ,
0 ,
-1 ,
0 ,
0 ,
0 ,
0 ,
0 ,
-1 ,
0 ,
0 ,
0 ,
0 
);

 iadjb : array(1..995) of byte :=(

0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
0 ,
0 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
0 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
0 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
0 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
0 ,
0 ,
-1 ,
-1 ,
0 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
0 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
-1 ,
0 ,
-1 ,
0 ,
-1 ,
0 ,
0 ,
0 ,
-1 ,
-1 ,
0 ,
0 ,
-1 ,
-1 ,
-1 ,
0 ,
0 ,
-1 ,
0 ,
-1 ,
0 ,
-1 ,
-1 ,
-1 ,
0 ,
0 ,
0 ,
-1 ,
0 ,
-1 ,
0 ,
0 ,
-1 ,
0 ,
0 ,
-1 ,
-1 ,
0 ,
0 ,
0 ,
0 ,
-1 ,
-1 ,
0 ,
0 ,
-1 ,
0 ,
0 ,
0 ,
0 ,
-1 ,
0 ,
-1 ,
0 ,
0 ,
-1 ,
0 ,
0 ,
0 ,
0 ,
0 ,
-1 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
-1 ,
-1 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
-1 ,
0 ,
0 ,
0 ,
-1 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
-1 ,
-1 ,
0 ,
-1 ,
0 ,
0 ,
0 ,
0 ,
-1 ,
0 ,
0 ,
0 
);

 isca : array(1..995) of byte :=(

2 ,
2 ,
3 ,
3 ,
3 ,
3 ,
3 ,
3 ,
3 ,
3 ,
3 ,
3 ,
3 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
18 ,
18 ,
18 ,
18 ,
18 ,
18 ,
18 ,
18 ,
18 ,
18 ,
18 ,
18 ,
18 ,
18 ,
18 ,
18 ,
18 ,
18 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
20 ,
20 ,
20 ,
20 ,
20 ,
20 ,
20 ,
20 ,
20 ,
20 ,
20 ,
20 ,
20 ,
21 ,
21 ,
21 ,
21 ,
21 ,
21 ,
21 ,
21 ,
22 ,
22 ,
22 ,
22 ,
22 ,
22 ,
22 ,
22 ,
22 ,
22 ,
22 ,
23 ,
23 
);

 iscb : array(1..995) of byte :=(

23 ,
23 ,
23 ,
23 ,
23 ,
23 ,
24 ,
24 ,
24 ,
24 ,
24 ,
24 ,
25 ,
25 ,
26 ,
2 ,
2 ,
3 ,
3 ,
3 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
4 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
5 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
6 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
7 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
8 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
9 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
10 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
11 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
12 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
13 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
14 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
15 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
16 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
17 ,
18 ,
18 ,
18 ,
18 ,
18 ,
18 ,
18 ,
18 ,
18 ,
18 ,
18 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
19 ,
20 ,
20 ,
20 ,
20 ,
20 ,
20 ,
20 ,
20 ,
20 ,
20 ,
20 ,
20 ,
20 ,
20 ,
20 ,
20 ,
21 ,
21 ,
21 ,
21 ,
21 ,
21 ,
21 ,
21 ,
21 ,
21 ,
21 ,
21 ,
21 ,
21 ,
21 ,
22 ,
22 ,
22 ,
22 ,
22 ,
22 ,
22 ,
22 ,
22 ,
22 ,
22 ,
22 ,
22 ,
23 ,
23 ,
23 ,
23 ,
23 ,
23 ,
23 ,
23 ,
23 ,
23 ,
23 ,
23 ,
24 ,
24 ,
24 ,
24 ,
24 ,
24 ,
25 
);

  EPHEM_IN : A3106_BIS := (
 (40462800.0,  20251.0,  18276.0, -15623.0, -1735.0,2171.0, 102.0,-131.0, -4.0,4.0),
 (10841978.0,  76401.0, -27853.0,  -9969.0,  6760.0, 570.0,-574.0, -24.0, 22.0,1.0),
 (-1429655.0,1296688.0, 445021.0,-134440.0,-23181.0,4221.0, 493.0, -65.0, -6.0,1.0),
 (14396800.0, -49907.0,  33276.0,  -1118.0, -6489.0, 815.0, 524.0, -57.0,-20.0,2.0),
 (39554880.0,  61291.0,  -1586.0, -18499.0,  2570.0,2092.0,-255.0,-120.0, 10.0,4.0),
 (-1429655.0,1296688.0, 445021.0,-134440.0,-23181.0,4221.0, 493.0, -65.0, -6.0,1.0)
);

 TRUE_IN : FM4115_BIS := (
         (68700.00,    49.30,     26.71,   319.38),
         (68700.00,    49.51,     27.45,   281.00),
         (68700.32,    49.28,     26.64,   319.33),
         (68701.00,    48.85,     26.14,   237.25),
         (68701.00,    49.15,     28.20,   154.21),
         (68701.00,    49.29,     28.34,   152.34),
         (68701.27,    49.35,     27.60,   312.40),
         (68701.44,    49.50,     27.55,   312.18),
         (68701.65,    49.47,     27.48,   312.13),
         (68702.00,    48.85,     26.14,   139.69),
         (68702.18,    49.29,     27.58,   266.00),
         (68702.65,    49.22,     26.71,   320.49),
         (68702.65,    49.24,     26.56,   320.17),
         (68702.65,    49.33,     26.61,   278.00),
         (68702.80,    49.53,     27.60,   312.09),
         (68703.18,    49.19,     26.75,   300.00),
         (68703.50,    49.35,     27.21,   311.54),
         (68703.59,    49.31,     26.55,   319.02),
         (68703.67,    49.40,     27.29,   285.00),
         (68703.69,    49.19,     26.58,   286.00),
         (68703.79,    49.19,     26.67,   319.39),
         (68703.94,    49.28,     26.76,   287.00),
         (68704.04,    49.50,     27.38,   311.79),
         (68704.82,    49.51,     27.19,   288.00),
         (68704.93,    49.36,     27.41,   311.99),
         (68705.29,    49.35,     27.52,   312.09),
         (68705.46,    49.53,     27.52,   311.94),
         (68706.21,    49.41,     27.16,   312.11),
         (68707.01,    49.45,     27.36,   311.59),
         (68707.09,    49.53,     27.08,   311.42),
         (68707.45,    49.30,     27.53,   312.35),
         (68708.00,    49.15,     28.20,   148.35),
         (68708.16,    49.47,     27.14,   311.71),
         (68708.36,    49.51,     27.13,   311.41),
         (68708.49,    49.31,     27.45,   250.00),
         (68708.60,    49.44,     27.24,   248.00),
         (68709.00,    49.29,     28.34,   298.97),
         (68709.13,    49.24,     27.42,   312.32),
         (68709.64,    49.21,     27.13,   313.35),
         (68709.64,    49.15,     26.80,    313.05),
         (68709.64,    49.49,     27.09,   312.94),
         (68709.64,    49.33,     27.36,   313.64),
         (68709.80,    49.32,     27.01,   312.09),
         (68710.00,    48.88,     26.06,   344.50),
         (68710.00,    48.88,     26.06,   319.13),
         (68710.37,    49.46,     27.29,   311.72),
         (68710.57,    49.47,     27.21,   158.00),
         (68710.70,    49.42,     27.11,   311.73),
         (68711.11,    49.24,     27.48,   312.26),
         (68711.51,    49.20,     27.21,   170.00),
         (68711.85,    49.24,     27.59,   312.22),
         (68711.96,    49.31,     27.07,   312.07),
         (68712.24,    49.25,     27.08,   312.00),
         (68713.00,    49.17,     28.08,    286.99),
         (68714.00,    49.15,     28.20,   247.48),
         (68714.29,    49.48,     26.96,   265.00),
         (68714.58,    49.17,     27.11,   311.76),
         (68714.81,    49.12,     27.17,   311.81),
         (68715.00,    48.85,     26.14,   210.54),
         (68715.00,    48.88,     26.06,     3.34),
         (68715.70,    49.19,     27.02,   311.70),
         (68715.76,    49.17,     27.25,   312.02),
         (68715.87,    49.30,     26.92,   264.00),
         (68716.00,    49.15,     28.20,   276.45),
         (68716.00,    49.29,     28.34,   148.08),
         (68716.68,    49.19,     26.88,   311.56),
         (68716.83,    49.16,     27.33,   268.00),
         (68716.87,    49.25,     26.95,   311.86),
         (68716.90,    49.13,     27.02,   311.93),
         (68716.98,    49.23,     27.01,   311.85),
         (68717.46,    49.12,     27.31,   311.88),
         (68718.00,    48.85,     26.14,   180.81),
         (68718.00,    49.29,     28.34,   164.72),
         (68719.00,    48.88,     26.06,   100.00),
         (68719.00,    49.17,     28.08,   146.63),
         (68719.77,    49.28,     26.82,   311.67),
         (68739.66,    49.08,     27.20,   320.74),
         (68740.25,    49.11,     27.10,   320.58),
         (68741.42,    49.08,     27.00,   320.28),
         (68742.39,    49.12,     26.92,   320.58),
         (68744.06,    48.91,     27.00,   297.00),
         (68744.25,    49.59,     27.44,   320.48),
         (68745.49,    49.57,     27.52,   320.77),
         (68745.82,    49.09,     26.72,   320.27),
         (68746.39,    49.03,     26.95,   292.00),
         (68746.39,    49.54,     26.75,   321.30),
         (68746.39,    49.61,     26.88,   321.53),
         (68746.45,    49.08,     26.81,   320.40),
         (68746.69,    48.99,     26.76,   274.00),
         (68747.05,    48.90,     26.77,   320.47),
         (68747.06,    49.57,     26.83,   275.00),
         (68747.06,    49.56,     27.41,   320.62),
         (68747.56,    49.07,     26.64,   320.30),
         (68747.64,    49.61,     27.05,   282.00),
         (68747.94,    48.89,     26.90,   320.59),
         (68748.36,    48.96,     26.98,   320.61),
         (68748.78,    49.02,     26.70,   320.13),
         (68748.98,    49.63,     26.81,   319.97),
         (68749.37,    49.57,     27.05,   287.00),
         (68749.81,    49.62,     26.97,   320.06),
         (68750.27,    48.94,     26.78,   320.43),
         (68750.71,    48.96,     26.88,   320.54)
);

  FDATA : array(1..BSIZE) of FARR4 := ((
( 91.90 , 0.1629887 , 0.1318105 , 68714.85 ) ,
( 30.70 , 0.1616087 , 0.1318170 , 68714.85 ) ,
( 48.00 , 0.1629381 , 0.1317986 , 68724.85 ) ,
( 128.40 , 0.1615686 , 0.1318475 , 68724.84 ) ,
( 371.10 , 0.1629486 , 0.1318845 , 68724.85 ) ,
( 20.80 , 0.1675310 , 0.1325521 , 68725.09 ) ,
( 21.60 , 0.1683512 , 0.1325867 , 68725.08 ) ,
( 21.20 , 0.1667814 , 0.1325985 , 68725.09 ) ,
( 34.80 , 0.1898928 , 0.1327376 , 68725.12 ) ,
( 112.20 , 0.1899996 , 0.1328050 , 68725.12 ) ,
( 20.60 , 0.1907406 , 0.1329695 , 68725.13 ) ,
( 132.60 , 0.1911163 , 0.1330305 , 68725.12 ) ,
( 27.20 , 0.1772985 , 0.1330729 , 68725.10 ) ,
( 190.00 , 0.1629543 , 0.1318408 , 68734.85 ) ,
( 103.70 , 0.1616278 , 0.1318671 , 68734.84 ) ,
( 435.50 , 0.1613264 , 0.1319376 , 68734.85 ) ,
( 480.50 , 0.1631536 , 0.1319742 , 68734.85 ) ,
( 695.40 , 0.1627331 , 0.1319953 , 68734.85 ) ,
( 67.00 , 0.1670685 , 0.1324508 , 68735.08 ) ,
( 42.90 , 0.1683445 , 0.1324647 , 68735.08 ) ,
( 55.90 , 0.1693811 , 0.1324966 , 68735.08 ) ,
( 50.70 , 0.1665411 , 0.1325245 , 68735.08 ) ,
( 50.70 , 0.1686306 , 0.1325340 , 68735.08 ) ,
( 21.20 , 0.1747274 , 0.1325699 , 68735.10 ) ,
( 21.20 , 0.1758766 , 0.1325813 , 68735.09 ) ,
( 40.00 , 0.1659365 , 0.1325850 , 68735.08 ) ,
( 70.40 , 0.1673355 , 0.1326103 , 68735.08 ) ,
( 56.30 , 0.1690149 , 0.1326154 , 68735.08 ) ,
( 23.10 , 0.1658487 , 0.1326163 , 68735.09 ) ,
( 86.00 , 0.1681318 , 0.1326426 , 68735.08 ) ,
( 68.80 , 0.1666136 , 0.1326555 , 68735.08 ) ,
( 26.30 , 0.1785259 , 0.1326859 , 68735.09 ) ,
( 21.00 , 0.1723404 , 0.1326859 , 68735.08 ) ,
( 22.30 , 0.1793718 , 0.1327091 , 68735.11 ) ,
( 140.20 , 0.1898546 , 0.1327814 , 68735.12 ) ,
( 33.30 , 0.1785059 , 0.1327922 , 68735.10 ) ,
( 101.50 , 0.1878033 , 0.1327974 , 68735.11 ) ,
( 26.60 , 0.1795511 , 0.1328018 , 68735.11 ) ,
( 21.30 , 0.1771660 , 0.1328018 , 68735.10 ) ,
( 41.00 , 0.1748161 , 0.1328146 , 68735.09 ) ,
( 244.50 , 0.1901264 , 0.1328363 , 68735.12 ) ,
( 76.90 , 0.1802073 , 0.1328495 , 68735.10 ) ,
( 31.90 , 0.1738367 , 0.1328714 , 68735.08 ) ,
( 39.90 , 0.1791258 , 0.1328815 , 68735.10 ) ,
( 39.90 , 0.1775351 , 0.1328828 , 68735.10 ) ,
( 24.90 , 0.1739883 , 0.1328946 , 68735.10 ) ,
( 57.90 , 0.1757011 , 0.1329072 , 68735.09 ) ,
( 841.90 , 0.1902361 , 0.1329112 , 68735.12 ) ,
( 29.60 , 0.1748505 , 0.1329178 , 68735.08 ) ,
( 57.90 , 0.1801414 , 0.1329272 , 68735.10 ) ,
( 25.70 , 0.1732397 , 0.1329409 , 68735.10 ) ,
( 20.60 , 0.1724443 , 0.1329409 , 68735.10 ) ,
( 20.60 , 0.1742992 , 0.1329409 , 68735.10 ) ,
( 22.70 , 0.1754799 , 0.1329531 , 68735.09 ) ,
( 35.40 , 0.1763954 , 0.1329641 , 68735.09 ) ,
( 67.90 , 0.1909533 , 0.1329869 , 68735.12 ) ,
( 27.80 , 0.1728735 , 0.1329973 , 68735.09 ) ,
( 33.10 , 0.1720343 , 0.1329999 , 68735.09 ) ,
( 53.00 , 0.1736794 , 0.1330301 , 68735.09 ) ,
( 56.30 , 0.1777334 , 0.1330456 , 68735.10 ) ,
( 28.80 , 0.1762514 , 0.1330563 , 68735.10 ) ,
( 171.90 , 0.1904182 , 0.1330608 , 68735.12 ) ,
( 664.20 , 0.1915398 , 0.1331015 , 68735.12 ) ,
( 45.60 , 0.1785936 , 0.1331081 , 68735.10 ) ,
( 106.40 , 0.1771240 , 0.1331254 , 68735.10 ) ,
( 43.60 , 0.1780872 , 0.1331348 , 68735.10 ) ,
( 49.90 , 0.1791115 , 0.1331689 , 68735.10 ) ,
( 680.40 , 0.1629820 , 0.1319252 , 68744.85 ) ,
( 278.70 , 0.1621037 , 0.1319254 , 68744.85 ) ,
( 601.80 , 0.1615381 , 0.1320001 , 68744.84 ) ,
( 657.90 , 0.1608238 , 0.1320584 , 68744.84 ) ,
( 554.10 , 0.1610956 , 0.1320938 , 68744.85 ) ,
( 2187.90 , 0.1634378 , 0.1321445 , 68744.85 ) ,
( 2734.90 , 0.1625538 , 0.1321599 , 68744.85 ) ,
( 29.80 , 0.1736145 , 0.1324544 , 68745.10 ) ,
( 72.60 , 0.1702776 , 0.1324596 , 68745.08 ) ,
( 35.80 , 0.1756744 , 0.1324886 , 68745.09 ) ,
( 32.50 , 0.1713448 , 0.1324912 , 68745.09 ) ,
( 32.50 , 0.1777248 , 0.1325008 , 68745.10 ) ,
( 42.30 , 0.1745491 , 0.1325240 , 68745.08 ) ,
( 251.80 , 0.1668444 , 0.1325266 , 68745.08 ) ,
( 33.10 , 0.1732445 , 0.1325367 , 68745.09 ) ,
( 158.00 , 0.1681271 , 0.1325454 , 68745.08 ) ,
( 33.10 , 0.1765356 , 0.1325585 , 68745.09 ) ,
( 40.00 , 0.1776848 , 0.1325606 , 68745.10 ) ,
( 238.70 , 0.1692238 , 0.1325801 , 68745.08 ) ,
( 25.60 , 0.1728477 , 0.1325813 , 68745.09 ) ,
( 28.80 , 0.1719856 , 0.1325935 , 68745.10 ) ,
( 171.90 , 0.1662865 , 0.1326005 , 68745.08 ) ,
( 209.90 , 0.1684074 , 0.1326117 , 68745.08 ) ,
( 86.00 , 0.1746063 , 0.1326145 , 68745.09 ) ,
( 86.00 , 0.1759768 , 0.1326213 , 68745.09 ) ,
( 51.30 , 0.1736364 , 0.1326635 , 68745.09 ) ,
( 166.10 , 0.1656895 , 0.1326732 , 68745.08 ) ,
( 41.00 , 0.1711683 , 0.1326737 , 68745.09 ) ,
( 259.50 , 0.1670513 , 0.1326922 , 68745.08 ) ,
( 207.60 , 0.1688271 , 0.1326945 , 68745.08 ) ,
( 248.50 , 0.1678896 , 0.1327292 , 68745.08 ) ,
( 248.50 , 0.1663876 , 0.1327320 , 68745.08 ) ,
( 65.10 , 0.1731911 , 0.1327345 , 68745.09 ) ,
( 65.10 , 0.1791744 , 0.1327488 , 68745.10 ) ,
( 71.80 , 0.1783495 , 0.1327531 , 68745.10 ) ,
( 71.80 , 0.1722822 , 0.1327544 , 68745.09 ) ,
( 52.00 , 0.1806564 , 0.1327797 , 68745.10 ) ,
( 187.80 , 0.1883287 , 0.1328253 , 68745.11 ) ,
( 77.90 , 0.1769962 , 0.1328485 , 68745.10 ) ,
( 121.80 , 0.1783800 , 0.1328560 , 68745.10 ) ,
( 118.80 , 0.1793900 , 0.1328677 , 68745.10 ) ,
( 708.10 , 0.1897459 , 0.1328832 , 68745.12 ) ,
( 57.90 , 0.1730061 , 0.1328982 , 68745.09 ) ,
( 538.80 , 0.1873379 , 0.1328989 , 68745.11 ) ,
( 141.20 , 0.1745920 , 0.1329003 , 68745.09 ) ,
( 299.30 , 0.1800518 , 0.1329166 , 68745.10 ) ,
( 55.40 , 0.1706600 , 0.1329303 , 68745.09 ) ,
( 135.20 , 0.1736984 , 0.1329430 , 68745.09 ) ,
( 135.20 , 0.1773214 , 0.1329458 , 68745.10 ) ,
( 135.20 , 0.1789122 , 0.1329491 , 68745.10 ) ,
( 1573.50 , 0.1904745 , 0.1329542 , 68745.12 ) ,
( 126.40 , 0.1745977 , 0.1329860 , 68745.09 ) ,
( 246.90 , 0.1754808 , 0.1329876 , 68745.09 ) ,
( 101.10 , 0.1731253 , 0.1329938 , 68745.09 ) ,
( 202.30 , 0.1798496 , 0.1329995 , 68745.10 ) ,
( 82.90 , 0.1722736 , 0.1330020 , 68745.09 ) ,
( 88.00 , 0.1762619 , 0.1330306 , 68745.10 ) ,
( 45.10 , 0.1752844 , 0.1330341 , 68745.09 ) ,
( 96.60 , 0.1726723 , 0.1330563 , 68745.09 ) ,
( 3433.20 , 0.1907129 , 0.1330607 , 68745.12 ) ,
( 96.60 , 0.1718531 , 0.1330684 , 68745.09 ) ,
( 207.80 , 0.1735115 , 0.1331012 , 68745.09 ) ,
( 166.20 , 0.1912241 , 0.1331037 , 68745.13 ) ,
( 182.70 , 0.1774712 , 0.1331292 , 68745.10 ) ,
( 146.20 , 0.1760578 , 0.1331306 , 68745.09 ) ,
( 152.70 , 0.1783257 , 0.1331878 , 68745.10 ) ,
( 910.30 , 0.1898346 , 0.1331891 , 68745.12 ) ,
( 78.20 , 0.1778622 , 0.1332064 , 68745.10 ) ,
( 349.40 , 0.1768694 , 0.1332096 , 68745.09 ) ,
( 2082.60 , 0.1922693 , 0.1332164 , 68745.12 ) ,
( 192.90 , 0.1788855 , 0.1332431 , 68745.10 ) ,
( 937.70 , 0.1630898 , 0.1320236 , 68754.85 ) ,
( 421.10 , 0.1627054 , 0.1320391 , 68754.84 ) ,
( 1719.10 , 0.1629162 , 0.1320800 , 68754.85 ) ,
( 2344.60 , 0.1615152 , 0.1321844 , 68754.84 ) ,
( 2258.80 , 0.1600018 , 0.1322695 , 68754.84 ) ,
( 303.20 , 0.1607971 , 0.1322711 , 68754.84 ) ,
( 2267.80 , 0.1606588 , 0.1323129 , 68754.89 ) ,
( 4549.10 , 0.1638727 , 0.1323912 , 68755.07 ) ,
( 5812.10 , 0.1622667 , 0.1324092 , 68755.07 ) ,
( 101.10 , 0.1733847 , 0.1325232 , 68755.09 ) ,
( 122.20 , 0.1754465 , 0.1325524 , 68755.09 ) ,
( 238.70 , 0.1699648 , 0.1325536 , 68755.09 ) ,
( 97.80 , 0.1711683 , 0.1325598 , 68755.09 ) ,
( 88.00 , 0.1775312 , 0.1325616 , 68755.10 ) ,
( 134.30 , 0.1730757 , 0.1325998 , 68755.09 ) ,
( 134.30 , 0.1743422 , 0.1326041 , 68755.09 ) ,
( 125.20 , 0.1763592 , 0.1326285 , 68755.09 ) ,
( 156.50 , 0.1775312 , 0.1326314 , 68755.10 ) ,
( 597.00 , 0.1664858 , 0.1326355 , 68755.08 ) ,
( 506.90 , 0.1677313 , 0.1326507 , 68755.08 ) ,
( 80.10 , 0.1699324 , 0.1326527 , 68755.08 ) ,
( 106.30 , 0.1727152 , 0.1326540 , 68755.09 ) ,
( 106.30 , 0.1717491 , 0.1326613 , 68755.09 ) ,
( 306.00 , 0.1761408 , 0.1326882 , 68755.10 ) ,
( 597.70 , 0.1688271 , 0.1326941 , 68755.08 ) ,
( 310.60 , 0.1743011 , 0.1327121 , 68755.09 ) ,
( 485.30 , 0.1658430 , 0.1327137 , 68755.08 ) ,
( 485.30 , 0.1679440 , 0.1327207 , 68755.08 ) ,
( 140.20 , 0.1710310 , 0.1327348 , 68755.09 ) ,
( 175.30 , 0.1733875 , 0.1327403 , 68755.09 ) ,
( 477.50 , 0.1653147 , 0.1327831 , 68755.08 ) ,
( 573.10 , 0.1684637 , 0.1328000 , 68755.08 ) ,
( 458.50 , 0.1665497 , 0.1328104 , 68755.08 ) ,
( 190.30 , 0.1729364 , 0.1328177 , 68755.09 ) ,
( 237.90 , 0.1789265 , 0.1328301 , 68755.10 ) ,
( 237.90 , 0.1780386 , 0.1328402 , 68755.10 ) ,
( 580.70 , 0.1660223 , 0.1328404 , 68755.08 ) ,
( 290.00 , 0.1719418 , 0.1328427 , 68755.09 ) ,
( 566.50 , 0.1673918 , 0.1328526 , 68755.08 ) ,
( 185.60 , 0.1804028 , 0.1328575 , 68755.10 ) ,
( 264.00 , 0.1766691 , 0.1329345 , 68755.09 ) ,
( 505.70 , 0.1781273 , 0.1329368 , 68755.10 ) ,
( 1543.10 , 0.1886721 , 0.1329400 , 68755.11 ) ,
( 385.80 , 0.1790562 , 0.1329588 , 68755.10 ) ,
( 252.90 , 0.1726990 , 0.1329780 , 68755.09 ) ,
( 493.90 , 0.1741171 , 0.1329940 , 68755.09 ) ,
( 202.30 , 0.1704855 , 0.1330006 , 68755.09 ) ,
( 655.60 , 0.1796513 , 0.1330163 , 68755.10 ) ,
( 2746.60 , 0.1895733 , 0.1330354 , 68755.12 ) ,
( 368.60 , 0.1733065 , 0.1330398 , 68755.09 ) ,
( 1757.80 , 0.1865005 , 0.1330466 , 68755.11 ) ,
( 368.60 , 0.1768913 , 0.1330480 , 68755.10 ) ,
( 368.60 , 0.1785040 , 0.1330488 , 68755.10 ) ,
( 425.10 , 0.1745548 , 0.1330587 , 68755.09 ) ,
( 324.60 , 0.1727400 , 0.1330802 , 68755.09 ) ,
( 259.70 , 0.1719360 , 0.1330906 , 68755.09 ) ,
( 696.90 , 0.1750717 , 0.1330990 , 68755.09 ) ,
( 465.00 , 0.1793203 , 0.1331165 , 68755.10 ) ,
( 4330.50 , 0.1910276 , 0.1331220 , 68755.12 ) ,
( 372.00 , 0.1758976 , 0.1331251 , 68755.09 ) ,
( 293.30 , 0.1723461 , 0.1331470 , 68755.09 ) ,
( 61.50 , 0.1921549 , 0.1331522 , 68755.11 )),
(( 372.90 , 0.1714783 , 0.1331648 , 68755.09 ) ,
( 545.90 , 0.1731567 , 0.1332074 , 68755.09 ) ,
( 1796.70 , 0.1915808 , 0.1332106 , 68755.12 ) ,
( 456.90 , 0.1756096 , 0.1332362 , 68755.09 ) ,
( 571.10 , 0.1770010 , 0.1332404 , 68755.10 ) ,
( 5817.60 , 0.1913948 , 0.1332633 , 68755.12 ) ,
( 385.90 , 0.1777296 , 0.1333024 , 68755.10 ) ,
( 810.80 , 0.1764050 , 0.1333275 , 68755.09 ) ,
( 518.90 , 0.1784363 , 0.1333501 , 68755.10 ) ,
( 4229.10 , 0.1933918 , 0.1333705 , 68755.12 ) ,
( 2165.30 , 0.1888418 , 0.1333750 , 68755.11 ) ,
( 2865.10 , 0.1630840 , 0.1321952 , 68764.85 ) ,
( 2238.00 , 0.1637468 , 0.1322047 , 68764.85 ) ,
( 3821.50 , 0.1626596 , 0.1322707 , 68764.88 ) ,
( 5501.00 , 0.1612539 , 0.1324462 , 68765.07 ) ,
( 4771.70 , 0.1585569 , 0.1325471 , 68765.07 ) ,
( 382.10 , 0.1728706 , 0.1326018 , 68765.09 ) ,
( 4720.90 , 0.1597710 , 0.1326172 , 68765.07 ) ,
( 405.50 , 0.1748810 , 0.1326379 , 68765.09 ) ,
( 382.50 , 0.1770000 , 0.1326399 , 68765.09 ) ,
( 382.50 , 0.1706400 , 0.1326416 , 68765.09 ) ,
( 597.70 , 0.1692572 , 0.1326515 , 68765.08 ) ,
( 388.20 , 0.1725082 , 0.1326789 , 68765.09 ) ,
( 427.90 , 0.1737766 , 0.1326928 , 68765.09 ) ,
( 484.00 , 0.1770668 , 0.1327077 , 68765.10 ) ,
( 387.20 , 0.1757641 , 0.1327106 , 68765.09 ) ,
( 247.80 , 0.1694584 , 0.1327167 , 68765.08 ) ,
( 26.60 , 0.1643286 , 0.1327200 , 68765.08 ) ,
( 26.60 , 0.1616707 , 0.1327315 , 68765.07 ) ,
( 309.70 , 0.1721735 , 0.1327341 , 68765.09 ) ,
( 382.00 , 0.1712313 , 0.1327415 , 68765.09 ) ,
( 895.50 , 0.1657133 , 0.1327589 , 68765.08 ) ,
( 716.40 , 0.1762476 , 0.1327624 , 68765.09 ) ,
( 725.90 , 0.1668844 , 0.1327792 , 68765.08 ) ,
( 566.50 , 0.1705770 , 0.1328123 , 68765.09 ) ,
( 566.50 , 0.1736002 , 0.1328180 , 68765.09 ) ,
( 841.90 , 0.1680555 , 0.1328315 , 68765.08 ) ,
( 538.80 , 0.1727638 , 0.1328361 , 68765.09 ) ,
( 841.90 , 0.1650286 , 0.1328446 , 68765.08 ) ,
( 913.30 , 0.1671162 , 0.1328549 , 68765.08 ) ,
( 632.10 , 0.1722746 , 0.1329105 , 68765.09 ) ,
( 987.60 , 0.1644773 , 0.1329115 , 68765.08 ) ,
( 942.00 , 0.1676998 , 0.1329243 , 68765.08 ) ,
( 602.80 , 0.1782618 , 0.1329263 , 68765.10 ) ,
( 617.40 , 0.1712580 , 0.1329405 , 68765.09 ) ,
( 617.40 , 0.1773109 , 0.1329441 , 68765.10 ) ,
( 617.40 , 0.1797514 , 0.1329510 , 68765.10 ) ,
( 493.90 , 0.1656427 , 0.1329523 , 68765.08 ) ,
( 771.70 , 0.1651840 , 0.1329608 , 68765.08 ) ,
( 900.00 , 0.1664648 , 0.1329921 , 68765.08 ) ,
( 664.20 , 0.1775761 , 0.1330261 , 68765.10 ) ,
( 634.00 , 0.1759853 , 0.1330380 , 68765.09 ) ,
( 696.90 , 0.1782904 , 0.1330673 , 68765.10 ) ,
( 581.20 , 0.1720314 , 0.1330793 , 68765.09 ) ,
( 581.20 , 0.1699772 , 0.1330816 , 68765.08 ) ,
( 4330.50 , 0.1890621 , 0.1330877 , 68765.11 ) ,
( 895.00 , 0.1732464 , 0.1331182 , 68765.09 ) ,
( 910.30 , 0.1789017 , 0.1331294 , 68765.10 ) ,
( 728.20 , 0.1739473 , 0.1331411 , 68765.09 ) ,
( 728.20 , 0.1748896 , 0.1331411 , 68765.09 ) ,
( 728.20 , 0.1725035 , 0.1331458 , 68765.09 ) ,
( 682.40 , 0.1760340 , 0.1331614 , 68765.09 ) ,
( 682.40 , 0.1776648 , 0.1331644 , 68765.10 ) ,
( 588.70 , 0.1712513 , 0.1331921 , 68765.09 ) ,
( 588.70 , 0.1720171 , 0.1331935 , 68765.09 ) ,
( 1394.20 , 0.1743069 , 0.1332109 , 68765.09 ) ,
( 780.80 , 0.1751251 , 0.1332325 , 68765.09 ) ,
( 5817.60 , 0.1890841 , 0.1332356 , 68765.11 ) ,
( 3723.30 , 0.1849556 , 0.1332406 , 68765.11 ) ,
( 942.20 , 0.1783724 , 0.1332442 , 68765.10 ) ,
( 603.00 , 0.1716070 , 0.1332483 , 68765.09 ) ,
( 656.70 , 0.1706848 , 0.1332731 , 68765.08 ) ,
( 2505.10 , 0.1891785 , 0.1332765 , 68765.12 ) ,
( 420.30 , 0.1915646 , 0.1332765 , 68765.13 ) ,
( 859.10 , 0.1724081 , 0.1333297 , 68765.09 ) ,
( 6608.00 , 0.1916704 , 0.1333326 , 68765.12 ) ,
( 886.90 , 0.1747274 , 0.1333523 , 68765.09 ) ,
( 982.60 , 0.1760302 , 0.1333675 , 68765.09 ) ,
( 3508.10 , 0.1920338 , 0.1333834 , 68765.12 ) ,
( 1276.90 , 0.1767607 , 0.1334237 , 68765.10 ) ,
( 941.30 , 0.1755228 , 0.1334571 , 68765.09 ) ,
( 753.00 , 0.1775112 , 0.1334736 , 68765.10 ) ,
( 28.20 , 0.1946754 , 0.1335216 , 68765.12 ) ,
( 104.50 , 0.1922770 , 0.1335521 , 68765.12 ) ,
( 5459.90 , 0.1871214 , 0.1336172 , 68765.11 ) ,
( 31.50 , 0.1713886 , 0.1320677 , 68774.86 ) ,
( 25.20 , 0.1733389 , 0.1320686 , 68774.86 ) ,
( 51.60 , 0.1745596 , 0.1321501 , 68774.87 ) ,
( 40.30 , 0.1707821 , 0.1321741 , 68774.86 ) ,
( 20.60 , 0.1739731 , 0.1321846 , 68774.87 ) ,
( 26.00 , 0.1697426 , 0.1321962 , 68774.86 ) ,
( 26.10 , 0.1687374 , 0.1322541 , 68774.85 ) ,
( 41.60 , 0.1731224 , 0.1322884 , 68775.09 ) ,
( 30.60 , 0.1695671 , 0.1323113 , 68775.08 ) ,
( 33.60 , 0.1709356 , 0.1323126 , 68775.09 ) ,
( 55.90 , 0.1734457 , 0.1323884 , 68775.09 ) ,
( 50.70 , 0.1721506 , 0.1324269 , 68775.09 ) ,
( 5726.10 , 0.1654625 , 0.1324462 , 68775.08 ) ,
( 80.90 , 0.1761866 , 0.1324611 , 68775.09 ) ,
( 5614.10 , 0.1632614 , 0.1324624 , 68775.07 ) ,
( 78.20 , 0.1746693 , 0.1324754 , 68775.09 ) ,
( 6943.80 , 0.1625385 , 0.1325589 , 68775.07 ) ,
( 746.10 , 0.1722622 , 0.1327227 , 68775.09 ) ,
( 725.90 , 0.1700096 , 0.1327619 , 68775.08 ) ,
( 725.90 , 0.1763964 , 0.1327668 , 68775.09 ) ,
( 907.40 , 0.1741838 , 0.1327692 , 68775.09 ) ,
( 841.90 , 0.1683969 , 0.1328012 , 68775.08 ) ,
( 673.50 , 0.1717978 , 0.1328013 , 68775.09 ) ,
( 730.70 , 0.1730576 , 0.1328236 , 68775.09 ) ,
( 584.50 , 0.1689377 , 0.1328358 , 68775.08 ) ,
( 730.70 , 0.1751566 , 0.1328403 , 68775.09 ) ,
( 5444.00 , 0.1610918 , 0.1328405 , 68775.07 ) ,
( 1427.10 , 0.1766024 , 0.1328466 , 68775.10 ) ,
( 805.60 , 0.1715975 , 0.1328549 , 68775.09 ) ,
( 805.60 , 0.1705952 , 0.1328599 , 68775.09 ) ,
( 34.70 , 0.1569548 , 0.1328890 , 68775.07 ) ,
( 964.70 , 0.1700535 , 0.1329239 , 68775.08 ) ,
( 964.70 , 0.1647749 , 0.1329313 , 68775.08 ) ,
( 33.90 , 0.1675138 , 0.1329372 , 68775.08 ) ,
( 819.50 , 0.1658840 , 0.1329558 , 68775.08 ) ,
( 900.00 , 0.1727486 , 0.1329650 , 68775.09 ) ,
( 900.00 , 0.1719971 , 0.1329709 , 68775.09 ) ,
( 31.70 , 0.1684408 , 0.1329840 , 68775.08 ) ,
( 23.40 , 0.1587925 , 0.1329961 , 68775.06 ) ,
( 990.70 , 0.1671686 , 0.1330234 , 68775.08 ) ,
( 792.50 , 0.1640015 , 0.1330284 , 68775.07 ) ,
( 871.10 , 0.1660557 , 0.1330373 , 68775.08 ) ,
( 871.10 , 0.1714897 , 0.1330478 , 68775.09 ) ,
( 39.90 , 0.1689053 , 0.1330569 , 68775.08 ) ,
( 25.60 , 0.1678438 , 0.1330657 , 68775.09 ) ,
( 908.20 , 0.1774330 , 0.1330699 , 68775.10 ) ,
( 895.00 , 0.1703720 , 0.1330889 , 68775.09 ) ,
( 895.00 , 0.1634712 , 0.1330924 , 68775.07 ) ,
( 895.00 , 0.1789780 , 0.1330926 , 68775.10 ) ,
( 895.00 , 0.1764374 , 0.1330935 , 68775.10 ) ,
( 910.30 , 0.1668062 , 0.1331005 , 68775.08 ) ,
( 78.20 , 0.1651506 , 0.1331065 , 68775.08 ) ,
( 37.50 , 0.1610565 , 0.1331324 , 68775.07 ) ,
( 853.00 , 0.1644077 , 0.1331387 , 68775.08 ) ,
( 79.00 , 0.1778307 , 0.1331486 , 68775.10 ) ,
( 919.90 , 0.1769600 , 0.1331521 , 68775.10 ) ,
( 892.30 , 0.1751509 , 0.1331862 , 68775.09 ) ,
( 892.30 , 0.1653271 , 0.1331889 , 68775.08 ) ,
( 976.00 , 0.1694355 , 0.1332016 , 68775.08 ) ,
( 22.00 , 0.1766415 , 0.1332049 , 68775.10 ) ,
( 942.20 , 0.1773167 , 0.1332231 , 68775.10 ) ,
( 942.20 , 0.1711845 , 0.1332283 , 68775.09 ) ,
( 820.90 , 0.1753693 , 0.1332548 , 68775.09 ) ,
( 1013.60 , 0.1733465 , 0.1332649 , 68775.09 ) ,
( 1013.60 , 0.1779842 , 0.1332843 , 68775.10 ) ,
( 810.80 , 0.1721525 , 0.1332871 , 68775.09 ) ,
( 687.30 , 0.1714954 , 0.1333048 , 68775.09 ) ,
( 6608.00 , 0.1899252 , 0.1333194 , 68775.12 ) ,
( 886.90 , 0.1766367 , 0.1333280 , 68775.10 ) ,
( 886.90 , 0.1750240 , 0.1333306 , 68775.09 ) ,
( 982.60 , 0.1735010 , 0.1333342 , 68775.09 ) ,
( 982.60 , 0.1704197 , 0.1333417 , 68775.09 ) ,
( 786.10 , 0.1711369 , 0.1333526 , 68775.09 ) ,
( 1021.50 , 0.1734133 , 0.1333878 , 68775.09 ) ,
( 1021.50 , 0.1741753 , 0.1333888 , 68775.09 ) ,
( 1021.50 , 0.1706915 , 0.1334028 , 68775.09 ) ,
( 870.50 , 0.1771889 , 0.1334215 , 68775.10 ) ,
( 941.30 , 0.1697454 , 0.1334301 , 68775.08 ) ,
( 411.00 , 0.1830883 , 0.1334987 , 68775.10 ) ,
( 1003.30 , 0.1715136 , 0.1334999 , 68775.09 ) ,
( 973.30 , 0.1736555 , 0.1335195 , 68775.09 ) ,
( 7251.50 , 0.1922274 , 0.1335363 , 68775.12 ) ,
( 778.60 , 0.1748934 , 0.1335442 , 68775.09 ) ,
( 5989.20 , 0.1885719 , 0.1335500 , 68775.11 ) ,
( 1431.30 , 0.1756620 , 0.1335928 , 68775.09 ) ,
( 6520.70 , 0.1930361 , 0.1336275 , 68775.12 ) ,
( 856.60 , 0.1744738 , 0.1336404 , 68775.09 ) ,
( 856.60 , 0.1763639 , 0.1336457 , 68775.09 ) ,
( 60.40 , 0.1963940 , 0.1337095 , 68775.13 ) ,
( 63.90 , 0.1935539 , 0.1338888 , 68775.23 ) ,
( 34.30 , 0.1851702 , 0.1339169 , 68775.22 ) ,
( 80.60 , 0.1730442 , 0.1321226 , 68784.86 ) ,
( 126.00 , 0.1711216 , 0.1321336 , 68784.86 ) ,
( 86.10 , 0.1723356 , 0.1322077 , 68784.86 ) ,
( 194.80 , 0.1742067 , 0.1322291 , 68784.92 ) ,
( 52.10 , 0.1736841 , 0.1322439 , 68784.99 ) ,
( 158.90 , 0.1704798 , 0.1322497 , 68785.00 ) ,
( 81.30 , 0.1694489 , 0.1322564 , 68785.03 ) ,
( 104.70 , 0.1684198 , 0.1323172 , 68785.08 ) ,
( 136.50 , 0.1728239 , 0.1323651 , 68785.09 ) ,
( 99.10 , 0.1706152 , 0.1323783 , 68785.09 ) ,
( 109.20 , 0.1692753 , 0.1323808 , 68785.08 ) ,
( 238.70 , 0.1730976 , 0.1324698 , 68785.09 ) ,
( 209.90 , 0.1718178 , 0.1325030 , 68785.09 ) ,
( 244.50 , 0.1757498 , 0.1325501 , 68785.09 ) ,
( 244.50 , 0.1742411 , 0.1325600 , 68785.09 ) ,
( 25.50 , 0.1674213 , 0.1327295 , 68785.08 ) ,
( 55.40 , 0.1633568 , 0.1328228 , 68785.07 ) ,
( 942.00 , 0.1711330 , 0.1328850 , 68785.09 ) ,
( 819.50 , 0.1753082 , 0.1329179 , 68785.09 ) ,
( 819.50 , 0.1688805 , 0.1329221 , 68785.08 ) ,
( 819.50 , 0.1730099 , 0.1329349 , 68785.09 ) ,
( 61.80 , 0.1621876 , 0.1329386 , 68785.07 ) ,
( 830.20 , 0.1707172 , 0.1329729 , 68785.08 ) ,
( 830.20 , 0.1756458 , 0.1329735 , 68785.09 )),
(( 830.20 , 0.1679296 , 0.1329788 , 68785.08 ) ,
( 830.20 , 0.1769638 , 0.1329817 , 68785.10 ) ,
( 990.70 , 0.1718616 , 0.1329915 , 68785.09 ) ,
( 792.50 , 0.1670237 , 0.1329924 , 68785.08 ) ,
( 990.70 , 0.1705456 , 0.1329999 , 68785.09 ) ,
( 990.70 , 0.1739826 , 0.1330026 , 68785.09 ) ,
( 871.10 , 0.1695051 , 0.1330200 , 68785.08 ) ,
( 150.10 , 0.1681652 , 0.1330605 , 68785.08 ) ,
( 895.00 , 0.1691227 , 0.1330747 , 68785.08 ) ,
( 97.70 , 0.1712446 , 0.1330841 , 68785.09 ) ,
( 79.00 , 0.1675920 , 0.1331199 , 68785.08 ) ,
( 79.00 , 0.1699476 , 0.1331304 , 68785.08 ) ,
( 123.50 , 0.1685925 , 0.1331342 , 68785.08 ) ,
( 735.90 , 0.1706924 , 0.1331471 , 68785.09 ) ,
( 571.10 , 0.1633368 , 0.1331519 , 68785.07 ) ,
( 713.80 , 0.1713772 , 0.1331549 , 68785.09 ) ,
( 104.80 , 0.1761923 , 0.1331718 , 68785.10 ) ,
( 780.80 , 0.1643744 , 0.1331857 , 68785.08 ) ,
( 137.70 , 0.1775627 , 0.1332194 , 68785.10 ) ,
( 820.90 , 0.1702118 , 0.1332284 , 68785.08 ) ,
( 1013.60 , 0.1761036 , 0.1332501 , 68785.09 ) ,
( 518.90 , 0.1657534 , 0.1332589 , 68785.08 ) ,
( 648.70 , 0.1623955 , 0.1332599 , 68785.07 ) ,
( 859.10 , 0.1776781 , 0.1332682 , 68785.10 ) ,
( 687.30 , 0.1645422 , 0.1332708 , 68785.08 ) ,
( 47.20 , 0.1549110 , 0.1332734 , 68785.06 ) ,
( 859.10 , 0.1690187 , 0.1332749 , 68785.08 ) ,
( 709.50 , 0.1750221 , 0.1332845 , 68785.09 ) ,
( 886.90 , 0.1759720 , 0.1333072 , 68785.09 ) ,
( 786.10 , 0.1619349 , 0.1333184 , 68785.07 ) ,
( 628.90 , 0.1653805 , 0.1333184 , 68785.08 ) ,
( 588.60 , 0.1628094 , 0.1333457 , 68785.07 ) ,
( 919.60 , 0.1684608 , 0.1333509 , 68785.08 ) ,
( 817.20 , 0.1606627 , 0.1333632 , 68785.07 ) ,
( 817.20 , 0.1737633 , 0.1333758 , 68785.09 ) ,
( 1088.10 , 0.1759129 , 0.1333923 , 68785.10 ) ,
( 557.10 , 0.1628170 , 0.1334023 , 68785.07 ) ,
( 941.30 , 0.1698723 , 0.1334131 , 68785.08 ) ,
( 753.00 , 0.1723480 , 0.1334131 , 68785.09 ) ,
( 50.00 , 0.1575384 , 0.1334324 , 68785.07 ) ,
( 582.30 , 0.1636057 , 0.1334340 , 68785.07 ) ,
( 582.30 , 0.1758261 , 0.1334367 , 68785.09 ) ,
( 513.70 , 0.1765509 , 0.1334792 , 68785.10 ) ,
( 513.70 , 0.1704931 , 0.1334958 , 68785.08 ) ,
( 622.90 , 0.1699781 , 0.1335062 , 68785.09 ) ,
( 803.90 , 0.1720810 , 0.1335291 , 68785.09 ) ,
( 411.60 , 0.1698151 , 0.1335294 , 68785.08 ) ,
( 643.10 , 0.1750221 , 0.1335315 , 68785.09 ) ,
( 803.90 , 0.1690264 , 0.1335334 , 68785.08 ) ,
( 643.10 , 0.1734314 , 0.1335370 , 68785.09 ) ,
( 28.30 , 0.1658554 , 0.1335408 , 68785.08 ) ,
( 42.90 , 0.1602888 , 0.1335434 , 68785.07 ) ,
( 498.90 , 0.1696730 , 0.1335526 , 68785.09 ) ,
( 732.80 , 0.1726580 , 0.1335865 , 68785.09 ) ,
( 732.80 , 0.1692657 , 0.1335918 , 68785.08 ) ,
( 560.10 , 0.1720018 , 0.1336118 , 68785.09 ) ,
( 685.30 , 0.1682186 , 0.1336283 , 68785.08 ) ,
( 25.80 , 0.1909933 , 0.1336342 , 68785.12 ) ,
( 586.90 , 0.1754360 , 0.1336459 , 68785.09 ) ,
( 631.30 , 0.1701603 , 0.1337209 , 68785.14 ) ,
( 789.10 , 0.1720066 , 0.1337337 , 68785.16 ) ,
( 568.90 , 0.1730919 , 0.1337699 , 68785.20 ) ,
( 697.90 , 0.1740685 , 0.1337821 , 68785.20 ) ,
( 74.90 , 0.1807022 , 0.1337882 , 68785.21 ) ,
( 601.80 , 0.1738920 , 0.1338391 , 68785.20 ) ,
( 26.50 , 0.1929979 , 0.1338483 , 68785.23 ) ,
( 594.70 , 0.1746426 , 0.1338645 , 68785.20 ) ,
( 370.70 , 0.1729250 , 0.1338712 , 68785.20 ) ,
( 46.00 , 0.1982832 , 0.1339123 , 68785.24 ) ,
( 61.20 , 0.1875238 , 0.1339623 , 68785.22 ) ,
( 233.50 , 0.1941948 , 0.1339709 , 68785.23 ) ,
( 31.30 , 0.1878290 , 0.1339889 , 68785.22 ) ,
( 25.40 , 0.1947432 , 0.1342310 , 68785.24 ) ,
( 53.00 , 0.1826859 , 0.1342584 , 68785.21 ) ,
( 310.30 , 0.1728497 , 0.1322047 , 68794.98 ) ,
( 606.00 , 0.1709328 , 0.1322107 , 68795.00 ) ,
( 255.60 , 0.1721811 , 0.1322799 , 68795.09 ) ,
( 346.40 , 0.1739435 , 0.1323229 , 68795.09 ) ,
( 113.50 , 0.1734924 , 0.1323254 , 68795.09 ) ,
( 416.60 , 0.1702318 , 0.1323263 , 68795.09 ) ,
( 266.60 , 0.1692371 , 0.1323398 , 68795.08 ) ,
( 308.60 , 0.1681929 , 0.1323982 , 68795.08 ) ,
( 419.60 , 0.1725731 , 0.1324443 , 68795.09 ) ,
( 409.90 , 0.1703873 , 0.1324629 , 68795.08 ) ,
( 409.90 , 0.1690397 , 0.1324659 , 68795.08 ) ,
( 597.70 , 0.1727057 , 0.1325685 , 68795.09 ) ,
( 485.30 , 0.1714697 , 0.1325994 , 68795.09 ) ,
( 596.90 , 0.1753788 , 0.1326582 , 68795.09 ) ,
( 596.90 , 0.1738548 , 0.1326632 , 68795.09 ) ,
( 96.10 , 0.1700344 , 0.1330217 , 68795.08 ) ,
( 682.40 , 0.1698513 , 0.1330686 , 68795.08 ) ,
( 349.40 , 0.1669941 , 0.1330810 , 68795.08 ) ,
( 735.90 , 0.1740332 , 0.1331031 , 68795.09 ) ,
( 588.70 , 0.1676407 , 0.1331045 , 68795.08 ) ,
( 471.00 , 0.1777229 , 0.1331066 , 68795.10 ) ,
( 20.10 , 0.1688166 , 0.1331203 , 68795.07 ) ,
( 713.80 , 0.1716337 , 0.1331268 , 68795.09 ) ,
( 780.80 , 0.1746349 , 0.1331393 , 68795.09 ) ,
( 399.80 , 0.1679583 , 0.1331481 , 68795.09 ) ,
( 976.00 , 0.1667652 , 0.1331486 , 68795.08 ) ,
( 942.20 , 0.1692801 , 0.1331713 , 68795.08 ) ,
( 308.70 , 0.1711178 , 0.1331739 , 68795.09 ) ,
( 41.40 , 0.1637392 , 0.1331775 , 68795.07 ) ,
( 656.70 , 0.1704750 , 0.1331833 , 68795.08 ) ,
( 656.70 , 0.1726408 , 0.1331925 , 68795.09 ) ,
( 265.70 , 0.1673336 , 0.1332046 , 68795.08 ) ,
( 648.70 , 0.1654177 , 0.1332099 , 68795.08 ) ,
( 648.70 , 0.1691666 , 0.1332130 , 68795.08 ) ,
( 1266.90 , 0.1682167 , 0.1332147 , 68795.08 ) ,
( 136.00 , 0.1697912 , 0.1332190 , 68795.08 ) ,
( 439.90 , 0.1707067 , 0.1332468 , 68795.09 ) ,
( 363.30 , 0.1759329 , 0.1332562 , 68795.09 ) ,
( 290.60 , 0.1680622 , 0.1332594 , 68795.07 ) ,
( 40.40 , 0.1620922 , 0.1333075 , 68795.07 ) ,
( 418.40 , 0.1772795 , 0.1333169 , 68795.10 ) ,
( 445.70 , 0.1759987 , 0.1333416 , 68795.09 ) ,
( 557.10 , 0.1692057 , 0.1333531 , 68795.08 ) ,
( 481.90 , 0.1697874 , 0.1333781 , 68795.08 ) ,
( 97.70 , 0.1617107 , 0.1334037 , 68795.07 ) ,
( 642.10 , 0.1686869 , 0.1334338 , 68795.08 ) ,
( 263.00 , 0.1625805 , 0.1334479 , 68795.07 ) ,
( 513.70 , 0.1746063 , 0.1334571 , 68795.09 ) ,
( 622.90 , 0.1761532 , 0.1334757 , 68795.09 ) ,
( 498.90 , 0.1733704 , 0.1335021 , 68795.09 ) ,
( 974.30 , 0.1673651 , 0.1335083 , 68795.08 ) ,
( 399.10 , 0.1769934 , 0.1335240 , 68795.10 ) ,
( 192.10 , 0.1606255 , 0.1335270 , 68795.07 ) ,
( 192.10 , 0.1627293 , 0.1335399 , 68795.07 ) ,
( 78.70 , 0.1641378 , 0.1335441 , 68795.07 ) ,
( 280.70 , 0.1712503 , 0.1335770 , 68795.09 ) ,
( 92.00 , 0.1637745 , 0.1335773 , 68795.07 ) ,
( 224.50 , 0.1601229 , 0.1335816 , 68795.07 ) ,
( 92.00 , 0.1611242 , 0.1335866 , 68795.07 ) ,
( 548.20 , 0.1721334 , 0.1335938 , 68795.09 ) ,
( 586.90 , 0.1682682 , 0.1336173 , 68795.08 ) ,
( 450.00 , 0.1740770 , 0.1336452 , 68795.09 ) ,
( 120.00 , 0.1608448 , 0.1336759 , 68795.10 ) ,
( 84.70 , 0.1749802 , 0.1336957 , 68795.17 ) ,
( 94.60 , 0.1616268 , 0.1337102 , 68795.17 ) ,
( 48.50 , 0.1526680 , 0.1337119 , 68795.17 ) ,
( 568.90 , 0.1704941 , 0.1337398 , 68795.19 ) ,
( 446.90 , 0.1674242 , 0.1337505 , 68795.19 ) ,
( 357.50 , 0.1680422 , 0.1337594 , 68795.19 ) ,
( 286.00 , 0.1731672 , 0.1337712 , 68795.20 ) ,
( 286.00 , 0.1715326 , 0.1337730 , 68795.19 ) ,
( 475.70 , 0.1674910 , 0.1338121 , 68795.19 ) ,
( 475.70 , 0.1708260 , 0.1338161 , 68795.19 ) ,
( 428.30 , 0.1664324 , 0.1338598 , 68795.19 ) ,
( 112.30 , 0.1703176 , 0.1338637 , 68795.19 ) ,
( 164.90 , 0.1733217 , 0.1339030 , 68795.20 ) ,
( 34.60 , 0.1562643 , 0.1339241 , 68795.17 ) ,
( 22.20 , 0.1925411 , 0.1339708 , 68795.23 ) ,
( 132.00 , 0.1685724 , 0.1339709 , 68795.19 ) ,
( 322.40 , 0.1700592 , 0.1339754 , 68795.19 ) ,
( 33.50 , 0.1669607 , 0.1340060 , 68795.19 ) ,
( 41.80 , 0.1596270 , 0.1340070 , 68795.18 ) ,
( 389.70 , 0.1722069 , 0.1340160 , 68795.20 ) ,
( 159.60 , 0.1710472 , 0.1340218 , 68795.19 ) ,
( 145.80 , 0.1717987 , 0.1340911 , 68795.19 ) ,
( 40.00 , 0.1781063 , 0.1341039 , 68795.21 ) ,
( 190.70 , 0.1726370 , 0.1341118 , 68795.20 ) ,
( 38.10 , 0.2007895 , 0.1341237 , 68795.24 ) ,
( 47.60 , 0.1711140 , 0.1341308 , 68795.19 ) ,
( 27.40 , 0.1940374 , 0.1341573 , 68795.24 ) ,
( 22.20 , 0.1956758 , 0.1343175 , 68795.23 ) ,
( 32.00 , 0.1958990 , 0.1343626 , 68795.23 ) ,
( 32.00 , 0.1873302 , 0.1343709 , 68795.23 ) ,
( 33.20 , 0.1867304 , 0.1343809 , 68795.22 ) ,
( 40.60 , 0.1964054 , 0.1345934 , 68795.23 ) ,
( 37.60 , 0.1799908 , 0.1346221 , 68795.21 ) ,
( 738.30 , 0.1721573 , 0.1323645 , 68805.09 ) ,
( 1200.80 , 0.1702271 , 0.1323718 , 68805.08 ) ,
( 582.60 , 0.1715307 , 0.1324260 , 68805.09 ) ,
( 409.90 , 0.1728773 , 0.1324666 , 68805.09 ) ,
( 1000.70 , 0.1695471 , 0.1324793 , 68805.08 ) ,
( 640.40 , 0.1685476 , 0.1324899 , 68805.08 ) ,
( 932.00 , 0.1731749 , 0.1325099 , 68805.09 ) ,
( 792.00 , 0.1674900 , 0.1325544 , 68805.08 ) ,
( 835.80 , 0.1718855 , 0.1326087 , 68805.09 ) ,
( 668.60 , 0.1696320 , 0.1326232 , 68805.08 ) ,
( 756.20 , 0.1682615 , 0.1326289 , 68805.08 ) ,
( 841.90 , 0.1718197 , 0.1327499 , 68805.09 ) ,
( 913.30 , 0.1706038 , 0.1327776 , 68805.08 ) ,
( 942.00 , 0.1743822 , 0.1328440 , 68805.09 ) ,
( 942.00 , 0.1729288 , 0.1328493 , 68805.09 ) ,
( 687.30 , 0.1662760 , 0.1332474 , 68805.08 ) ,
( 982.60 , 0.1672478 , 0.1332847 , 68805.08 ) ,
( 67.50 , 0.1784029 , 0.1332998 , 68805.10 ) ,
( 817.20 , 0.1704941 , 0.1333219 , 68805.09 ) ,
( 523.00 , 0.1678667 , 0.1333313 , 68805.09 ) ,
( 557.10 , 0.1691036 , 0.1333482 , 68805.08 ) ,
( 653.80 , 0.1666517 , 0.1333489 , 68805.08 ) ,
( 481.90 , 0.1720190 , 0.1333743 , 68805.09 ) ,
( 753.00 , 0.1676416 , 0.1333788 , 68805.08 ) ,
( 385.60 , 0.1655798 , 0.1333802 , 68805.08 ) ,
( 246.80 , 0.1729031 , 0.1333842 , 68805.09 ) ,
( 753.00 , 0.1700563 , 0.1333889 , 68805.08 ) ,
( 582.30 , 0.1648836 , 0.1334109 , 68805.08 ) ,
( 727.90 , 0.1752043 , 0.1334114 , 68805.09 ) ,
( 298.10 , 0.1694822 , 0.1334164 , 68805.08 )),
(( 80.50 , 0.1701345 , 0.1334277 , 68805.09 ) ,
( 802.60 , 0.1672029 , 0.1334558 , 68805.08 ) ,
( 318.90 , 0.1683178 , 0.1334680 , 68805.08 ) ,
( 398.70 , 0.1705561 , 0.1334704 , 68805.09 ) ,
( 398.70 , 0.1662102 , 0.1334781 , 68805.08 ) ,
( 778.60 , 0.1765261 , 0.1334800 , 68805.10 ) ,
( 779.50 , 0.1751795 , 0.1335061 , 68805.09 ) ,
( 104.60 , 0.1630020 , 0.1335213 , 68805.07 ) ,
( 40.80 , 0.1638699 , 0.1336249 , 68805.07 ) ,
( 194.70 , 0.1669168 , 0.1336441 , 68805.08 ) ,
( 105.90 , 0.1673260 , 0.1336961 , 68805.15 ) ,
( 38.80 , 0.1730242 , 0.1337178 , 68805.20 ) ,
( 149.10 , 0.1663599 , 0.1337325 , 68805.19 ) ,
( 61.10 , 0.1780739 , 0.1337373 , 68805.20 ) ,
( 30.70 , 0.1592922 , 0.1337629 , 68805.18 ) ,
( 117.20 , 0.1721697 , 0.1337635 , 68805.20 ) ,
( 38.40 , 0.1616249 , 0.1337716 , 68805.18 ) ,
( 183.10 , 0.1738272 , 0.1337754 , 68805.20 ) ,
( 117.20 , 0.1656094 , 0.1337778 , 68805.19 ) ,
( 101.00 , 0.1649380 , 0.1338044 , 68805.18 ) ,
( 33.10 , 0.1599751 , 0.1338162 , 68805.18 ) ,
( 80.80 , 0.1708670 , 0.1338172 , 68805.19 ) ,
( 40.90 , 0.1695061 , 0.1338227 , 68805.19 ) ,
( 34.60 , 0.1579676 , 0.1339067 , 68805.17 ) ,
( 105.50 , 0.1697178 , 0.1339074 , 68805.19 ) ,
( 34.60 , 0.1601095 , 0.1339216 , 68805.18 ) ,
( 131.90 , 0.1658974 , 0.1339228 , 68805.19 ) ,
( 31.30 , 0.1586962 , 0.1339236 , 68805.17 ) ,
( 31.30 , 0.1613474 , 0.1339236 , 68805.18 ) ,
( 39.20 , 0.1575432 , 0.1339476 , 68805.17 ) ,
( 20.10 , 0.1617527 , 0.1339498 , 68805.19 ) ,
( 62.00 , 0.1715107 , 0.1339681 , 68805.20 ) ,
( 33.50 , 0.1725903 , 0.1340110 , 68805.20 ) ,
( 118.30 , 0.1680956 , 0.1340411 , 68805.19 ) ,
( 31.30 , 0.1580343 , 0.1340670 , 68805.17 ) ,
( 83.00 , 0.1649847 , 0.1340699 , 68805.18 ) ,
( 76.30 , 0.1655216 , 0.1340831 , 68805.19 ) ,
( 40.00 , 0.1704464 , 0.1341012 , 68805.19 ) ,
( 32.00 , 0.1588278 , 0.1341012 , 68805.17 ) ,
( 32.00 , 0.1687679 , 0.1341012 , 68805.19 ) ,
( 59.60 , 0.1650143 , 0.1341356 , 68805.19 ) ,
( 47.60 , 0.1682301 , 0.1341412 , 68805.19 ) ,
( 53.50 , 0.1638565 , 0.1341773 , 68805.18 ) ,
( 28.90 , 0.1679363 , 0.1342170 , 68805.19 ) ,
( 43.70 , 0.1497946 , 0.1342598 , 68805.16 ) ,
( 34.90 , 0.1703825 , 0.1342598 , 68805.19 ) ,
( 43.30 , 0.1672888 , 0.1343091 , 68805.19 ) ,
( 43.30 , 0.1662436 , 0.1343234 , 68805.19 ) ,
( 47.30 , 0.1695423 , 0.1343412 , 68805.19 ) ,
( 34.20 , 0.1939297 , 0.1343666 , 68805.23 ) ,
( 34.20 , 0.1681290 , 0.1343676 , 68805.19 ) ,
( 33.70 , 0.2033834 , 0.1344137 , 68805.24 ) ,
( 32.90 , 0.1689119 , 0.1344308 , 68805.19 ) ,
( 37.80 , 0.1697912 , 0.1344495 , 68805.19 ) ,
( 40.40 , 0.1748009 , 0.1345099 , 68805.20 ) ,
( 37.00 , 0.1599531 , 0.1345183 , 68805.18 ) ,
( 27.00 , 0.1950111 , 0.1345287 , 68805.23 ) ,
( 42.20 , 0.1544952 , 0.1345374 , 68805.17 ) ,
( 61.80 , 0.1585388 , 0.1345927 , 68805.17 ) ,
( 50.70 , 0.1679926 , 0.1345940 , 68805.19 ) ,
( 34.20 , 0.1970901 , 0.1347046 , 68805.24 ) ,
( 36.30 , 0.1975021 , 0.1348023 , 68805.23 ) ,
( 43.20 , 0.1863003 , 0.1348819 , 68805.33 ) ,
( 39.50 , 0.1855659 , 0.1349084 , 68805.32 ) ,
( 41.60 , 0.1980104 , 0.1350622 , 68805.35 ) ,
( 37.80 , 0.1765404 , 0.1351057 , 68805.31 ) ,
( 990.10 , 0.1713610 , 0.1325240 , 68815.09 ) ,
( 1237.60 , 0.1694555 , 0.1325281 , 68815.08 ) ,
( 758.20 , 0.1708021 , 0.1325769 , 68815.09 ) ,
( 945.20 , 0.1687927 , 0.1326234 , 68815.08 ) ,
( 932.60 , 0.1720829 , 0.1326270 , 68815.09 ) ,
( 895.50 , 0.1677752 , 0.1326479 , 68815.08 ) ,
( 907.40 , 0.1722937 , 0.1326798 , 68815.09 ) ,
( 885.10 , 0.1666946 , 0.1327164 , 68815.08 ) ,
( 1007.00 , 0.1710892 , 0.1327751 , 68815.09 ) ,
( 987.60 , 0.1688137 , 0.1327902 , 68815.08 ) ,
( 987.60 , 0.1673794 , 0.1327987 , 68815.08 ) ,
( 990.70 , 0.1708031 , 0.1329387 , 68815.09 ) ,
( 871.10 , 0.1696167 , 0.1329603 , 68815.08 ) ,
( 728.20 , 0.1733217 , 0.1330397 , 68815.09 ) ,
( 728.20 , 0.1718645 , 0.1330412 , 68815.09 ) ,
( 1003.30 , 0.1654358 , 0.1334156 , 68815.08 ) ,
( 1003.30 , 0.1665173 , 0.1334338 , 68815.08 ) ,
( 803.90 , 0.1697845 , 0.1334741 , 68815.09 ) ,
( 974.30 , 0.1659002 , 0.1335049 , 68815.08 ) ,
( 974.30 , 0.1683741 , 0.1335049 , 68815.08 ) ,
( 875.20 , 0.1692801 , 0.1335440 , 68815.08 ) ,
( 875.20 , 0.1667833 , 0.1335466 , 68815.08 ) ,
( 917.00 , 0.1744032 , 0.1335794 , 68815.09 ) ,
( 48.30 , 0.1654282 , 0.1336276 , 68815.08 ) ,
( 38.70 , 0.1710682 , 0.1336411 , 68815.09 ) ,
( 894.00 , 0.1756353 , 0.1336547 , 68815.13 ) ,
( 61.40 , 0.1696539 , 0.1336569 , 68815.12 ) ,
( 25.20 , 0.1632032 , 0.1336635 , 68815.12 ) ,
( 94.60 , 0.1626606 , 0.1336831 , 68815.17 ) ,
( 881.50 , 0.1742630 , 0.1336838 , 68815.18 ) ,
( 39.10 , 0.1669388 , 0.1337085 , 68815.19 ) ,
( 75.00 , 0.1647463 , 0.1337503 , 68815.18 ) ,
( 46.60 , 0.1680765 , 0.1337634 , 68815.19 ) ,
( 37.20 , 0.1657410 , 0.1337703 , 68815.19 ) ,
( 64.60 , 0.1637583 , 0.1337762 , 68815.18 ) ,
( 39.80 , 0.1763659 , 0.1338236 , 68815.20 ) ,
( 36.80 , 0.1601505 , 0.1338580 , 68815.18 ) ,
( 34.60 , 0.1642170 , 0.1339664 , 68815.18 ) ,
( 42.50 , 0.1644773 , 0.1340289 , 68815.18 ) ,
( 48.80 , 0.1636333 , 0.1340473 , 68815.18 ) ,
( 32.00 , 0.1693850 , 0.1340745 , 68815.19 ) ,
( 32.00 , 0.1710873 , 0.1340899 , 68815.19 ) ,
( 38.10 , 0.1642704 , 0.1341020 , 68815.18 ) ,
( 30.40 , 0.1621189 , 0.1341262 , 68815.18 ) ,
( 34.30 , 0.1680155 , 0.1341435 , 68815.19 ) ,
( 33.90 , 0.1569920 , 0.1342068 , 68815.18 ) ,
( 32.00 , 0.1669350 , 0.1342341 , 68815.19 ) ,
( 32.00 , 0.1631355 , 0.1342351 , 68815.18 ) ,
( 38.30 , 0.1613674 , 0.1342754 , 68815.18 ) ,
( 27.70 , 0.1684809 , 0.1343041 , 68815.19 ) ,
( 24.20 , 0.1549206 , 0.1343136 , 68815.18 ) ,
( 24.20 , 0.1570616 , 0.1343220 , 68815.17 ) ,
( 27.40 , 0.1545200 , 0.1343400 , 68815.17 ) ,
( 33.20 , 0.1653013 , 0.1343684 , 68815.19 ) ,
( 27.00 , 0.1621695 , 0.1343848 , 68815.19 ) ,
( 55.80 , 0.1623850 , 0.1344283 , 68815.18 ) ,
( 24.50 , 0.1672964 , 0.1344560 , 68815.20 ) ,
( 32.30 , 0.1548672 , 0.1344738 , 68815.16 ) ,
( 25.90 , 0.1652060 , 0.1344738 , 68815.18 ) ,
( 20.70 , 0.1621132 , 0.1344738 , 68815.17 ) ,
( 27.00 , 0.1555367 , 0.1345180 , 68815.17 ) ,
( 27.00 , 0.1608505 , 0.1345255 , 68815.18 ) ,
( 26.80 , 0.1668911 , 0.1346263 , 68815.19 ) ,
( 34.20 , 0.1640348 , 0.1346695 , 68815.19 ) ,
( 39.70 , 0.1663618 , 0.1346983 , 68815.19 ) ,
( 94.20 , 0.2066965 , 0.1347165 , 68815.25 ) ,
( 34.40 , 0.1646614 , 0.1347510 , 68815.18 ) ,
( 43.00 , 0.1957760 , 0.1347602 , 68815.23 ) ,
( 26.30 , 0.1653156 , 0.1348205 , 68815.29 ) ,
( 30.80 , 0.1663761 , 0.1348215 , 68815.29 ) ,
( 43.20 , 0.1467133 , 0.1348562 , 68815.26 ) ,
( 52.30 , 0.1963730 , 0.1349022 , 68815.34 ) ,
( 44.60 , 0.1711245 , 0.1349451 , 68815.30 ) ,
( 52.20 , 0.1990566 , 0.1351163 , 68815.35 ) ,
( 41.60 , 0.1526346 , 0.1352120 , 68815.27 ) ,
( 52.00 , 0.1596050 , 0.1352165 , 68815.29 ) ,
( 41.30 , 0.1996651 , 0.1352657 , 68815.35 ) ,
( 51.70 , 0.1853666 , 0.1354144 , 68815.32 ) ,
( 40.00 , 0.1843948 , 0.1354697 , 68815.32 ) ,
( 38.60 , 0.2002096 , 0.1355589 , 68815.35 ) ,
( 44.40 , 0.1727324 , 0.1356109 , 68815.31 ) ,
( 730.70 , 0.1683092 , 0.1327173 , 68825.08 ) ,
( 730.70 , 0.1700249 , 0.1327301 , 68825.08 ) ,
( 644.50 , 0.1681080 , 0.1327558 , 68825.08 ) ,
( 987.60 , 0.1696558 , 0.1327751 , 68825.08 ) ,
( 771.70 , 0.1675100 , 0.1328124 , 68825.08 ) ,
( 655.60 , 0.1708002 , 0.1328433 , 68825.09 ) ,
( 720.00 , 0.1665163 , 0.1328521 , 68825.08 ) ,
( 634.00 , 0.1709948 , 0.1329123 , 68825.09 ) ,
( 792.50 , 0.1653900 , 0.1329263 , 68825.08 ) ,
( 716.00 , 0.1698303 , 0.1329910 , 68825.08 ) ,
( 728.20 , 0.1674452 , 0.1330079 , 68825.08 ) ,
( 728.20 , 0.1660099 , 0.1330150 , 68825.08 ) ,
( 648.70 , 0.1691895 , 0.1331777 , 68825.08 ) ,
( 549.80 , 0.1681080 , 0.1331951 , 68825.08 ) ,
( 653.80 , 0.1716652 , 0.1332877 , 68825.09 ) ,
( 653.80 , 0.1702509 , 0.1332905 , 68825.09 ) ,
( 715.20 , 0.1652927 , 0.1336275 , 68825.10 ) ,
( 715.20 , 0.1641264 , 0.1336342 , 68825.12 ) ,
( 881.50 , 0.1686392 , 0.1336710 , 68825.19 ) ,
( 872.40 , 0.1671534 , 0.1337049 , 68825.19 ) ,
( 698.30 , 0.1646366 , 0.1337125 , 68825.18 ) ,
( 752.30 , 0.1681042 , 0.1337460 , 68825.19 ) ,
( 752.30 , 0.1654558 , 0.1337681 , 68825.19 ) ,
( 724.00 , 0.1730480 , 0.1337953 , 68825.20 ) ,
( 786.20 , 0.1742506 , 0.1338701 , 68825.20 ) ,
( 722.10 , 0.1728067 , 0.1339132 , 68825.20 ) ,
( 26.80 , 0.1622486 , 0.1339788 , 68825.18 ) ,
( 34.00 , 0.1597471 , 0.1340059 , 68825.18 ) ,
( 42.50 , 0.1664925 , 0.1340116 , 68825.19 ) ,
( 25.00 , 0.1598949 , 0.1340237 , 68825.17 ) ,
( 24.40 , 0.1635542 , 0.1340690 , 68825.18 ) ,
( 47.60 , 0.1615486 , 0.1340978 , 68825.18 ) ,
( 34.30 , 0.1606140 , 0.1341205 , 68825.18 ) ,
( 27.10 , 0.1648121 , 0.1341225 , 68825.18 ) ,
( 33.90 , 0.1623888 , 0.1341301 , 68825.18 ) ,
( 24.50 , 0.1565056 , 0.1342635 , 68825.17 ) ,
( 37.80 , 0.1803646 , 0.1342990 , 68825.21 ) ,
( 26.60 , 0.1607037 , 0.1343363 , 68825.18 ) ,
( 22.90 , 0.1608076 , 0.1344152 , 68825.17 ) ,
( 28.60 , 0.1601534 , 0.1344234 , 68825.18 ) ,
( 29.60 , 0.1658077 , 0.1344613 , 68825.19 ) ,
( 29.60 , 0.1675310 , 0.1344613 , 68825.19 ) ,
( 39.70 , 0.1584740 , 0.1345280 , 68825.17 ) ,
( 25.30 , 0.1642275 , 0.1345399 , 68825.18 ) ,
( 30.90 , 0.1594667 , 0.1346214 , 68825.17 ) ,
( 34.20 , 0.1632900 , 0.1346391 , 68825.18 ) ,
( 94.50 , 0.1645479 , 0.1346676 , 68825.18 ) ,
( 25.10 , 0.1646338 , 0.1347178 , 68825.19 ) ,
( 29.00 , 0.1616726 , 0.1347533 , 68825.19 ) ,
( 48.20 , 0.1585321 , 0.1348081 , 68825.28 ) ,
( 101.90 , 0.1609392 , 0.1348502 , 68825.29 ) ,
( 31.60 , 0.1582241 , 0.1348683 , 68825.28 ) ,
( 21.50 , 0.1568136 , 0.1349313 , 68825.29 )),
(( 41.10 , 0.1978273 , 0.1352316 , 68825.35 ) ,
( 46.20 , 0.1978436 , 0.1353374 , 68825.35 ) ,
( 62.50 , 0.1667061 , 0.1354550 , 68825.30 ) ,
( 116.30 , 0.1429157 , 0.1355631 , 68825.26 ) ,
( 50.60 , 0.2011013 , 0.1355995 , 68825.35 ) ,
( 41.90 , 0.2020187 , 0.1358017 , 68825.35 ) ,
( 124.10 , 0.1503563 , 0.1360105 , 68825.38 ) ,
( 40.70 , 0.1590223 , 0.1360161 , 68825.39 ) ,
( 131.90 , 0.1829386 , 0.1361312 , 68825.43 ) ,
( 31.70 , 0.2026443 , 0.1361498 , 68825.46 ) ,
( 164.30 , 0.1681395 , 0.1362255 , 68825.41 ) ,
( 458.20 , 0.1667290 , 0.1329698 , 68835.08 ) ,
( 466.10 , 0.1683064 , 0.1329821 , 68835.09 ) ,
( 349.40 , 0.1662741 , 0.1330053 , 68835.08 ) ,
( 471.00 , 0.1680984 , 0.1330248 , 68835.08 ) ,
( 187.10 , 0.1659060 , 0.1330534 , 68835.08 ) ,
( 482.40 , 0.1691027 , 0.1331017 , 68835.08 ) ,
( 482.40 , 0.1648369 , 0.1331076 , 68835.08 ) ,
( 454.10 , 0.1636457 , 0.1331921 , 68835.07 ) ,
( 119.00 , 0.1692753 , 0.1332095 , 68835.08 ) ,
( 214.20 , 0.1681728 , 0.1332572 , 68835.08 ) ,
( 418.40 , 0.1656561 , 0.1332733 , 68835.08 ) ,
( 356.60 , 0.1641865 , 0.1332892 , 68835.08 ) ,
( 153.70 , 0.1671638 , 0.1334702 , 68835.08 ) ,
( 192.10 , 0.1660976 , 0.1334825 , 68835.08 ) ,
( 118.00 , 0.1681232 , 0.1335896 , 68835.08 ) ,
( 94.40 , 0.1695366 , 0.1335909 , 68835.08 ) ,
( 233.50 , 0.1636925 , 0.1338617 , 68835.18 ) ,
( 403.00 , 0.1623411 , 0.1339037 , 68835.18 ) ,
( 322.40 , 0.1670895 , 0.1339184 , 68835.19 ) ,
( 608.80 , 0.1655083 , 0.1339551 , 68835.19 ) ,
( 451.20 , 0.1629591 , 0.1339662 , 68835.18 ) ,
( 253.40 , 0.1664715 , 0.1339860 , 68835.19 ) ,
( 372.40 , 0.1636829 , 0.1340383 , 68835.18 ) ,
( 443.70 , 0.1712971 , 0.1340578 , 68835.19 ) ,
( 336.10 , 0.1724033 , 0.1341434 , 68835.20 ) ,
( 260.30 , 0.1708879 , 0.1341904 , 68835.19 ) ,
( 32.30 , 0.1560011 , 0.1344229 , 68835.17 ) ,
( 20.30 , 0.1577368 , 0.1345028 , 68835.17 ) ,
( 159.40 , 0.1850615 , 0.1348694 , 68835.32 ) ,
( 44.20 , 0.2002373 , 0.1357664 , 68835.35 ) ,
( 41.30 , 0.1994705 , 0.1358378 , 68835.35 ) ,
( 28.10 , 0.2035913 , 0.1361662 , 68835.46 ) ,
( 41.40 , 0.2048120 , 0.1364423 , 68835.46 ) ,
( 29.00 , 0.1583958 , 0.1369501 , 68835.39 ) ,
( 101.10 , 0.1646442 , 0.1332437 , 68845.08 ) ,
( 190.80 , 0.1660738 , 0.1332861 , 68845.08 ) ,
( 62.50 , 0.1639490 , 0.1332951 , 68845.07 ) ,
( 69.10 , 0.1626873 , 0.1333840 , 68845.07 ) ,
( 69.10 , 0.1669579 , 0.1333840 , 68845.08 ) ,
( 58.90 , 0.1614313 , 0.1334809 , 68845.07 ) ,
( 32.70 , 0.1670427 , 0.1335279 , 68845.08 ) ,
( 31.50 , 0.1660910 , 0.1335592 , 68845.11 ) ,
( 54.20 , 0.1633806 , 0.1335660 , 68845.12 ) ,
( 43.40 , 0.1618471 , 0.1335819 , 68845.15 ) ,
( 34.60 , 0.1645861 , 0.1338008 , 68845.19 ) ,
( 34.60 , 0.1635704 , 0.1338027 , 68845.18 ) ,
( 31.00 , 0.1654682 , 0.1339116 , 68845.18 ) ,
( 42.50 , 0.1668053 , 0.1339356 , 68845.19 ) ,
( 42.40 , 0.1616049 , 0.1341155 , 68845.18 ) ,
( 47.90 , 0.1651382 , 0.1341867 , 68845.18 ) ,
( 54.10 , 0.1600876 , 0.1342014 , 68845.18 ) ,
( 92.40 , 0.1634159 , 0.1342277 , 68845.18 ) ,
( 104.40 , 0.1608400 , 0.1342404 , 68845.18 ) ,
( 39.90 , 0.1644011 , 0.1342556 , 68845.18 ) ,
( 47.20 , 0.1614847 , 0.1343309 , 68845.18 ) ,
( 55.80 , 0.1690435 , 0.1343449 , 68845.19 ) ,
( 40.10 , 0.1700993 , 0.1344381 , 68845.19 ) ,
( 40.60 , 0.1684856 , 0.1344903 , 68845.19 ) ,
( 25.40 , 0.1522312 , 0.1360722 , 68845.39 ) ,
( 40.10 , 0.2030802 , 0.1363678 , 68845.46 ) ,
( 41.40 , 0.2015743 , 0.1364011 , 68845.46 ) ,
( 64.70 , 0.2065182 , 0.1367873 , 68845.47 ) ,
( 49.40 , 0.1577520 , 0.1379407 , 68844.93 ) ,
( 30.70 , 0.1619806 , 0.1336165 , 68855.18 ) ,
( 58.20 , 0.1633387 , 0.1336616 , 68855.18 ) ,
( 33.10 , 0.1611853 , 0.1336867 , 68855.18 ) ,
( 30.80 , 0.1599274 , 0.1337753 , 68855.18 ) ,
( 30.80 , 0.1641245 , 0.1337753 , 68855.18 ) ,
( 33.50 , 0.1586246 , 0.1338656 , 68855.17 ) ,
( 30.60 , 0.1604795 , 0.1339707 , 68855.18 ) ,
( 32.00 , 0.1589565 , 0.1339881 , 68855.17 ) ,
( 34.20 , 0.1604366 , 0.1342222 , 68855.18 ) ,
( 27.40 , 0.1612968 , 0.1342296 , 68855.17 ) ,
( 25.90 , 0.1621609 , 0.1343633 , 68855.18 ) ,
( 25.90 , 0.1635075 , 0.1343805 , 68855.18 ) ,
( 31.70 , 0.1607246 , 0.1345945 , 68855.18 ) ,
( 39.70 , 0.1572790 , 0.1345955 , 68855.17 ) ,
( 30.90 , 0.1581831 , 0.1346131 , 68855.17 ) ,
( 30.80 , 0.1661949 , 0.1347353 , 68855.29 ) ,
( 27.60 , 0.1586151 , 0.1347457 , 68855.29 ) ,
( 35.70 , 0.1670780 , 0.1348423 , 68855.29 ) ,
( 25.40 , 0.1654167 , 0.1349059 , 68855.29 ) ,
( 20.60 , 0.1439362 , 0.1355643 , 68855.27 ) ,
( 20.30 , 0.1419725 , 0.1357601 , 68855.25 ) ,
( 20.30 , 0.1459484 , 0.1357601 , 68855.25 ) ,
( 25.50 , 0.1432848 , 0.1363384 , 68855.37 ) ,
( 25.60 , 0.1461134 , 0.1363732 , 68855.37 ) ,
( 22.10 , 0.1364040 , 0.1364363 , 68855.35 ) ,
( 21.70 , 0.1391211 , 0.1364541 , 68855.37 ) ,
( 27.50 , 0.1469908 , 0.1365964 , 68855.38 ) ,
( 20.30 , 0.1370554 , 0.1366854 , 68855.35 ) ,
( 21.20 , 0.1454554 , 0.1367744 , 68855.38 ) ,
( 31.70 , 0.1586866 , 0.1340379 , 68865.18 ) ,
( 33.90 , 0.1600533 , 0.1340808 , 68865.18 ) ,
( 25.60 , 0.1598358 , 0.1341164 , 68865.18 ) ,
( 27.40 , 0.1565084 , 0.1342044 , 68865.17 ) ,
( 34.20 , 0.1606750 , 0.1342120 , 68865.18 ) ,
( 26.60 , 0.1573753 , 0.1350162 , 68865.28 ) ,
( 23.60 , 0.1546831 , 0.1350507 , 68865.28 ) ,
( 25.40 , 0.1455145 , 0.1360383 , 68865.38 ) ,
( 20.30 , 0.1415377 , 0.1360383 , 68865.37 ) ,
( 21.70 , 0.1364937 , 0.1362697 , 68865.35 ) ,
( 22.10 , 0.1457663 , 0.1364120 , 68865.36 ) ,
( 22.10 , 0.1475334 , 0.1364120 , 68865.37 ) ,
( 30.70 , 0.1378717 , 0.1368300 , 68865.36 ) ,
( 21.30 , 0.1339197 , 0.1368570 , 68865.36 ) ,
( 21.30 , 0.1424904 , 0.1368570 , 68865.37 ) ,
( 29.00 , 0.1406326 , 0.1368736 , 68865.36 ) ,
( 27.00 , 0.1371517 , 0.1368926 , 68865.36 ) ,
( 22.80 , 0.1363850 , 0.1369103 , 68865.35 ) ,
( 26.20 , 0.1344337 , 0.1370063 , 68864.89 ) ,
( 28.60 , 0.1417379 , 0.1370752 , 68864.91 ) ,
( 21.20 , 0.1313858 , 0.1371573 , 68864.89 ) ,
( 20.20 , 0.1414728 , 0.1372252 , 68864.91 ) ,
( 22.10 , 0.1377697 , 0.1363976 , 68875.35 ) ,
( 22.10 , 0.1419563 , 0.1364064 , 68875.36 ) ,
( 20.20 , 0.1360874 , 0.1365400 , 68875.35 ) ,
( 20.70 , 0.1309948 , 0.1367891 , 68875.34 ) ,
( 24.60 , 0.1353378 , 0.1368069 , 68875.36 ) ,
( 20.90 , 0.1420345 , 0.1369315 , 68875.36 ) ,
( 21.00 , 0.1330347 , 0.1369992 , 68874.90 ) ,
( 20.20 , 0.1386595 , 0.1370069 , 68874.91 ) ,
( 28.60 , 0.1340752 , 0.1370738 , 68874.90 ) ,
( 26.50 , 0.1380568 , 0.1371428 , 68874.90 ) ,
( 25.10 , 0.1362000 , 0.1372032 , 68874.90 ) ,
( 39.40 , 0.1324396 , 0.1373248 , 68874.90 ) ,
( 32.80 , 0.1352224 , 0.1373607 , 68874.90 ) ,
( 23.40 , 0.1263323 , 0.1375355 , 68874.88 ) ,
( 28.20 , 0.1335068 , 0.1375808 , 68874.91 ) ,
( 21.20 , 0.1337118 , 0.1376864 , 68874.89 ) ,
( 20.20 , 0.1268864 , 0.1377620 , 68874.89 ) ,
( 22.20 , 0.1344700 , 0.1377698 , 68874.90 ) ,
( 20.30 , 0.1498690 , 0.1359769 , 68885.38 ) ,
( 20.90 , 0.1364479 , 0.1368845 , 68885.35 ) ,
( 21.80 , 0.1332598 , 0.1369677 , 68884.90 ) ,
( 21.90 , 0.1308250 , 0.1369979 , 68884.89 ) ,
( 21.90 , 0.1347218 , 0.1370052 , 68884.89 ) ,
( 28.60 , 0.1320238 , 0.1370268 , 68884.90 ) ,
( 25.20 , 0.1299925 , 0.1372770 , 68884.89 ) ,
( 26.30 , 0.1348476 , 0.1373978 , 68884.89 ) ,
( 26.30 , 0.1366148 , 0.1373978 , 68884.90 ) ,
( 23.40 , 0.1272850 , 0.1374884 , 68884.88 ) ,
( 27.00 , 0.1330118 , 0.1376847 , 68884.90 ) ,
( 25.60 , 0.1271324 , 0.1377753 , 68884.90 ) ,
( 20.50 , 0.1277514 , 0.1377753 , 68884.90 ) ,
( 29.80 , 0.1267595 , 0.1378073 , 68884.89 ) ,
( 25.30 , 0.1294575 , 0.1378438 , 68884.89 ) ,
( 20.20 , 0.1257715 , 0.1378508 , 68884.88 ) ,
( 20.80 , 0.1218309 , 0.1380924 , 68884.66 ) ,
( 20.80 , 0.1240406 , 0.1380924 , 68884.67 ) ,
( 22.50 , 0.1461401 , 0.1357518 , 68895.38 ) ,
( 20.20 , 0.1479483 , 0.1369786 , 68894.93 ) ,
( 21.00 , 0.1266212 , 0.1373863 , 68894.88 ) ,
( 21.00 , 0.1307735 , 0.1373863 , 68894.89 ) ,
( 22.70 , 0.1241579 , 0.1374316 , 68894.89 ) ,
( 22.60 , 0.1249952 , 0.1375222 , 68894.89 ) ,
( 20.20 , 0.1261053 , 0.1375524 , 68894.89 ) ,
( 20.20 , 0.1288443 , 0.1375524 , 68894.90 ) ,
( 23.80 , 0.1240454 , 0.1378091 , 68894.88 ) ,
( 27.20 , 0.1246452 , 0.1382017 , 68894.67 ) ,
( 22.40 , 0.1271458 , 0.1382168 , 68894.69 ) ,
( 22.60 , 0.1191998 , 0.1383980 , 68894.67 ) ,
( 20.90 , 0.1239214 , 0.1387452 , 68894.67 ) ,
( 20.50 , 0.1417246 , 0.1362480 , 68905.36 ) ,
( 22.10 , 0.1411028 , 0.1363192 , 68905.36 ) ,
( 21.70 , 0.1387844 , 0.1363370 , 68905.37 ) ,
( 26.20 , 0.1375465 , 0.1369134 , 68904.90 ) ,
( 21.20 , 0.1388273 , 0.1370644 , 68904.90 ) ,
( 21.20 , 0.1392174 , 0.1371550 , 68904.90 ) ,
( 20.20 , 0.1355534 , 0.1372456 , 68904.89 ) ,
( 21.20 , 0.1368990 , 0.1373740 , 68904.90 ) ,
( 20.70 , 0.1367798 , 0.1368092 , 68915.36 ) ,
( 26.20 , 0.1340218 , 0.1368874 , 68914.89 ) ,
( 21.80 , 0.1331081 , 0.1369247 , 68914.90 ) ,
( 20.20 , 0.1371832 , 0.1369327 , 68914.91 ) ,
( 26.50 , 0.1315918 , 0.1370384 , 68914.89 ) ,
( 22.60 , 0.1324310 , 0.1374763 , 68914.90 ) ,
( 20.80 , 0.1338224 , 0.1376122 , 68914.89 ) ,
( 21.60 , 0.1350489 , 0.1376272 , 68914.91 ) ,
( 21.50 , 0.1314754 , 0.1377407 , 68914.90 ) ,
( 21.30 , 0.1320896 , 0.1379141 , 68914.68 ) ,
( 21.80 , 0.1398773 , 0.1379896 , 68914.71 ) ,
( 26.30 , 0.1302681 , 0.1373246 , 68924.89 ) ,
( 21.50 , 0.1317196 , 0.1373548 , 68924.89 ) ,
( 22.60 , 0.1287308 , 0.1374605 , 68924.90 ) ,
( 25.30 , 0.1278086 , 0.1374907 , 68924.90 ) ,
( 21.50 , 0.1279058 , 0.1377323 , 68924.90 ) ,
( 20.20 , 0.1262283 , 0.1377776 , 68924.88 ) ,
( 22.40 , 0.1345530 , 0.1385628 , 68924.68 )),
(( 20.20 , 0.1074524 , 0.1398463 , 68925.00 ) ,
( 21.30 , 0.1224241 , 0.1380343 , 68934.66 ) ,
( 21.30 , 0.1265774 , 0.1380343 , 68934.67 ) ,
( 22.60 , 0.1207771 , 0.1382910 , 68934.68 ) ,
( 22.60 , 0.1225443 , 0.1382910 , 68934.68 ) ,
( 22.30 , 0.1199646 , 0.1389403 , 68934.77 ) ,
( 21.60 , 0.0951214 , 0.1402388 , 68934.97 ) ,
( 20.90 , 0.1168289 , 0.1386259 , 68944.66 ) ,
( 27.00 , 0.1182356 , 0.1393960 , 68944.78 ) ,
( 21.60 , 0.1167994 , 0.1401986 , 68955.00 ) ,
( 21.50 , 5.7741880 , 0.1436893 , 68711.82 ) ,
( 25.10 , 5.7492790 , 0.1443990 , 68711.91 ) ,
( 53.30 , 5.7708855 , 0.1436839 , 68721.82 ) ,
( 76.60 , 5.7740421 , 0.1437080 , 68721.82 ) ,
( 152.70 , 5.7491865 , 0.1444307 , 68721.90 ) ,
( 66.60 , 5.7709265 , 0.1436965 , 68731.82 ) ,
( 20.10 , 5.7741957 , 0.1437229 , 68731.82 ) ,
( 126.40 , 5.7709455 , 0.1437466 , 68731.82 ) ,
( 123.80 , 5.7741232 , 0.1437804 , 68731.82 ) ,
( 50.70 , 5.7702036 , 0.1437914 , 68731.82 ) ,
( 394.60 , 5.7739382 , 0.1438287 , 68731.82 ) ,
( 616.50 , 5.7708435 , 0.1438293 , 68731.82 ) ,
( 21.10 , 5.7637777 , 0.1440626 , 68731.93 ) ,
( 40.40 , 5.7676172 , 0.1440933 , 68731.93 ) ,
( 24.30 , 5.7687120 , 0.1441156 , 68731.93 ) ,
( 27.10 , 5.7673693 , 0.1441916 , 68731.93 ) ,
( 33.90 , 5.7714958 , 0.1442077 , 68731.94 ) ,
( 33.90 , 5.7706280 , 0.1442208 , 68731.94 ) ,
( 31.00 , 5.7694016 , 0.1442420 , 68731.93 ) ,
( 31.00 , 5.7707634 , 0.1442438 , 68731.94 ) ,
( 24.80 , 5.7682009 , 0.1442438 , 68731.94 ) ,
( 32.30 , 5.7655544 , 0.1442746 , 68731.93 ) ,
( 50.50 , 5.7669392 , 0.1442766 , 68731.93 ) ,
( 30.00 , 5.7691259 , 0.1442821 , 68731.93 ) ,
( 46.90 , 5.7698383 , 0.1442972 , 68731.93 ) ,
( 23.90 , 5.7670546 , 0.1443042 , 68731.94 ) ,
( 25.10 , 5.7677240 , 0.1443721 , 68731.93 ) ,
( 43.60 , 5.7593393 , 0.1443956 , 68731.92 ) ,
( 24.10 , 5.7670984 , 0.1444100 , 68731.92 ) ,
( 31.50 , 5.7595482 , 0.1444250 , 68731.92 ) ,
( 25.20 , 5.7587528 , 0.1444250 , 68731.92 ) ,
( 40.00 , 5.7607689 , 0.1444408 , 68731.92 ) ,
( 50.00 , 5.7491856 , 0.1444471 , 68731.90 ) ,
( 44.40 , 5.7579498 , 0.1444635 , 68731.91 ) ,
( 35.50 , 5.7605839 , 0.1444775 , 68731.92 ) ,
( 43.40 , 5.7585897 , 0.1445006 , 68731.92 ) ,
( 34.80 , 5.7598858 , 0.1445006 , 68731.92 ) ,
( 35.40 , 5.7602310 , 0.1445379 , 68731.92 ) ,
( 28.30 , 5.7593918 , 0.1445379 , 68731.92 ) ,
( 741.60 , 5.7491779 , 0.1445615 , 68731.90 ) ,
( 475.10 , 5.7490511 , 0.1445931 , 68731.89 ) ,
( 244.10 , 5.7739382 , 0.1437675 , 68741.82 ) ,
( 394.60 , 5.7707996 , 0.1437722 , 68741.82 ) ,
( 82.70 , 5.7700377 , 0.1437882 , 68741.82 ) ,
( 941.60 , 5.7707262 , 0.1438382 , 68741.82 ) ,
( 288.70 , 5.7698975 , 0.1438757 , 68741.82 ) ,
( 776.80 , 5.7738199 , 0.1438851 , 68741.82 ) ,
( 1537.50 , 5.7735329 , 0.1439252 , 68741.82 ) ,
( 2245.90 , 5.7705507 , 0.1439506 , 68741.82 ) ,
( 40.40 , 5.7670555 , 0.1440386 , 68741.93 ) ,
( 37.40 , 5.7660227 , 0.1440838 , 68741.93 ) ,
( 20.10 , 5.7659121 , 0.1441057 , 68741.93 ) ,
( 65.50 , 5.7672596 , 0.1441208 , 68741.92 ) ,
( 21.50 , 5.7630186 , 0.1441208 , 68741.92 ) ,
( 41.90 , 5.7655973 , 0.1441278 , 68741.93 ) ,
( 26.80 , 5.7616339 , 0.1441348 , 68741.92 ) ,
( 161.50 , 5.7673674 , 0.1441529 , 68741.93 ) ,
( 82.80 , 5.7667103 , 0.1441675 , 68741.93 ) ,
( 103.50 , 5.7686014 , 0.1441748 , 68741.93 ) ,
( 53.00 , 5.7631407 , 0.1441786 , 68741.93 ) ,
( 38.60 , 5.7678947 , 0.1441879 , 68741.93 ) ,
( 31.00 , 5.7618866 , 0.1441895 , 68741.92 ) ,
( 40.90 , 5.7663317 , 0.1442040 , 68741.93 ) ,
( 40.40 , 5.7626820 , 0.1442205 , 68741.92 ) ,
( 20.70 , 5.7614098 , 0.1442265 , 68741.93 ) ,
( 78.90 , 5.7672644 , 0.1442382 , 68741.93 ) ,
( 37.50 , 5.7628994 , 0.1442556 , 68741.92 ) ,
( 72.90 , 5.7714405 , 0.1442586 , 68741.94 ) ,
( 117.90 , 5.7705679 , 0.1442794 , 68741.94 ) ,
( 30.90 , 5.7637091 , 0.1442869 , 68741.93 ) ,
( 75.50 , 5.7680502 , 0.1442903 , 68741.93 ) ,
( 117.90 , 5.7692652 , 0.1442945 , 68741.93 ) ,
( 31.40 , 5.7636099 , 0.1443097 , 68741.92 ) ,
( 95.70 , 5.7654657 , 0.1443252 , 68741.93 ) ,
( 184.60 , 5.7667770 , 0.1443316 , 68741.93 ) ,
( 43.60 , 5.7590380 , 0.1443347 , 68741.92 ) ,
( 75.60 , 5.7689562 , 0.1443377 , 68741.93 ) ,
( 43.60 , 5.7633896 , 0.1443402 , 68741.92 ) ,
( 34.90 , 5.7622404 , 0.1443410 , 68741.92 ) ,
( 58.80 , 5.7659111 , 0.1443599 , 68741.93 ) ,
( 224.30 , 5.7696180 , 0.1443658 , 68741.93 ) ,
( 62.60 , 5.7665253 , 0.1443968 , 68741.93 ) ,
( 108.30 , 5.7675323 , 0.1444249 , 68741.93 ) ,
( 40.60 , 5.7651663 , 0.1444368 , 68741.93 ) ,
( 132.60 , 5.7591581 , 0.1444433 , 68741.92 ) ,
( 67.90 , 5.7669325 , 0.1444540 , 68741.93 ) ,
( 65.10 , 5.7586079 , 0.1444681 , 68741.91 ) ,
( 127.10 , 5.7594337 , 0.1444790 , 68741.92 ) ,
( 153.60 , 5.7605820 , 0.1444861 , 68741.92 ) ,
( 379.70 , 5.7490711 , 0.1445004 , 68741.90 ) ,
( 155.50 , 5.7577343 , 0.1445195 , 68741.91 ) ,
( 26.00 , 5.7597408 , 0.1445284 , 68741.92 ) ,
( 155.20 , 5.7605400 , 0.1445303 , 68741.92 ) ,
( 101.70 , 5.7585955 , 0.1445513 , 68741.92 ) ,
( 256.50 , 5.7491741 , 0.1445700 , 68741.90 ) ,
( 164.20 , 5.7599144 , 0.1445773 , 68741.92 ) ,
( 79.30 , 5.7592850 , 0.1445892 , 68741.92 ) ,
( 770.60 , 5.7492924 , 0.1446308 , 68741.89 ) ,
( 1468.40 , 5.7491369 , 0.1446808 , 68741.90 ) ,
( 1525.20 , 5.7487450 , 0.1447404 , 68741.90 ) ,
( 1698.70 , 5.7738981 , 0.1438875 , 68751.82 ) ,
( 787.20 , 5.7700987 , 0.1438983 , 68751.82 ) ,
( 1437.40 , 5.7707491 , 0.1439337 , 68751.82 ) ,
( 3503.50 , 5.7706709 , 0.1440061 , 68751.91 ) ,
( 1080.70 , 5.7697067 , 0.1440487 , 68751.93 ) ,
( 3404.70 , 5.7731895 , 0.1440864 , 68751.94 ) ,
( 762.90 , 5.7737265 , 0.1441085 , 68751.94 ) ,
( 111.20 , 5.7671099 , 0.1441196 , 68751.93 ) ,
( 66.20 , 5.7629004 , 0.1441212 , 68751.92 ) ,
( 94.30 , 5.7635374 , 0.1441563 , 68751.92 ) ,
( 5236.80 , 5.7703590 , 0.1441662 , 68751.93 ) ,
( 118.20 , 5.7660618 , 0.1441708 , 68751.93 ) ,
( 79.80 , 5.7630720 , 0.1441945 , 68751.92 ) ,
( 98.70 , 5.7617626 , 0.1442073 , 68751.92 ) ,
( 223.60 , 5.7673874 , 0.1442184 , 68751.93 ) ,
( 178.90 , 5.7657089 , 0.1442190 , 68751.93 ) ,
( 184.30 , 5.7630844 , 0.1442580 , 68751.92 ) ,
( 75.50 , 5.7619305 , 0.1442599 , 68751.92 ) ,
( 60.40 , 5.7607164 , 0.1442624 , 68751.92 ) ,
( 117.90 , 5.7680655 , 0.1442708 , 68751.93 ) ,
( 359.90 , 5.7665052 , 0.1442746 , 68751.93 ) ,
( 346.60 , 5.7672834 , 0.1442870 , 68751.93 ) ,
( 365.10 , 5.7686844 , 0.1442955 , 68751.93 ) ,
( 76.60 , 5.7614727 , 0.1443051 , 68751.92 ) ,
( 38.70 , 5.7620077 , 0.1443143 , 68751.91 ) ,
( 208.10 , 5.7628813 , 0.1443245 , 68751.92 ) ,
( 325.10 , 5.7673550 , 0.1443403 , 68751.93 ) ,
( 76.80 , 5.7618647 , 0.1443512 , 68751.92 ) ,
( 76.80 , 5.7603626 , 0.1443519 , 68751.92 ) ,
( 76.80 , 5.7630606 , 0.1443596 , 68751.93 ) ,
( 298.30 , 5.7707624 , 0.1443681 , 68751.93 ) ,
( 238.70 , 5.7714958 , 0.1443760 , 68751.94 ) ,
( 122.20 , 5.7637510 , 0.1443787 , 68751.92 ) ,
( 271.20 , 5.7681379 , 0.1443844 , 68751.93 ) ,
( 169.30 , 5.7670727 , 0.1444004 , 68751.93 ) ,
( 413.30 , 5.7705460 , 0.1444033 , 68751.94 ) ,
( 516.60 , 5.7694206 , 0.1444043 , 68751.93 ) ,
( 44.40 , 5.7611713 , 0.1444054 , 68751.92 ) ,
( 99.00 , 5.7621965 , 0.1444221 , 68751.92 ) ,
( 165.70 , 5.7590818 , 0.1444284 , 68751.92 ) ,
( 505.70 , 5.7655325 , 0.1444303 , 68751.93 ) ,
( 207.10 , 5.7635078 , 0.1444315 , 68751.92 ) ,
( 323.60 , 5.7691326 , 0.1444425 , 68751.93 ) ,
( 606.20 , 5.7666626 , 0.1444566 , 68751.93 ) ,
( 210.80 , 5.7659721 , 0.1444635 , 68751.93 ) ,
( 593.30 , 5.7694454 , 0.1444954 , 68751.93 ) ,
( 155.20 , 5.7672777 , 0.1445062 , 68751.93 ) ,
( 124.20 , 5.7665443 , 0.1445106 , 68751.94 ) ,
( 124.50 , 5.7651129 , 0.1445183 , 68751.93 ) ,
( 65.10 , 5.7588253 , 0.1445408 , 68751.92 ) ,
( 387.80 , 5.7674541 , 0.1445420 , 68751.93 ) ,
( 105.10 , 5.7669640 , 0.1445558 , 68751.93 ) ,
( 20.80 , 5.7607145 , 0.1445710 , 68751.93 ) ,
( 302.50 , 5.7590828 , 0.1445724 , 68751.92 ) ,
( 252.40 , 5.7595387 , 0.1445979 , 68751.92 ) ,
( 770.30 , 5.7492743 , 0.1445993 , 68751.90 ) ,
( 493.20 , 5.7605400 , 0.1446110 , 68751.92 ) ,
( 500.50 , 5.7576847 , 0.1446391 , 68751.91 ) ,
( 400.40 , 5.7606506 , 0.1446539 , 68751.92 ) ,
( 1221.90 , 5.7489300 , 0.1446549 , 68751.90 ) ,
( 384.90 , 5.7587376 , 0.1446612 , 68751.92 ) ,
( 156.80 , 5.7607603 , 0.1446767 , 68751.91 ) ,
( 102.80 , 5.7593937 , 0.1446918 , 68751.92 ) ,
( 490.40 , 5.7598667 , 0.1446992 , 68751.92 ) ,
( 1220.10 , 5.7495375 , 0.1447220 , 68751.90 ) ,
( 1106.70 , 5.7498789 , 0.1448185 , 68751.90 ) ,
( 1609.90 , 5.7492380 , 0.1448362 , 68751.90 ) ,
( 3506.70 , 5.7491236 , 0.1449252 , 68751.90 ) ,
( 3345.80 , 5.7484694 , 0.1450016 , 68752.00 ) ,
( 2638.40 , 5.7735081 , 0.1440347 , 68761.94 ) ,
( 2723.70 , 5.7698984 , 0.1440684 , 68761.93 ) ,
( 4255.80 , 5.7736940 , 0.1440774 , 68761.94 ) ,
( 2681.20 , 5.7705317 , 0.1441450 , 68761.94 ) ,
( 3505.00 , 5.7703047 , 0.1441917 , 68761.93 ) ,
( 222.30 , 5.7628670 , 0.1442180 , 68761.92 ) ,
( 438.60 , 5.7670908 , 0.1442398 , 68761.93 ) ,
( 6546.00 , 5.7703686 , 0.1442511 , 68761.93 ) ,
( 365.10 , 5.7631826 , 0.1442814 , 68761.92 ) ,
( 456.40 , 5.7660637 , 0.1442910 , 68761.93 ) ,
( 5313.50 , 5.7725697 , 0.1442918 , 68761.94 ) ,
( 3357.50 , 5.7691956 , 0.1443006 , 68761.93 ) ,
( 325.10 , 5.7616739 , 0.1443115 , 68761.92 ) ,
( 457.90 , 5.7656507 , 0.1443455 , 68761.93 ) ,
( 582.60 , 5.7673359 , 0.1443536 , 68761.93 ) ,
( 466.10 , 5.7628012 , 0.1443589 , 68761.92 ) ,
( 238.70 , 5.7606926 , 0.1443622 , 68761.92 ) ,
( 298.30 , 5.7618866 , 0.1443714 , 68761.92 ) ,
( 4811.20 , 5.7733946 , 0.1443880 , 68761.94 ) ,
( 922.10 , 5.7662411 , 0.1444033 , 68761.93 ) ,
( 241.70 , 5.7613974 , 0.1444069 , 68761.92 )),
(( 632.10 , 5.7679701 , 0.1444173 , 68761.93 ) ,
( 165.70 , 5.7619457 , 0.1444196 , 68761.91 ) ,
( 643.40 , 5.7628489 , 0.1444412 , 68761.92 ) ,
( 1005.30 , 5.7667551 , 0.1444483 , 68761.93 ) ,
( 804.20 , 5.7686329 , 0.1444524 , 68761.93 ) ,
( 263.50 , 5.7618065 , 0.1444530 , 68761.92 ) ,
( 263.50 , 5.7603149 , 0.1444536 , 68761.92 ) ,
( 4367.00 , 5.7698402 , 0.1444699 , 68761.93 ) ,
( 194.40 , 5.7630053 , 0.1444800 , 68761.92 ) ,
( 593.30 , 5.7672882 , 0.1444817 , 68761.93 ) ,
( 380.10 , 5.7636852 , 0.1445010 , 68761.92 ) ,
( 155.70 , 5.7611227 , 0.1445012 , 68761.92 ) ,
( 593.90 , 5.7708578 , 0.1445084 , 68761.93 ) ,
( 742.30 , 5.7680798 , 0.1445178 , 68761.93 ) ,
( 606.00 , 5.7669039 , 0.1445221 , 68761.93 ) ,
( 484.80 , 5.7714376 , 0.1445287 , 68761.94 ) ,
( 782.70 , 5.7706490 , 0.1445338 , 68761.93 ) ,
( 400.80 , 5.7619648 , 0.1445344 , 68761.92 ) ,
( 472.70 , 5.7590437 , 0.1445532 , 68761.92 ) ,
( 472.70 , 5.7633982 , 0.1445574 , 68761.92 ) ,
( 378.10 , 5.7662001 , 0.1445592 , 68761.93 ) ,
( 738.50 , 5.7704515 , 0.1445631 , 68761.94 ) ,
( 888.80 , 5.7693110 , 0.1445642 , 68761.93 ) ,
( 888.80 , 5.7655048 , 0.1445676 , 68761.93 ) ,
( 493.20 , 5.7690306 , 0.1446036 , 68761.93 ) ,
( 1371.80 , 5.7664833 , 0.1446185 , 68761.93 ) ,
( 500.50 , 5.7648382 , 0.1446345 , 68761.93 ) ,
( 957.70 , 5.7690897 , 0.1446761 , 68761.93 ) ,
( 956.70 , 5.7671976 , 0.1446874 , 68761.93 ) ,
( 1063.90 , 5.7589493 , 0.1447318 , 68761.92 ) ,
( 278.90 , 5.7596970 , 0.1447333 , 68761.92 ) ,
( 1801.40 , 5.7497501 , 0.1447398 , 68761.90 ) ,
( 740.80 , 5.7602177 , 0.1447729 , 68761.92 ) ,
( 2161.50 , 5.7487679 , 0.1447946 , 68761.90 ) ,
( 290.10 , 5.7606640 , 0.1447971 , 68761.93 ) ,
( 708.30 , 5.7588129 , 0.1448009 , 68761.92 ) ,
( 885.30 , 5.7574062 , 0.1448028 , 68761.91 ) ,
( 659.40 , 5.7607746 , 0.1448218 , 68761.92 ) ,
( 659.40 , 5.7587652 , 0.1448296 , 68761.92 ) ,
( 659.40 , 5.7600088 , 0.1448305 , 68761.92 ) ,
( 464.80 , 5.7594299 , 0.1448575 , 68761.92 ) ,
( 882.60 , 5.7594986 , 0.1448770 , 68761.92 ) ,
( 2693.50 , 5.7485332 , 0.1448792 , 68761.90 ) ,
( 4016.70 , 5.7499638 , 0.1449570 , 68761.99 ) ,
( 3293.30 , 5.7505693 , 0.1450984 , 68762.00 ) ,
( 4407.90 , 5.7494059 , 0.1451190 , 68762.00 ) ,
( 6610.40 , 5.7489233 , 0.1452606 , 68762.00 ) ,
( 5478.80 , 5.7478352 , 0.1453798 , 68762.00 ) ,
( 27.10 , 5.7561216 , 0.1441122 , 68771.92 ) ,
( 33.90 , 5.7571831 , 0.1441138 , 68771.91 ) ,
( 48.40 , 5.7614670 , 0.1441537 , 68771.92 ) ,
( 24.00 , 5.7585440 , 0.1441952 , 68771.92 ) ,
( 46.60 , 5.7611179 , 0.1442028 , 68771.92 ) ,
( 37.70 , 5.7596712 , 0.1442261 , 68771.92 ) ,
( 23.80 , 5.7712469 , 0.1442481 , 68771.93 ) ,
( 25.10 , 5.7581253 , 0.1442632 , 68771.92 ) ,
( 39.20 , 5.7564058 , 0.1442633 , 68771.91 ) ,
( 31.40 , 5.7596712 , 0.1442767 , 68771.92 ) ,
( 5914.30 , 5.7730665 , 0.1442828 , 68771.94 ) ,
( 5914.30 , 5.7697582 , 0.1442932 , 68771.93 ) ,
( 2089.00 , 5.7734537 , 0.1443085 , 68771.93 ) ,
( 20.10 , 5.7575970 , 0.1443236 , 68771.92 ) ,
( 6782.80 , 5.7735434 , 0.1443375 , 68771.94 ) ,
( 529.80 , 5.7629185 , 0.1443503 , 68771.92 ) ,
( 790.20 , 5.7671633 , 0.1443859 , 68771.93 ) ,
( 1184.10 , 5.7631044 , 0.1444163 , 68771.92 ) ,
( 915.80 , 5.7661667 , 0.1444409 , 68771.93 ) ,
( 593.30 , 5.7617903 , 0.1444553 , 68771.92 ) ,
( 5513.80 , 5.7703438 , 0.1444703 , 68771.93 ) ,
( 155.20 , 5.7660294 , 0.1444746 , 68771.93 ) ,
( 742.30 , 5.7624836 , 0.1444879 , 68771.92 ) ,
( 593.90 , 5.7607241 , 0.1444921 , 68771.92 ) ,
( 946.90 , 5.7657461 , 0.1445042 , 68771.93 ) ,
( 127.10 , 5.7719860 , 0.1445130 , 68771.94 ) ,
( 978.40 , 5.7674456 , 0.1445193 , 68771.93 ) ,
( 501.00 , 5.7619696 , 0.1445225 , 68771.92 ) ,
( 5831.90 , 5.7698793 , 0.1445310 , 68771.93 ) ,
( 378.10 , 5.7614212 , 0.1445408 , 68771.92 ) ,
( 27.10 , 5.7644863 , 0.1445513 , 68771.93 ) ,
( 493.00 , 5.7620239 , 0.1445652 , 68771.93 ) ,
( 66.20 , 5.7630844 , 0.1445652 , 68771.93 ) ,
( 616.20 , 5.7665634 , 0.1445679 , 68771.93 ) ,
( 963.20 , 5.7656631 , 0.1445718 , 68771.93 ) ,
( 616.50 , 5.7618885 , 0.1445751 , 68771.92 ) ,
( 616.50 , 5.7603588 , 0.1445829 , 68771.92 ) ,
( 770.60 , 5.7680693 , 0.1445848 , 68771.93 ) ,
( 252.50 , 5.7700758 , 0.1445866 , 68771.93 ) ,
( 1221.90 , 5.7629671 , 0.1446028 , 68771.92 ) ,
( 256.20 , 5.7679663 , 0.1446105 , 68771.92 ) ,
( 400.40 , 5.7611513 , 0.1446175 , 68771.92 ) ,
( 7002.10 , 5.7686138 , 0.1446301 , 68771.93 ) ,
( 934.60 , 5.7665863 , 0.1446400 , 68771.93 ) ,
( 766.20 , 5.7637806 , 0.1446477 , 68771.92 ) ,
( 392.30 , 5.7678671 , 0.1446507 , 68771.93 ) ,
( 489.80 , 5.7662201 , 0.1446612 , 68771.93 ) ,
( 313.50 , 5.7673588 , 0.1446640 , 68771.93 ) ,
( 765.30 , 5.7616510 , 0.1446767 , 68771.92 ) ,
( 780.90 , 5.7681684 , 0.1446884 , 68771.93 ) ,
( 974.20 , 5.7708578 , 0.1446924 , 68771.93 ) ,
( 851.10 , 5.7591343 , 0.1447107 , 68771.92 ) ,
( 851.10 , 5.7635002 , 0.1447127 , 68771.92 ) ,
( 680.90 , 5.7715511 , 0.1447159 , 68771.94 ) ,
( 1441.10 , 5.7656288 , 0.1447255 , 68771.93 ) ,
( 155.40 , 5.7730675 , 0.1447430 , 68771.94 ) ,
( 242.70 , 5.7667999 , 0.1447464 , 68771.94 ) ,
( 79.50 , 5.7716599 , 0.1447464 , 68771.94 ) ,
( 926.00 , 5.7705393 , 0.1447471 , 68771.93 ) ,
( 1109.30 , 5.7693386 , 0.1447597 , 68771.93 ) ,
( 454.40 , 5.7659674 , 0.1447681 , 68771.93 ) ,
( 1106.70 , 5.7666607 , 0.1447751 , 68771.93 ) ,
( 362.60 , 5.7655077 , 0.1447766 , 68771.93 ) ,
( 795.70 , 5.7645617 , 0.1447862 , 68771.93 ) ,
( 208.60 , 5.7691479 , 0.1447943 , 68771.93 ) ,
( 659.40 , 5.7672386 , 0.1448064 , 68771.93 ) ,
( 914.90 , 5.7660999 , 0.1448223 , 68771.93 ) ,
( 882.60 , 5.7670870 , 0.1448452 , 68771.93 ) ,
( 581.00 , 5.7693491 , 0.1448489 , 68771.93 ) ,
( 896.20 , 5.7590971 , 0.1448954 , 68771.92 ) ,
( 958.20 , 5.7670422 , 0.1448961 , 68771.94 ) ,
( 896.20 , 5.7687206 , 0.1449021 , 68771.95 ) ,
( 4569.00 , 5.7504692 , 0.1449195 , 68771.95 ) ,
( 758.70 , 5.7599669 , 0.1449243 , 68771.98 ) ,
( 1159.00 , 5.7589931 , 0.1449750 , 68772.02 ) ,
( 927.20 , 5.7599983 , 0.1449819 , 68772.02 ) ,
( 959.70 , 5.7571640 , 0.1450126 , 68772.01 ) ,
( 741.20 , 5.7610149 , 0.1450140 , 68772.02 ) ,
( 474.30 , 5.7596788 , 0.1450271 , 68772.02 ) ,
( 562.10 , 5.7602196 , 0.1450381 , 68772.02 ) ,
( 4362.20 , 5.7484903 , 0.1450716 , 68772.00 ) ,
( 924.40 , 5.7591677 , 0.1450945 , 68772.02 ) ,
( 5598.50 , 5.7481127 , 0.1451958 , 68772.00 ) ,
( 7053.70 , 5.7508049 , 0.1452855 , 68772.00 ) ,
( 2301.10 , 5.7515688 , 0.1454362 , 68772.01 ) ,
( 2276.90 , 5.7498016 , 0.1454680 , 68772.00 ) ,
( 75.50 , 5.7488670 , 0.1456916 , 68772.00 ) ,
( 67.70 , 5.7471437 , 0.1458598 , 68772.00 ) ,
( 24.00 , 5.7579193 , 0.1441428 , 68781.91 ) ,
( 58.30 , 5.7561245 , 0.1441589 , 68781.91 ) ,
( 147.40 , 5.7571659 , 0.1441806 , 68781.91 ) ,
( 149.60 , 5.7615175 , 0.1442109 , 68781.92 ) ,
( 60.50 , 5.7552004 , 0.1442279 , 68781.91 ) ,
( 106.50 , 5.7585135 , 0.1442447 , 68781.92 ) ,
( 143.60 , 5.7611647 , 0.1442670 , 68781.92 ) ,
( 150.10 , 5.7597361 , 0.1442821 , 68781.92 ) ,
( 97.80 , 5.7712898 , 0.1442926 , 68781.94 ) ,
( 122.20 , 5.7563896 , 0.1443072 , 68781.91 ) ,
( 69.30 , 5.7580729 , 0.1443146 , 68781.91 ) ,
( 69.30 , 5.7702217 , 0.1443194 , 68781.93 ) ,
( 135.40 , 5.7597456 , 0.1443341 , 68781.92 ) ,
( 84.80 , 5.7709665 , 0.1443543 , 68781.94 ) ,
( 65.10 , 5.7576065 , 0.1443694 , 68781.91 ) ,
( 69.10 , 5.7566347 , 0.1443723 , 68781.91 ) ,
( 67.20 , 5.7674046 , 0.1444749 , 68781.93 ) ,
( 923.20 , 5.7629652 , 0.1444916 , 68781.92 ) ,
( 61.10 , 5.7678051 , 0.1445052 , 68781.92 ) ,
( 27.10 , 5.7679567 , 0.1445203 , 68781.94 ) ,
( 877.90 , 5.7671890 , 0.1445531 , 68781.93 ) ,
( 977.50 , 5.7625570 , 0.1445637 , 68781.92 ) ,
( 601.50 , 5.7631664 , 0.1445833 , 68781.92 ) ,
( 80.70 , 5.7654724 , 0.1445843 , 68781.93 ) ,
( 601.50 , 5.7694616 , 0.1445852 , 68781.93 ) ,
( 100.90 , 5.7645006 , 0.1445891 , 68781.93 ) ,
( 245.00 , 5.7724247 , 0.1445935 , 68781.94 ) ,
( 1496.40 , 5.7618723 , 0.1446122 , 68781.92 ) ,
( 957.70 , 5.7661648 , 0.1446140 , 68781.93 ) ,
( 956.70 , 5.7607975 , 0.1446344 , 68781.92 ) ,
( 34.30 , 5.7731657 , 0.1446503 , 68781.94 ) ,
( 922.30 , 5.7657728 , 0.1446821 , 68781.93 ) ,
( 1063.90 , 5.7620573 , 0.1446846 , 68781.92 ) ,
( 590.30 , 5.7614985 , 0.1446883 , 68781.92 ) ,
( 974.20 , 5.7619228 , 0.1446964 , 68781.92 ) ,
( 926.00 , 5.7674437 , 0.1447055 , 68781.93 ) ,
( 40.70 , 5.7711477 , 0.1447163 , 68781.94 ) ,
( 885.30 , 5.7603855 , 0.1447280 , 68781.92 ) ,
( 260.70 , 5.7618780 , 0.1447468 , 68781.91 ) ,
( 1287.90 , 5.7665110 , 0.1447478 , 68781.93 ) ,
( 659.40 , 5.7612314 , 0.1447532 , 68781.92 ) ,
( 1030.30 , 5.7648821 , 0.1447651 , 68781.93 ) ,
( 1609.90 , 5.7630119 , 0.1447702 , 68781.92 ) ,
( 914.90 , 5.7662916 , 0.1447856 , 68781.93 ) ,
( 907.80 , 5.7680616 , 0.1448005 , 68781.93 ) ,
( 882.60 , 5.7638159 , 0.1448128 , 68781.92 ) ,
( 588.30 , 5.7679396 , 0.1448374 , 68781.92 ) ,
( 919.30 , 5.7611399 , 0.1448432 , 68781.92 ) ,
( 367.10 , 5.7687950 , 0.1448545 , 68781.93 ) ,
( 613.20 , 5.7674046 , 0.1448609 , 68781.95 ) ,
( 1481.90 , 5.7655926 , 0.1448807 , 68781.99 ) ,
( 607.00 , 5.7682257 , 0.1448810 , 68782.00 ) ,
( 26.70 , 5.7700186 , 0.1448827 , 68782.04 ) ,
( 948.40 , 5.7592239 , 0.1448855 , 68781.99 ) ,
( 758.70 , 5.7708664 , 0.1448863 , 68782.01 ) ,
( 948.40 , 5.7635336 , 0.1448867 , 68782.00 ) ,
( 23.70 , 5.7672482 , 0.1448978 , 68782.02 ) ,
( 23.70 , 5.7698107 , 0.1448978 , 68782.03 ) ,
( 877.10 , 5.7649174 , 0.1449227 , 68782.03 ) ,
( 94.20 , 5.7696381 , 0.1449229 , 68782.03 ) ,
( 701.70 , 5.7715626 , 0.1449264 , 68782.04 ) ,
( 1199.70 , 5.7667217 , 0.1449493 , 68782.03 ) ,
( 393.10 , 5.7660437 , 0.1449549 , 68782.03 ) ,
( 959.70 , 5.7639933 , 0.1449581 , 68782.02 )),
(( 767.80 , 5.7706022 , 0.1449603 , 68782.04 ) ,
( 959.70 , 5.7693663 , 0.1449685 , 68782.03 ) ,
( 592.90 , 5.7655716 , 0.1449729 , 68782.03 ) ,
( 562.10 , 5.7672043 , 0.1449870 , 68782.03 ) ,
( 72.10 , 5.7677670 , 0.1449982 , 68782.03 ) ,
( 863.30 , 5.7670612 , 0.1450406 , 68782.03 ) ,
( 712.50 , 5.7656231 , 0.1450595 , 68782.03 ) ,
( 729.70 , 5.7593079 , 0.1451009 , 68782.02 ) ,
( 189.80 , 5.7513332 , 0.1451069 , 68782.00 ) ,
( 69.20 , 5.7725992 , 0.1451252 , 68782.04 ) ,
( 707.30 , 5.7602110 , 0.1451334 , 68782.02 ) ,
( 707.30 , 5.7666235 , 0.1451347 , 68782.03 ) ,
( 601.10 , 5.7681141 , 0.1451607 , 68782.03 ) ,
( 49.00 , 5.7592335 , 0.1451696 , 68782.01 ) ,
( 454.30 , 5.7587261 , 0.1452017 , 68782.02 ) ,
( 406.50 , 5.7594175 , 0.1452056 , 68782.02 ) ,
( 22.30 , 5.7687368 , 0.1452149 , 68782.04 ) ,
( 562.70 , 5.7599030 , 0.1452270 , 68782.02 ) ,
( 562.70 , 5.7612648 , 0.1452330 , 68782.02 ) ,
( 767.70 , 5.7567129 , 0.1452494 , 68782.01 ) ,
( 614.20 , 5.7604990 , 0.1452587 , 68782.02 ) ,
( 761.00 , 5.7585545 , 0.1453345 , 68782.02 ) ,
( 32.80 , 5.7479591 , 0.1454331 , 68782.00 ) ,
( 33.30 , 5.7474127 , 0.1456084 , 68782.00 ) ,
( 30.70 , 5.7519970 , 0.1457213 , 68782.01 ) ,
( 78.90 , 5.7527256 , 0.1457935 , 68782.01 ) ,
( 81.20 , 5.7501192 , 0.1458408 , 68782.05 ) ,
( 39.70 , 5.7487268 , 0.1461076 , 68782.10 ) ,
( 40.10 , 5.7463341 , 0.1463323 , 68782.09 ) ,
( 179.40 , 5.7579279 , 0.1442559 , 68791.92 ) ,
( 187.60 , 5.7561550 , 0.1442617 , 68791.91 ) ,
( 529.80 , 5.7571659 , 0.1443030 , 68791.91 ) ,
( 108.30 , 5.7559843 , 0.1443143 , 68791.91 ) ,
( 241.70 , 5.7552929 , 0.1443337 , 68791.91 ) ,
( 505.70 , 5.7616549 , 0.1443391 , 68791.92 ) ,
( 388.00 , 5.7584677 , 0.1443644 , 68791.92 ) ,
( 468.90 , 5.7612810 , 0.1443943 , 68791.92 ) ,
( 474.60 , 5.7598009 , 0.1444017 , 68791.92 ) ,
( 303.80 , 5.7713747 , 0.1444033 , 68791.94 ) ,
( 378.90 , 5.7563105 , 0.1444166 , 68791.91 ) ,
( 242.50 , 5.7582331 , 0.1444233 , 68791.91 ) ,
( 243.20 , 5.7702942 , 0.1444272 , 68791.93 ) ,
( 387.80 , 5.7598228 , 0.1444507 , 68791.92 ) ,
( 400.80 , 5.7710447 , 0.1444675 , 68791.94 ) ,
( 256.50 , 5.7577085 , 0.1444765 , 68791.91 ) ,
( 242.00 , 5.7567368 , 0.1444783 , 68791.91 ) ,
( 246.40 , 5.7673779 , 0.1445823 , 68791.93 ) ,
( 391.90 , 5.7677755 , 0.1446295 , 68791.93 ) ,
( 303.40 , 5.7667379 , 0.1446884 , 68791.93 ) ,
( 242.70 , 5.7645950 , 0.1447012 , 68791.93 ) ,
( 242.70 , 5.7653828 , 0.1447033 , 68791.93 ) ,
( 887.40 , 5.7630348 , 0.1447129 , 68791.92 ) ,
( 95.10 , 5.7665224 , 0.1447225 , 68791.94 ) ,
( 706.10 , 5.7672482 , 0.1448033 , 68791.93 ) ,
( 882.60 , 5.7632256 , 0.1448052 , 68791.92 ) ,
( 562.90 , 5.7612371 , 0.1448115 , 68791.92 ) ,
( 1149.10 , 5.7619352 , 0.1448274 , 68791.92 ) ,
( 958.20 , 5.7608261 , 0.1448630 , 68791.96 ) ,
( 766.60 , 5.7662392 , 0.1448675 , 68791.98 ) ,
( 1071.20 , 5.7620592 , 0.1449054 , 68792.02 ) ,
( 449.10 , 5.7615166 , 0.1449190 , 68792.02 ) ,
( 959.70 , 5.7604313 , 0.1449536 , 68792.02 ) ,
( 959.70 , 5.7658014 , 0.1449587 , 68792.03 ) ,
( 614.20 , 5.7619467 , 0.1449589 , 68792.02 ) ,
( 592.90 , 5.7612782 , 0.1449652 , 68792.02 ) ,
( 562.10 , 5.7674847 , 0.1449760 , 68792.03 ) ,
( 230.20 , 5.7690687 , 0.1449761 , 68792.03 ) ,
( 90.20 , 5.7715712 , 0.1449920 , 68792.04 ) ,
( 36.90 , 5.7702122 , 0.1449944 , 68792.03 ) ,
( 50.30 , 5.7676268 , 0.1450093 , 68792.02 ) ,
( 731.90 , 5.7666893 , 0.1450105 , 68792.03 ) ,
( 1079.20 , 5.7630968 , 0.1450244 , 68792.02 ) ,
( 32.50 , 5.7727432 , 0.1450461 , 68792.04 ) ,
( 1113.30 , 5.7638788 , 0.1450612 , 68792.02 ) ,
( 76.30 , 5.7629423 , 0.1450697 , 68792.02 ) ,
( 912.10 , 5.7680597 , 0.1450831 , 68792.03 ) ,
( 729.70 , 5.7604170 , 0.1450901 , 68792.02 ) ,
( 48.60 , 5.7605543 , 0.1451302 , 68792.01 ) ,
( 751.40 , 5.7657328 , 0.1451373 , 68792.03 ) ,
( 480.90 , 5.7674513 , 0.1451426 , 68792.03 ) ,
( 751.40 , 5.7593222 , 0.1451468 , 68792.02 ) ,
( 384.70 , 5.7682590 , 0.1451476 , 68792.03 ) ,
( 751.40 , 5.7636337 , 0.1451486 , 68792.02 ) ,
( 606.40 , 5.7709169 , 0.1451706 , 68792.04 ) ,
( 198.70 , 5.7688265 , 0.1451728 , 68792.03 ) ,
( 290.70 , 5.7638187 , 0.1451976 , 68792.02 ) ,
( 1240.60 , 5.7667809 , 0.1452104 , 68792.03 ) ,
( 360.10 , 5.7715940 , 0.1452205 , 68792.04 ) ,
( 562.70 , 5.7632360 , 0.1452207 , 68792.02 ) ,
( 387.80 , 5.7661381 , 0.1452318 , 68792.03 ) ,
( 127.10 , 5.7644653 , 0.1452410 , 68792.03 ) ,
( 614.20 , 5.7672834 , 0.1452505 , 68792.03 ) ,
( 42.20 , 5.7716837 , 0.1452509 , 68792.03 ) ,
( 393.10 , 5.7692966 , 0.1452512 , 68792.03 ) ,
( 314.50 , 5.7706509 , 0.1452610 , 68792.03 ) ,
( 345.30 , 5.7655964 , 0.1452637 , 68792.03 ) ,
( 277.10 , 5.7695179 , 0.1452857 , 68792.03 ) ,
( 568.20 , 5.7671118 , 0.1453092 , 68792.03 ) ,
( 26.80 , 5.7691803 , 0.1453329 , 68792.03 ) ,
( 76.90 , 5.7524204 , 0.1453486 , 68792.01 ) ,
( 482.60 , 5.7596426 , 0.1453888 , 68792.02 ) ,
( 238.40 , 5.7650557 , 0.1453978 , 68792.03 ) ,
( 41.00 , 5.7668810 , 0.1454182 , 68792.03 ) ,
( 42.70 , 5.7694731 , 0.1454184 , 68792.03 ) ,
( 398.00 , 5.7605906 , 0.1454266 , 68792.02 ) ,
( 310.50 , 5.7660980 , 0.1454622 , 68792.03 ) ,
( 41.70 , 5.7684708 , 0.1454742 , 68792.03 ) ,
( 366.10 , 5.7596188 , 0.1454940 , 68792.02 ) ,
( 293.10 , 5.7602844 , 0.1455139 , 68792.02 ) ,
( 90.90 , 5.7673759 , 0.1455180 , 68792.03 ) ,
( 23.80 , 5.7588968 , 0.1455227 , 68792.01 ) ,
( 212.40 , 5.7615881 , 0.1455428 , 68792.02 ) ,
( 135.90 , 5.7584743 , 0.1455455 , 68792.02 ) ,
( 202.80 , 5.7590036 , 0.1455554 , 68792.02 ) ,
( 253.50 , 5.7608366 , 0.1455596 , 68792.02 ) ,
( 216.30 , 5.7561302 , 0.1455848 , 68792.01 ) ,
( 41.70 , 5.7720814 , 0.1455928 , 68792.04 ) ,
( 38.00 , 5.7680082 , 0.1456288 , 68792.03 ) ,
( 200.40 , 5.7578144 , 0.1456744 , 68792.01 ) ,
( 54.30 , 5.7473946 , 0.1458991 , 68792.10 ) ,
( 43.00 , 5.7466135 , 0.1460886 , 68792.10 ) ,
( 26.40 , 5.7532635 , 0.1462254 , 68792.11 ) ,
( 33.10 , 5.7541628 , 0.1462397 , 68792.11 ) ,
( 38.60 , 5.7505341 , 0.1463066 , 68792.10 ) ,
( 42.40 , 5.7485809 , 0.1466162 , 68792.10 ) ,
( 40.60 , 5.7453852 , 0.1469055 , 68792.19 ) ,
( 593.30 , 5.7561293 , 0.1443579 , 68801.91 ) ,
( 474.60 , 5.7578735 , 0.1443585 , 68801.91 ) ,
( 380.10 , 5.7570801 , 0.1443823 , 68801.91 ) ,
( 387.80 , 5.7559319 , 0.1444052 , 68801.91 ) ,
( 590.80 , 5.7552404 , 0.1444369 , 68801.91 ) ,
( 923.20 , 5.7569027 , 0.1444377 , 68801.91 ) ,
( 963.20 , 5.7616205 , 0.1444716 , 68801.92 ) ,
( 770.60 , 5.7581987 , 0.1444728 , 68801.91 ) ,
( 400.40 , 5.7564611 , 0.1445065 , 68801.91 ) ,
( 625.60 , 5.7712965 , 0.1445108 , 68801.94 ) ,
( 939.80 , 5.7597742 , 0.1445166 , 68801.92 ) ,
( 782.00 , 5.7581396 , 0.1445171 , 68801.92 ) ,
( 939.80 , 5.7612543 , 0.1445256 , 68801.92 ) ,
( 601.50 , 5.7702274 , 0.1445276 , 68801.93 ) ,
( 751.80 , 5.7557669 , 0.1445333 , 68801.91 ) ,
( 957.70 , 5.7598095 , 0.1445594 , 68801.92 ) ,
( 765.30 , 5.7710056 , 0.1445778 , 68801.94 ) ,
( 612.30 , 5.7566738 , 0.1445785 , 68801.91 ) ,
( 499.80 , 5.7576456 , 0.1445837 , 68801.91 ) ,
( 453.30 , 5.7670059 , 0.1446842 , 68801.93 ) ,
( 732.00 , 5.7674475 , 0.1447330 , 68801.93 ) ,
( 293.70 , 5.7645245 , 0.1447905 , 68801.93 ) ,
( 573.60 , 5.7666445 , 0.1447924 , 68801.93 ) ,
( 367.10 , 5.7646265 , 0.1447946 , 68801.93 ) ,
( 766.60 , 5.7649136 , 0.1448244 , 68801.99 ) ,
( 159.10 , 5.7663527 , 0.1448268 , 68802.04 ) ,
( 537.40 , 5.7628622 , 0.1449504 , 68802.02 ) ,
( 148.90 , 5.7601042 , 0.1450176 , 68802.02 ) ,
( 579.20 , 5.7630959 , 0.1450509 , 68802.02 ) ,
( 329.90 , 5.7670870 , 0.1450697 , 68802.03 ) ,
( 384.70 , 5.7617941 , 0.1450906 , 68802.02 ) ,
( 939.30 , 5.7607889 , 0.1450931 , 68802.02 ) ,
( 310.50 , 5.7661123 , 0.1451365 , 68802.03 ) ,
( 794.00 , 5.7619591 , 0.1451505 , 68802.02 ) ,
( 406.50 , 5.7612858 , 0.1451624 , 68802.02 ) ,
( 133.20 , 5.7648754 , 0.1451672 , 68802.03 ) ,
( 605.90 , 5.7603197 , 0.1451913 , 68802.02 ) ,
( 387.80 , 5.7611704 , 0.1451913 , 68802.03 ) ,
( 393.10 , 5.7618227 , 0.1452002 , 68802.02 ) ,
( 177.30 , 5.7657146 , 0.1452259 , 68802.03 ) ,
( 95.30 , 5.7674494 , 0.1452648 , 68802.03 ) ,
( 48.80 , 5.7688637 , 0.1452658 , 68802.03 ) ,
( 249.40 , 5.7665768 , 0.1452837 , 68802.03 ) ,
( 389.60 , 5.7629871 , 0.1452907 , 68802.02 ) ,
( 309.30 , 5.7637901 , 0.1453248 , 68802.03 ) ,
( 21.30 , 5.7685184 , 0.1453251 , 68802.03 ) ,
( 78.10 , 5.7621145 , 0.1453513 , 68802.02 ) ,
( 32.80 , 5.7705097 , 0.1453637 , 68802.04 ) ,
( 305.60 , 5.7679205 , 0.1453657 , 68802.03 ) ,
( 382.00 , 5.7592726 , 0.1453679 , 68802.02 ) ,
( 287.40 , 5.7655811 , 0.1454046 , 68802.03 ) ,
( 30.90 , 5.7720709 , 0.1454076 , 68802.04 ) ,
( 248.40 , 5.7635002 , 0.1454209 , 68802.02 ) ,
( 248.40 , 5.7592430 , 0.1454270 , 68802.02 ) ,
( 95.70 , 5.7681675 , 0.1454338 , 68802.03 ) ,
( 76.80 , 5.7673502 , 0.1454387 , 68802.03 ) ,
( 20.10 , 5.7619886 , 0.1454610 , 68802.03 ) ,
( 96.00 , 5.7707958 , 0.1454682 , 68802.04 ) ,
( 414.80 , 5.7666492 , 0.1454892 , 68802.03 ) ,
( 55.70 , 5.7687244 , 0.1454908 , 68802.03 ) ,
( 331.90 , 5.7621279 , 0.1455013 , 68802.02 ) ,
( 88.60 , 5.7660465 , 0.1455280 , 68802.03 ) ,
( 50.00 , 5.7714586 , 0.1455286 , 68802.04 ) ,
( 138.40 , 5.7671690 , 0.1455331 , 68802.03 ) ,
( 65.10 , 5.7690792 , 0.1455577 , 68802.03 ) ,
( 47.50 , 5.7654800 , 0.1455683 , 68802.03 ) ,
( 38.00 , 5.7534485 , 0.1455800 , 68802.01 ) ,
( 47.50 , 5.7705307 , 0.1455811 , 68802.03 ) ,
( 38.60 , 5.7694082 , 0.1455951 , 68802.04 ) ,
( 117.90 , 5.7669811 , 0.1455959 , 68802.03 ) ,
( 38.60 , 5.7628660 , 0.1456029 , 68802.02 ) ,
( 59.60 , 5.7598839 , 0.1456955 , 68802.02 ) ,
( 40.20 , 5.7683983 , 0.1457312 , 68802.03 ) ,
( 50.20 , 5.7608290 , 0.1457342 , 68802.02 )),
(( 41.50 , 5.7640486 , 0.1457713 , 68802.04 ) ,
( 39.60 , 5.7598734 , 0.1458098 , 68802.12 ) ,
( 41.90 , 5.7604723 , 0.1458238 , 68802.12 ) ,
( 43.90 , 5.7652092 , 0.1458313 , 68802.13 ) ,
( 27.80 , 5.7618523 , 0.1458754 , 68802.12 ) ,
( 35.20 , 5.7611198 , 0.1458847 , 68802.12 ) ,
( 42.70 , 5.7655792 , 0.1458920 , 68802.13 ) ,
( 30.80 , 5.7661619 , 0.1459290 , 68802.12 ) ,
( 75.20 , 5.7580748 , 0.1459336 , 68802.11 ) ,
( 41.60 , 5.7687483 , 0.1459441 , 68802.13 ) ,
( 47.80 , 5.7552328 , 0.1459591 , 68802.11 ) ,
( 41.50 , 5.7674160 , 0.1459904 , 68802.13 ) ,
( 37.10 , 5.7565784 , 0.1460514 , 68802.11 ) ,
( 50.10 , 5.7669859 , 0.1460812 , 68802.13 ) ,
( 42.50 , 5.7712688 , 0.1460983 , 68802.13 ) ,
( 41.10 , 5.7465076 , 0.1463445 , 68802.10 ) ,
( 42.40 , 5.7455072 , 0.1465704 , 68802.09 ) ,
( 42.40 , 5.7556143 , 0.1467145 , 68802.11 ) ,
( 34.80 , 5.7545252 , 0.1467168 , 68802.11 ) ,
( 46.00 , 5.7508612 , 0.1467978 , 68802.20 ) ,
( 51.20 , 5.7482452 , 0.1471673 , 68802.20 ) ,
( 50.80 , 5.7441549 , 0.1475284 , 68802.19 ) ,
( 747.60 , 5.7580719 , 0.1445230 , 68811.92 ) ,
( 957.70 , 5.7563219 , 0.1445299 , 68811.91 ) ,
( 766.20 , 5.7572927 , 0.1445308 , 68811.91 ) ,
( 780.90 , 5.7561274 , 0.1445733 , 68811.91 ) ,
( 922.30 , 5.7554502 , 0.1446076 , 68811.91 ) ,
( 1383.40 , 5.7567072 , 0.1446624 , 68811.91 ) ,
( 636.60 , 5.7580156 , 0.1446668 , 68811.91 ) ,
( 824.30 , 5.7618876 , 0.1446720 , 68811.92 ) ,
( 1030.30 , 5.7715416 , 0.1446879 , 68811.94 ) ,
( 1030.30 , 5.7704487 , 0.1446974 , 68811.94 ) ,
( 1030.30 , 5.7583218 , 0.1446998 , 68811.92 ) ,
( 907.80 , 5.7614679 , 0.1447228 , 68811.92 ) ,
( 907.80 , 5.7554026 , 0.1447246 , 68811.91 ) ,
( 1103.30 , 5.7600317 , 0.1447368 , 68811.92 ) ,
( 879.50 , 5.7568731 , 0.1447486 , 68811.91 ) ,
( 919.30 , 5.7711830 , 0.1447588 , 68811.94 ) ,
( 919.30 , 5.7578411 , 0.1447594 , 68811.91 ) ,
( 593.40 , 5.7676706 , 0.1448640 , 68812.03 ) ,
( 959.70 , 5.7668076 , 0.1448746 , 68812.03 ) ,
( 839.70 , 5.7671070 , 0.1449291 , 68812.03 ) ,
( 299.80 , 5.7664661 , 0.1449550 , 68812.03 ) ,
( 739.50 , 5.7669420 , 0.1449724 , 68812.03 ) ,
( 1113.30 , 5.7647114 , 0.1449898 , 68812.02 ) ,
( 912.10 , 5.7645788 , 0.1450205 , 68812.03 ) ,
( 159.60 , 5.7629671 , 0.1452667 , 68812.02 ) ,
( 33.70 , 5.7589025 , 0.1452841 , 68812.02 ) ,
( 83.50 , 5.7632093 , 0.1453751 , 68812.02 ) ,
( 61.40 , 5.7618313 , 0.1454149 , 68812.02 ) ,
( 119.60 , 5.7608252 , 0.1454157 , 68812.02 ) ,
( 39.30 , 5.7671862 , 0.1454194 , 68812.03 ) ,
( 31.50 , 5.7639828 , 0.1454348 , 68812.02 ) ,
( 49.20 , 5.7597418 , 0.1454484 , 68812.02 ) ,
( 135.90 , 5.7620831 , 0.1454667 , 68812.02 ) ,
( 212.40 , 5.7613106 , 0.1454802 , 68812.02 ) ,
( 42.50 , 5.7662134 , 0.1454881 , 68812.03 ) ,
( 97.60 , 5.7603979 , 0.1455050 , 68812.02 ) ,
( 97.60 , 5.7619247 , 0.1455150 , 68812.02 ) ,
( 65.10 , 5.7605152 , 0.1455330 , 68812.03 ) ,
( 40.90 , 5.7658939 , 0.1455927 , 68812.03 ) ,
( 65.70 , 5.7675171 , 0.1456178 , 68812.03 ) ,
( 48.50 , 5.7631226 , 0.1456276 , 68812.02 ) ,
( 40.80 , 5.7667675 , 0.1456451 , 68812.03 ) ,
( 38.10 , 5.7638788 , 0.1456621 , 68812.02 ) ,
( 30.50 , 5.7630997 , 0.1456764 , 68812.02 ) ,
( 50.50 , 5.7580280 , 0.1457306 , 68812.02 ) ,
( 67.70 , 5.7680216 , 0.1457455 , 68812.05 ) ,
( 26.60 , 5.7603779 , 0.1457595 , 68812.01 ) ,
( 41.50 , 5.7656832 , 0.1457596 , 68812.06 ) ,
( 31.70 , 5.7635994 , 0.1457824 , 68812.10 ) ,
( 39.60 , 5.7594023 , 0.1457828 , 68812.10 ) ,
( 41.90 , 5.7694540 , 0.1458052 , 68812.13 ) ,
( 35.20 , 5.7682428 , 0.1458133 , 68812.13 ) ,
( 22.50 , 5.7674904 , 0.1458198 , 68812.12 ) ,
( 34.80 , 5.7716246 , 0.1458490 , 68812.14 ) ,
( 54.40 , 5.7668238 , 0.1458527 , 68812.13 ) ,
( 28.20 , 5.7708673 , 0.1458640 , 68812.13 ) ,
( 42.70 , 5.7549629 , 0.1458682 , 68812.11 ) ,
( 27.30 , 5.7666941 , 0.1458802 , 68812.12 ) ,
( 42.70 , 5.7608271 , 0.1458806 , 68812.12 ) ,
( 25.00 , 5.7672396 , 0.1459028 , 68812.13 ) ,
( 30.80 , 5.7688570 , 0.1459097 , 68812.13 ) ,
( 30.80 , 5.7661953 , 0.1459174 , 68812.13 ) ,
( 26.60 , 5.7603197 , 0.1459183 , 68812.12 ) ,
( 30.60 , 5.7715187 , 0.1459405 , 68812.14 ) ,
( 26.60 , 5.7691832 , 0.1459633 , 68812.13 ) ,
( 33.20 , 5.7670345 , 0.1459783 , 68812.13 ) ,
( 26.60 , 5.7656212 , 0.1459783 , 68812.13 ) ,
( 20.80 , 5.7705917 , 0.1459860 , 68812.14 ) ,
( 34.40 , 5.7695532 , 0.1460089 , 68812.13 ) ,
( 27.50 , 5.7706137 , 0.1460097 , 68812.14 ) ,
( 34.00 , 5.7604647 , 0.1460930 , 68812.12 ) ,
( 34.70 , 5.7614527 , 0.1461429 , 68812.12 ) ,
( 22.20 , 5.7609978 , 0.1462125 , 68812.11 ) ,
( 53.50 , 5.7677870 , 0.1462207 , 68812.13 ) ,
( 21.70 , 5.7624731 , 0.1462879 , 68812.13 ) ,
( 30.50 , 5.7617064 , 0.1463056 , 68812.13 ) ,
( 43.70 , 5.7643175 , 0.1464618 , 68812.12 ) ,
( 41.50 , 5.7682161 , 0.1465725 , 68812.13 ) ,
( 42.00 , 5.7664032 , 0.1466190 , 68812.13 ) ,
( 54.50 , 5.7705717 , 0.1467170 , 68812.15 ) ,
( 44.30 , 5.7457428 , 0.1468923 , 68812.19 ) ,
( 41.10 , 5.7444935 , 0.1471637 , 68812.19 ) ,
( 39.60 , 5.7575674 , 0.1472917 , 68812.21 ) ,
( 42.40 , 5.7562237 , 0.1473154 , 68812.21 ) ,
( 42.90 , 5.7514553 , 0.1473930 , 68812.20 ) ,
( 123.60 , 5.7480469 , 0.1478353 , 68812.30 ) ,
( 49.20 , 5.7429543 , 0.1482797 , 68812.29 ) ,
( 706.10 , 5.7575035 , 0.1447366 , 68821.91 ) ,
( 919.30 , 5.7565651 , 0.1447427 , 68821.91 ) ,
( 703.60 , 5.7583513 , 0.1447437 , 68821.92 ) ,
( 958.20 , 5.7563534 , 0.1447822 , 68821.93 ) ,
( 856.90 , 5.7557163 , 0.1448336 , 68822.01 ) ,
( 926.50 , 5.7568703 , 0.1448895 , 68822.01 ) ,
( 839.70 , 5.7718191 , 0.1449195 , 68822.04 ) ,
( 671.70 , 5.7585964 , 0.1449208 , 68822.02 ) ,
( 839.70 , 5.7706747 , 0.1449234 , 68822.03 ) ,
( 731.90 , 5.7586908 , 0.1449266 , 68822.01 ) ,
( 585.50 , 5.7565336 , 0.1449317 , 68822.01 ) ,
( 731.90 , 5.7622166 , 0.1449335 , 68822.02 ) ,
( 731.90 , 5.7577705 , 0.1449392 , 68822.01 ) ,
( 739.50 , 5.7571135 , 0.1449695 , 68822.01 ) ,
( 890.70 , 5.7548542 , 0.1449773 , 68822.01 ) ,
( 712.50 , 5.7617970 , 0.1449844 , 68822.02 ) ,
( 1113.30 , 5.7603283 , 0.1449870 , 68822.02 ) ,
( 712.50 , 5.7581158 , 0.1449927 , 68822.02 ) ,
( 710.20 , 5.7714758 , 0.1449968 , 68822.04 ) ,
( 939.30 , 5.7678804 , 0.1450780 , 68822.03 ) ,
( 887.20 , 5.7664804 , 0.1451135 , 68822.03 ) ,
( 1499.50 , 5.7667389 , 0.1451743 , 68822.03 ) ,
( 845.60 , 5.7650976 , 0.1452029 , 68822.03 ) ,
( 433.00 , 5.7672386 , 0.1452036 , 68822.03 ) ,
( 951.30 , 5.7640972 , 0.1452591 , 68822.03 ) ,
( 30.70 , 5.7630825 , 0.1456473 , 68822.02 ) ,
( 31.70 , 5.7632751 , 0.1457812 , 68822.12 ) ,
( 33.50 , 5.7609110 , 0.1458035 , 68822.12 ) ,
( 22.30 , 5.7619410 , 0.1458268 , 68822.13 ) ,
( 34.80 , 5.7673016 , 0.1458478 , 68822.13 ) ,
( 28.20 , 5.7613373 , 0.1458495 , 68822.12 ) ,
( 22.50 , 5.7622404 , 0.1458570 , 68822.13 ) ,
( 48.80 , 5.7620659 , 0.1458935 , 68822.12 ) ,
( 30.80 , 5.7604980 , 0.1459092 , 68822.12 ) ,
( 26.60 , 5.7663059 , 0.1459174 , 68822.13 ) ,
( 97.00 , 5.7659531 , 0.1460323 , 68822.13 ) ,
( 25.70 , 5.7632523 , 0.1460457 , 68822.12 ) ,
( 27.20 , 5.7639885 , 0.1460904 , 68822.12 ) ,
( 29.20 , 5.7669477 , 0.1460912 , 68822.13 ) ,
( 21.80 , 5.7676153 , 0.1461137 , 68822.12 ) ,
( 27.70 , 5.7633190 , 0.1461145 , 68822.12 ) ,
( 26.40 , 5.7679930 , 0.1461590 , 68822.14 ) ,
( 29.50 , 5.7657833 , 0.1461965 , 68822.13 ) ,
( 43.40 , 5.7566547 , 0.1462109 , 68822.11 ) ,
( 34.20 , 5.7596302 , 0.1462198 , 68822.12 ) ,
( 27.40 , 5.7637539 , 0.1462198 , 68822.12 ) ,
( 50.10 , 5.7674828 , 0.1462497 , 68822.13 ) ,
( 38.10 , 5.7683468 , 0.1462829 , 68822.13 ) ,
( 41.10 , 5.7682886 , 0.1463233 , 68822.13 ) ,
( 26.30 , 5.7674351 , 0.1463317 , 68822.13 ) ,
( 50.80 , 5.7709799 , 0.1463540 , 68822.13 ) ,
( 24.10 , 5.7662888 , 0.1463704 , 68822.13 ) ,
( 25.50 , 5.7670860 , 0.1464308 , 68822.14 ) ,
( 22.40 , 5.7672215 , 0.1464459 , 68822.12 ) ,
( 35.00 , 5.7692461 , 0.1464517 , 68822.13 ) ,
( 22.40 , 5.7657118 , 0.1464533 , 68822.13 ) ,
( 21.20 , 5.7610340 , 0.1465667 , 68822.11 ) ,
( 22.30 , 5.7617359 , 0.1467026 , 68822.13 ) ,
( 39.40 , 5.7670727 , 0.1467939 , 68822.23 ) ,
( 51.20 , 5.7627783 , 0.1471395 , 68822.22 ) ,
( 41.90 , 5.7649603 , 0.1472629 , 68822.22 ) ,
( 77.80 , 5.7674932 , 0.1473201 , 68822.23 ) ,
( 109.40 , 5.7653646 , 0.1473665 , 68822.22 ) ,
( 84.80 , 5.7696962 , 0.1474456 , 68822.23 ) ,
( 52.40 , 5.7448654 , 0.1475363 , 68822.19 ) ,
( 74.00 , 5.7433186 , 0.1478733 , 68822.30 ) ,
( 80.20 , 5.7598200 , 0.1479813 , 68822.32 ) ,
( 46.50 , 5.7582321 , 0.1480189 , 68822.32 ) ,
( 62.00 , 5.7521114 , 0.1481146 , 68822.31 ) ,
( 710.20 , 5.7577724 , 0.1449740 , 68832.01 ) ,
( 579.20 , 5.7586489 , 0.1449960 , 68832.02 ) ,
( 724.00 , 5.7568369 , 0.1449996 , 68832.01 ) ,
( 565.90 , 5.7566156 , 0.1450342 , 68832.01 ) ,
( 567.80 , 5.7560396 , 0.1450877 , 68832.01 ) ,
( 614.20 , 5.7571630 , 0.1451405 , 68832.01 ) ,
( 541.20 , 5.7709827 , 0.1451784 , 68832.04 ) ,
( 541.20 , 5.7721138 , 0.1451828 , 68832.04 ) ,
( 541.20 , 5.7589312 , 0.1451843 , 68832.02 ) ,
( 249.40 , 5.7626019 , 0.1452259 , 68832.02 ) ,
( 761.00 , 5.7573738 , 0.1452300 , 68832.01 ) ,
( 251.20 , 5.7562094 , 0.1452455 , 68832.01 ) ,
( 490.70 , 5.7584267 , 0.1452485 , 68832.02 ) ,
( 490.70 , 5.7717495 , 0.1452665 , 68832.04 ) ,
( 604.10 , 5.7606812 , 0.1452702 , 68832.02 ) ,
( 386.60 , 5.7540770 , 0.1452718 , 68832.01 ) ,
( 309.30 , 5.7621603 , 0.1452734 , 68832.02 ) ,
( 26.50 , 5.7572374 , 0.1452870 , 68832.02 ) ,
( 746.10 , 5.7681570 , 0.1453186 , 68832.03 ) ,
( 457.90 , 5.7659874 , 0.1453981 , 68832.03 ) ,
( 572.40 , 5.7670870 , 0.1454156 , 68832.03 ) ,
( 618.80 , 5.7676172 , 0.1454541 , 68832.03 )),
(( 618.80 , 5.7653942 , 0.1454600 , 68832.03 ) ,
( 270.40 , 5.7661819 , 0.1454768 , 68832.03 ) ,
( 381.10 , 5.7633171 , 0.1455516 , 68832.02 ) ,
( 27.70 , 5.7631140 , 0.1460949 , 68832.12 ) ,
( 25.60 , 5.7633190 , 0.1462298 , 68832.12 ) ,
( 25.10 , 5.7611704 , 0.1462452 , 68832.12 ) ,
( 24.40 , 5.7613487 , 0.1462836 , 68832.13 ) ,
( 32.90 , 5.7622318 , 0.1463053 , 68832.12 ) ,
( 24.10 , 5.7605553 , 0.1463439 , 68832.13 ) ,
( 47.00 , 5.7621012 , 0.1463443 , 68832.12 ) ,
( 82.00 , 5.7586308 , 0.1465814 , 68832.11 ) ,
( 40.50 , 5.7667980 , 0.1467986 , 68832.23 ) ,
( 37.00 , 5.7667675 , 0.1468952 , 68832.23 ) ,
( 45.20 , 5.7701693 , 0.1469405 , 68832.23 ) ,
( 33.70 , 5.7661390 , 0.1474441 , 68832.23 ) ,
( 166.90 , 5.7609510 , 0.1479156 , 68832.32 ) ,
( 26.90 , 5.7636375 , 0.1479747 , 68832.34 ) ,
( 40.30 , 5.7605658 , 0.1488193 , 68832.42 ) ,
( 308.80 , 5.7580690 , 0.1452494 , 68842.02 ) ,
( 195.60 , 5.7571564 , 0.1452733 , 68842.02 ) ,
( 163.00 , 5.7589006 , 0.1452831 , 68842.02 ) ,
( 254.70 , 5.7569590 , 0.1453015 , 68842.01 ) ,
( 113.60 , 5.7563763 , 0.1453828 , 68842.01 ) ,
( 202.80 , 5.7574644 , 0.1454195 , 68842.01 ) ,
( 109.40 , 5.7712717 , 0.1454696 , 68842.04 ) ,
( 109.40 , 5.7592764 , 0.1454818 , 68842.02 ) ,
( 74.20 , 5.7723970 , 0.1454824 , 68842.04 ) ,
( 147.40 , 5.7577744 , 0.1455101 , 68842.01 ) ,
( 94.70 , 5.7587538 , 0.1455486 , 68842.02 ) ,
( 40.80 , 5.7629919 , 0.1455638 , 68842.02 ) ,
( 63.80 , 5.7720842 , 0.1455775 , 68842.04 ) ,
( 227.20 , 5.7683821 , 0.1455919 , 68842.03 ) ,
( 74.40 , 5.7610302 , 0.1455936 , 68842.02 ) ,
( 37.90 , 5.7625523 , 0.1456089 , 68842.02 ) ,
( 47.40 , 5.7566614 , 0.1456099 , 68842.01 ) ,
( 56.40 , 5.7529488 , 0.1456245 , 68842.01 ) ,
( 45.10 , 5.7556591 , 0.1456254 , 68842.01 ) ,
( 171.70 , 5.7673311 , 0.1457000 , 68842.09 ) ,
( 81.90 , 5.7651987 , 0.1457351 , 68842.13 ) ,
( 134.10 , 5.7679815 , 0.1457502 , 68842.13 ) ,
( 106.10 , 5.7657375 , 0.1457620 , 68842.13 ) ,
( 61.00 , 5.7652073 , 0.1458210 , 68842.12 ) ,
( 64.80 , 5.7622070 , 0.1458979 , 68842.12 ) ,
( 33.60 , 5.7658901 , 0.1474212 , 68842.22 ) ,
( 27.00 , 5.7649240 , 0.1475561 , 68842.23 ) ,
( 31.80 , 5.7691870 , 0.1475937 , 68842.23 ) ,
( 39.40 , 5.7631330 , 0.1497396 , 68842.52 ) ,
( 45.10 , 5.7586231 , 0.1456036 , 68852.02 ) ,
( 34.70 , 5.7595072 , 0.1456477 , 68852.02 ) ,
( 34.70 , 5.7576809 , 0.1456497 , 68852.01 ) ,
( 23.00 , 5.7578535 , 0.1456798 , 68852.12 ) ,
( 34.80 , 5.7569809 , 0.1457564 , 68852.11 ) ,
( 34.10 , 5.7580824 , 0.1457870 , 68852.12 ) ,
( 32.50 , 5.7718964 , 0.1458479 , 68852.14 ) ,
( 33.20 , 5.7599297 , 0.1458694 , 68852.12 ) ,
( 33.20 , 5.7730055 , 0.1458761 , 68852.14 ) ,
( 33.20 , 5.7583971 , 0.1458781 , 68852.12 ) ,
( 37.10 , 5.7593985 , 0.1459352 , 68852.12 ) ,
( 31.80 , 5.7689295 , 0.1459584 , 68852.13 ) ,
( 26.80 , 5.7727137 , 0.1459744 , 68852.14 ) ,
( 27.20 , 5.7636576 , 0.1460038 , 68852.12 ) ,
( 56.90 , 5.7617130 , 0.1460047 , 68852.12 ) ,
( 27.70 , 5.7632599 , 0.1460347 , 68852.12 ) ,
( 33.10 , 5.7679119 , 0.1460593 , 68852.13 ) ,
( 34.70 , 5.7686501 , 0.1461244 , 68852.13 ) ,
( 42.80 , 5.7664709 , 0.1461332 , 68852.13 ) ,
( 39.30 , 5.7645693 , 0.1461713 , 68852.12 ) ,
( 21.30 , 5.7680492 , 0.1477636 , 68852.34 ) ,
( 26.90 , 5.7684660 , 0.1479146 , 68852.34 ) ,
( 25.30 , 5.7694149 , 0.1481024 , 68852.34 ) ,
( 20.20 , 5.7710667 , 0.1481864 , 68852.35 ) ,
( 26.60 , 5.7639818 , 0.1483459 , 68852.33 ) ,
( 34.70 , 5.7591705 , 0.1460324 , 68862.12 ) ,
( 29.50 , 5.7600546 , 0.1460941 , 68862.12 ) ,
( 34.70 , 5.7583609 , 0.1461025 , 68862.12 ) ,
( 32.90 , 5.7575264 , 0.1462091 , 68862.11 ) ,
( 32.90 , 5.7585688 , 0.1462294 , 68862.11 ) ,
( 32.90 , 5.7723970 , 0.1462894 , 68862.14 ) ,
( 24.50 , 5.7604361 , 0.1463126 , 68862.12 ) ,
( 28.00 , 5.7589092 , 0.1463291 , 68862.11 ) ,
( 31.90 , 5.7734852 , 0.1463355 , 68862.14 ) ,
( 27.80 , 5.7694368 , 0.1463810 , 68862.13 ) ,
( 32.40 , 5.7598810 , 0.1463891 , 68862.12 ) ,
( 27.10 , 5.7732801 , 0.1464413 , 68862.14 ) ,
( 33.60 , 5.7683764 , 0.1465028 , 68862.13 ) ,
( 27.10 , 5.7692003 , 0.1465777 , 68862.13 ) ,
( 33.90 , 5.7670259 , 0.1465854 , 68862.13 ) ,
( 20.80 , 5.7679901 , 0.1483065 , 68862.33 ) ,
( 26.60 , 5.7680826 , 0.1483301 , 68862.34 ) ,
( 24.00 , 5.7685156 , 0.1484877 , 68862.33 ) ,
( 31.50 , 5.7693672 , 0.1486771 , 68862.44 ) ,
( 20.20 , 5.7719164 , 0.1486840 , 68862.45 ) ,
( 23.00 , 5.7659388 , 0.1487142 , 68862.44 ) ,
( 20.90 , 5.7699680 , 0.1487595 , 68862.43 ) ,
( 33.90 , 5.7647362 , 0.1489238 , 68862.43 ) ,
( 22.00 , 5.7624016 , 0.1485539 , 68872.43 ) ,
( 21.80 , 5.7623940 , 0.1485841 , 68872.42 ) ,
( 27.40 , 5.7664232 , 0.1487955 , 68872.42 ) ,
( 33.90 , 5.7681723 , 0.1489004 , 68872.43 ) ,
( 27.00 , 5.7685347 , 0.1490525 , 68872.43 ) ,
( 21.90 , 5.7712288 , 0.1491199 , 68872.44 ) ,
( 21.40 , 5.7668562 , 0.1491579 , 68872.42 ) ,
( 21.20 , 5.7720423 , 0.1492334 , 68872.45 ) ,
( 41.40 , 5.7694616 , 0.1492401 , 68872.44 ) ,
( 27.70 , 5.7667465 , 0.1494146 , 68872.44 ) ,
( 34.20 , 5.7656155 , 0.1494726 , 68872.43 ) ,
( 22.70 , 5.7641010 , 0.1476210 , 68882.32 ) ,
( 21.60 , 5.7618256 , 0.1490179 , 68882.42 ) ,
( 21.60 , 5.7638721 , 0.1490328 , 68882.43 ) ,
( 26.80 , 5.7625322 , 0.1491374 , 68882.42 ) ,
( 24.20 , 5.7669096 , 0.1492366 , 68882.44 ) ,
( 20.40 , 5.7646608 , 0.1493725 , 68882.42 ) ,
( 20.40 , 5.7666054 , 0.1493725 , 68882.42 ) ,
( 24.90 , 5.7683201 , 0.1494108 , 68882.43 ) ,
( 21.90 , 5.7647476 , 0.1494330 , 68882.42 ) ,
( 32.90 , 5.7682619 , 0.1494570 , 68882.46 ) ,
( 24.70 , 5.7662706 , 0.1495084 , 68882.53 ) ,
( 20.60 , 5.7610292 , 0.1495386 , 68882.53 ) ,
( 31.60 , 5.7685719 , 0.1496211 , 68882.53 ) ,
( 25.20 , 5.7673950 , 0.1496594 , 68882.54 ) ,
( 25.70 , 5.7669554 , 0.1497198 , 68882.54 ) ,
( 21.70 , 5.7673492 , 0.1497577 , 68882.53 ) ,
( 36.40 , 5.7695522 , 0.1498098 , 68882.53 ) ,
( 21.90 , 5.7701845 , 0.1498859 , 68882.53 ) ,
( 21.90 , 5.7711573 , 0.1498859 , 68882.53 ) ,
( 20.80 , 5.7677689 , 0.1499765 , 68882.52 ) ,
( 25.20 , 5.7666178 , 0.1500369 , 68882.52 ) ,
( 27.40 , 5.7648621 , 0.1481844 , 68892.33 ) ,
( 21.90 , 5.7635431 , 0.1494533 , 68892.48 ) ,
( 25.30 , 5.7617931 , 0.1495966 , 68892.51 ) ,
( 20.20 , 5.7628241 , 0.1496419 , 68892.53 ) ,
( 25.00 , 5.7626009 , 0.1496791 , 68892.52 ) ,
( 20.60 , 5.7610588 , 0.1497024 , 68892.53 ) ,
( 20.50 , 5.7627678 , 0.1497325 , 68892.53 ) ,
( 21.70 , 5.7677374 , 0.1497477 , 68892.52 ) ,
( 21.00 , 5.7667208 , 0.1499439 , 68892.54 ) ,
( 33.00 , 5.7683067 , 0.1500356 , 68892.53 ) ,
( 20.80 , 5.7612486 , 0.1501251 , 68892.53 ) ,
( 27.60 , 5.7685823 , 0.1501933 , 68892.53 ) ,
( 20.60 , 5.7674599 , 0.1502308 , 68892.52 ) ,
( 26.70 , 5.7719345 , 0.1503819 , 68892.53 ) ,
( 31.10 , 5.7695704 , 0.1503907 , 68892.53 ) ,
( 20.30 , 5.7682695 , 0.1506990 , 68891.93 ) ,
( 20.80 , 5.7624731 , 0.1482056 , 68902.32 ) ,
( 20.50 , 5.7623339 , 0.1485227 , 68902.43 ) ,
( 22.20 , 5.7768545 , 0.1485529 , 68902.45 ) ,
( 23.00 , 5.7633381 , 0.1486133 , 68902.43 ) ,
( 29.00 , 5.7658100 , 0.1487411 , 68902.43 ) ,
( 21.50 , 5.7729435 , 0.1487643 , 68902.45 ) ,
( 20.30 , 5.7636814 , 0.1500176 , 68902.52 ) ,
( 26.20 , 5.7619734 , 0.1501535 , 68902.53 ) ,
( 20.30 , 5.7627115 , 0.1502441 , 68902.53 ) ,
( 20.10 , 5.7612009 , 0.1502592 , 68902.51 ) ,
( 20.60 , 5.7669544 , 0.1504857 , 68901.92 ) ,
( 31.00 , 5.7684317 , 0.1505673 , 68901.92 ) ,
( 25.60 , 5.7686968 , 0.1507189 , 68901.92 ) ,
( 21.80 , 5.7674561 , 0.1507424 , 68901.91 ) ,
( 20.50 , 5.7720451 , 0.1509236 , 68901.92 ) ,
( 21.80 , 5.7634993 , 0.1487606 , 68912.43 ) ,
( 20.30 , 5.7629232 , 0.1488662 , 68912.42 ) ,
( 21.70 , 5.7620630 , 0.1489719 , 68912.43 ) ,
( 21.40 , 5.7766142 , 0.1490474 , 68912.44 ) ,
( 21.40 , 5.7648907 , 0.1490777 , 68912.42 ) ,
( 21.40 , 5.7778492 , 0.1491078 , 68912.44 ) ,
( 20.80 , 5.7644167 , 0.1491683 , 68912.42 ) ,
( 20.90 , 5.7774935 , 0.1492286 , 68912.44 ) ,
( 31.90 , 5.7668390 , 0.1492884 , 68912.43 ) ,
( 21.40 , 5.7740736 , 0.1493192 , 68912.44 ) ,
( 20.20 , 5.7613478 , 0.1507839 , 68911.92 ) ,
( 21.90 , 5.7681379 , 0.1508292 , 68911.91 ) ,
( 23.40 , 5.7686005 , 0.1511239 , 68911.92 ) ,
( 21.90 , 5.7645264 , 0.1493497 , 68922.42 ) ,
( 21.90 , 5.7633686 , 0.1493950 , 68922.53 ) ,
( 24.70 , 5.7655191 , 0.1494252 , 68922.53 ) ,
( 27.20 , 5.7775373 , 0.1496517 , 68922.54 ) ,
( 21.80 , 5.7658739 , 0.1496517 , 68922.52 ) ,
( 25.60 , 5.7643785 , 0.1496668 , 68922.53 ) ,
( 20.50 , 5.7660570 , 0.1496668 , 68922.53 ) ,
( 27.10 , 5.7743731 , 0.1496754 , 68922.54 ) ,
( 21.70 , 5.7788219 , 0.1496892 , 68922.55 ) ,
( 21.90 , 5.7783575 , 0.1498027 , 68922.54 ) ,
( 32.90 , 5.7679100 , 0.1498718 , 68922.53 ) ,
( 21.40 , 5.7728672 , 0.1499084 , 68922.55 ) ,
( 25.90 , 5.7654953 , 0.1498908 , 68932.52 ) ,
( 20.30 , 5.7643452 , 0.1499512 , 68932.52 ) ,
( 20.90 , 5.7648735 , 0.1500117 , 68932.52 ) ,
( 21.80 , 5.7687712 , 0.1503965 , 68931.92 ) ,
( 25.80 , 5.7761898 , 0.1504194 , 68931.94 ) ,
( 20.60 , 5.7708883 , 0.1504194 , 68931.93 ) ,
( 20.20 , 5.7794495 , 0.1507207 , 68941.94 ) ,
( 21.90 , 5.7783575 , 0.1498027 , 68922.54 ) ,
( 32.90 , 5.7679100 , 0.1498718 , 68922.53 ) ,
( 21.40 , 5.7728672 , 0.1499084 , 68922.55 ) ,
( 25.90 , 5.7654953 , 0.1498908 , 68932.52 ) ,
( 20.30 , 5.7643452 , 0.1499512 , 68932.52 ) ,
( 20.90 , 5.7648735 , 0.1500117 , 68932.52 ) ,
( 21.80 , 5.7687712 , 0.1503965 , 68931.92 ) ,
( 25.80 , 5.7761898 , 0.1504194 , 68931.94 ) ,
( 20.60 , 5.7708883 , 0.1504194 , 68931.93 ) ,
( 20.20 , 5.7794495 , 0.1507207 , 68941.94 )));

 id4a : array(1..995) of byte :=(

0 ,
0 ,
0 ,
60 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
19 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
41 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
34 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 
 );

 id4b : array(1..995) of byte :=(

0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
45 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
45 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
47 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
28 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
28 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
61 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
25 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
23 ,
0 ,
0 ,
0 ,
0 ,
0 ,
32 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
57 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
61 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
61 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
61 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
61 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 
);

 id3a : array(1..995) of byte :=(

0 ,
0 ,
0 ,
74 ,
0 ,
0 ,
0 ,
0 ,
32 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
65 ,
0 ,
0 ,
5 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
72 ,
72 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
46 ,
0 ,
0 ,
47 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
73 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
65 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
33 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
35 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
17 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
34 ,
0 ,
33 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
100 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
87 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
17 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
28 ,
17 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
63 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
33 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
89 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
33 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
41 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 
);

 id3b : array(1..995) of byte :=(

0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
44 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
47 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
44 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
47 ,
0 ,
0 ,
0 ,
0 ,
17 ,
0 ,
0 ,
0 ,
0 ,
21 ,
0 ,
0 ,
0 ,
0 ,
72 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
44 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
28 ,
0 ,
0 ,
33 ,
17 ,
0 ,
30 ,
30 ,
0 ,
0 ,
30 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
74 ,
0 ,
0 ,
0 ,
18 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
82 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
11 ,
0 ,
0 ,
61 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
46 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
28 ,
0 ,
33 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
3 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
61 ,
0 ,
0 ,
0 ,
61 ,
0 ,
98 ,
0 ,
61 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
25 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
17 ,
0 ,
34 ,
0 ,
0 ,
0 ,
17 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
3 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
99 ,
0 ,
87 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
61 ,
57 ,
70 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
29 ,
0 ,
0 ,
0 ,
0 ,
7 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
64 ,
0 ,
0 ,
0 ,
0 ,
0 ,
55 ,
0 ,
41 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
16 ,
0 ,
18 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
99 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
61 ,
68 ,
0 ,
0 ,
61 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
34 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
99 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
68 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
34 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
98 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
68 ,
0 ,
0 ,
0 ,
70 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
46 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
87 ,
0 ,
94 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
58 ,
70 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
61 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
61 ,
61 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
61 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
41 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
70 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
61 ,
0 ,
0 ,
0 ,
41 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 
);

 id2a : array(1..995) of byte :=(

10 ,
45 ,
72 ,
44 ,
10 ,
0 ,
0 ,
0 ,
64 ,
0 ,
0 ,
37 ,
0 ,
72 ,
74 ,
45 ,
4 ,
10 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
64 ,
0 ,
0 ,
0 ,
0 ,
0 ,
55 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
47 ,
0 ,
0 ,
0 ,
36 ,
0 ,
0 ,
73 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
27 ,
0 ,
8 ,
0 ,
72 ,
0 ,
0 ,
44 ,
45 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
70 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
55 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
47 ,
46 ,
28 ,
0 ,
34 ,
0 ,
19 ,
0 ,
73 ,
0 ,
0 ,
73 ,
0 ,
0 ,
27 ,
0 ,
8 ,
0 ,
0 ,
0 ,
74 ,
59 ,
74 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
50 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
14 ,
0 ,
0 ,
0 ,
3 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
11 ,
0 ,
0 ,
0 ,
0 ,
64 ,
0 ,
0 ,
0 ,
0 ,
47 ,
28 ,
0 ,
46 ,
0 ,
73 ,
0 ,
0 ,
0 ,
0 ,
0 ,
5 ,
0 ,
0 ,
0 ,
27 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
50 ,
0 ,
0 ,
0 ,
61 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
14 ,
3 ,
0 ,
0 ,
92 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
28 ,
46 ,
0 ,
55 ,
0 ,
0 ,
0 ,
0 ,
64 ,
0 ,
0 ,
73 ,
0 ,
0 ,
32 ,
8 ,
0 ,
0 ,
0 ,
0 ,
0 ,
101 ,
0 ,
96 ,
0 ,
81 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
76 ,
70 ,
0 ,
40 ,
0 ,
0 ,
50 ,
61 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
99 ,
0 ,
0 ,
0 ,
100 ,
0 ,
0 ,
92 ,
0 ,
0 ,
0 ,
3 ,
0 ,
82 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
33 ,
0 ,
0 ,
0 ,
19 ,
0 ,
28 ,
46 ,
0 ,
41 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
55 ,
27 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
101 ,
0 ,
96 ,
81 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
67 ,
0 ,
0 ,
0 ,
70 ,
71 ,
0 ,
0 ,
0 ,
86 ,
61 ,
0 ,
63 ,
0 ,
68 ,
0 ,
0 ,
0 ,
0 ,
94 ,
0 ,
94 ,
0 ,
0 ,
51 ,
0 ,
82 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
49 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
31 ,
14 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
28 ,
33 ,
0 ,
28 ,
0 ,
0 ,
0 ,
0 ,
0 ,
28 ,
46 ,
41 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
8 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
55 ,
0 ,
64 ,
0 ,
0 ,
0 ,
101 ,
0 ,
96 ,
81 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
74 ,
0 ,
0 ,
0 ,
91 ,
0 ,
0 ,
0 ,
0 ,
66 ,
0 ,
70 ,
58 ,
0 ,
94 ,
0 ,
0 ,
0 ,
61 ,
63 ,
61 ,
57 ,
0 ,
87 ,
0 ,
0 ,
0 ,
39 ,
53 ,
0 ,
0 ,
0 ,
35 ,
0 ,
0 ,
43 ,
0 ,
18 ,
0 ,
22 ,
0 ,
16 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
33 ,
28 ,
0 ,
0 ,
0 ,
19 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
55 ,
0 ,
0 ,
0 ,
90 ,
0 ,
81 ,
0 ,
0 ,
96 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
87 ,
0 ,
91 ,
0 ,
69 ,
0 ,
74 ,
58 ,
0 ,
0 ,
94 ,
62 ,
70 ,
0 ,
0 ,
63 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
18 ,
0 ,
0 ,
0 ,
0 ,
16 ,
0 ,
22 ,
0 ,
0 ,
0 ,
0 ,
33 ,
28 ,
0 ,
0 ,
29 ,
0 ,
25 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
101 ,
95 ,
0 ,
81 ,
0 ,
96 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
76 ,
66 ,
0 ,
0 ,
61 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
56 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
18 ,
0 ,
13 ,
0 ,
33 ,
17 ,
0 ,
0 ,
25 ,
17 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
90 ,
102 ,
101 ,
95 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
66 ,
0 ,
76 ,
0 ,
61 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
41 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
90 ,
102 ,
101 ,
95 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
66 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
95 ,
89 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
27 ,
0 ,
0 ,
0 ,
0 ,
0 ,
95 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
34 ,
29 ,
13 ,
0 ,
7 ,
0 ,
0 ,
0 ,
95 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
28 ,
0 ,
0 ,
29 ,
0 ,
0 ,
0 ,
27 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
28 ,
25 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
61 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
34 ,
0 ,
34 ,
29 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
61 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 
);

 id2b : array(1..995) of byte :=(

0 ,
0 ,
0 ,
0 ,
0 ,
31 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
100 ,
0 ,
0 ,
10 ,
0 ,
0 ,
10 ,
64 ,
73 ,
0 ,
6 ,
0 ,
0 ,
0 ,
0 ,
31 ,
0 ,
0 ,
0 ,
27 ,
0 ,
8 ,
0 ,
0 ,
36 ,
0 ,
0 ,
19 ,
34 ,
12 ,
0 ,
16 ,
0 ,
0 ,
72 ,
0 ,
0 ,
0 ,
0 ,
3 ,
3 ,
4 ,
10 ,
73 ,
64 ,
0 ,
0 ,
0 ,
6 ,
37 ,
0 ,
0 ,
38 ,
38 ,
11 ,
0 ,
49 ,
0 ,
31 ,
42 ,
0 ,
0 ,
11 ,
0 ,
0 ,
53 ,
0 ,
0 ,
39 ,
0 ,
8 ,
0 ,
46 ,
0 ,
43 ,
0 ,
36 ,
0 ,
0 ,
0 ,
0 ,
48 ,
0 ,
41 ,
34 ,
0 ,
12 ,
0 ,
0 ,
16 ,
1 ,
74 ,
0 ,
0 ,
22 ,
0 ,
0 ,
14 ,
3 ,
45 ,
45 ,
10 ,
73 ,
0 ,
64 ,
0 ,
0 ,
37 ,
6 ,
0 ,
0 ,
62 ,
0 ,
38 ,
67 ,
0 ,
0 ,
0 ,
0 ,
61 ,
0 ,
0 ,
42 ,
0 ,
0 ,
57 ,
61 ,
53 ,
0 ,
0 ,
0 ,
39 ,
8 ,
0 ,
0 ,
46 ,
36 ,
27 ,
23 ,
0 ,
0 ,
0 ,
48 ,
0 ,
9 ,
36 ,
48 ,
0 ,
24 ,
33 ,
0 ,
16 ,
34 ,
0 ,
0 ,
21 ,
16 ,
72 ,
1 ,
0 ,
22 ,
72 ,
0 ,
0 ,
14 ,
14 ,
0 ,
0 ,
0 ,
0 ,
0 ,
65 ,
0 ,
73 ,
55 ,
64 ,
67 ,
0 ,
92 ,
67 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
42 ,
57 ,
94 ,
68 ,
53 ,
42 ,
0 ,
70 ,
0 ,
0 ,
39 ,
47 ,
43 ,
0 ,
8 ,
46 ,
25 ,
0 ,
27 ,
0 ,
0 ,
0 ,
28 ,
27 ,
23 ,
48 ,
9 ,
41 ,
0 ,
0 ,
30 ,
21 ,
0 ,
0 ,
12 ,
0 ,
22 ,
0 ,
0 ,
0 ,
0 ,
18 ,
14 ,
18 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
97 ,
0 ,
65 ,
92 ,
73 ,
0 ,
73 ,
0 ,
0 ,
62 ,
0 ,
0 ,
0 ,
38 ,
57 ,
0 ,
0 ,
0 ,
0 ,
70 ,
64 ,
0 ,
0 ,
68 ,
39 ,
87 ,
0 ,
70 ,
0 ,
54 ,
55 ,
53 ,
0 ,
0 ,
7 ,
11 ,
0 ,
29 ,
47 ,
0 ,
0 ,
46 ,
8 ,
0 ,
0 ,
0 ,
48 ,
0 ,
41 ,
0 ,
0 ,
23 ,
36 ,
33 ,
36 ,
0 ,
9 ,
30 ,
0 ,
24 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
16 ,
18 ,
0 ,
0 ,
22 ,
18 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
102 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
97 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
94 ,
0 ,
100 ,
100 ,
100 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
58 ,
98 ,
0 ,
0 ,
0 ,
70 ,
68 ,
50 ,
0 ,
0 ,
0 ,
0 ,
47 ,
0 ,
0 ,
39 ,
42 ,
46 ,
0 ,
26 ,
0 ,
0 ,
46 ,
11 ,
46 ,
0 ,
0 ,
0 ,
0 ,
0 ,
32 ,
11 ,
9 ,
0 ,
33 ,
17 ,
0 ,
0 ,
23 ,
0 ,
33 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
22 ,
0 ,
13 ,
0 ,
22 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
102 ,
0 ,
0 ,
0 ,
0 ,
0 ,
80 ,
0 ,
97 ,
0 ,
0 ,
0 ,
0 ,
88 ,
0 ,
0 ,
100 ,
98 ,
0 ,
0 ,
0 ,
87 ,
0 ,
0 ,
69 ,
67 ,
50 ,
0 ,
70 ,
76 ,
0 ,
47 ,
70 ,
61 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
39 ,
0 ,
35 ,
0 ,
26 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
43 ,
33 ,
0 ,
0 ,
17 ,
0 ,
0 ,
0 ,
9 ,
0 ,
0 ,
23 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
16 ,
0 ,
0 ,
16 ,
18 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
81 ,
95 ,
0 ,
0 ,
78 ,
0 ,
0 ,
0 ,
80 ,
85 ,
0 ,
0 ,
0 ,
79 ,
0 ,
0 ,
0 ,
100 ,
94 ,
91 ,
98 ,
91 ,
86 ,
87 ,
0 ,
0 ,
0 ,
0 ,
0 ,
67 ,
0 ,
57 ,
61 ,
0 ,
0 ,
61 ,
61 ,
0 ,
0 ,
0 ,
0 ,
39 ,
0 ,
0 ,
0 ,
0 ,
26 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
33 ,
0 ,
36 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
23 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
13 ,
0 ,
0 ,
0 ,
0 ,
0 ,
16 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
101 ,
0 ,
95 ,
0 ,
97 ,
88 ,
78 ,
0 ,
0 ,
85 ,
77 ,
0 ,
80 ,
0 ,
0 ,
0 ,
0 ,
94 ,
87 ,
87 ,
94 ,
91 ,
86 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
57 ,
61 ,
0 ,
0 ,
57 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
26 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
33 ,
0 ,
0 ,
41 ,
0 ,
33 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
13 ,
0 ,
0 ,
0 ,
0 ,
0 ,
5 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
101 ,
0 ,
95 ,
0 ,
81 ,
0 ,
0 ,
0 ,
0 ,
97 ,
78 ,
0 ,
0 ,
0 ,
77 ,
80 ,
85 ,
0 ,
0 ,
0 ,
98 ,
0 ,
98 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
61 ,
57 ,
57 ,
0 ,
0 ,
38 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
73 ,
0 ,
34 ,
65 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
101 ,
95 ,
0 ,
0 ,
0 ,
0 ,
0 ,
78 ,
85 ,
0 ,
0 ,
0 ,
79 ,
0 ,
77 ,
0 ,
0 ,
0 ,
87 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
58 ,
0 ,
57 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
101 ,
0 ,
95 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
79 ,
0 ,
0 ,
0 ,
0 ,
0 ,
86 ,
0 ,
99 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
95 ,
101 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
78 ,
79 ,
0 ,
0 ,
0 ,
0 ,
0 ,
46 ,
26 ,
23 ,
0 ,
13 ,
0 ,
0 ,
101 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
42 ,
31 ,
29 ,
23 ,
0 ,
0 ,
0 ,
18 ,
58 ,
68 ,
0 ,
31 ,
26 ,
0 ,
0 ,
0 ,
7 ,
0 ,
13 ,
79 ,
69 ,
0 ,
57 ,
0 ,
0 ,
0 ,
0 ,
0 ,
46 ,
0 ,
0 ,
26 ,
34 ,
0 ,
0 ,
23 ,
0 ,
0 ,
0 ,
18 ,
80 ,
0 ,
69 ,
58 ,
58 ,
0 ,
0 ,
0 ,
0 ,
46 ,
0 ,
26 ,
33 ,
0 ,
23 ,
0 ,
0 ,
0 ,
0 ,
0 ,
80 ,
0 ,
0 ,
69 ,
58 ,
0 ,
0 ,
31 ,
26 ,
34 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
79 ,
0 ,
0 ,
0 ,
31 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
79 ,
0 ,
0 ,
0 ,
0 ,
79 ,
0 ,
0 ,
0 
);

 id1a : array(1..995) of byte :=(

4 ,
44 ,
59 ,
45 ,
4 ,
3 ,
1 ,
14 ,
55 ,
5 ,
37 ,
6 ,
2 ,
59 ,
60 ,
44 ,
10 ,
4 ,
20 ,
21 ,
16 ,
13 ,
12 ,
39 ,
50 ,
18 ,
3 ,
22 ,
18 ,
1 ,
14 ,
38 ,
43 ,
49 ,
55 ,
35 ,
54 ,
31 ,
42 ,
17 ,
32 ,
11 ,
28 ,
26 ,
25 ,
28 ,
19 ,
5 ,
36 ,
7 ,
33 ,
41 ,
47 ,
46 ,
29 ,
65 ,
34 ,
30 ,
24 ,
9 ,
23 ,
37 ,
6 ,
8 ,
2 ,
27 ,
15 ,
59 ,
74 ,
60 ,
45 ,
44 ,
10 ,
4 ,
69 ,
40 ,
58 ,
66 ,
71 ,
57 ,
20 ,
61 ,
21 ,
62 ,
67 ,
16 ,
70 ,
68 ,
13 ,
12 ,
39 ,
50 ,
53 ,
18 ,
63 ,
3 ,
22 ,
1 ,
14 ,
52 ,
49 ,
38 ,
43 ,
51 ,
75 ,
42 ,
35 ,
31 ,
64 ,
48 ,
54 ,
17 ,
11 ,
56 ,
28 ,
25 ,
26 ,
32 ,
36 ,
19 ,
33 ,
7 ,
41 ,
29 ,
46 ,
34 ,
5 ,
30 ,
24 ,
65 ,
9 ,
23 ,
8 ,
37 ,
27 ,
2 ,
6 ,
15 ,
72 ,
74 ,
59 ,
60 ,
45 ,
44 ,
44 ,
10 ,
4 ,
69 ,
58 ,
40 ,
66 ,
71 ,
61 ,
57 ,
62 ,
67 ,
20 ,
21 ,
76 ,
70 ,
68 ,
50 ,
16 ,
39 ,
13 ,
12 ,
63 ,
53 ,
18 ,
22 ,
3 ,
52 ,
49 ,
38 ,
14 ,
43 ,
1 ,
51 ,
42 ,
35 ,
75 ,
31 ,
48 ,
17 ,
56 ,
11 ,
55 ,
28 ,
54 ,
25 ,
26 ,
36 ,
33 ,
41 ,
19 ,
7 ,
32 ,
29 ,
34 ,
65 ,
30 ,
24 ,
65 ,
23 ,
9 ,
5 ,
8 ,
2 ,
15 ,
6 ,
37 ,
72 ,
74 ,
59 ,
60 ,
45 ,
69 ,
44 ,
58 ,
71 ,
66 ,
40 ,
61 ,
57 ,
67 ,
62 ,
76 ,
10 ,
4 ,
70 ,
68 ,
20 ,
50 ,
21 ,
63 ,
39 ,
16 ,
53 ,
13 ,
12 ,
52 ,
18 ,
22 ,
49 ,
43 ,
38 ,
51 ,
3 ,
14 ,
1 ,
35 ,
42 ,
31 ,
48 ,
56 ,
75 ,
17 ,
11 ,
36 ,
47 ,
28 ,
25 ,
26 ,
41 ,
33 ,
19 ,
29 ,
64 ,
54 ,
7 ,
34 ,
30 ,
55 ,
73 ,
24 ,
32 ,
23 ,
9 ,
65 ,
27 ,
2 ,
15 ,
6 ,
5 ,
37 ,
90 ,
95 ,
81 ,
89 ,
96 ,
97 ,
93 ,
85 ,
84 ,
88 ,
79 ,
80 ,
74 ,
77 ,
72 ,
78 ,
59 ,
69 ,
66 ,
71 ,
58 ,
40 ,
61 ,
57 ,
76 ,
62 ,
60 ,
67 ,
70 ,
68 ,
45 ,
63 ,
20 ,
86 ,
21 ,
39 ,
53 ,
91 ,
44 ,
16 ,
13 ,
12 ,
52 ,
87 ,
98 ,
49 ,
43 ,
18 ,
51 ,
38 ,
22 ,
10 ,
4 ,
14 ,
83 ,
35 ,
42 ,
1 ,
56 ,
82 ,
31 ,
48 ,
47 ,
36 ,
11 ,
17 ,
28 ,
75 ,
26 ,
25 ,
46 ,
41 ,
33 ,
19 ,
29 ,
34 ,
7 ,
30 ,
54 ,
24 ,
23 ,
73 ,
9 ,
64 ,
8 ,
65 ,
2 ,
15 ,
6 ,
5 ,
37 ,
95 ,
90 ,
102 ,
81 ,
96 ,
89 ,
97 ,
93 ,
85 ,
88 ,
84 ,
79 ,
80 ,
77 ,
78 ,
74 ,
72 ,
69 ,
71 ,
66 ,
58 ,
59 ,
61 ,
67 ,
76 ,
50 ,
57 ,
40 ,
70 ,
62 ,
68 ,
91 ,
63 ,
99 ,
98 ,
100 ,
87 ,
53 ,
20 ,
39 ,
92 ,
21 ,
83 ,
52 ,
49 ,
16 ,
13 ,
51 ,
12 ,
45 ,
43 ,
38 ,
35 ,
18 ,
22 ,
14 ,
56 ,
60 ,
42 ,
47 ,
3 ,
48 ,
36 ,
44 ,
1 ,
31 ,
11 ,
17 ,
28 ,
46 ,
33 ,
26 ,
41 ,
25 ,
10 ,
4 ,
33 ,
29 ,
34 ,
19 ,
30 ,
75 ,
7 ,
24 ,
23 ,
9 ,
27 ,
54 ,
8 ,
73 ,
15 ,
2 ,
6 ,
64 ,
65 ,
55 ,
5 ,
37 ,
95 ,
90 ,
102 ,
81 ,
96 ,
89 ,
97 ,
93 ,
85 ,
88 ,
84 ,
79 ,
80 ,
77 ,
78 ,
69 ,
69 ,
86 ,
71 ,
66 ,
50 ,
61 ,
58 ,
67 ,
91 ,
76 ,
61 ,
99 ,
72 ,
57 ,
62 ,
98 ,
40 ,
70 ,
68 ,
100 ,
94 ,
92 ,
63 ,
59 ,
83 ,
82 ,
53 ,
39 ,
20 ,
52 ,
21 ,
49 ,
51 ,
38 ,
56 ,
47 ,
13 ,
12 ,
16 ,
36 ,
22 ,
18 ,
14 ,
42 ,
48 ,
31 ,
3 ,
11 ,
1 ,
45 ,
46 ,
41 ,
33 ,
26 ,
25 ,
34 ,
29 ,
30 ,
19 ,
7 ,
44 ,
75 ,
24 ,
23 ,
10 ,
4 ,
27 ,
9 ,
8 ,
54 ,
15 ,
6 ,
2 ,
73 ,
65 ,
32 ,
55 ,
64 ,
5 ,
37 ,
95 ,
101 ,
102 ,
96 ,
89 ,
97 ,
81 ,
93 ,
85 ,
88 ,
84 ,
79 ,
80 ,
77 ,
78 ,
86 ,
91 ,
50 ,
99 ,
69 ,
100 ,
98 ,
71 ,
87 ,
66 ,
67 ,
94 ,
76 ,
92 ,
58 ,
94 ,
61 ,
57 ,
62 ,
68 ,
83 ,
82 ,
40 ,
72 ,
53 ,
39 ,
35 ,
52 ,
47 ,
20 ,
49 ,
59 ,
51 ,
56 ,
43 ,
21 ,
38 ,
36 ,
13 ,
42 ,
12 ,
48 ,
14 ,
22 ,
18 ,
16 ,
31 ,
11 ,
46 ,
3 ,
41 ,
33 ,
26 ,
1 ,
25 ,
34 ,
29 ,
30 ,
19 ,
45 ,
7 ,
23 ,
24 ,
27 ,
75 ,
9 ,
6 ,
8 ,
15 ,
54 ,
60 ,
73 ,
44 ,
4 ,
10 ,
65 ,
32 ,
55 ,
64 ,
5 ,
37 ,
95 ,
90 ,
102 ,
89 ,
96 ,
97 ,
81 ,
93 ,
85 ,
88 ,
84 ,
79 ,
80 ,
77 ,
78 ,
86 ,
91 ,
99 ,
98 ,
100 ,
94 ,
87 ,
92 ,
69 ,
67 ,
83 ,
71 ,
66 ,
76 ,
82 ,
58 ,
70 ,
62 ,
57 ,
68 ,
74 ,
40 ,
53 ,
39 ,
52 ,
49 ,
51 ,
72 ,
43 ,
38 ,
21 ,
42 ,
48 ,
59 ,
31 ,
13 ,
12 ,
18 ,
46 ,
41 ,
28 ,
26 ,
3 ,
29 ,
34 ,
1 ,
30 ,
7 ,
23 ,
27 ,
6 ,
9 ,
75 ,
8 ,
15 ,
45 ,
73 ,
54 ,
65 ,
44 ,
60 ,
32 ,
55 ,
64 ,
5 ,
37 ,
101 ,
95 ,
90 ,
102 ,
89 ,
96 ,
97 ,
81 ,
93 ,
85 ,
88 ,
84 ,
79 ,
80 ,
77 ,
78 ,
91 ,
86 ,
99 ,
100 ,
98 ,
94 ,
87 ,
92 ,
83 ,
82 ,
69 ,
76 ,
71 ,
66 ,
58 ,
70 ,
68 ,
62 ,
57 ,
40 ,
74 ,
53 ,
39 ,
52 ,
49 ,
51 ,
43 ,
38 ,
48 ,
42 ,
72 ,
31 ,
46 ,
33 ,
59 ,
34 ,
30 ,
75 ,
73 ,
54 ,
45 ,
65 ,
32 ,
44 ,
60 ,
64 ,
5 ,
37 ,
101 ,
95 ,
90 ,
102 ,
89 ,
96 ,
97 ,
93 ,
81 ,
85 ,
88 ,
84 ,
79 ,
80 ,
78 ,
77 ,
91 ,
86 ,
99 ,
100 ,
98 ,
94 ,
87 ,
92 ,
83 ,
82 ,
76 ,
70 ,
74 ,
75 ,
73 ,
65 ,
32 ,
60 ,
101 ,
102 ,
90 ,
97 ,
96 ,
93 ,
81 ,
85 ,
88 ,
84 ,
79 ,
80 ,
78 ,
77 ,
91 ,
99 ,
86 ,
100 ,
98 ,
94 ,
87 ,
92 ,
83 ,
82 ,
7 ,
75 ,
73 ,
65 ,
60 ,
101 ,
102 ,
90 ,
97 ,
96 ,
93 ,
88 ,
84 ,
80 ,
79 ,
78 ,
77 ,
100 ,
86 ,
98 ,
92 ,
87 ,
83 ,
82 ,
20 ,
40 ,
22 ,
28 ,
25 ,
18 ,
12 ,
27 ,
1 ,
8 ,
101 ,
102 ,
95 ,
97 ,
96 ,
100 ,
98 ,
62 ,
68 ,
40 ,
49 ,
51 ,
34 ,
21 ,
26 ,
25 ,
17 ,
30 ,
12 ,
7 ,
3 ,
15 ,
69 ,
71 ,
68 ,
40 ,
53 ,
51 ,
43 ,
38 ,
48 ,
42 ,
46 ,
34 ,
29 ,
18 ,
23 ,
9 ,
1 ,
8 ,
77 ,
71 ,
58 ,
68 ,
62 ,
57 ,
53 ,
49 ,
51 ,
43 ,
31 ,
33 ,
41 ,
28 ,
25 ,
17 ,
13 ,
12 ,
95 ,
82 ,
69 ,
71 ,
66 ,
68 ,
57 ,
62 ,
53 ,
46 ,
31 ,
30 ,
15 ,
102 ,
95 ,
90 ,
80 ,
78 ,
100 ,
86 ,
87 ,
102 ,
90 ,
97 ,
96 ,
93 ,
80 ,
78 ,
77 ,
98 ,
87 ,
83 ,
101 ,
102 
);

 id1b : array(1..995) of byte :=(

90 ,
97 ,
88 ,
84 ,
83 ,
42 ,
97 ,
96 ,
84 ,
88 ,
86 ,
43 ,
97 ,
77 ,
92 ,
6 ,
4 ,
5 ,
6 ,
4 ,
55 ,
65 ,
32 ,
37 ,
54 ,
6 ,
5 ,
67 ,
11 ,
7 ,
25 ,
15 ,
8 ,
9 ,
27 ,
29 ,
17 ,
19 ,
23 ,
2 ,
36 ,
24 ,
16 ,
30 ,
12 ,
21 ,
22 ,
59 ,
20 ,
1 ,
13 ,
3 ,
14 ,
18 ,
10 ,
4 ,
65 ,
55 ,
75 ,
32 ,
54 ,
37 ,
6 ,
5 ,
51 ,
49 ,
49 ,
31 ,
62 ,
38 ,
58 ,
11 ,
35 ,
7 ,
50 ,
26 ,
57 ,
42 ,
39 ,
61 ,
25 ,
53 ,
15 ,
27 ,
52 ,
29 ,
9 ,
52 ,
17 ,
19 ,
40 ,
23 ,
43 ,
63 ,
28 ,
2 ,
33 ,
24 ,
56 ,
16 ,
30 ,
21 ,
12 ,
22 ,
59 ,
20 ,
3 ,
1 ,
13 ,
60 ,
3 ,
18 ,
44 ,
10 ,
4 ,
65 ,
75 ,
55 ,
32 ,
54 ,
6 ,
37 ,
51 ,
71 ,
67 ,
5 ,
49 ,
62 ,
58 ,
31 ,
38 ,
50 ,
57 ,
69 ,
26 ,
35 ,
11 ,
7 ,
61 ,
70 ,
39 ,
25 ,
68 ,
66 ,
53 ,
27 ,
15 ,
52 ,
29 ,
47 ,
8 ,
9 ,
76 ,
63 ,
40 ,
17 ,
43 ,
23 ,
19 ,
28 ,
2 ,
34 ,
41 ,
56 ,
21 ,
24 ,
30 ,
22 ,
16 ,
12 ,
74 ,
22 ,
20 ,
1 ,
59 ,
13 ,
1 ,
18 ,
3 ,
60 ,
44 ,
45 ,
10 ,
4 ,
73 ,
75 ,
65 ,
64 ,
55 ,
71 ,
51 ,
32 ,
62 ,
49 ,
6 ,
54 ,
58 ,
38 ,
31 ,
50 ,
69 ,
57 ,
37 ,
35 ,
61 ,
26 ,
70 ,
39 ,
11 ,
7 ,
68 ,
66 ,
5 ,
53 ,
25 ,
52 ,
76 ,
27 ,
29 ,
47 ,
15 ,
8 ,
63 ,
40 ,
43 ,
36 ,
8 ,
9 ,
17 ,
23 ,
19 ,
56 ,
2 ,
24 ,
16 ,
12 ,
74 ,
22 ,
72 ,
1 ,
13 ,
20 ,
1 ,
13 ,
3 ,
18 ,
14 ,
59 ,
60 ,
44 ,
45 ,
10 ,
4 ,
95 ,
81 ,
77 ,
85 ,
78 ,
79 ,
83 ,
88 ,
89 ,
80 ,
73 ,
75 ,
65 ,
84 ,
65 ,
71 ,
51 ,
67 ,
49 ,
58 ,
64 ,
49 ,
50 ,
69 ,
38 ,
6 ,
31 ,
57 ,
55 ,
61 ,
86 ,
70 ,
53 ,
42 ,
35 ,
68 ,
66 ,
26 ,
32 ,
39 ,
26 ,
76 ,
54 ,
47 ,
52 ,
46 ,
11 ,
25 ,
63 ,
29 ,
27 ,
40 ,
43 ,
15 ,
36 ,
37 ,
33 ,
15 ,
8 ,
9 ,
28 ,
41 ,
17 ,
56 ,
23 ,
34 ,
19 ,
30 ,
5 ,
21 ,
24 ,
2 ,
74 ,
12 ,
13 ,
22 ,
20 ,
1 ,
18 ,
3 ,
72 ,
14 ,
59 ,
60 ,
44 ,
45 ,
10 ,
4 ,
96 ,
95 ,
81 ,
77 ,
90 ,
85 ,
78 ,
79 ,
83 ,
89 ,
88 ,
92 ,
80 ,
82 ,
84 ,
93 ,
99 ,
71 ,
94 ,
94 ,
51 ,
67 ,
62 ,
91 ,
75 ,
86 ,
73 ,
50 ,
49 ,
69 ,
65 ,
38 ,
57 ,
61 ,
57 ,
31 ,
6 ,
66 ,
68 ,
42 ,
76 ,
35 ,
53 ,
47 ,
26 ,
52 ,
46 ,
63 ,
7 ,
25 ,
48 ,
29 ,
64 ,
40 ,
27 ,
43 ,
25 ,
64 ,
36 ,
32 ,
15 ,
41 ,
28 ,
56 ,
8 ,
9 ,
17 ,
34 ,
54 ,
30 ,
19 ,
21 ,
74 ,
37 ,
12 ,
24 ,
2 ,
13 ,
16 ,
22 ,
5 ,
18 ,
1 ,
20 ,
3 ,
14 ,
72 ,
59 ,
60 ,
44 ,
45 ,
10 ,
4 ,
96 ,
95 ,
81 ,
101 ,
90 ,
77 ,
85 ,
78 ,
79 ,
83 ,
89 ,
88 ,
92 ,
80 ,
82 ,
84 ,
93 ,
99 ,
94 ,
87 ,
86 ,
91 ,
71 ,
98 ,
51 ,
62 ,
50 ,
58 ,
69 ,
49 ,
57 ,
61 ,
66 ,
38 ,
68 ,
76 ,
31 ,
75 ,
73 ,
6 ,
31 ,
42 ,
53 ,
65 ,
52 ,
39 ,
46 ,
63 ,
63 ,
48 ,
25 ,
40 ,
29 ,
43 ,
27 ,
7 ,
36 ,
41 ,
15 ,
56 ,
28 ,
11 ,
34 ,
15 ,
23 ,
8 ,
17 ,
9 ,
30 ,
32 ,
74 ,
21 ,
19 ,
54 ,
64 ,
12 ,
24 ,
55 ,
13 ,
18 ,
2 ,
22 ,
1 ,
16 ,
22 ,
3 ,
20 ,
37 ,
5 ,
14 ,
72 ,
59 ,
60 ,
44 ,
45 ,
10 ,
4 ,
95 ,
96 ,
102 ,
101 ,
90 ,
81 ,
77 ,
85 ,
97 ,
83 ,
79 ,
88 ,
78 ,
92 ,
89 ,
80 ,
82 ,
93 ,
84 ,
99 ,
100 ,
86 ,
87 ,
86 ,
91 ,
98 ,
71 ,
50 ,
62 ,
51 ,
58 ,
69 ,
49 ,
70 ,
76 ,
47 ,
66 ,
76 ,
68 ,
38 ,
31 ,
6 ,
42 ,
53 ,
52 ,
75 ,
35 ,
73 ,
46 ,
63 ,
48 ,
65 ,
43 ,
40 ,
29 ,
25 ,
56 ,
27 ,
41 ,
7 ,
56 ,
28 ,
15 ,
34 ,
23 ,
17 ,
74 ,
8 ,
9 ,
30 ,
11 ,
21 ,
32 ,
12 ,
19 ,
13 ,
18 ,
24 ,
1 ,
3 ,
54 ,
2 ,
22 ,
64 ,
20 ,
55 ,
14 ,
5 ,
37 ,
72 ,
59 ,
44 ,
60 ,
45 ,
10 ,
4 ,
96 ,
95 ,
102 ,
101 ,
90 ,
81 ,
85 ,
77 ,
83 ,
92 ,
88 ,
78 ,
89 ,
79 ,
93 ,
82 ,
84 ,
100 ,
99 ,
94 ,
98 ,
87 ,
86 ,
91 ,
71 ,
50 ,
62 ,
58 ,
69 ,
51 ,
47 ,
67 ,
70 ,
76 ,
49 ,
66 ,
68 ,
66 ,
38 ,
6 ,
53 ,
42 ,
52 ,
39 ,
63 ,
75 ,
35 ,
48 ,
43 ,
40 ,
73 ,
29 ,
25 ,
65 ,
41 ,
27 ,
74 ,
33 ,
56 ,
34 ,
7 ,
28 ,
36 ,
15 ,
23 ,
30 ,
17 ,
8 ,
9 ,
8 ,
21 ,
12 ,
18 ,
32 ,
1 ,
3 ,
54 ,
64 ,
55 ,
37 ,
72 ,
59 ,
44 ,
60 ,
45 ,
10 ,
4 ,
102 ,
95 ,
96 ,
101 ,
90 ,
97 ,
83 ,
88 ,
92 ,
88 ,
81 ,
77 ,
85 ,
93 ,
89 ,
78 ,
79 ,
84 ,
82 ,
100 ,
99 ,
94 ,
86 ,
87 ,
91 ,
71 ,
62 ,
69 ,
58 ,
51 ,
76 ,
70 ,
68 ,
66 ,
49 ,
6 ,
53 ,
52 ,
42 ,
31 ,
39 ,
46 ,
48 ,
74 ,
40 ,
43 ,
75 ,
29 ,
73 ,
25 ,
27 ,
28 ,
30 ,
30 ,
23 ,
17 ,
21 ,
18 ,
32 ,
54 ,
5 ,
64 ,
55 ,
37 ,
72 ,
59 ,
44 ,
60 ,
45 ,
102 ,
96 ,
95 ,
101 ,
90 ,
97 ,
92 ,
83 ,
88 ,
77 ,
93 ,
81 ,
84 ,
82 ,
80 ,
89 ,
78 ,
85 ,
100 ,
99 ,
98 ,
87 ,
86 ,
94 ,
91 ,
71 ,
62 ,
69 ,
76 ,
70 ,
66 ,
68 ,
74 ,
75 ,
73 ,
65 ,
32 ,
54 ,
5 ,
60 ,
102 ,
95 ,
96 ,
101 ,
90 ,
97 ,
92 ,
88 ,
83 ,
93 ,
84 ,
77 ,
82 ,
100 ,
80 ,
78 ,
85 ,
89 ,
81 ,
98 ,
99 ,
87 ,
86 ,
94 ,
91 ,
75 ,
73 ,
65 ,
60 ,
102 ,
96 ,
101 ,
95 ,
90 ,
97 ,
92 ,
88 ,
83 ,
93 ,
84 ,
100 ,
82 ,
77 ,
80 ,
78 ,
98 ,
87 ,
86 ,
99 ,
31 ,
29 ,
7 ,
8 ,
18 ,
102 ,
96 ,
95 ,
90 ,
97 ,
92 ,
88 ,
93 ,
83 ,
100 ,
84 ,
82 ,
98 ,
87 ,
86 ,
31 ,
46 ,
26 ,
7 ,
15 ,
17 ,
9 ,
13 ,
68 ,
57 ,
38 ,
46 ,
29 ,
27 ,
28 ,
15 ,
23 ,
12 ,
18 ,
80 ,
76 ,
62 ,
68 ,
49 ,
52 ,
38 ,
42 ,
39 ,
31 ,
48 ,
40 ,
29 ,
33 ,
28 ,
30 ,
7 ,
9 ,
8 ,
12 ,
13 ,
79 ,
71 ,
76 ,
70 ,
68 ,
66 ,
57 ,
51 ,
38 ,
31 ,
40 ,
29 ,
34 ,
15 ,
7 ,
3 ,
102 ,
93 ,
83 ,
84 ,
79 ,
87 ,
71 ,
76 ,
68 ,
66 ,
38 ,
46 ,
29 ,
33 ,
15 ,
102 ,
95 ,
90 ,
92 ,
88 ,
83 ,
84 ,
82 ,
80 ,
87 ,
66 ,
51 ,
46 ,
102 ,
101 ,
96 ,
92 ,
88 ,
93 ,
88 ,
100 ,
83 ,
82 ,
80 ,
86 ,
102 ,
101 ,
95 ,
80 ,
87 ,
77 ,
92

);
end INDATA;
--::::::::::
--global.ads
--::::::::::
--    THIS SOFTWARE IS A COPY FROM THE ADA COMPILER EVALUATION
--    CAPABILITY (ACEC) TEST SUITE.
--
--    EACH TEST PROBLEM IS MEASURED BY "PLUGGING IT INTO" A TEMPLATE
--    WHICH WILL, WHEN EXECUTED, MEASURE AND REPORT ON THE EXECUTION
--    TIME AND SIZE OF THE TEST PROBLEM CONTAINED WITHIN IT.
--    THE TIMMING CODE CONSISTS OF 3 CODE FILES WHICH ARE
--    GLOBAL PACKAGE, INITTIME PACKAGE AND THE DRIVER CODE.
--
--    THE PRINCIPLES OF A SOFTWARE CLOCK VERNIER HAVE BEEN PUBLISHED
--    BEFORE BY:
--    WICHMANN( ALGOL60 COMPILATION AND ASSESSMENT, 1973) AND
--    KOSTER( LOW LEVEL SELF-MEASUREMENT IN COMPUTERS, 1969)
--
--    ADAPTED FOR gco BANCHMARK BY U. URMACHER (A) 1990/5/10
--
-- this is the package containing global variable declarations
 
-- WITH Calendar; USE Calendar ;
WITH SYSTEM;           -- need SYSTEM.tick, SYSTEM.address, SYSTEM.storage_unit
-- WITH TEXT_IO;USE TEXT_IO;
 
PACKAGE Global IS
 
TYPE real   IS DIGITS 6;                    -- Floating type used for variables
--TYPE double IS DIGITS 9;                    -- Extended precision floating point
TYPE double IS DIGITS 6;                    -- Extended precision floating point
TYPE int IS RANGE -32767..+32767;           -- At least 16 bit integer value
SUBTYPE nat IS int RANGE 0 .. +32767;       -- At least 16 bit natural number
TYPE bigint IS RANGE -( 2**30 - 1 + 2**30) .. ( 2**30 - 1 + 2**30) ;
  -- -(2**31-1) .. +2**31-1    It is necessary to finesse computation because
  --                           universal integer may be less than 2**31, and
  --                           the compiler may not be able to compute the
  --                           expression "2**31-1" without integer overflow
SUBTYPE bignat IS bigint RANGE 0 .. bigint'LAST;
 
------------------------------------------------------------------
--   The following constants are used to generate mnemonic error messages
--   upon failure of a test problem.  Helps automate FORMAT and MEDIAN.
 
col_size                 :  CONSTANT  := 40;  -- code expansion size begin col
col_time                 :  CONSTANT  := 45;  -- time measurement begin col
err_at_compilation_time  :  CONSTANT real  := -1.0;
err_at_execution_time    :  CONSTANT real  := -2.0;
err_no_data              :  CONSTANT real  := -3.0;
err_dependent_test       :  CONSTANT real  := -4.0;
err_packaging            :  CONSTANT real  := -5.0;
err_unreliable_time      :  CONSTANT real  := -6.0;
 
------------------------------------------------------------------
--           The following variables are used in timing loop code
 
TYPE vector IS ARRAY (int RANGE <> ) OF real;
basic_iteration_count: CONSTANT := 2**15-1;-- Maximum number of repetitions of
                                          -- timing loop
time_flag            : boolean;           -- Boolean flag
mcount               : int;               -- Variable which counts the
                                          -- number of number of iterations
                                          -- of the loop (of computed repetition
                                          -- count.
ncount               : int;               -- Number of repetition to be
                                          -- performed in current loop
count                : int;               -- Variable which is counted down
                                          -- each repetition to zero
num_ticks            : int;               -- Counter to record the number of
                                          -- Counter for tracking the number of
                                          -- ticks in vernier loop
elapsed_time         : real;              -- Time to execute test problem
                                          --   including null_loop_time
stmt_time            : real;              -- Mean time for test problem
loop_time            : real;              -- Adjustment for null loop time
sum_time             : real;              -- Temporary total used to compute
                                          -- mean time.
min_time             : real;              -- Minimum time for test problem
time_per_tick        : real;              -- Adjustment factor for vernier
                                          -- correction term
 
min_iteration_count  : CONSTANT := 3;     -- Min number of iterations to perform
max_iteration_count  : CONSTANT := 19;    -- Max number of iterations to perform
                                          -- The actual number of iterations is
                                          --   computed dynamically based on
                                          --   requested confidence intervals
                                          --   and the measurement results
timer_tolerance      : CONSTANT := 0.05;  -- Request timing tolerance 5%
timer_confidence_level : CONSTANT := 0.80;-- Request confidence level 80%
timing_vector        : vector(1..max_iteration_count);
timing_mean          : real;              -- variable for mean time for problem
timing_sigma         : real;              -- variable for standard deviation
                                          -- following variable are used in
                                          -- computing t-statistic for
                                          -- confidence intervals
t_statistic          : real;              -- computed t value
t_value              : CONSTANT ARRAY ( int'(1) .. int'(20) ) OF real
                                    -- Table of Student's T distribution
                                    --   degrees of freedom is one less
                                    --   than sample size.
--------------------------------------------------------------------
                                    -- If max_iteration_count is increased
                                    --   to more than 20, this table must
                                    --   be expanded.  If other confidence
                                    --   levels are desired, a user should
                                    --   consult a statistics text
--------------------------------------------------------------------
                                    -- Table for 90% confidence levels
                                    --   for a two sided test
                     := ( 1.0000, 6.3138, 2.9200, 2.3534, 2.1318,
                          2.0150, 1.9432, 1.8946, 1.8595, 1.8331,
                          1.8125, 1.7959, 1.7823, 1.7709, 1.7613,
                          1.7530, 1.7459, 1.7396, 1.7341, 1.7291 );
--------------------------------------------------------------------
                                    -- Table for 80% confidence levels
                                    --   for a two sided test
--                   := (  1.0, 3.078, 1.886, 1.638, 1.533,
--                       1.476, 1.440, 1.415, 1.397, 1.383,
--                       1.372, 1.363, 1.356, 1.350, 1.345,
--                       1.341, 1.337, 1.333, 1.330, 1.328 );
standard_error       : real;              -- standard deviation /
                                          --               sqrt(sample size)
 
confidence_interval_within_tolerance : boolean; -- flag, set by
                                          -- sufficient_number_of_iterations
min_jitter_compensation: real;            -- set in inittime, used in stoptime0
system_tick : CONSTANT real := SYSTEM.tick; -- system tick, reference in
                                          -- global so not all programs need to
                                          -- with system
system_storage_unit : CONSTANT int := SYSTEM.storage_unit;
                                          -- same reason as system_tick
expansion_size : int := 0;                -- used to store code size expansion
                                          --   rate
---------------------------------------------------------------------
----------------------------------------------------------------------
 
SUBTYPE s8 IS string(1..8);                              -- example string
                                                         --   subtype
TYPE color IS (white,red,yellow,green,blue,brown,black); -- example enumeration
                                                         -- type
TYPE e1type IS ARRAY( int'(1)..int'(10) ) OF real;       -- example array type
TYPE afix1 IS DELTA 0.001  RANGE -10.0 .. 10.0;          -- example fixed type
TYPE afix2 IS DELTA 0.01   RANGE -1.00 .. 1.00;          -- example fixed type
TYPE t1_rec IS                                           -- example record type
  RECORD 
     str:string(1..10);
     b:boolean;
     x:real;
     i,j:int;
     c:color;
  END RECORD;
 
 
 
                                    -- all initialize variables here
                                    -- always maintain same value, although
                                    -- they may be assigned to (with their
                                    -- initial value, of course)
 
yy     : real   :=  0.49991;                   -- not quite 0.5
zz     : real   :=  1.15010;
xx     : real;
dx     : double;
dy     : double :=  0.49991;
dz     : double :=  1.1501000000001; -- precision specified here is
                                     -- in excess of declared precision
d1     : ARRAY ( bigint'(1)..bigint'(10) ) OF double := (1..10=>1.0);
ii,jj,kk : int    := 1 ;             -- integer temporaries, these are
                                     -- initialized to prevent some references
                                     -- to unitialized variable in simples
ri     : int RANGE -2..2;            -- restricted integer
rj     : int RANGE 0 .. 10;          -- restricted integer
ll     : int := 2;
li,lj,lk : bigint;                   -- 32 bit integer values(at least)
li1    : ARRAY( bigint'(1)..bigint'(10) ) OF bigint := (1,2,3,4,5,6,7,8,9,10);
mm     : int := 3;
pp     : nat := 1;
zero   : real := 0.0;
one    : real := 1.0;
ten    : int  := 10;
ei,ej,ek : int := 1;
e3i,e3j,e3k : int := 2;              -- used mostly as subscripts to e3
i1     : ARRAY( int'(1)..int'(10) ) OF int := (1,2,3,4,5,6,7,8,9,10);
xe1,ye1,e1 : e1type := ( int'(1)..int'(10) =>1.0);
e2     : ARRAY ( int'(1)..int'(10) ,int'(1)..int'(10) ) OF real
                  := ( int'(1)..int'(10) =>( int'(1)..int'(10) =>1.0));
e3     : ARRAY (int'(1)..int'(3),int'(1)..int'(3),int'(1)..int'(3) ) OF real
            := (int'(1)..int'(3)=>(int'(1)..int'(3)=>(int'(1)..int'(3)=>1.0)));
char8  : string(1..8) := "********";
char   : character;
string10 : string(1..10);
hue    : color := yellow;
bool   : boolean;
stat   : ARRAY(int'(1)..int'(5)) OF color;
fix1   : afix1 := 0.0;
fix2   : afix2 := 0.0;
 
ra,rb  : t1_rec;
 
t1     : ARRAY (int'(1)..int'(5)) OF t1_rec;
 
TYPE ptr_to_bool IS ACCESS boolean;
boolean_pointer : ptr_to_bool := NULL;
 
PROCEDURE proc0;
PROCEDURE proc1(x: IN OUT real);
PROCEDURE proc2(x1,x2: IN OUT real);
PROCEDURE proc3(x1,x2,x3: IN OUT real);
PROCEDURE proci1(i: IN OUT int);
PROCEDURE die;
 
--PROCEDURE standard_dev ( a: IN vector; xbar, sigma : OUT real );
                              -- for standard deviation used in timing loop
 
FUNCTION sufficient_number_of_iterations (a: IN vector) RETURN boolean;
 
-- FUNCTION jitter_confidence_level ( size:int; mean,sigma:real ) RETURN boolean;
 
-- FUNCTION address_to_int ( l : SYSTEM.address ) RETURN bigint;
                                     -- predefined type, will be subtracted
                                     --  and converted to "int" for printing
 
--PROCEDURE stoptime2;
 
END  Global;
--::::::::::
--global.adb
--::::::::::
-- WITH SYSTEM;
-- WITH Unchecked_Conversion;
 
 
PACKAGE BODY Global IS
 
--FUNCTION Uncheck IS NEW Unchecked_Conversion ( SYSTEM.address, bigint );
 
--FUNCTION Address_To_Int ( l : SYSTEM.address) RETURN bigint IS
--  BEGIN
--  RETURN Uncheck(l);
--  END  Address_To_Int;
 
PROCEDURE Proc0 IS
  BEGIN
  null;
  END  Proc0;
 
PROCEDURE Proc1 (x : IN OUT real ) IS
  BEGIN
  null;
  END  Proc1;
 
PROCEDURE Proci1 (i : IN OUT int ) IS
  BEGIN
  null;
  END  Proci1;
 
PROCEDURE Proc2 (x1 , x2 : IN OUT real ) IS
  BEGIN
  null;
  END  Proc2;
 
PROCEDURE Proc3 (x1, x2, x3 : IN OUT real ) IS
  BEGIN
  null;
  END  Proc3;
 
PROCEDURE Die IS
  BEGIN
  RAISE PROGRAM_ERROR;
  END  Die;
 
  -- This is a local function (not externally visible) to compute SQRT.
  -- It uses Heron's formula.  To use the version of SQRT in math would
  -- create a dependency of GLOBAL on MATH, when would force users to port
  -- MATH before they could collect any timing measurements.  This version
  -- will be slower than that in MATH in that it does not made as good an
  -- initial approximation and computes termination conditions at execution
  -- time rather than precomputing the necessary number of iterations.  However,
  -- unlike the version in MATH, it does not use functions which depend on the
  -- floating point number representation.
FUNCTION Square_Root ( x : IN real ) RETURN real IS
  y:real;
  BEGIN
  IF x <= 0.0 THEN
     RETURN 0.0;
     END IF;
 
  y := 0.0001;
  LOOP
    y := ( y + x/y ) / 2.0;
    EXIT WHEN abs ( ( y*y - x ) / x ) < 0.0001; -- 0.01% is sufficient accuracy
  END LOOP;
 
  RETURN y;
 
  END  Square_Root;
 
    -- compute mean and standard deviation following algorithm in
    -- "Updating Mean and Variance Estimates: An Improved Method," by D. West
    -- CACM Volume 22, Number 9, September 1979
 
FUNCTION Sufficient_Number_Of_Iterations (a : IN vector) RETURN boolean IS
                            -- Determines if more iterations of timing
                            -- loop are required.  It computes t statistic
                            -- for 80% confidence level that the
                            -- actual value of x is within +/- timer_tolerance%.
 
    mean, sigma : real;
    --index : int;                -- temp for excluding outliers
    --temp_array : vector ( a'RANGE );
  BEGIN
  confidence_interval_within_tolerance := FALSE;
  IF a'LAST < min_iteration_count THEN
     RETURN FALSE;
  ELSE
     --  compute t statistic
--     Standard_Dev ( a, mean,sigma );
     Standard_Error := sigma / real( square_root ( real(a'LAST) ));
      IF t_value( mcount )*standard_error <= mean * timer_tolerance THEN
        confidence_interval_within_tolerance := TRUE;
        RETURN TRUE;
      ELSE
        RETURN ( mcount >= max_iteration_count) ;
      END IF;
  END IF;
END  Sufficient_Number_Of_Iterations;
 
 
FUNCTION Jitter_Confidence_Level (size : int;
                                  mean, sigma : real ) RETURN boolean IS
  BEGIN
  RETURN 
   t_value(size)* sigma / real( square_root (real( size)))
     <= mean * 0.01 ;
                     -- for timer jitter computation go for 1% accuracy
  END  Jitter_Confidence_Level;
 
--procedure stoptime2 is
 
--package int_io is new integer_io(int); use int_io;
--package flt_io is new float_io(real) ; use flt_io;
 
--begin
--  set_col ( col_size );
--  put( system_storage_unit * expansion_size, 4 );
--  set_col ( col_time );
--  put(min_time * 1_000_000.0, 8, 1, 0);
--  put(" ");
--  standard_dev( timing_vector(1..mcount), timing_mean, timing_sigma );
--  put(timing_mean * 1_000_000.0, 8, 1, 0);
 
--  declare                -- output log base 2 of number of repetitions
--  i,j : int := 1;
--  begin
--  loop
--    if i >= ncount then  -- first value of j such that 2**j-1 is >= ncount
--       put(j,3);         -- but avoid computing 2**j-1 for value 15 which
--                         -- might overflow
--       exit;
--    else 
--       i := i*2 + 1;
--       j := j+1;
--    end if;
--  end loop;
--  end;
-- 
----  put(mcount, 3);
--  if timing_mean /= 0.0 then                         -- avoid dividing by zero
----    put( 100.0 * timing_sigma/timing_mean, 4, 1, 0 ); put("%");
--    if not confidence_interval_within_tolerance then
----      put("#");
--      null;
--    end if;
--  end if;
----  new_line;
--end stoptime2;
-- 
--function CPU_TIME_CLOCK return DURATION is
--begin
--  return 0.0;
--end CPU_TIME_CLOCK;
 
END  Global;
 
 
--::::::::::
--consts.ads
--::::::::::
with ATYPES; use ATYPES; 
package CONSTS is
 
   PI     :  constant   :=3.14159265358979323;
   TWOPI  :  constant   :=2.0*PI;
   HALFPI :  constant   :=0.5*PI;
   RAD    :  constant   :=180.0/PI;            -- Degrees per radian
   ARCSEC :  constant   :=3600.0*RAD;          -- Arcsec  per radian
   XFPNM  :  constant   :=6076.115;            -- Feet per nm
   GM     :  constant   :=14077000000000000.0/XFPNM**3;
   --RENOM:=3442.518
   --GSTDNM:=GM/RENOM**2        -- Gravitational accel (nm/sec****2
   GSTDNM :  constant   :=0.005295167387;
 
   -- Earth rotation rate (rad/sec)
   EARTHRATE:  constant   :=(365.25/364.25)*(15.0/ARCSEC);
   XMPNM  : constant   :=1852.0;       -- Meters per nm
   ERADEQ : constant   :=3443.917;     -- Equatorial earth radius (nm)
   ERADPL : constant   :=3432.37025;   -- Polar      earth radius (nm)
 
   XK1: constant   := ERADEQ*ERADPL;
   XK2: constant   := ERADPL**2;
   XK3: constant   := ERADEQ**2-ERADPL**2;
   XK4: constant   := (ERADEQ/ERADPL)**2;
 
   YK1: constant   := ERADPL**2;
   YK2: constant   := ERADEQ**2;
   YK3: constant   := ERADPL**4;
   YK4: constant   := ERADEQ**4-ERADPL**4;
   YK5: constant   := ERADEQ**4;
 
  XK: constant array (1..4) of REAL8 :=(XK1,XK2,XK3,XK4);
  YK: constant array (1..7) of REAL8 :=(YK1,YK2,YK3,YK4,YK5,ERADEQ,ERADPL);
 
end CONSTS;
--::::::::::
--consts1.ads
--::::::::::
with ATYPES; use ATYPES; 
with CONSTS; use CONSTS; 
package CONSTS1 is
 
 MXITRR : constant := 3000;
 NSCMAX : constant := 100;
 NTRMAX : constant :=  50;
 TSCAN : constant := 10.0;   -- Nominal scan rate
 
 PHIMAX: constant := 100.0;
 
 TR: constant array (1..6) of REAL8 := (0.0, 0.0, 3.0, 8.0, 12.0, 20.0);
 
 -- Coplanarity range thresholds in SHORT
 COPLMD: constant array (1..2) of REAL8 := (10.0/ARCSEC, 10.0/ARCSEC);
 HLIM  : constant array (1..2) of REAL8 := (-0.5, 60.0);
 SWATHS : constant := 4.0/ARCSEC;
 
 TSCLIM : constant array (1..10) of REAL8 := (0.0, 0.0, 0.0, 0.0, 7.0, 7.0,
					      15.0, 15.0, 30.0, 30.0);
 
 PHILIM : constant array (1..10) of REAL8 := (0.0, 0.0, 0.0, 0.0, 4.0, 4.0,
					      10.0, 10.0, 30.0, 30.0);
 
 COPLIM   : constant := 15.0/ARCSEC;	      -- Original coplanarity limit
 COPLSMALL: constant := 14.0/ARCSEC;	      -- Smaller coplanarity limit
 SWATH	  : constant :=  6.0/ARCSEC;	      -- Coplanarity band
 
 -- Elevation zones
 
 NZONE : constant := 10;
 ELZONE: constant array (1..10) of REAL8 := ( 0.75/RAD, 3.2/RAD, 4.1/RAD,
					      5.44/RAD, 6.87/RAD, 8.09/RAD,
				    8.62/RAD, 8.68/RAD, 8.69/RAD, 9.5/RAD);
 
 -- Elevation limits for FEAS3
 
 DELZON: constant array (1..11) of REAL8 := ( -75.0/ARCSEC, -67.5/ARCSEC,
				-57.0/ARCSEC, -41.0/ARCSEC, -25.0/ARCSEC,
				-10.0/ARCSEC,  -3.5/ARCSEC,  -3.0/ARCSEC,
				  -2.5/ARCSEC,   0.0/ARCSEC,   0.0/ARCSEC);
 -- Changed last two valued in DELZONE from 75 and 75 R.Johnson 4/27/90
 -- Verified this is valid correction with Jack Rudd
 -- Random LOS error as function of sensor array type
 
 SIGA: constant array (1..6) of REAL8 := ( 5.0/ARCSEC, 2.5/ARCSEC,
		    8.0/ARCSEC, 5.0/ARCSEC, 2.5/ARCSEC, 8.0/ARCSEC);
 
 SIGE: constant array (1..6) of REAL8 := ( 5.0/ARCSEC, 2.5/ARCSEC,
		    6.0/ARCSEC, 5.0/ARCSEC, 2.5/ARCSEC, 6.0/ARCSEC);
 
 -- Used in NTRACKER
 QC0: constant array (1..4) of REAL8 := ( -11.0, 18.0, -9.0, 2.0);
 QC1: constant array (1..4) of REAL8 := ( 2.0, -5.0, 4.0, -1.0);
 QC2: constant array (1..4) of REAL8 := ( -0.5, 1.5, -1.5, 0.5);
 
 
   AC1 : constant  :=0.003;  -- Lower limit on accel/velocity ratio
   AC2 : constant  :=0.15;   -- Upper limit on accel/velocity ratio
 
   -- Diagonal of inverse square root of normalized a priori
   --	state covariance matrix
 
 QOI: constant array (1..7) of REAL8 :=(1.0/0.05, 1.0/0.05, 1.0/0.05,
					1.0/0.01, 1.0/0.01,
					1.0/0.25, 1.0/0.25);
 
   -- Finite differences per state for computing gradient matrix
 
 PR:  constant array (1..7) of REAL8 :=(0.01, 0.01, 0.01, 0.0001, 0.0001,
					0.001, 0.001);
 
 NSPNM: INTEGER := 51;
 SPNM1:constant array (1..51) of REAL8 :=(
0.0,	 0.06789, 0.10639, 0.14099, 0.17159, 0.19974, 0.22815, 0.25876,
0.28779, 0.31657, 0.34275, 0.36806, 0.39401, 0.41909, 0.44508, 0.47002,
0.4948,  0.51931, 0.54354, 0.56753, 0.59171, 0.61499, 0.63867, 0.66103,
0.68545, 0.70989, 0.71512, 0.72449, 0.73466, 0.7461,  0.75782, 0.77058,
0.78248, 0.79401, 0.80533, 0.81547, 0.82439, 0.83305, 0.84112, 0.8498,
0.85809, 0.86748, 0.87921, 0.89274, 0.90663, 0.92031, 0.93339, 0.94442,
0.95568, 0.96681, 0.97899);
 
 SPNM2:constant array (1..51) of REAL8 :=(
0.0    , 0.1561,  0.24234, 0.31657, 0.38695, 0.45497, 0.52223, 0.5892,
0.65638, 0.72418, 0.79253, 0.86165, 0.93176, 0.98901, 1.02119, 1.0404,
1.05129, 1.05987, 1.07831, 1.09866, 1.12268, 1.1471,  1.18759, 1.24067,
1.29475, 1.35,	  1.40346, 1.45853, 1.51364, 1.57938, 1.62031, 1.66409,
1.72455, 1.78649, 1.8423,  1.84331, 1.84117, 1.8404,  1.84987, 1.8604,
1.87104, 1.88283, 1.8939,  1.9442,  2.01679, 2.06488, 2.07788, 2.09131,
2.13063, 2.17131, 2.21243);
 
end CONSTS1;
--::::::::::
--consts2.ads
--::::::::::
with ATYPES; use ATYPES; 
with CONSTS; use CONSTS; 
package CONSTS2 is
 
 TWIND   : constant := 45.0;
 EXTGAP  : constant := 25.0;
   PHILIME : constant := 12.0;
-- PHILIME : constant := 8.0;
 PHICOPL : constant := 10.0;
 NSCEXT  : constant := 3;
 
 PHIMAXE : constant := 1000.0;
 TRE     : constant array (1..5) of REAL8 := (0.0, 0.0, 10.0, 20.0, 30.0);
 
end CONSTS2;
--::::::::::
--mathcont.ads
--::::::::::
--*******************************************************************--         
--* Abstract : package MATH_CONSTANTS_DCL PKG                       *--         
--*   This package declares mathematical constants for use in       *--         
--*   calculations.                                                 *--         
--*******************************************************************--         
--* Component No.        :                                          *--         
--* Limitations          :                                          *--         
--* Memory Management    :                                          *--         
--* Exceptions           : None                                     *--         
--* Pgm Space Req'd.     :                                          *--         
--* Exec Space Req'd.    :                                          *--         
--* Execution Time       :                                          *--         
--* Compiler/Version     : Telesoft/3.2                             *--         
--* Date                                                            *--         
--*   Initial            : 11/4/85                                  *--         
--*   Changed (last)     : 11/18/85                                 *--         
--*   Compiled (last)    : 11/18/85                                 *--         
--* Author                                                          *--         
--*   Name               : Sandra Bloom                             *--         
--*   Signon/Node        : sandy/OWGVM1                             *--         
--*   Tieline            : 662-5574                                 *--         
--*******************************************************************--         
--* User Notes                                                      *--         
--*   Definitions:                                                  *--         
--*     Three_pi := 3 * PI                                          *--         
--*     Two_pi   := 2 * PI                                          *--         
--*     Twoovpi  := 2/PI                                            *--         
--*     Piovtwo  := PI/2                                            *--         
--*     Piovfour := PI/4                                            *--         
--*     Fourovpi := 4/PI                                            *--         
--*******************************************************************--         
package MATHCONT is
                                                                                
--[Multiples of PI,PI/2, and 2/PI]                                              
                                                                                
 PI            :constant := 3.141592653589793;                                  
 THREE_PI      :constant := 9.424777960769379;                                  
 TWO_PI        :constant := 6.283185307179586;                                  
 TWOOVPI       :constant := 0.6366197723675814;                                 
 PIOVTWO       :constant := 1.570796326794897;                                  
 PIOVFOUR      :constant := 0.7853981633974483;                                 
 FOUROVPI      :constant := 1.273239544735163;                                  
                                                                                
end MATHCONT;
--::::::::::
--gsqrt_sub_pkg.ads
--::::::::::
generic                                                                         
                                                                                
                                                                                
  type FPOINT is digits <>;                                                     
                                                                                
--********************************************************************--        
--* Abstract : Package GSQRT_SUB_PKG                                 *--        
--*   This package implements the elementary mathematical functions, *--        
--*   Square Root and Root Sum Square.                               *--        
--********************************************************************--        
--* Component No.     :                                              *--        
--* Limitations       : Digits greater than 6 not available in 3.2   *--        
--*                     compiler                                     *--        
--* Memory Management :                                              *--        
--* Exceptions        : Sqrt_Argument_Error                          *--        
--* Pgm Space Req'd.  :                                              *--        
--* Exec Space Req'd. :                                              *--        
--* Execution Time    :                                              *--        
--* Compiler/Version  : Telesoft/3.2                                 *--        
--* Date                                                             *--        
--*   Initial         : 8/8/85                                       *--        
--*   Changed (last)  : 11/6/85                                      *--        
--*   Compiled (last) : 11/6/85                                      *--        
--* Author                                                           *--        
--*   Name            : Sandra Bloom / Howard Zendle                 *--        
--*   Signon/Node     : sandy/OWGVM1 / howie/OWGVM1                  *--        
--*   Tieline         : 662-5574     / 662-2625                      *--        
--********************************************************************--        
--* User Notes                                                       *--        
--*   Type FPOINT is the floating point type consisting of n digits  *--        
--*   used to instantiate the package.                               *--        
--*   This is version 1.0 of generic math functions containing       *--        
--*   checked out versions of the Square Root function and the Root  *--        
--*   Sum Square function.                                           *--        
--********************************************************************--        
                                                                                
                                                                                
package GSQRT_SUB_PKG is                                                        
                                                                                
                                                                                
  --Raised when a negative argument is supplied to square root function         
  SQRT_ARGUMENT_ERROR : exception;                                              
                                                                                
--********************************************************************--        
--* Defined on reals, the SQRT function returns the square root of   *--        
--* any non-negative floating point number. An exception is raised   *--        
--* if square root of a negative number is attempted. The user must  *--        
--* decide how to process this exception.                            *--        
--********************************************************************--        
                                                                                
  --[(x < 1 -> raise exception | x >= 0 -> y = x ** 0.5)]                       
  function SQRT (X:in FPOINT) return FPOINT;                                    
                                                                                
                                                                                
--********************************************************************--        
--* Defined on reals, the RSS function returns the square root of the*--        
--* sum of squares of the 3 floating point inputs X,Y,Z. This func-  *--        
--* tion is mainly intended for finding the length of a vector in    *--        
--* 3-space.                                                         *--        
--********************************************************************--        
                                                                                
  --[x,y,z e real numbers -> y = SQRT(x**2+y**2+z**2)]                          
--  function RSS (X,Y,Z :in FPOINT) return FPOINT;                                
                                                                                
                                                                                
end GSQRT_SUB_PKG;                                                              
                                                                                
--::::::::::
--gsqrt_sub_pkg.adb
--::::::::::
--*cc*                                                                          
package body GSQRT_SUB_PKG is                                                   
                                                                                
                                                                                
  --CALCULATE THE SQUARE ROOT OF X                                              
                                                                                
--********************************************************************--        
--* The Square Root routine uses the method of Newton iteration      *--        
--* to solve the equation (y*2) - x = 0, where x is the input        *--        
--* argument to the function. (See J.F. Randolph, Calculus and       *--        
--* Analytic Geometry, Woodsworth, Belmont, Ca. 1965 p.89).          *--        
--* If y and yo are the current and previous Newton iterates, the    *--        
--* process is stopped if |y-yo| is less than y * (10 ** -D), where  *--        
--* D is the number of floating point digits used to instantiate the *--        
--* package. This produces D significant digits in the estimate for  *--        
--* y with x in the domain (1E-9, 1E-9).                             *--        
--*                                                                  *--        
--* The number of iterations has been computed as a measure of       *-         
--* relative execution time. Typical values are as follows:          *--        
--*                 X           ITERATIONS                           *--        
--*                 _           __________                           *--        
--*                                                                  *--        
--*                 1E9             18                               *--        
--*                 1               1               D = 4            *--        
--*                 1E-9            19                               *--        
--*                                                                  *--        
--* The method of initialization is key. For x >= 1, the             *--        
--* approximation y = 0.42578 + (0.57422 * x) is used. (Obtained     *--        
--* from W. Cody and W. Waite, Software Manual for the Elementary    *--        
--* Functions, Prentice-Hall, Englewood Cliffs, N.J., 1980, p.20.)   *--        
--* For x > 1, y = 1 is used.                                        *--        
--********************************************************************--        
                                                                                
  function SQRT (X: in FPOINT) return FPOINT is                                 
    Y,YO                      :FPOINT;                                          
    CUT_OFF_REL,CUT_OFF_ABS   :FPOINT;                                          
    C1 : constant := 0.42578;                                                   
    C2 : constant := 0.57422;                                                   
    T : INTEGER := FPOINT'digits;                                               
  begin                                                                         
    CUT_OFF_REL := 10.0 ** (-T);                                                
                                                                                
    --[x < 0.0 -> raise exception | x = 0.0 -> set y = 0.001                    
    --| x > 0.0 -> compute y = x ** 0.5 using Newton iteration]                 
    if                                                                          
      X < 0.0                                                                   
    then                                                                        
      raise SQRT_ARGUMENT_ERROR;  --flag negative argument and exit             
    elsif                                                                       
         X = 0.0                                                                
    then                                                                        
      Y := 0.0;                   --return zero for zero argument               
      --select initial newton iterate value                                     
    elsif                                                                       
       X > 0.0                                                                  
    then                                                                        
                                                                                
      --[x <= 1.0 -> initialize y = 1.0 for Newton iteration                    
      --| x > 1.0 -> initialize y = C1 + C2 * x]                                
      if                                                                        
       X <= 1.0                                                                 
      then                                                                      
        Y := 1.0;                  --argument is 1                              
      else                                                                      
        Y := C1 + (C2 * X);                                                     
      end if;                                                                   
                                                                                
      --[Newton iterate until successive estimates differ by less               
      --than y * (100 **(-T)), where T  is the number of decimal                
      --digits in FPOINT]                                                       
      loop                                                                      
        YO := Y;                                                                
        Y := 0.5 * (Y + (X / Y));   --compute updated Newton iterate            
        CUT_OFF_ABS := CUT_OFF_REL * Y;   --compute cut-off estimate            
      exit when (abs(Y-YO)) < CUT_OFF_ABS;                                      
      end loop;                                                                 
    end if;                                                                     
    return Y;                                                                   
  end SQRT;                                                                     
                                                                                
                                                                                
--*cc*                                                                          
  --CALCULATE THE ROOT SUM SQUARE OF X,Y,Z                                      
                                                                                
--*******************************************************************--         
--* The root-sum-square function adds together the results of       *--         
--* squaring the three input arguments and invokes the square       *--         
--* root routine to obtain the square root of the addition result.  *--         
--*******************************************************************--         
                                                                                
  function RSS (X,Y,Z : in FPOINT) return FPOINT is                             
  begin                                                                         
    return SQRT (X * X + Y * Y + Z * Z);                                        
  end RSS;                                                                      
                                                                                
end GSQRT_SUB_PKG;                                                              
--::::::::::
--gtrig_sub_pkg.ads
--::::::::::
generic
  type FPOINT is digits <>;
 
--**********************************************************************
--* Abstract : Package	GTRIG_SUB_PKG				     *--
--*   This package implements six generic trigonometric functions    *--
--*   including sine, cosine and arctangent(2 versions),arcsine,and  *--
--*   tangent.	(Modified 4-18-86 by JR.  Eliminated ARCTAN2, changed
--    ARCTAN1 to ATAN2 by reversing arguments.)
--********************************************************************--
--* Component No.      :					     *--
--* Limitations        : Digits greater than 6 not available in 3.2  *--
--*			 compiler				     *--
--* Memory Management  :					     *--
--* Exceptions	       : INVALID_ARCTAN_ARGUMENTS,		     *--
--*			 INVALID_ARCSIN_ARGUMENT,		     *--
--*			 TANGENT_UNDEFINED			     *--
--* Pgm Space Req'd    : To be added                                 *--
--* Exec Space Req'd   :                                             *--
--* Execution Time     : To be added				     *--
--* Compiler/Version   : Telesoft/3.2				     *--
--* Date							     *--
--*   Initial	       : 8/8/85 				     *--
--*   Changed (last)   : 11/13/85				     *--
--*   Compiled (last)  : 11/18/85				     *--
--* Author							     *--
--*   Name	       : Sandra Bloom / Howard Zendle		     *--
--*   Signon/Node      : sandy/OWGVM1 / howie/OWGVM1		     *--
--*   Tieline	       : 662-5574     / 662-2625		     *--
--********************************************************************--
--* User Notes							     *--
--*   Type Fpoint is the floating point type consisting of n digits  *--
--*   used to instantiate the package.				     *--
--*   This is version 1.0 of generic trigonometric package contain-  *--
--*   ing checked out version of the following : sin, cos, arctan,   *--
--*	       tan, and arcsin. 				     *--
--    Eliminated ARCTAN2, changed ARCTAN1 to ATAN2 by reversing args
--********************************************************************--
 
package GTRIG_SUB_PKG is
 
 
  --Raised when both arguments to Arctan are zero.
  INVALID_ARCTAN_ARGUMENTS: exception;
 
  --Raised when the argument to the Arcsin routine is > 1
  INVALID_ARCSIN_ARGUMENT: exception;
 
  --Raised when tangent argument near M * PI/2,
  --where M = +-1, +-3, +-5....
  TANGENT_UNDEFINED:exception;
 
--********************************************************************--
--* Defined on real numbers, the SIN function returns the sine of an *--
--* input angle given in radians.				     *--
--*								     *--
--* A precision of up to 13 decimal places is attainable, depending  *--
--* on how the package is instantiated. 			     *--
--********************************************************************--
 
  --[x e real numbers -> y = sin(x)]
  function SIN (X:in FPOINT) return FPOINT;
 
 
--********************************************************************--
--* Defined on real numbers, the COS function returns the cosine of  *--
--* an input angle given in radians.				     *--
--*								     *--
--* The accuracy considerations are the same as for sine.	     *--
--********************************************************************--
 
  --[x e real numbers -> y = cos(x)]
  function COS (X:in FPOINT) return FPOINT;
 
 
--*cc*
--********************************************************************--
--* Defined on a two-dimensional vector of real numbers, the ARCTAN *--
--* function returns the vector direction as an angle relative to the*--
--* positive x-axis. The range of the function is [-PI,PI] radians.  *--
--* Positive angles are measured counterclockwise from the positive  *--
--* x axis; negative angles are clockwise.			     *--
--*								     *--
--* An exception is raised for the special case where a zero vector  *--
--* is input, since no direction is defined.			     *--
--*								     *--
--* A precision of up to 9 significant digits is attainable, depend- *--
--* ing on how the package is instantiated.			     *--
--********************************************************************--
 
  --[x,y e real numbers -> z = ARCTAN(y/x), where -PI <= z <= PI,
  --z measured (counterclockwise positive) from positive x axis]
 
  function ATAN2 (Y,X:in FPOINT) return FPOINT;  -- reversed: JR
 
 
 
--********************************************************************--
--* Defined on real numbers, except for values within a small amount *--
--* EPSILON of (M * PI/2), where M is any odd integer. Where defined *--
--* the TAN function returns tangent of the input angle given in     *--
--* radians. Where undefined, an exception is raised stating such.   *--
--*								     *--
--* A precision of up to 10 decimal places is attainable depending   *--
--* on how the package is instantiated. 			     *--
--********************************************************************--
 
  --[x e (((M * PI/2 - EPSILON),(M * PI/2 + EPSILON)),M any positive
  -- or negative odd integer) -> raise exception 'tangent undefined'
  --| true -> y = TAN (x)]
  function TAN (X : in FPOINT) return FPOINT;
 
 
--********************************************************************--
--* Defined on real numbers in the domain [-1.0,1.0], the ARCSIN     *--
--* function returns the arcsine of the input. The range of the      *--
--* function is [-PI/2,PI/2] radians.				     *--
--*								     *--
--* For arguments outsides the definition domain, an exception is    *--
--* raised. Precision as described in ARCTAN.			    *--
--********************************************************************--
 
  --[(-1.0 <= x <= 1.0) -> y = ARCSIN(x) | true -> raise exception
  --' invalid arcsine argument']
  function ARCSIN (S : in FPOINT) return FPOINT;
 
end GTRIG_SUB_PKG;
 
 
--::::::::::
--gtrig_sub_pkg.adb
--::::::::::
with MATHCONT; use MATHCONT;
-- with TEXT_IO;  use TEXT_IO;
with GSQRT_SUB_PKG;

package body GTRIG_SUB_PKG is
  package MATHFUN is new GSQRT_SUB_PKG(FPOINT);
  use MATHFUN;
 
--*cc*
  --CALCULATE THE SINE OF X
 
--********************************************************************--
--* The Sin (x) routine uses a Taylor series truncated after	     *--
--* the seventh term. The coefficient values for the seven terms are *--
--* exactly as specified by Hart, et al., Computer Approximations;   *--
--* Wiley, New York,1968 Sin 3343, p238. The routine gives the sine  *--
--* accurate to 13 decimal places, which is considered sufficient for*--
--* most avionics applications. The approximation is valid to the    *--
--* stated accuracy on the domain (0,Pi/2) and is extended to the    *--
--* domain (0,2Pi) via symmetry arguments.			     *--
--********************************************************************--
 
  function SIN (X : in FPOINT) return FPOINT is
    RESULT,XNORMSQ,XNORM,WORK_ARG : FPOINT;
    TEMPSUM   : FPOINT;
    C0 :constant :=  1.5707963267947985;
    C1 :constant := -0.64596409749716392;
    C2 :constant :=  0.0796926261068533;
    C3 :constant := -0.00468175332605759;
    C4 :constant :=  0.00016043892990712;
    C5 :constant := -0.00000359559815334;
    C6 :constant :=  0.00000005458987832;
 
--  C0 :constant :=  1.5708;
--  C1 :constant := -0.64596;
--  C2 :constant :=  0.07969;
--  C3 :constant := -0.00468;
--  C4 :constant :=  0.00016;
--  C5 :constant := -0.000004;
--  C6 :constant :=  0.00000005;
    NEGATE : BOOLEAN :=FALSE;
 
    --[Compute y = SIN(x) using Taylor series approximation]
  begin
 
    --[Normalize input argument to domain (0,2*PI)]
    WORK_ARG := X;
    while WORK_ARG < 0.0   --[If WORK_ARG < 0.0, add 2*Pi until
			   --WORK_ARG >= 0.0]
    loop
      WORK_ARG := WORK_ARG + TWO_PI;   --[If WORK_ARG >= 2*PI
      --subtract 2*PI until WORK_ARG < 2*PI]
    end loop;
    while WORK_ARG  >= TWO_PI
    loop
      WORK_ARG := WORK_ARG - TWO_PI;   --[At this point, 0.0 <=
				       -- WORK_ARG < 2 * PI]
    end loop;
 
    --[(PI < WORK_ARG < 2 * PI) -> SIN(WORK_ARG) = -SIN(WORK_ARG-PI)]
    if
      WORK_ARG > PI
    then
      NEGATE := TRUE;
      WORK_ARG := WORK_ARG-PI;
    end if;
 
    --[(PI/2 < WORK_ARG < PI) -> SIN (WORK_ARG) = SIN (PI - WORK_ARG)]
    if
      WORK_ARG > PIOVTWO
    then
      WORK_ARG := PI - WORK_ARG;
    end if;
 
    --[Compute polynomial approximation valid over (0,Pi/2)]
    XNORM := WORK_ARG * TWOOVPI;
    XNORMSQ := XNORM * XNORM;
    TEMPSUM := (C3+XNORMSQ*(C4+XNORMSQ*(C5+XNORMSQ*C6)));
    RESULT := XNORM*(C0+XNORMSQ*(C1+XNORMSQ*(C2+XNORMSQ*TEMPSUM)));
 
    --[Handle inversion for arguments where it is required]
    if
      NEGATE = TRUE
    then		   --check if inversion needed
      RESULT := -RESULT;   --change sign
    end if;
    return RESULT;
  end SIN;
 
 
--*cc*
  --CALCULATE THE COSINE OF X
 
--********************************************************************--
--* The Cosine function uses the Sin function in its calculations.   *--
--* The Sin is obtained for the the input argument added to Pi/2 and *--
--* the cosine value is the result. See Sin for accuracy.	     *--
--********************************************************************--
 
  function COS (X:in FPOINT) return FPOINT is
 
    --[Use identity cos(x) = sin(x + Pi/2)]
  begin
    return SIN(X + PIOVTWO);  --calculate the sin
  end COS;
 
 
--*cc*
  --CALCULATE THE ARCTAN OF X AND Y
 
--********************************************************************--
--* The input argument to the Arctan function is a two-dimensional   *--
--* vector (x,y). The range of this arctan routine is(-Pi,Pi), where *--
--* the angle is measured from the positive x axis. The counter-     *--
--* clockwise direction yields a positive angle.		     *--
--* The quotient z = a/b is computed, where a = smaller of abs(x),   *--
--* abs(y) and b = larger of abs(x), abs(y).Then the 11 term polynom-*--
--* ial approximation Arctn 4994 is used taken from p. 269  by Hart  *--
--* et al.							     *--
--*								     *--
--* This allows a quantity raw_result to be computed which approxi-  *--
--* mates, to 9 significant digits, Arctan(z) where 0 <= z = 1.      *--
--* If abs x <= abs y, compute raw_result = PI/2 - raw_result.	     *--
--* Finally,known quadrant information is used to correct raw_result.*--
--********************************************************************--
 
  function ATAN2 (Y,X : in FPOINT) return FPOINT is    -- Reversed: JR
    T,TEMPSUM,RAW_RESULT  : FPOINT;
    TSUM1,TSUM2,TSUM3,TSUM4 : FPOINT;
    RESULT,WORK_TAN	  : FPOINT;
    WSQ 		  : FPOINT;
    C0 : constant  :=  0.99999999962823;
    C1 : constant  := -0.33333323935248;
    C2 : constant  :=  0.1999960463605;
    C3 : constant  := -0.14279159632913;
    C4 : constant  :=  0.11054501276748;
    C5 : constant  := -0.08798772607785;
    C6 : constant  :=  0.06716109576648;
    C7 : constant  := -0.04435753387529;
    C8 : constant  :=  0.02227439439215;
    C9 : constant  := -0.00719940499973;
    C10 :constant  :=  0.00109111540906;
 
--  C0 : constant  :=  0.99999;
--  C1 : constant  := -0.33333;
--  C2 : constant  :=  0.19999;
--  C3 : constant  := -0.14279;
--  C4 : constant  :=  0.11054;
--  C5 : constant  := -0.08799;
--  C6 : constant  :=  0.06716;
--  C7 : constant  := -0.04436;
--  C8 : constant  :=  0.02227;
--  C9 : constant  := -0.00719;
--  C10 :constant  :=  0.00109;
 
 
    --[((x,y) = (0,0)) -> Arctan undefined so raise exception |
    --true -> RESULT = ARCTAN (y/x), where -PI < RESULT < PI
    --measured counterclockwise from positive x axis.]
  begin
--    TEXT_IO.PUT("Performing ATAN2");
--    TEXT_IO.NEW_LINE;
    if
      X = 0.0 and Y = 0.0	   -- test for two zero components
    then
      raise INVALID_ARCTAN_ARGUMENTS;  -- flag zero arguments
    else
 
      --[By taking abs(x) and abs(y), cast computation into first quad-
      --rant. If direction angle(x,y) between 0.0 and PI/4 radian
      --(abs x > abs y<0), use y/x as a working argument. If direction
      -- angle (x,y) between PI/4 and PI/2, compute the inverse for the
      -- same purpose.]
--    TEXT_IO.PUT("ATAN2 CKPT 1");
--    TEXT_IO.NEW_LINE;
      if
	abs X > abs Y
      then
	WORK_TAN := abs(Y / X);
      else
	WORK_TAN := abs(X / Y);
      end if;
--    TEXT_IO.PUT("ATAN2 CKPT 2");
--    TEXT_IO.NEW_LINE;
 
      --[Compute polynomial approximation valid over (0,1)]
      WSQ := WORK_TAN * WORK_TAN;
--    TEXT_IO.PUT("ATAN2 CKPT 3");
--    TEXT_IO.NEW_LINE;
 
      TSUM1 := C9+WSQ*C10;
--    TEXT_IO.PUT("ATAN2 CKPT 3.1");
--    TEXT_IO.NEW_LINE;
      TSUM2 := C8+(WSQ*TSUM1);
--    TEXT_IO.PUT("ATAN2 CKPT 3.2");
--    TEXT_IO.NEW_LINE;
      TSUM3 := C7+(WSQ*TSUM2);
--    TEXT_IO.PUT("ATAN2 CKPT 3.3");
--    TEXT_IO.NEW_LINE;
      TSUM4 := C6+(WSQ*TSUM3);
--    TEXT_IO.PUT("ATAN2 CKPT 3.4");
--    TEXT_IO.NEW_LINE;
      TEMPSUM := (C5+WSQ*(TSUM4));
 
--    TEXT_IO.PUT("ATAN2 CKPT 3A");
--    TEXT_IO.NEW_LINE;
 
 
      TSUM1 := C4+(WSQ*TEMPSUM);
--    TEXT_IO.PUT("ATAN2 CKPT 3A.1");
--    TEXT_IO.NEW_LINE;
      TSUM2 := C3+(WSQ*TSUM1);
--    TEXT_IO.PUT("ATAN2 CKPT 3A.2");
--    TEXT_IO.NEW_LINE;
      TSUM3 := C2+(WSQ*TSUM2);
--    TEXT_IO.PUT("ATAN2 CKPT 3A.3");
--    TEXT_IO.NEW_LINE;
      TSUM4 := C1+(WSQ*TSUM3);
--    TEXT_IO.PUT("ATAN2 CKPT 3A.4");
--    TEXT_IO.NEW_LINE;
      TSUM1 := C0+(WSQ*TSUM4);
--    TEXT_IO.PUT("ATAN2 CKPT 3A.5");
--    TEXT_IO.NEW_LINE;
      T :=WORK_TAN*TSUM1;
 
--    TEXT_IO.PUT("ATAN2 CKPT 3B");
--    TEXT_IO.NEW_LINE;
 
      RAW_RESULT := T;
--    TEXT_IO.PUT("ATAN2 CKPT 4");
--    TEXT_IO.NEW_LINE;
 
      --[In case direction angle (x,y) between Pi/4 and Pi/2, replace
      --direction angle  by its complement.]
      if
       abs X <= abs Y
      then
	RAW_RESULT := PIOVTWO - RAW_RESULT;
      end if;
 
--*cc*
      --[Geometric arguments dictate the following:((x<=0)&(y>=0)-> res-
      --ult is raw result | (x<0)&(y >= 0)-> result is the supplement of
      --raw result | (x >= 0)&(y < 0) -> result is the negative of the
      --raw result | (x < 0)&(y < 0) -> result is the negative of the
      --supplement of the raw result)]
      if
	X >= 0.0	      --apply correction to raw angle
      then
	RESULT := RAW_RESULT;
      else
	RESULT := PI-RAW_RESULT;
      end if;
      if
	Y < 0.0
      then
	RESULT := -RESULT;
      end if;
      return RESULT;
    end if;
  end ATAN2;
 
 
 
 
--*cc*
  --CALCULATE THE TANGENT OF X
 
--********************************************************************--
--* The tangent function first reduces the  input argument to the    *--
--* domain(-pi/2,pi/2).It then operates on the absolute value of the *--
--* reduced input. If this quantity is within (0,pi/4), a 9-term     *--
--* polynomial approximation good to 10 decimal places is used.      *--
--* (Hart, Tan 4267,  p.251).					     *--
--*								     *--
--* If the absolute value is within (pi/4,pi/2), the identity	     *--
--* Tan(x)= 1/tan(pi/2 - x) is utilized, which casts the argument    *--
--* back to(0,pi/4) and allows the earlier approximation to be used. *--
--* In this case, the polynomial is then inverted after it's computed*--
--* with the modified argument. Finally the result must be inverted  *--
--* if the argument fell inside (-pi/2,0).			     *--
--********************************************************************--
 
  function TAN (X : in FPOINT) return FPOINT is
    WORK_ARG,TEMPSUM,TEMPSUM1: FPOINT;
    XNORM,XNORMSQ,RESULT     : FPOINT;
    C0 : constant :=  0.785398163463592;
    C1 : constant :=  0.161491013728551;
    C2 : constant :=  0.039846593765055;
    C3 : constant :=  0.00994589821131;
    C4 : constant :=  0.002501003689398;
    C5 : constant :=  0.00058237132681;
    C6 : constant :=  0.000218203401726;
    C7 : constant := -0.000017143329787;
    C8 : constant :=  0.000033895659126;
 
--  C0 : constant :=  0.785398;
--  C1 : constant :=  0.161491;
--  C2 : constant :=  0.039847;
--  C3 : constant :=  0.009946;
--  C4 : constant :=  0.002501;
--  C5 : constant :=  0.000582;
--  C6 : constant :=  0.000218;
--  C7 : constant := -0.000017;
--  C8 : constant :=  0.000034;
 
    EPSILON: FPOINT := 10.0 ** (1 - FPOINT'digits);
 
    --[Compute y = TAN(x) for all real x except for x e (M*PI/2-
    --EPSILON, M*PI/2 + EPSILON), M a positive or negative odd
    --integer,EPSILON real. In the latter case, raise exception for
    --tangent value undefined.]
  begin
 
    --[reduce domain to (-PI/2, PI/2)]
    WORK_ARG := X;
    while WORK_ARG > PIOVTWO
    loop
      WORK_ARG := WORK_ARG - PI;
    end loop;
    while WORK_ARG < -PIOVTWO
    loop
      WORK_ARG := WORK_ARG + PI;
    end loop;	 --input now in domain (-PI/2,PI/2)
 
    --[(abs WORK_ARG > PI/4) -> XNORM := (4/PI) * (PI/2 -abs
    --WORK_ARG)| true -> XNORM := (4/PI)* abs WORK_ARG]
    if
      abs WORK_ARG > PIOVFOUR
    then
      XNORM := 2.0 - (abs WORK_ARG * FOUROVPI);
    else
      XNORM := abs WORK_ARG * FOUROVPI;
    end if;    --(0.0 <= XNORM <= 1.0)
 
    --[Compute polynomial approximation valid over (0,1).]
    XNORMSQ := XNORM * XNORM;
    TEMPSUM1 := (C6+XNORMSQ*(C7+XNORMSQ*C8));
    TEMPSUM:=(C3+XNORMSQ*(C4+XNORMSQ*(C5+XNORMSQ*TEMPSUM1)));
    RESULT:=XNORM*(C0+XNORMSQ*(C1+XNORMSQ*(C2+XNORMSQ*TEMPSUM)));
 
    --[(abs WORK_ARG > (PI/2 -EPSILON )) -> raise tangent undefined
    --exception | (PI/4 < abs WORK_ARG < (PI/2 - EPSILON)) -> invert
    --result | true -> continue.]
    if
      abs WORK_ARG > PIOVFOUR
    then
      if abs WORK_ARG >= PIOVTWO - EPSILON
      then
	raise TANGENT_UNDEFINED;
      else
	RESULT := 1.0/RESULT;
      end if;
    end if;
 
--*cc*
    --[Invert sign of result if input negative]
    if WORK_ARG < 0.0
    then
      RESULT := -RESULT;
    end if;
    return RESULT;
  end TAN;
 
 
 
--*cc*
  --CALCULATE THE ARCSINE OF S
 
--********************************************************************--
--* The arcsine routine uses Arctan to obtain the arcsine using the *--
--* following formula:						     *--
--*		arcsin(x) = arctan(x/sqrt(1-x*2))		     *--
--*		for |x| <= 1					     *--
--*See arctan1 for output precision.				    *--
--********************************************************************--
 
  function ARCSIN (S : in FPOINT) return FPOINT is
    SQS        :FPOINT;
  begin
    SQS := S * S;
 
    --[abs(s) > 1.0 raise 'invalid arcsin' exception | true ->
    --ARCSIN(s) = ARCTAN(SQRT(1.0-s**2),s)]
    if
      SQS > 1.0    --is argument outside arcsine domain?
    then	  -- yes
      raise INVALID_ARCSIN_ARGUMENT;  --flag invalid input and exit
    else
      return ATAN2 (S,SQRT(1.0 - SQS));
    end if;
  end ARCSIN;
 
end GTRIG_SUB_PKG;
--::::::::::
--sqrt_pkg.ads
--::::::::::
with ATYPES; use ATYPES;
with GSQRT_SUB_PKG;
package SQRT_PKG is new GSQRT_SUB_PKG(REAL8);

--::::::::::
--trig_pkg.ads
--::::::::::
with ATYPES; use ATYPES;
with GTRIG_SUB_PKG;
package TRIG_PKG is new GTRIG_SUB_PKG(REAL8);
--::::::::::
--flt_text_io.ads
--::::::::::
with ATYPES; use ATYPES;
With text_io;
Pragma elaborate (text_io);
Package flt_text_io is new text_io.float_io(REAL8);
--::::::::::
--dot.ads
--::::::::::
with ATYPES; use ATYPES; 
package DOT is
 
procedure DOT (A,B : in VEC;
                 W : out REAL8);
------------------------------------------
procedure DOT (A,B : in V3;
                 W : out REAL8);
------------------------------------------
procedure DOT (A : in FM33;
               X : in V3;
               Y : out V3);
end DOT;
----------------------------------------------------------------------
--::::::::::
--dot.adb
--::::::::::
with ATYPES; use ATYPES; 
package body DOT is
 
procedure DOT (A,B : in VEC;
                 W : out REAL8) is     -- Dot product
 
    PRAGMA SUPPRESS (ACCESS_CHECK);
    PRAGMA SUPPRESS (DISCRIMINANT_CHECK);
    PRAGMA SUPPRESS (INDEX_CHECK);
    PRAGMA SUPPRESS (LENGTH_CHECK);
    PRAGMA SUPPRESS (RANGE_CHECK);
    PRAGMA SUPPRESS (DIVISION_CHECK);
    PRAGMA SUPPRESS (OVERFLOW_CHECK);
    PRAGMA SUPPRESS (ELABORATION_CHECK);
    PRAGMA SUPPRESS (STORAGE_CHECK);
 
begin
   W:=A(1)*B(1) + A(2)*B(2) + A(3)*B(3);
  end DOT;
------------------------------------------
procedure DOT (A,B : in V3;
                 W : out REAL8) is     -- Dot product
 
    PRAGMA SUPPRESS (ACCESS_CHECK);
    PRAGMA SUPPRESS (DISCRIMINANT_CHECK);
    PRAGMA SUPPRESS (INDEX_CHECK);
    PRAGMA SUPPRESS (LENGTH_CHECK);
    PRAGMA SUPPRESS (RANGE_CHECK);
    PRAGMA SUPPRESS (DIVISION_CHECK);
    PRAGMA SUPPRESS (OVERFLOW_CHECK);
    PRAGMA SUPPRESS (ELABORATION_CHECK);
    PRAGMA SUPPRESS (STORAGE_CHECK);
 
begin
   W:=A(1)*B(1) + A(2)*B(2) + A(3)*B(3);
  end DOT;
------------------------------------------
procedure DOT (A : in FM33;
               X : in V3;
               Y : out V3) is
 
    PRAGMA SUPPRESS (ACCESS_CHECK);
    PRAGMA SUPPRESS (DISCRIMINANT_CHECK);
    PRAGMA SUPPRESS (INDEX_CHECK);
    PRAGMA SUPPRESS (LENGTH_CHECK);
    PRAGMA SUPPRESS (RANGE_CHECK);
    PRAGMA SUPPRESS (DIVISION_CHECK);
    PRAGMA SUPPRESS (OVERFLOW_CHECK);
    PRAGMA SUPPRESS (ELABORATION_CHECK);
    PRAGMA SUPPRESS (STORAGE_CHECK);
 
begin
 for I in 1..3 loop
   Y(I):=A(I,1)*X(1) + A(I,2)*X(2) + A(I,3)*X(3);
 end loop;
  end DOT;
 
  end DOT;
--::::::::::
--ret1.ads
--::::::::::
with ATYPES; use ATYPES; 
package RET1 is

 X,Y,Z,VA,VE,SA,SE,SYA,SYE,CYA,CYE,YI,YGMT :V4000;
 IRSCAN,IADJ,JSAT,IARR                     :IV4000;
 ID                                        :IM40005;
 NSAT,NTRUE,NRET,NR1,NR2                   :INTEGER;
 EPHEM                                     :A3106;
 TRUE                                      :FM4115;

procedure RET1;
end RET1;
-------------------------------------------------------------------------------
--::::::::::
--ret1.adb
--::::::::::
   with SQRT_PKG;             use SQRT_PKG;
   with TRIG_PKG;             use TRIG_PKG;
--   with TEXT_IO;              use TEXT_IO;
--   with FLT_TEXT_IO;          use FLT_TEXT_IO;
--   with INT_TEXT_IO;          use INT_TEXT_IO;
-- with LIN_TEXT_IO;          use LIN_TEXT_IO;
with ATYPES; use ATYPES; 
with CONSTS1; use CONSTS1; 
with INDATA; use INDATA;

package body RET1 is

procedure RET1 is
 B,I,IAR,ISC,ISCO,K,KSAT: INTEGER;
 CYAI,CYEI,SAI,SEI,SYAI,SYEI,T,TMIN,YA,YE: REAL8;


--   FILE1 : FILE_TYPE;
--   MODE1 : FILE_MODE:=IN_FILE;
--   NAME1 : STRING (1..10):= "stereo.ret";
-- NAME1 : STRING (1..10):= "=UURETIN  ";
--   SPACE : POSITIVE_COUNT :=1;

begin

--  OPEN  (FILE1,MODE1,NAME1);

--  GET(FILE1,   NTRUE);           -- Number of events
  NTRUE := 102;
--  GET(FILE1,   NSAT);            -- Number of satellites
  NSAT := 2;

  for I in 1..NTRUE loop
    for K in 1..4 loop
--      GET(FILE1,   TRUE(K,I));     -- True tactical parameters
      TRUE(K,I) := TRUE_IN(I,K);
    end loop; --for K
  end loop; --for I

  for ISAT in 1..NSAT loop
    for KK in 1..3 loop
      for K in 1..10 loop
--        GET(FILE1, EPHEM(KK,K,ISAT));   -- Ephemeris coefficients
        EPHEM(KK,K,ISAT) := EPHEM_IN(KK+((ISAT-1)*3),K);
      end loop; --for K
    end loop; --for KK
  end loop; --for ISAT


--  GET(FILE1,   NRET);         -- Number of returns from both sensors
  NRET := 1990;
  TMIN:=100000.0;
  KSAT:=1;
  ISCO:=0;
  for I in 1..NRET loop
    B := (I-1)/NINDATA + 1;
    K := I - (B-1)*NINDATA;
--   GET(FILE1,   YI(I));       -- Intensity of this return
   YI(I) := FDATA(B)(K,1);
--   GET(FILE1,   YA);          -- Azimuth
   YA := FDATA(B)(K,2);
--   GET(FILE1,   YE);          -- Elevation
   YE := FDATA(B)(K,3);
   SYAI:=SIN(YA);
   SYA(I):=SYAI;
   CYAI:=COS(YA);
   CYA(I):=CYAI;
   SYEI:=SIN(YE);
   SYE(I):=SYEI;
   CYEI:=COS(YE);
   CYE(I):=CYEI;
   X(I):=SYAI*SYEI;
   Y(I):=CYAI*SYEI;
   Z(I):=-CYEI;
--   GET(FILE1,   T);                   -- GMT
   T := FDATA(B)(K,4);
   YGMT(I):=T;
   if T<TMIN then 
     TMIN:=T; 
   end if;
--   GET(FILE1,   ISC);                 -- Scan
--   GET(FILE1,   IADJ(I));             -- Adjacency
   if I > NRET/2 then
     IADJ(I) := integer(IADJb(I-NRET/2));
     ISC := integer(ISCb(I-NRET/2));
   else
     ISC := integer(ISCa(I));
     IADJ(I) := integer(IADJa(I));
   end if;
--   GET(FILE1,   IAR);                 -- Array number
   IAR := 1;
   IARR(I):=IAR;
   SAI:=SIGA(IAR+1);
   SA(I):=SAI;
   SEI:=SIGE(IAR+1);
   SE(I):=SEI;
   VA(I):=SAI**2;
   VE(I):=SEI**2;
   if (ISC<ISCO) then
    KSAT:=2;
    NR1:=I-1;
    NR2:=NRET+1-I;
   end if;
   ISCO:=ISC;
   JSAT(I):=KSAT;

--   for K in 1..5 loop
--    GET(FILE1,   ID(I,K));           -- Event ID tags
--   end loop; --for K
   if I > NRET/2 then
     ID(I,1) := integer(ID1b(I-NRET/2));
     ID(I,2) := integer(ID2b(I-NRET/2));
     ID(I,3) := integer(ID3b(I-NRET/2));
     ID(I,4) := integer(ID4b(I-NRET/2));
   else
     ID(I,1) := integer(ID1a(I));
     ID(I,2) := integer(ID2a(I));
     ID(I,3) := integer(ID3a(I));
     ID(I,4) := integer(ID4a(I));
   end if;
   ID(I,5) := 0;
  end loop; --for I

  for I in 1..NRET loop
   T:=1.5+(YGMT(I)-TMIN)/TSCAN;
   IRSCAN(I):=INTEGER(T-0.5);
  end loop; --for I

  end RET1;
  end RET1;
--::::::::::
--srifa.ads
--::::::::::
with ATYPES; use ATYPES; 
package SRIFA is
 
procedure SRIFA (M   : in INTEGER; --  Number of rows in A = Mdata + Nstates
                 NP1 : in INTEGER; --  Number of columns = N + 1
                 A   : in FM488  ; --  The A-matrix in standard form
                 DZ : out V7);
end SRIFA;
-------------------------------------------------------------------------------
--::::::::::
--srifa.adb
--::::::::::
with RET1; use RET1; 
   with SQRT_PKG;             use SQRT_PKG;
   with TRIG_PKG;             use TRIG_PKG;
with ATYPES; use ATYPES; 
package body SRIFA is
 
procedure SRIFA (M   : in INTEGER; --  Number of rows in A = Mdata + Nstates
                 NP1 : in INTEGER; --  Number of columns = N + 1
                 A   : in FM488  ; --  The A-matrix in standard form
                 DZ : out V7) is
 DX:V8;
 U :V48;
 H :FM488;
 I,J,K,MPJ,N: INTEGER;
 BETA,G,S,W: REAL8;
 
begin
 
  -- -------------------------------------------------------------------------
  N:=NP1-1;           -- No. of states
 
  for K in 1..M loop
    U(K):=0.0;
 
    for J in 1..NP1 loop
      H(K,J):=A(K,J);     -- Create local copy of A to avoid "in out" problems
    end loop; --for J
  end loop; --for K
 
  for K in 1..N loop
    DX(K):=0.0;         -- Initialize DX (state correction) vector
  end loop; --for K
 
  DX(NP1):=-1.0;      -- This completes DX initialization
  -- -----------------------------------------------------------------
 
  for J in 1..N loop                  -- Loop over states
    MPJ:=M+J;
    S:=0.0;
 
    for K in J..M loop
      I:=MPJ-K;           -- Must reverse I so that W is correct at end
      W:=H(I,J);
      U(I):=W;
      S:=S+W**2;
    end loop; --for K
 
    S:=SQRT(S);
    if W>0.0 then S:=(-S); end if;
    H(J,J):=S;
    W:=W-S;
    U(J):=W;
    BETA:=1.0/(S*W);
    -- ----------------------
 
    for K in J+1..NP1 loop
      G:=0.0;
 
      for I in J..M loop
        G:=G+U(I)*H(I,K);
      end loop; --for I
 
      G:=G*BETA;
 
      for I in J..M loop
        H(I,K):=H(I,K)+G*U(I);
      end loop; --for I
 
    end loop; --for K
    -- -----------------------------------------
  end loop; --for J           -- End loop over states
  -- -----------------------------------------
 
  for K in 1..N loop
    J:=NP1-K;
    S:=0.0;
 
    for I in J+1..NP1 loop
      S:=S+DX(I)*H(J,I);      -- Solve system DX:=( H)(DY)
    end loop; --for I            -- (where H is upper triangular)
    DX(J):=-S/H(J,J);       -- (and where DY is column N+1 of H)
  end loop; --for K
 
  for I in 1..N loop
    DZ(I):=DX(I);    -- Copy the state corrections to avoid "in out" problem
  end loop; --for I
 
  end SRIFA;
  end SRIFA;
--::::::::::
--stsub2.ads
--::::::::::
with ATYPES; use ATYPES; 
package STSUB2 is
 
procedure STSUB2 (NSCANS : in INTEGER; --
                  NRR    : in IM2100 ; --
                  NEPOCH : out INTEGER;
                  TNEXT  : out V100   ;
                  NXTSAT : out IV100  ;
                  NXTSCN : out IV100  ;
                  IPT    : out IM2100 );
end STSUB2;
-------------------------------------------------------------------------------
--::::::::::
--stsub2.adb
--::::::::::
with RET1; use RET1; 
--   with SQRT_PKG;             use SQRT_PKG;
--   with TRIG_PKG;             use TRIG_PKG;
with ATYPES; use ATYPES; 
package body STSUB2 is
 
procedure STSUB2 (NSCANS : in INTEGER; --
                  NRR    : in IM2100 ; --
                  NEPOCH : out INTEGER;
                  TNEXT  : out V100   ;
                  NXTSAT : out IV100  ;
                  NXTSCN : out IV100  ;
                  IPT    : out IM2100 ) is
 TNEXTT         :V100;
 NXTSCNN,NXTSATT:IV100;
 IPTT           :IM2100;
 I,INEXT,IP,J,K,KMIN,N: INTEGER;
 HUGE,T,TMAX,TMIN: REAL8;
 
 
    PRAGMA SUPPRESS (ACCESS_CHECK);
    PRAGMA SUPPRESS (DISCRIMINANT_CHECK);
    PRAGMA SUPPRESS (INDEX_CHECK);
    PRAGMA SUPPRESS (LENGTH_CHECK);
    PRAGMA SUPPRESS (RANGE_CHECK);
    PRAGMA SUPPRESS (DIVISION_CHECK);
    PRAGMA SUPPRESS (OVERFLOW_CHECK);
    PRAGMA SUPPRESS (ELABORATION_CHECK);
    PRAGMA SUPPRESS (STORAGE_CHECK);
 
begin
 
  -- ----------------------------------------------------------------
  HUGE:=100000.0;
 
  INEXT:=0;
  IPT(1,1):=1;
  IPTT(1,1):=1;
  IPT(2,1):=NR1+1;
  IPTT(2,1):=NR1+1;
 
  for I in 1..NSCANS loop
 
    for J in 1..2 loop
      IP:=IPTT(J,I)+NRR(J,I);
      IPTT(J,I+1):=IP;
      IPT(J,I+1):=IP;
      if (NRR(J,I)/=0) then
        TMAX:=0.0;
        N:=IPTT(J,I+1)-1;
 
        for K in IPTT(J,I)-1+1..N loop
          T:=YGMT(K);
          if T>=TMAX then TMAX:=T; end if;
        end loop; --for K
        INEXT:=INEXT+1;
        TNEXTT(INEXT):=TMAX;
        NXTSCNN(INEXT):=I;
        NXTSATT(INEXT):=J;
      end if;
    end loop; --for J
  end loop; --for I
 
  for I in 1..INEXT loop                                      -- Sort on TNEXT
    TMIN:=HUGE;
 
    for K in 1..INEXT loop
      T:=TNEXTT(K);
      if (T<TMIN) then
        TMIN:=T;
        KMIN:=K;
      end if;
    end loop; --for K
    TNEXT(I):=TNEXTT(KMIN);
    TNEXTT(KMIN):=HUGE;
    NXTSCN(I):=NXTSCNN(KMIN);
    NXTSAT(I):=NXTSATT(KMIN);
  end loop; --for I
 
  NEPOCH:=INEXT;
 
  end STSUB2;
  end STSUB2;
--::::::::::
--tracker.ads
--::::::::::
with ATYPES; use ATYPES; 
package TRACKER is
 
procedure TRACKER (DT    : in V5     ; --   time from reference vector
                   A     : in V5     ; --   x in LOS' coordinates vector
                   E     : in V5     ; --   y in LOS' coordinates vector
                   VX    : in REAL8  ; --  variance in x scalar
                   VY    : in REAL8  ; --  variance in y scalar
                   NHITS : in INTEGER; --
                   STATE : out V26);
end TRACKER;
-------------------------------------------------------------------------------
--::::::::::
--tracker.adb
--::::::::::
with RET1; use RET1; 
   with SQRT_PKG;             use SQRT_PKG;
   with TRIG_PKG;             use TRIG_PKG;
with ATYPES; use ATYPES; 
with CONSTS1; use CONSTS1; 

package body TRACKER is
 
procedure TRACKER (DT    : in V5     ; --   time from reference vector
                   A     : in V5     ; --   x in LOS' coordinates vector
                   E     : in V5     ; --   y in LOS' coordinates vector
                   VX    : in REAL8  ; --  variance in x scalar
                   VY    : in REAL8  ; --  variance in y scalar
                   NHITS : in INTEGER; --
                   STATE : out V26) is
 
 I: INTEGER;
 AA,AB,AD,AI,AK,AS,A1,B,BB,CC,D,DD,EB,ED,EE,EI,ES,E1,F,FF,G,P,P3,Q,R,RECIP,S,T,TSC,TT,U: REAL8;
 W,XHITS,XX,YY,ZZ                                                                      : REAL8;
 
begin
 
  --  Single-satellite Analytic Tracker   (Handles one track)
 
  -- ----------------------------------------------
  RECIP:=1.0/(VX*VY);
  XHITS:=REAL8(NHITS);
  S:=0.0;
  W:=0.0;
  R:=0.0;
  Q:=0.0;
  B:=0.0;
  D:=0.0;
  G:=0.0;
  U:=0.0;
  F:=0.0;
  EB:=0.0;
  AB:=0.0;
  ES:=0.0;
  AS:=0.0;
 
  for I in 1..NHITS loop
    AI:=A(I);
    EI:=E(I);
    AB:=AB+AI;
    EB:=EB+EI;
    AS:=AS+AI**2;
    ES:=ES+EI**2;
    T:=DT(I);
    TT:=T*T;
    U:=U+T;
    G:=G+TT;
    D:=D+T*TT;
    B:=B+TT*TT;
    Q:=Q+TT*AI;
    R:=R+TT*EI;
    W:=W+T*AI;
    S:=S+T*EI;
  end loop; --for I
 
  AB:=AB/XHITS;
  EB:=EB/XHITS;
  F:=1.0/VX*(AS-XHITS*AB**2)+1.0/VY*(ES-XHITS*EB**2);
  Q:=Q-AB*G;
  R:=R-EB*G;
  W:=W-AB*U;
  S:=S-EB*U;
 
  AA:=XHITS*B-G**2;
  BB:=XHITS*D-G*U;
  CC:=VY*Q*W+VX*S*R;
  DD:=VY*Q**2+VX*R**2;
  EE:=VY*W**2+VX*S**2;
  FF:=XHITS*G-U**2;
  AK:=AC1;
 
  if (NHITS>=3) then
    XX:=AA*CC-BB*DD;
    YY:=AA*EE-DD*FF;
    ZZ:=BB*EE-CC*FF;
    AK:=((-YY)+SQRT(YY**2-4.0*XX*ZZ))/(2.0*XX);
    if AK<AC1 then AK:=AC1; end if;
    if AK>AC2 then AK:=AC2; end if;
  end if;
  P:=XHITS/(FF+2.0*AK*BB+AA*AK**2);
  TSC:=F-RECIP*P*(EE+2.0*CC*AK+DD*AK**2);
  AD:=P*(W+AK*Q);
  ED:=P*(S+AK*R);
  P3:=(U+AK*G)/XHITS;
  A1:=AB-AD*P3;
  E1:=EB-ED*P3;
  STATE(1):=A1;
  STATE(2):=E1;
  STATE(3):=AD;
  STATE(4):=ED;
  STATE(5):=AK;
  STATE(6):=TSC;
  STATE(7):=AB;
  STATE(8):=EB;
  STATE(9):=F;
  STATE(10):=B;
  STATE(11):=D;
  STATE(12):=G;
  STATE(13):=U;
  STATE(14):=Q;
  STATE(15):=R;
  STATE(16):=W;
  STATE(17):=S;
  STATE(18):=AA;
  STATE(19):=BB;
  STATE(20):=CC;
  STATE(21):=DD;
  STATE(22):=EE;
  STATE(23):=FF;
  STATE(24):=RECIP;
  STATE(25):=XHITS;
  STATE(26):=P;
 
  end TRACKER;
  end TRACKER;
--::::::::::
--tranpos.ads
--::::::::::
with ATYPES; use ATYPES; 
package TRANPOS is
 
procedure TRANSPOS (A : in FM33;
                     B : out FM33);
 
end TRANPOS;
-------------------------------------------------------
--::::::::::
--tranpos.adb
--::::::::::
with ATYPES; use ATYPES; 
package body TRANPOS is
 
procedure TRANSPOS (A : in FM33;
                     B : out FM33) is
 
    PRAGMA SUPPRESS (ACCESS_CHECK);
    PRAGMA SUPPRESS (DISCRIMINANT_CHECK);
    PRAGMA SUPPRESS (INDEX_CHECK);
    PRAGMA SUPPRESS (LENGTH_CHECK);
    PRAGMA SUPPRESS (RANGE_CHECK);
    PRAGMA SUPPRESS (DIVISION_CHECK);
    PRAGMA SUPPRESS (OVERFLOW_CHECK);
    PRAGMA SUPPRESS (ELABORATION_CHECK);
    PRAGMA SUPPRESS (STORAGE_CHECK);
 
begin
 for I in 1..3 loop
 for J in 1..3 loop
   B(I,J):=A(J,I);
 end loop;
 end loop;
  end TRANSPOS;
 
  end TRANPOS;
--::::::::::
--vmult3.ads
--::::::::::
with ATYPES; use ATYPES; 
package VMULT3 is
 
procedure VMULT3 (A : in FM33; --
                  V : in V3  ; --
                  U : out V3);
end VMULT3;
-------------------------------------------------------------------------------
--::::::::::
--vmult3.adb
--::::::::::
with RET1; use RET1; 
--   with SQRT_PKG;             use SQRT_PKG;
--   with TRIG_PKG;             use TRIG_PKG;
with ATYPES; use ATYPES; 
package body VMULT3 is
 
procedure VMULT3 (A : in FM33; --
                  V : in V3  ; --
                  U : out V3) is
 
 I: INTEGER;
 
 
    PRAGMA SUPPRESS (ACCESS_CHECK);
    PRAGMA SUPPRESS (DISCRIMINANT_CHECK);
    PRAGMA SUPPRESS (INDEX_CHECK);
    PRAGMA SUPPRESS (LENGTH_CHECK);
    PRAGMA SUPPRESS (RANGE_CHECK);
    PRAGMA SUPPRESS (DIVISION_CHECK);
    PRAGMA SUPPRESS (OVERFLOW_CHECK);
    PRAGMA SUPPRESS (ELABORATION_CHECK);
    PRAGMA SUPPRESS (STORAGE_CHECK);
 
begin
 
  for I in 1..3 loop
    U(I):=A(I,1)*V(1)+A(I,2)*V(2)+A(I,3)*V(3);
  end loop; --for I
 
  end VMULT3;
  end VMULT3;
--::::::::::
--amax.ads
--::::::::::
with ATYPES; use ATYPES; 
package AMAX is
 
procedure AMAX (A : in REAL8; --
                B : in REAL8; --
                W : out REAL8);
end AMAX;
--::::::::::
--amax.adb
--::::::::::
--   with SQRT_PKG;             use SQRT_PKG;
--   with TRIG_PKG;             use TRIG_PKG;
with ATYPES; use ATYPES; 
package body AMAX is
 
procedure AMAX (A : in REAL8; --
                B : in REAL8; --
                W : out REAL8) is
 
 
    PRAGMA SUPPRESS (ACCESS_CHECK);
    PRAGMA SUPPRESS (DISCRIMINANT_CHECK);
    PRAGMA SUPPRESS (INDEX_CHECK);
    PRAGMA SUPPRESS (LENGTH_CHECK);
    PRAGMA SUPPRESS (RANGE_CHECK);
    PRAGMA SUPPRESS (DIVISION_CHECK);
    PRAGMA SUPPRESS (OVERFLOW_CHECK);
    PRAGMA SUPPRESS (ELABORATION_CHECK);
    PRAGMA SUPPRESS (STORAGE_CHECK);
 
begin
 
  if A>B then W:=A; else W:=B; end if;
 
  end AMAX;
  end AMAX;
--::::::::::
--amin.ads
--::::::::::
with ATYPES; use ATYPES; 
package AMIN is
 
procedure AMIN (A : in REAL8; --
                B : in REAL8; --
                W : out REAL8);
end AMIN;
-------------------------------------------------------------------------------
--::::::::::
--amin.adb
--::::::::::
--   with SQRT_PKG;             use SQRT_PKG;
--   with TRIG_PKG;             use TRIG_PKG;
with ATYPES; use ATYPES; 
package body AMIN is
 
procedure AMIN (A : in REAL8; --
                B : in REAL8; --
                W : out REAL8) is
 
 
    PRAGMA SUPPRESS (ACCESS_CHECK);
    PRAGMA SUPPRESS (DISCRIMINANT_CHECK);
    PRAGMA SUPPRESS (INDEX_CHECK);
    PRAGMA SUPPRESS (LENGTH_CHECK);
    PRAGMA SUPPRESS (RANGE_CHECK);
    PRAGMA SUPPRESS (DIVISION_CHECK);
    PRAGMA SUPPRESS (OVERFLOW_CHECK);
    PRAGMA SUPPRESS (ELABORATION_CHECK);
    PRAGMA SUPPRESS (STORAGE_CHECK);
 
begin
 
  if A<B then W:=A; else W:=B; end if;
 
  end AMIN;
  end AMIN;
--::::::::::
--imax.ads
--::::::::::
package IMAX is
 
procedure IMAX (I : in INTEGER; --
                J : in INTEGER; --
                K : out INTEGER);
end IMAX;
-------------------------------------------------------------------------------
--::::::::::
--imax.adb
--::::::::::
with RET1; use RET1; 
--   with SQRT_PKG;             use SQRT_PKG;
--   with TRIG_PKG;             use TRIG_PKG;
package body IMAX is
 
procedure IMAX (I : in INTEGER; --
                J : in INTEGER; --
                K : out INTEGER) is
 
 
    PRAGMA SUPPRESS (ACCESS_CHECK);
    PRAGMA SUPPRESS (DISCRIMINANT_CHECK);
    PRAGMA SUPPRESS (INDEX_CHECK);
    PRAGMA SUPPRESS (LENGTH_CHECK);
    PRAGMA SUPPRESS (RANGE_CHECK);
    PRAGMA SUPPRESS (DIVISION_CHECK);
    PRAGMA SUPPRESS (OVERFLOW_CHECK);
    PRAGMA SUPPRESS (ELABORATION_CHECK);
    PRAGMA SUPPRESS (STORAGE_CHECK);
 
begin
 
  if I>J then K:=I; else K:=J; end if;
 
  end IMAX;
  end IMAX;
--::::::::::
--imin.ads
--::::::::::
package IMIN is
 
procedure IMIN (I : in INTEGER; --
                J : in INTEGER; --
                K : out INTEGER);
end IMIN;
-------------------------------------------------------------------------------
--::::::::::
--imin.adb
--::::::::::
with RET1; use RET1; 
--   with SQRT_PKG;             use SQRT_PKG;
--   with TRIG_PKG;             use TRIG_PKG;
package body IMIN is
 
procedure IMIN (I : in INTEGER; --
                J : in INTEGER; --
                K : out INTEGER) is
 
 
    PRAGMA SUPPRESS (ACCESS_CHECK);
    PRAGMA SUPPRESS (DISCRIMINANT_CHECK);
    PRAGMA SUPPRESS (INDEX_CHECK);
    PRAGMA SUPPRESS (LENGTH_CHECK);
    PRAGMA SUPPRESS (RANGE_CHECK);
    PRAGMA SUPPRESS (DIVISION_CHECK);
    PRAGMA SUPPRESS (OVERFLOW_CHECK);
    PRAGMA SUPPRESS (ELABORATION_CHECK);
    PRAGMA SUPPRESS (STORAGE_CHECK);
 
begin
 
  if I<J then K:=I; else K:=J; end if;
 
  end IMIN;
  end IMIN;
--::::::::::
--assign.ads
--::::::::::
with ATYPES; use ATYPES; 
package ASSIGN is
 
procedure ASSIGN (PHI  : in V3000   ; --
                  KMAT : in IM300010; --
                  NN   : in INTEGER ; --
                  NR   : in INTEGER ; --
                  IGOOD : out IV3000 ;
                  NGOOD : out INTEGER);
end ASSIGN;
-------------------------------------------------------------------------------
--::::::::::
--assign.adb
--::::::::::
with RET1; use RET1; 
--   with SQRT_PKG;             use SQRT_PKG;
--   with TRIG_PKG;             use TRIG_PKG;
with ATYPES; use ATYPES; 
with IMIN; use IMIN; 
package body ASSIGN is
 
procedure ASSIGN (PHI  : in V3000   ; --
                  KMAT : in IM300010; --
                  NN   : in INTEGER ; --
                  NR   : in INTEGER ; --
                  IGOOD : out IV3000 ;
                  NGOOD : out INTEGER) is
 P :V3000;
 IG:IV3000;
 KONFL: array (1..300,1..300) of INTEGER;
 I,J,J1,K,KMIN,K1,M,N,NGD,NIG: INTEGER;
 HUGE,PMIN,S: REAL8;
 
begin
 
  -- Assignment -- like ASSIGNAPL
  --  A modest attempt is made to maximize the no. of final tracks
  --  PHI   is a vector of scores (200 vector, n elements valid)
  --  KMAT is a corresponding matrix of pointers to feasible tracks
  --             (one track per row) (200x10 array, NxNR valid)
  --  NN   is the number of tracks
  --  NR   is number of hits per track (stereo, so may be up to 10)
  --  IGOOD is a vector of indices (into KMAT) of non-conflicting
  --             "best" tracks
  --  Tracks with scores >= HUGE are ignored
 
  -- -----------------------
 
  -- -----------------------
  NGOOD:=0;
  if (NN/=0) then
 
    IMIN.IMIN(NN,300,N);
 
    HUGE:=10000.0;
 
    for I in 1..N loop
      P(I):=0.0;
      IG(I):=0;
      IGOOD(I):=0;
 
      for J in 1..N loop
        KONFL(I,J):=0;
      end loop; --for J
    end loop; --for I
 
    KONFL(N,N):=1;
 
    for I in 1..N-1 loop
      KONFL(I,I):=1;
 
      for J in I+1..N loop
        KONFL(I,J):=0;
        KONFL(J,I):=0;
        K1:=9999;
 
        for K in 1..NR loop
          if (K<=K1) then
            if (KMAT(I,K)=KMAT(J,K)) then
              KONFL(I,J):=1;
              KONFL(J,I):=1;
              K1:=0;
            end if;
          end if;
        end loop; --for K
      end loop; --for J
    end loop; --for I
 
    -- :=KONFL=( KMAT) OR .=KMAT
 
    PMIN:=1.0E30;
    NGD:=0;
 
    for M in 0..N loop                -- -----------------------------------------------
 
      for I in 1..N loop
        P(I):=PHI(I);                   -- Get a copy of PHI
      end loop; --for I
      if (M/=0) then
        P(M):=HUGE;       -- Zap one track
      end if;
      NIG:=0;
      J1:=9999;
      -- This 'loop' is just to avoid a backward branch
      for J in 1..N loop
        if (J<=J1) then
          S:=HUGE;
          KMIN:=0;
 
          for I in 1..N loop
            if (P(I)<=S) then
              KMIN:=I;
              S:=P(I);
            end if;
          end loop; --for I
 
          if (S<HUGE) then                   -- If too large, quit
            NIG:=NIG+1;
            IG(NIG):=KMIN;                       -- Record which track was selected
 
            for I in 1..N loop
              if (KONFL(I,KMIN)/=0) then
                P(I):=HUGE;
              end if;
            end loop; --for I
            --(KONFL(KMIN,)/P):=HUGE
          end if;
          if S>=HUGE then J1:=0; end if;
        end if;
      end loop; --for J                -- Next track (loop just to avoid back jump)
      if (NGD<=NIG) then
        --                          -- If NGOOD will be larger, start PMIN over
        if NGD<NIG then PMIN:=1.0E30; end if;
        S:=0.0;
 
        for I in 1..NIG loop
          K:=IG(I);
          S:=S+PHI(K);
        end loop; --for I
 
        if (S<PMIN) then
          PMIN:=S;
          NGD:=NIG;
 
          for I in 1..NIG loop
            IGOOD(I):=IG(I);
          end loop; --for I
        end if;
      end if;
    end loop; --for M        -- -----------------------------------------------
    NGOOD:=NGD;
  end if;
 
  end ASSIGN;
  end ASSIGN;
--::::::::::
--ephems.ads
--::::::::::
with ATYPES; use ATYPES; 
package EPHEMS is
 
procedure EPHEMS (JS   : in INTEGER; --  Satellite
                  YGMT : in REAL8  ; --  GMT
                  S : out V3);
end EPHEMS;
-------------------------------------------------------------------------------
--::::::::::
--ephems.adb
--::::::::::
with RET1; use RET1; 
--   with SQRT_PKG;             use SQRT_PKG;
--   with TRIG_PKG;             use TRIG_PKG;
with ATYPES; use ATYPES; 
with CONSTS; use CONSTS; 
package body EPHEMS is
 
procedure EPHEMS (JS   : in INTEGER; --  Satellite
                  YGMT : in REAL8  ; --  GMT
                  S : out V3) is
 
 IW,J,K: INTEGER;
 D,F,PSAT1,PSAT2,PSAT3,T,W: REAL8;
 
begin
 
  W:=YGMT/21600.0;
  IW:=INTEGER(W-0.5);
  F:=REAL8(IW);
  D:=W-F;
  T:=-1.0+2.0*D;   -- Normalize 6-hour time period between -1.0 and 1.0
  PSAT1:=0.0;
  PSAT2:=0.0;
  PSAT3:=0.0;
  --  --------- Loop over coefficients
  for J in 1..9 loop
    K:=11-J;         -- Loop K backwards for polynomial telescoping
    PSAT1:=T*(PSAT1+EPHEM(1,K,JS));
    PSAT2:=T*(PSAT2+EPHEM(2,K,JS));
    PSAT3:=T*(PSAT3+EPHEM(3,K,JS));
  end loop; --for J
  S(1):=(PSAT1+EPHEM(1,1,JS))/XMPNM;    -- Sat position in ECF (nm)
  S(2):=(PSAT2+EPHEM(2,1,JS))/XMPNM;
  S(3):=(PSAT3+EPHEM(3,1,JS))/XMPNM;
 
  end EPHEMS;
  end EPHEMS;
--::::::::::
--e2apa.ads
--::::::::::
with ATYPES; use ATYPES; 
package E2APA is
 
procedure E2APA (S : in V3; --  Satellite position vector in ECF (nm)
                 E2AP : out FM33);
end E2APA;
-------------------------------------------------------------------------------
--::::::::::
--e2apa.adb
--::::::::::
   with SQRT_PKG;             use SQRT_PKG;
   with TRIG_PKG;             use TRIG_PKG;
with ATYPES; use ATYPES; 
package body E2APA is
 
procedure E2APA (S : in V3; --  Satellite position vector in ECF (nm)
                 E2AP : out FM33) is
 
 DENOM,E11,E12,E33,RS,W: REAL8;
 
begin
 
  --        Compute transformation matrix E2AP from ECF to ARF' coordinates
 
  -- ----------------------------------------------------------------------
  W:=S(1)**2+S(2)**2;
  DENOM:=SQRT(W);
  W:=W+S(3)**2;
  RS:=SQRT(W);              -- Satellite radius (nm)
 
  E2AP(3,1):=S(1)/RS;     -- Unit vector pointing UP
  E2AP(3,2):=S(2)/RS;     --         (satellite position vector, normalized)
  E33:=S(3)/RS;
  E2AP(3,3):=E33;
 
  E11:=-S(2)/DENOM;
  E12:=S(1)/DENOM;
  E2AP(1,1):=E11;         -- Unit vector pointing EAST
  E2AP(1,2):=E12;         --         (0 0 1 cross UP, normalized)
  E2AP(1,3):=0.0;
 
  E2AP(2,1):=-E33*E12;    -- Unit vector pointing NORTH
  E2AP(2,2):=E33*E11;     --         ( UP cross EAST)
  E2AP(2,3):=DENOM/RS;
 
  end E2APA;
  end E2APA;
--::::::::::
--copl.ads
--::::::::::
with ATYPES; use ATYPES; 
package COPL is
 
procedure COPL (N  : in INTEGER; --
                KV : in IV3000 ; --
                ACOPLO : out REAL8;
                RCOPL  : out REAL8);
end COPL;
-------------------------------------------------------------------------------
--::::::::::
--copl.adb
--::::::::::
with RET1; use RET1; 
   with SQRT_PKG;             use SQRT_PKG;
   with TRIG_PKG;             use TRIG_PKG;
with AMAX; use AMAX; 
with AMIN; use AMIN; 
with ATYPES; use ATYPES; 
with CONSTS; use CONSTS; 
with EPHEMS; use EPHEMS; 
with E2APA; use E2APA; 
with IMAX; use IMAX; 
with IMIN; use IMIN; 
package body COPL is
 
procedure COPL (N  : in INTEGER; --
                KV : in IV3000 ; --
                ACOPLO : out REAL8;
                RCOPL  : out REAL8) is
 S,S1I,S2I,SD:V3;
 E1,E2       :FM33;
 JU          :IV2;
 S1,S2: array (1..50,1.. 3) of REAL8;
 V1,V2: array (1.. 3,1..50) of REAL8;
 TT,TV,T1,T2: array (1..50) of REAL8;
 JU1,JU2: array (1..50) of INTEGER;
 I,J,JCOUNT,JJ,JMIN,JOLD,J1,J2,K,NH,NH1,NH1M1,NH2,NH2M1: INTEGER;
 ACOPL,CCOPL,COPMAX,COPMIN,F1,F2,HUGE,SEI,T,TJ,TMAX,TMIN,T1MAX,T1MIN,T2MAX,T2MIN,VE11 : REAL8;
 VE12,VE13,VE21,VE22,VE23,VMAG,VMAGS,VV11,VV12,VV13,VV21,VV22,VV23,V11,V12,V13,V21,V22: REAL8;
 V23,W1,W2,W3,XNH                                                                     : REAL8;
 
begin
 
  HUGE:=999999.9;
  -- ------------------------
  -- Coplanarity from linear interpolation
  JOLD:=0;
  JCOUNT:=0;
 
  for I in 1..N loop
    K:=KV(I);
    if (JSAT(K)/=JOLD) then
      JOLD:=JSAT(K);
      JCOUNT:=JCOUNT+1;
      JU(JCOUNT):=JOLD;      -- JU:=DUPELIM J
    end if;
  end loop; --for I
 
  T1MIN:=HUGE;
  T1MAX:=-HUGE;
  NH1:=0;
 
  for I in 1..N loop
    K:=KV(I);
    if (JSAT(K)=JU(1)) then
      NH1:=NH1+1;
      SEI:=SYE(K);
      V1(1,NH1):=SYA(K)*SEI;
      V1(2,NH1):=CYA(K)*SEI;
      V1(3,NH1):=-CYE(K);
      T:=YGMT(K);
      T1(NH1):=T;
      AMIN.AMIN(T,T1MIN,T1MIN);
      AMAX.AMAX(T,T1MAX,T1MAX);
    end if;
  end loop; --for I
 
  T2MIN:=HUGE;
  T2MAX:=-HUGE;
  NH2:=0;
 
  for I in 1..N loop
    K:=KV(I);
    if (JSAT(K)=JU(2)) then
      NH2:=NH2+1;
      SEI:=SYE(K);
      V2(1,NH2):=SYA(K)*SEI;
      V2(2,NH2):=CYA(K)*SEI;
      V2(3,NH2):=-CYE(K);
      T:=YGMT(K);
      T2(NH2):=T;
      AMIN.AMIN(T,T2MIN,T2MIN);
      AMAX.AMAX(T,T2MAX,T2MAX);
    end if;
  end loop; --for I
 
  -- ------------------------------------
  AMAX.AMAX(T1MIN,T2MIN,TMIN);
  AMIN.AMIN(T1MAX,T2MAX,TMAX);
 
  NH:=0;
 
  for I in 1..N loop
    K:=KV(I);
    T:=YGMT(K);
    if ( NOT ((T<TMIN) OR T>TMAX)) then
      NH:=NH+1;
      TT(NH):=T;
    end if;
  end loop; --for I
  -- ---------------
 
  for I in 1..NH loop
    JU1(I):=JU(1);
    JU2(I):=JU(2);
    TMIN:=HUGE;
    JMIN:=0;
 
    for J in 1..NH loop
      T:=TT(J);
      if (T<=TMIN) then
        JMIN:=J;
        TMIN:=T;
      end if;
    end loop; --for J
    TV(I):=TMIN;
    TT(JMIN):=HUGE;
    EPHEMS.EPHEMS(JU1(I),TV(I),S);
    S1(I,1):=S(1);
    S1(I,2):=S(2);
    S1(I,3):=S(3);
    EPHEMS.EPHEMS(JU2(I),TV(I),S);
    S2(I,1):=S(1);
    S2(I,2):=S(2);
    S2(I,3):=S(3);
  end loop; --for I
  -- ----------------
 
  ACOPL:=0.0;
  COPMIN:=HUGE;
  COPMAX:=-HUGE;
 
  for I in 1..NH loop
 
    for K in 1..3 loop
      S1I(K):=S1(I,K);
      S2I(K):=S2(I,K);
      SD(K):=S2I(K)-S1I(K);
    end loop; --for K
    E2APA.E2APA(S1I,E1);
    E2APA.E2APA(S2I,E2);
    T:=TV(I);
 
    J1:=1;
 
    for J in 1..NH1 loop
      if (T1(J)<=T) then
        J1:=J;
      end if;
    end loop; --for J
 
    NH1M1:=NH1-1;
    IMIN.IMIN(J1,NH1M1,J1);
    IMAX.IMAX(J1,1,J1);
 
    J2:=1;
 
    for J in 1..NH2 loop
      if (T2(J)<=T) then
        J2:=J;
      end if;
    end loop; --for J
 
    NH2M1:=NH2-1;
    IMIN.IMIN(J2,NH2M1,J2);
    IMAX.IMAX(J2,1,J2);
 
    JJ:=J1+1;
    TJ:=T1(J1);
    F1:=(T-TJ)/(T1(JJ)-TJ);
    V11:=V1(1,J1);
    VV11:=V11+F1*(V1(1,JJ)-V11);
    V12:=V1(2,J1);
    VV12:=V12+F1*(V1(2,JJ)-V12);
    V13:=V1(3,J1);
    VV13:=V13+F1*(V1(3,JJ)-V13);
 
    JJ:=J2+1;
    TJ:=T2(J2);
    F2:=(T-TJ)/(T2(JJ)-TJ);
    V21:=V2(1,J2);
    VV21:=V21+F2*(V2(1,JJ)-V21);
    V22:=V2(2,J2);
    VV22:=V22+F2*(V2(2,JJ)-V22);
    V23:=V2(3,J2);
    VV23:=V23+F2*(V2(3,JJ)-V23);
    VE11:=E1(1,1)*VV11+E1(2,1)*VV12+E1(3,1)*VV13;
    VE12:=E1(1,2)*VV11+E1(2,2)*VV12+E1(3,2)*VV13;
    VE13:=E1(1,3)*VV11+E1(2,3)*VV12+E1(3,3)*VV13;
    W1:=SD(2)*VE13-SD(3)*VE12;
    W2:=SD(3)*VE11-SD(1)*VE13;
    W3:=SD(1)*VE12-SD(2)*VE11;
    VMAGS:=W1**2+W2**2+W3**2;
    VMAG:=SQRT(VMAGS);
    VE21:=E2(1,1)*VV21+E2(2,1)*VV22+E2(3,1)*VV23;
    VE22:=E2(1,2)*VV21+E2(2,2)*VV22+E2(3,2)*VV23;
    VE23:=E2(1,3)*VV21+E2(2,3)*VV22+E2(3,3)*VV23;
    CCOPL:=(W1*VE21+W2*VE22+W3*VE23)/VMAG;
    ACOPL:=ACOPL+CCOPL;
    AMIN.AMIN(COPMIN,CCOPL,COPMIN);
    AMAX.AMAX(COPMAX,CCOPL,COPMAX);
  end loop; --for I
 
  XNH:=REAL8(NH);
  ACOPLO:=ACOPL/XNH;
  RCOPL:=COPMAX-COPMIN;
 
  end COPL;
  end COPL;
--::::::::::
--gatsub.ads
--::::::::::
with ATYPES; use ATYPES; 
package GATSUB is
 
procedure GATSUB (AK1   : in REAL8  ; --  K value for 1st half of track
                  AK2   : in REAL8  ; --  K value for 2nd half of track
                  DT    : in V20    ; --  Delta time for each return
                  DT2   : in V20    ; --
                  TT    : in V20    ; --
                  DP    : in FM320  ; --
                  EX    : in FM320  ; --
                  EY    : in FM320  ; --
                  JSATV : in IV20   ; --  Sat numbers for each return
                  N     : in INTEGER; --  Number of returns
                  VECF  : in V3     ; --  Velocity vector
                  AECF  : in V3     ; --  Acceleration vector
                  S1 : out V2 ;
                  S2 : out V2 ;
                  VX : out V20;
                  VY : out V20);
end GATSUB;
-------------------------------------------------------------------------------
--::::::::::
--gatsub.adb
--::::::::::
with RET1; use RET1; 
   with SQRT_PKG;             use SQRT_PKG;
   with TRIG_PKG;             use TRIG_PKG;
with ATYPES; use ATYPES; 
with DOT; use DOT; 
package body GATSUB is
 
procedure GATSUB (AK1   : in REAL8  ; --  K value for 1st half of track
                  AK2   : in REAL8  ; --  K value for 2nd half of track
                  DT    : in V20    ; --  Delta time for each return
                  DT2   : in V20    ; --
                  TT    : in V20    ; --
                  DP    : in FM320  ; --
                  EX    : in FM320  ; --
                  EY    : in FM320  ; --
                  JSATV : in IV20   ; --  Sat numbers for each return
                  N     : in INTEGER; --  Number of returns
                  VECF  : in V3     ; --  Velocity vector
                  AECF  : in V3     ; --  Acceleration vector
                  S1 : out V2 ;
                  S2 : out V2 ;
                  VX : out V20;
                  VY : out V20) is
 D        :V3;
 SUM1,SUM2:V2;
 I,ISAT,JJ: INTEGER;
 DK,F1,F2,RLOS,RLOSS,VXI,VYI: REAL8;
 
begin
 
  DK:=AK2-AK1;
 
  for ISAT in 1..NSAT loop
    SUM1(ISAT):=0.0;
    SUM2(ISAT):=0.0;
  end loop; --for ISAT
 
  for I in 1..N loop
    F1:=DT(I)+DK*TT(I);
    F2:=DT2(I);
    D(1):=DP(1,I)+F1*VECF(1)+F2*AECF(1);
    D(2):=DP(2,I)+F1*VECF(2)+F2*AECF(2);
    D(3):=DP(3,I)+F1*VECF(3)+F2*AECF(3);
    DOT.DOT(D,D,RLOSS);
    RLOS:=SQRT(RLOSS);
    VXI:=(D(1)*EX(1,I)+D(2)*EX(2,I)+D(3)*EX(3,I))/RLOS;
    VYI:=(D(1)*EY(1,I)+D(2)*EY(2,I)+D(3)*EY(3,I))/RLOS;
    VX(I):=VXI;
    VY(I):=VYI;
    JJ:=JSATV(I);
    SUM1(JJ):=SUM1(JJ)+VXI;
    SUM2(JJ):=SUM2(JJ)+VYI;
  end loop; --for I
 
  for ISAT in 1..NSAT loop
    S1(ISAT):=SUM1(ISAT);  -- This is to prevent S1, S2 from having to be
    S2(ISAT):=SUM2(ISAT);  -- declared:  in out
  end loop; --for ISAT
 
  end GATSUB;
  end GATSUB;
--::::::::::
--isort.ads
--::::::::::
with ATYPES; use ATYPES; 
package ISORT is
 
procedure ISORT (KI : in IV3000 ; --
                 N  : in INTEGER; --
                 KO : out IV3000);
end ISORT;
-------------------------------------------------------------------------------
--::::::::::
--isort.adb
--::::::::::
with RET1; use RET1; 
--   with SQRT_PKG;             use SQRT_PKG;
--   with TRIG_PKG;             use TRIG_PKG;
with ATYPES; use ATYPES; 
package body ISORT is
 
procedure ISORT (KI : in IV3000 ; --
                 N  : in INTEGER; --
                 KO : out IV3000) is
 KV:IV3000;
 I,ITMP,J: INTEGER;
 
begin
 
  for I in 1..N loop
    KV(I):=KI(I);
  end loop; --for I
 
  if (N>1) then
    -- Sort return pointer in time order
    for I in 1..N-1 loop
 
      for J in I+1..N loop
        if (KV(I)>KV(J)) then
          ITMP:=KV(I);
          KV(I):=KV(J);
          KV(J):=ITMP;
        end if;
      end loop; --for J
    end loop; --for I
  end if;
 
  for I in 1..N loop
    KO(I):=KV(I);
  end loop; --for I
 
  end ISORT;
  end ISORT;
--::::::::::
--mmult3.ads
--::::::::::
with ATYPES; use ATYPES; 
package MMULT3 is
 
procedure MMULT3 (A : in FM33; --
                  B : in FM33; --
                  C : out FM33);
end MMULT3;
-------------------------------------------------------------------------------
--::::::::::
--mmult3.adb
--::::::::::
with RET1; use RET1; 
--   with SQRT_PKG;             use SQRT_PKG;
--   with TRIG_PKG;             use TRIG_PKG;
with ATYPES; use ATYPES; 
package body MMULT3 is
 
procedure MMULT3 (A : in FM33; --
                  B : in FM33; --
                  C : out FM33) is
 
 I,J: INTEGER;
 
 
    PRAGMA SUPPRESS (ACCESS_CHECK);
    PRAGMA SUPPRESS (DISCRIMINANT_CHECK);
    PRAGMA SUPPRESS (INDEX_CHECK);
    PRAGMA SUPPRESS (LENGTH_CHECK);
    PRAGMA SUPPRESS (RANGE_CHECK);
    PRAGMA SUPPRESS (DIVISION_CHECK);
    PRAGMA SUPPRESS (OVERFLOW_CHECK);
    PRAGMA SUPPRESS (ELABORATION_CHECK);
    PRAGMA SUPPRESS (STORAGE_CHECK);
 
begin
 
  for I in 1..3 loop
 
    for J in 1..3 loop
      C(I,J):=A(I,1)*B(1,J)+A(I,2)*B(2,J)+A(I,3)*B(3,J);
    end loop; --for J
  end loop; --for I
 
  end MMULT3;
  end MMULT3;
--::::::::::
--ntracker.ads
--::::::::::
with ATYPES; use ATYPES; 
package NTRACKER is
 
procedure NTRACKER (STTLOS : in FM226; --
                    STT : out FM226);
end NTRACKER;
-------------------------------------------------------------------------------
--::::::::::
--ntracker.adb
--::::::::::
with RET1; use RET1; 
   with SQRT_PKG;             use SQRT_PKG;
   with TRIG_PKG;             use TRIG_PKG;
with ATYPES; use ATYPES; 
with CONSTS1; use CONSTS1; 
package body NTRACKER is
 
procedure NTRACKER (STTLOS : in FM226; --
                    STT : out FM226) is
 
 I,J,N: INTEGER;
 AA1,AA2,AD1,AD2,BB1,BB2,B21,B22,CC1,CC2,C21,C22,DD1,DD2,DISC,DK1,DK2,ED1,ED2,EE1,EE2 : REAL8;
 FF1,FF2,F1,F2,P1,P2,P31,P32,Q0,Q1,Q2,RC1,RC2,RH1,RH2,RK1,RK11,RK12,RK2,RK21,RK22,RK31: REAL8;
 RK32,RK41,RK42,ROOT,SUM,TMP,TMP1,TMP2,TMP3,TMP4,TSC1,TSC2,TT1,TT2,TT3,TT4,TT5        : REAL8;
 
 
    PRAGMA SUPPRESS (ACCESS_CHECK);
    PRAGMA SUPPRESS (DISCRIMINANT_CHECK);
    PRAGMA SUPPRESS (INDEX_CHECK);
    PRAGMA SUPPRESS (LENGTH_CHECK);
    PRAGMA SUPPRESS (RANGE_CHECK);
    PRAGMA SUPPRESS (DIVISION_CHECK);
    PRAGMA SUPPRESS (OVERFLOW_CHECK);
    PRAGMA SUPPRESS (ELABORATION_CHECK);
    PRAGMA SUPPRESS (STORAGE_CHECK);
 
begin
 
  -- Combine single-satellite tracker results (common K)
  -- Only one track at a time:    STTLOS is 2 26
 
  for I in 1..2 loop
 
    for J in 1..26 loop
      STT(I,J):=STTLOS(I,J);
    end loop; --for J
  end loop; --for I
  F1:=STTLOS(1,9);
  F2:=STTLOS(2,9);
  AA1:=STTLOS(1,18);
  AA2:=STTLOS(2,18);
  BB1:=STTLOS(1,19);
  BB2:=STTLOS(2,19);
  CC1:=STTLOS(1,20);
  CC2:=STTLOS(2,20);
  DD1:=STTLOS(1,21);
  DD2:=STTLOS(2,21);
  EE1:=STTLOS(1,22);
  EE2:=STTLOS(2,22);
  FF1:=STTLOS(1,23);
  FF2:=STTLOS(2,23);
  RC1:=STTLOS(1,24);
  RC2:=STTLOS(2,24);
  RH1:=STTLOS(1,25);
  RH2:=STTLOS(2,25);
 
  RK11:=STTLOS(1,5);
  RK41:=STTLOS(2,5);
  if (STTLOS(1,5)>=STTLOS(2,5)) then
    RK11:=STTLOS(2,5);
    RK41:=STTLOS(1,5);
  end if;
  RK12:=RK11;
  RK42:=RK41;
  DK1:=(RK41-RK11)/3.0;
  DK2:=(RK42-RK12)/3.0;
  RK21:=RK11+DK1;
  RK22:=RK12+DK2;
  RK31:=DK1+RK21;
  RK32:=DK2+RK22;
 
  B21:=2.0*BB1;
  B22:=2.0*BB2;
  C21:=2.0*CC1;
  C22:=2.0*CC2;
  SUM:=F1+F2;
  TMP1:=RC1*RH1/(FF1+RK11*(B21+AA1*RK11));
  TMP2:=EE1+RK11*(C21+DD1*RK11);
  TMP3:=RC2*RH2/(FF2+RK12*(B22+AA2*RK12));
  TMP4:=EE2+RK12*(C22+DD2*RK12);
  TT2:=SUM-(TMP1*TMP2+TMP3*TMP4);
  TMP1:=RC1*RH1/(FF1+RK21*(B21+AA1*RK21));
  TMP2:=EE1+RK21*(C21+DD1*RK21);
  TMP3:=RC2*RH2/(FF2+RK22*(B22+AA2*RK22));
  TMP4:=EE2+RK22*(C22+DD2*RK22);
  TT3:=SUM-(TMP1*TMP2+TMP3*TMP4);
  TMP1:=RC1*RH1/(FF1+RK31*(B21+AA1*RK31));
  TMP2:=EE1+RK31*(C21+DD1*RK31);
  TMP3:=RC2*RH2/(FF2+RK32*(B22+AA2*RK32));
  TMP4:=EE2+RK32*(C22+DD2*RK32);
  TT4:=SUM-(TMP1*TMP2+TMP3*TMP4);
  TMP1:=RC1*RH1/(FF1+RK41*(B21+AA1*RK41));
  TMP2:=EE1+RK41*(C21+DD1*RK41);
  TMP3:=RC2*RH2/(FF2+RK42*(B22+AA2*RK42));
  TMP4:=EE2+RK42*(C22+DD2*RK42);
  TT5:=SUM-(TMP1*TMP2+TMP3*TMP4);
 
  Q0:=QC0(1)*TT2+QC0(2)*TT3+QC0(3)*TT4+QC0(4)*TT5;
  Q0:=Q0/6.0;
  Q1:=QC1(1)*TT2+QC1(2)*TT3+QC1(3)*TT4+QC1(4)*TT5;
  Q2:=QC2(1)*TT2+QC2(2)*TT3+QC2(3)*TT4+QC2(4)*TT5;
 
  ROOT:=0.0;
  if ( NOT ((Q2=0.0) AND (Q1=0.0))) then
    if (Q2/=0.0) then
      DISC:=Q1**2-4.0*Q0*Q2;
      if DISC<=0.0 then DISC:=0.0; end if;
      ROOT:=((-Q1)+SQRT(DISC))/(2.0*Q2);
    end if;
    if (Q2=0.0) then
      ROOT:=-Q0/Q1;
    end if;
  end if;
  if ROOT<=0.0 then ROOT:=0.0; end if;
  if ROOT>=3.0 then ROOT:=3.0; end if;
 
  RK1:=RK11+DK1*ROOT;
  RK2:=RK12+DK2*ROOT;
  P1:=RH1/(FF1+RK1*(B21+AA1*RK1));
  P2:=RH2/(FF2+RK2*(B22+AA2*RK2));
  TSC1:=F1-RC1*P1*(EE1+RK1*(C21+DD1*RK1));
  TSC2:=F2-RC2*P2*(EE2+RK2*(C22+DD2*RK2));
 
  TT1:=TSC1+TSC2;
  -- K corresponds to the minimum TT (independently for each column)
  TMP:=TT1;
  if (TMP>=TT2) then
    TMP:=TT2;
    RK1:=RK11;
  end if;
  if (TMP>=TT3) then
    TMP:=TT3;
    RK1:=RK21;
  end if;
  if (TMP>=TT4) then
    TMP:=TT2;
    RK1:=RK31;
  end if;
  if (TMP>=TT5) then
    TMP:=TT3;
    RK1:=RK41;
  end if;
  STT(1,5):=RK1;
  STT(2,5):=RK1;
  RK2:=RK1;
 
  P1:=RH1/(FF1+RK1*(B21+AA1*RK1));
  P2:=RH2/(FF2+RK2*(B22+AA2*RK2));
  P31:=(STTLOS(1,13)+RK1*STTLOS(1,12))/RH1;
  P32:=(STTLOS(2,13)+RK2*STTLOS(2,12))/RH2;
  STT(1,6):=F1-RC1*P1*(EE1+RK1*(C21+DD1*RK1));
  STT(2,6):=F2-RC2*P2*(EE2+RK2*(C22+DD2*RK2));
  AD1:=P1*(STTLOS(1,16)+RK1*STTLOS(1,14));
  STT(1,3):=P1*(STTLOS(1,16)+RK1*STTLOS(1,14));
  AD2:=P2*(STTLOS(2,16)+RK2*STTLOS(2,14));
  STT(2,3):=P2*(STTLOS(2,16)+RK2*STTLOS(2,14));
  ED1:=P1*(STTLOS(1,17)+RK1*STTLOS(1,15));
  STT(1,4):=P1*(STTLOS(1,17)+RK1*STTLOS(1,15));
  ED2:=P2*(STTLOS(2,17)+RK2*STTLOS(2,15));
  STT(2,4):=P2*(STTLOS(2,17)+RK2*STTLOS(2,15));
  STT(1,1):=STTLOS(1,7)-AD1*P31;
  STT(2,1):=STTLOS(2,7)-AD2*P32;
  STT(1,2):=STTLOS(1,8)-ED1*P31;
  STT(2,2):=STTLOS(2,8)-ED2*P32;
 
  end NTRACKER;
  end NTRACKER;
--::::::::::
--drill.ads
--::::::::::
with ATYPES; use ATYPES; 
package DRILL is
 
procedure DRILL (S    : in V3   ; --  Satellite position vector in ECF (nm)
                 H    : in REAL8; --  Shell intersection height (nm) (sometimes 4)
                 VLOS : in V3   ; --  LOS vector in ARF'
                 PECF : out V3);
end DRILL;
-------------------------------------------------------------------------------
--::::::::::
--drill.adb
--::::::::::
with RET1; use RET1; 
   with SQRT_PKG;             use SQRT_PKG;
   with TRIG_PKG;             use TRIG_PKG;
with ATYPES; use ATYPES; 
with CONSTS; use CONSTS; 
with E2APA; use E2APA; 
package body DRILL is
 
procedure DRILL (S    : in V3   ; --  Satellite position vector in ECF (nm)
                 H    : in REAL8; --  Shell intersection height (nm) (sometimes 4)
                 VLOS : in V3   ; --  LOS vector in ARF'
                 PECF : out V3) is
 E2AP:FM33;
 B,D,DISC,F,R,REPH,RL,RSS,U1,U2,U3: REAL8;
 
 
    PRAGMA SUPPRESS (ACCESS_CHECK);
    PRAGMA SUPPRESS (DISCRIMINANT_CHECK);
    PRAGMA SUPPRESS (INDEX_CHECK);
    PRAGMA SUPPRESS (LENGTH_CHECK);
    PRAGMA SUPPRESS (RANGE_CHECK);
    PRAGMA SUPPRESS (DIVISION_CHECK);
    PRAGMA SUPPRESS (OVERFLOW_CHECK);
    PRAGMA SUPPRESS (ELABORATION_CHECK);
    PRAGMA SUPPRESS (STORAGE_CHECK);
 
begin
 
  -- YK                  global vector representing ellipsoidal earth
 
  -- PECF  is a position vector (in ECF) where the LOS
  --       vector intersects a constant-altitude shell above the
  --       elliptical earth.  The intersection altitude is H nm
  --       or greater if needed.
 
  REPH:=H+YK(6);                   -- Equatorial earth radius plus H
  F:=REPH/(H+YK(7));               -- Divide by polar radius plus H
  E2APA.E2APA(S,E2AP);                  -- ECF ARF' rotation matrix
  U1:=E2AP(1,1)*VLOS(1)+E2AP(2,1)*VLOS(2)+E2AP(3,1)*VLOS(3);
  U2:=E2AP(1,2)*VLOS(1)+E2AP(2,2)*VLOS(2)+E2AP(3,2)*VLOS(3);
  U3:=F*(E2AP(1,3)*VLOS(1)+E2AP(2,3)*VLOS(2)+E2AP(3,3)*VLOS(3));
  R:=U1**2+U2**2+U3**2;
  B:=-(S(1)*U1+S(2)*U2+F*S(3)*U3)/R;
  RSS:=S(1)**2+S(2)**2+(F*S(3))**2;
  DISC:=B**2+(REPH**2-RSS)/R;
  if DISC<0.0 then DISC:=0.0; end if;
  RL:=B-SQRT(DISC);                   -- LOS radii in stretched space
  PECF(1):=S(1)+RL*U1;
  PECF(2):=S(2)+RL*U2;
  PECF(3):=S(3)+RL*U3/F;
 
  end DRILL;
  end DRILL;
--::::::::::
--estbias.ads
--::::::::::
with ATYPES; use ATYPES; 
package ESTBIAS is
 
procedure ESTBIAS (NDET   : in INTEGER; --
		   SWATH  : in REAL8  ; --
		   REPORT : in FM10022; --
		   RRC : out REAL8);
end ESTBIAS;
-------------------------------------------------------------------------------
--::::::::::
--estbias.adb
--::::::::::
with RET1; use RET1; 
--   with SQRT_PKG;	      use SQRT_PKG;
--   with TRIG_PKG;	      use TRIG_PKG;
with ATYPES; use ATYPES; 
package body ESTBIAS is
 
procedure ESTBIAS (NDET   : in INTEGER; --
		   SWATH  : in REAL8  ; --
		   REPORT : in FM10022; --
		   RRC : out REAL8) is
 LS:IV100;
 AC:V100;
 I,J,KMAX,LSMAX: INTEGER;
 ACI,AMAX,CNT,D,SUM: REAL8;
 
begin
 
  -- Estimate the coplanarity bias  (assumes NDET>1)
 
  RRC:=0.0;
  if (NDET>=2) then
 
    for I in 1..NDET loop
      AC(I):=REPORT(I,22);
    end loop; --for I
 
    for I in 1..NDET loop
      LS(I):=0;
      if (I/=1) then
	ACI:=AC(I);
 
	for J in 1..I-1 loop
	  D:=ABS(ACI-AC(J));
	  if (SWATH>=D) then
	    LS(I):=LS(I)+1;
	  end if;
	end loop; --for J
      end if;
    end loop; --for I
 
    LSMAX:=0;
--  KMAX:=0;
    KMAX:=1;	      --Changed from 0 to 1 by R. Johnson 6/23/89
 
    for I in 1..NDET loop
      if (LSMAX<LS(I)) then
	LSMAX:=LS(I);
	KMAX:=I;
      end if;
    end loop; --for I
 
    AMAX:=AC(KMAX);
 
    SUM:=0.0;
    CNT:=0.0;
 
    for I in 1..NDET loop
      D:=ABS(AC(I)-AMAX);
      if (SWATH>=D) then
	SUM:=SUM+AC(I);
	CNT:=CNT+1.0;
      end if;
    end loop; --for I
 
    RRC:=SUM/CNT;
  end if;
 
  end ESTBIAS;
  end ESTBIAS;
--::::::::::
--feasib.ads
--::::::::::
with ATYPES; use ATYPES; 
package FEASIB is
 
procedure FEASIB (ISAT    : in INTEGER; --  Satellite number for which we want return pairs
                  ISC1    : in INTEGER; --  A pair of scan numbers
                  ISC2    : in INTEGER; --
                  XMAXMOT : in REAL8  ; --  Motion limits
                  DELZONE : in REAL8  ; --
                  IGOLD   : in IV4000 ; --  Golden point pointer for each return
                  IPT     : in IM2100 ; --  Pointers to 1st return for each sat and scan
                  MF   : out IM30005;
                  NTRO : out INTEGER);
end FEASIB;
-------------------------------------------------------------------------------
--::::::::::
--feasib.adb
--::::::::::
with RET1; use RET1; 
--   with SQRT_PKG;             use SQRT_PKG;
--   with TRIG_PKG;             use TRIG_PKG;
with ATYPES; use ATYPES; 
with CONSTS1; use CONSTS1; 
package body FEASIB is
 
procedure FEASIB (ISAT    : in INTEGER; --  Satellite number for which we want return pairs
                  ISC1    : in INTEGER; --  A pair of scan numbers
                  ISC2    : in INTEGER; --
                  XMAXMOT : in REAL8  ; --  Motion limits
                  DELZONE : in REAL8  ; --
                  IGOLD   : in IV4000 ; --  Golden point pointer for each return
                  IPT     : in IM2100 ; --  Pointers to 1st return for each sat and scan
                  MF   : out IM30005;
                  NTRO : out INTEGER) is
 
 IH1,IH2,IL1,IL2,I1,I2,NSC1,NTR: INTEGER;
 DE,DELMIN,DX,DY,XMAX,XMOT,XNSC1: REAL8;
 
begin
 
  -- This program forms feasible tracks from 2 scans for 1 satellite
 
  -- --------------------------------------------------------------
 
  NSC1:=ISC2-ISC1;
  XNSC1:=REAL8(NSC1);
  XMAX:=XNSC1**2*XMAXMOT;
  DELMIN:=XNSC1*DELZONE;
 
  IL1:=IPT(ISAT,ISC1);
  IH1:=IPT(ISAT,ISC1+1)-1;
  IL2:=IPT(ISAT,ISC2);
  IH2:=IPT(ISAT,ISC2+1)-1;
  NTR:=0;
  if (IH1>=IL1) then
    if (IH2>=IL2) then
 
      for I1 in IL1..IH1 loop                  -- Loop over returns in 1st scan
        if (IGOLD(I1)=0) then
          if (NTR<MXITRR) then
 
            for I2 in IL2..IH2 loop                  -- Loop over returns in 2nd scan
              if (IGOLD(I2)=0) then
                if (NTR<MXITRR) then
                  DX:=X(I2)-X(I1);
                  DY:=Y(I2)-Y(I1);
                  XMOT:=DX**2+DY**2;
                  if (XMOT<=XMAX) then
                    DE:=SYE(I2)-SYE(I1);
                    if (DE>=DELMIN) then
                      NTR:=NTR+1;
                      MF(NTR,1):=I1;
                      MF(NTR,2):=I2;
                    end if;
                  end if;
                end if;
              end if;
            end loop; --for I2
          end if;
        end if;
      end loop; --for I1
    end if;
  end if;
  NTRO:=NTR;
 
  end FEASIB;
  end FEASIB;
--::::::::::
--gatgrad.ads
--::::::::::
with ATYPES; use ATYPES; 
package GATGRAD is
 
procedure GATGRAD (NSTATE : in INTEGER; --
                   ZW     : in V10    ; --
                   N      : in INTEGER; --
                   JSATV  : in IV20   ; --
                   E2LH   : in FM33   ; --
                   XLH2E  : in FM33   ; --
                   DT     : in V20    ; --
                   DT2    : in V20    ; --
                   TT     : in V20    ; --
                   DP     : in FM320  ; --
                   EX     : in FM320  ; --
                   EY     : in FM320  ; --
                   RJ     : in V2     ; --
                   YAWV   : in V4     ; --
                   PITV   : in V4     ; --
                   VPX    : in V20    ; --
                   VPY    : in V20    ; --
                   HMAT : out FM488);
end GATGRAD;
-------------------------------------------------------------------------------
--::::::::::
--gatgrad.adb
--::::::::::
with RET1; use RET1; 
--   with SQRT_PKG;             use SQRT_PKG;
--   with TRIG_PKG;             use TRIG_PKG;
with ATYPES; use ATYPES; 
with CONSTS; use CONSTS; 
with CONSTS1; use CONSTS1; 
with DOT; use DOT; 
with GATSUB; use GATSUB; 
package body GATGRAD is
 
procedure GATGRAD (NSTATE : in INTEGER; --
                   ZW     : in V10    ; --
                   N      : in INTEGER; --
                   JSATV  : in IV20   ; --
                   E2LH   : in FM33   ; --
                   XLH2E  : in FM33   ; --
                   DT     : in V20    ; --
                   DT2    : in V20    ; --
                   TT     : in V20    ; --
                   DP     : in FM320  ; --
                   EX     : in FM320  ; --
                   EY     : in FM320  ; --
                   RJ     : in V2     ; --
                   YAWV   : in V4     ; --
                   PITV   : in V4     ; --
                   VPX    : in V20    ; --
                   VPY    : in V20    ; --
                   HMAT : out FM488) is
 S1,S2            :V2;
 VECF,AECF,TMP,ALH:V3;
 VX,VY            :V20;
 I,IST,J,JJ: INTEGER;
 AK1,AK2,CPP,CPP1,CPP2,CYY,CYY1,CYY2,DY1,DY2,PRI,SPP,SPP1,SPP2,SYY,SYY1,SYY2,TMPP: REAL8;
 
begin
 
  -- ------------------------------------------------
  SYY1:=YAWV(1);
  CYY1:=YAWV(2);
  SYY2:=YAWV(3);
  CYY2:=YAWV(4);
  SPP1:=PITV(1);
  CPP1:=PITV(2);
  SPP2:=PITV(3);
  CPP2:=PITV(4);
 
  for IST in 1..NSTATE loop
    PRI:=PR(IST);
    if IST=4 then AK1:=(ZW(4)+PRI); else AK1:=ZW(4); end if;
    if IST=5 then AK2:=(ZW(5)+PRI); else AK2:=ZW(5); end if;
 
    for J in 1..3 loop
      if IST=J then VECF(J):=(ZW(J)+PRI); else VECF(J):=ZW(J); end if;
      AECF(J):=VECF(J)*AK1;
    end loop; --for J
 
    if (NSTATE>5) then
      if IST=6 then SYY:=SYY2; else SYY:=SYY1; end if;
      if IST=6 then CYY:=CYY2; else CYY:=CYY1; end if;
      DOT.DOT(E2LH,AECF,TMP);
      ALH(1):=CYY*TMP(1)+SYY*TMP(2);
      ALH(2):=(-SYY*TMP(1))+CYY*TMP(2);
      ALH(3):=TMP(3);
 
      if (NSTATE>6) then
        if IST=7 then SPP:=SPP2; else SPP:=SPP1; end if;
        if IST=7 then CPP:=CPP2; else CPP:=CPP1; end if;
        TMPP:=CPP*ALH(2)+SPP*ALH(3);
        ALH(3):=(-SPP*ALH(2))+CPP*ALH(3);
        ALH(2):=TMPP;
      end if;
      DOT.DOT(XLH2E,ALH,AECF);
    end if;
    GATSUB.GATSUB(AK1,AK2,DT,DT2,TT,DP,EX,EY,JSATV,N,VECF,AECF,S1,S2,VX,VY);
 
    -- ------------- Average reference
 
    for I in 1..N loop
      JJ:=JSATV(I);
      DY1:=VX(I)-RJ(JJ)*S1(JJ);
      DY2:=VY(I)-RJ(JJ)*S2(JJ);
      HMAT(I,IST):=(DY1-VPX(I))/PRI;
      HMAT(I+N,IST):=(DY2-VPY(I))/PRI;
    end loop; --for I
  end loop; --for IST
 
  end GATGRAD;
  end GATGRAD;
--::::::::::
--gat.ads
--::::::::::
with ATYPES; use ATYPES; 
package GAT is
 
procedure GAT (NSTATE : in INTEGER; --
	       TREF   : in REAL8  ; --
	       STATES : in V15	  ; --
	       N      : in INTEGER; --
	       KV     : in IV3000 ; --
	       ZO : out V10);
end GAT;
-------------------------------------------------------------------------------
--::::::::::
--gat.adb
--::::::::::
with RET1; use RET1; 
   with SQRT_PKG;	      use SQRT_PKG;
   with TRIG_PKG;	      use TRIG_PKG;
with AMAX; use AMAX; 
with AMIN; use AMIN; 
with ATYPES; use ATYPES; 
with CONSTS; use CONSTS; 
with CONSTS1; use CONSTS1; 
with DOT; use DOT; 
with EPHEMS; use EPHEMS; 
with E2APA; use E2APA; 
with GATGRAD; use GATGRAD; 
with GATSUB; use GATSUB; 
with SRIFA; use SRIFA; 
with TRANPOS; use TRANPOS; 
package body GAT is
 
procedure GAT (NSTATE : in INTEGER; --
	       TREF   : in REAL8  ; --
	       STATES : in V15	  ; --
	       N      : in INTEGER; --
	       KV     : in IV3000 ; --
	       ZO : out V10) is
 YAWV,PITV		  :V4;
 ZW			  :V10;
 S1,S2,RJ		  :V2;
 PECF,VECF,AECF,SV,TMP,ALH:V3;
 DZ			  :V7;
 JSATV			  :IV20;
 VPX,VPY,VX,VY,TT,DT,DT2  :V20;
 E2AP,E2LH,XLH2E	  :FM33;
 EX,EY,S,DP		  :FM320;
 HMAT			  :FM488;
 I,ITER,J,JJ,K,KK,M,MH,NITER,NP1: INTEGER;
 ACC1,ACC2,AK1,AK2,CPP1,CPP2,CYY1,CYY2,CZAI,DY1,DY2,E1,E2,F,GMTMIN,GMTTOP,PHI,PHIM,PIT1: REAL8;
 PIT2,REPH,REPHS,SPP1,SPP2,SYY1,SYY2,SZAI,T,TMPP,TREF2,YAW1,YAW2,ZW4,ZW5	       : REAL8;
 
begin
 
  -- -------------------------------------------------------------------
 
  ACC1:=0.0;		 -- Override constants
  ACC2:=0.15;
  CPP2:=0.0;
  SPP2:=0.0;
  CPP1:=0.0;
  SPP1:=0.0;
  CYY2:=0.0;
  SYY2:=0.0;
  CYY1:=0.0;
  SYY1:=0.0;
  M:=2*N;
  MH:=NSTATE+M;
  NP1:=NSTATE+1;
 
  for J in 1..NSAT loop
    RJ(J):=0.0;
  end loop; --for J
 
  GMTTOP:=0.0;
  GMTMIN:=99999.0;
 
  for I in 1..N loop
    K:=KV(I);
    JJ:=JSAT(K);
    JSATV(I):=JJ;
    RJ(JJ):=RJ(JJ)+1.0;
    T:=YGMT(K);
    DT(I):=T-TREF;
    DT2(I):=(T-TREF)**2;
    AMAX.AMAX(GMTTOP,T,GMTTOP);
    AMIN.AMIN(GMTMIN,T,GMTMIN);
  end loop; --for I
 
  for J in 1..NSAT loop
    RJ(J):=1.0/RJ(J);
  end loop; --for J
 
  TREF2:=0.5*(GMTMIN+GMTTOP);
 
  for I in 1..N loop
    K:=KV(I);
    JJ:=JSAT(K);
    SZAI:=SYA(K);
    CZAI:=CYA(K);
 
    EPHEMS.EPHEMS(JJ,YGMT(K),SV);
    E2APA.E2APA(SV,E2AP);
 
    for KK in 1..3 loop
      S(KK,I):=SV(KK);
      E1:=E2AP(1,KK);
      E2:=E2AP(2,KK);
      EX(KK,I):=(CZAI*E1-SZAI*E2)/SA(K);
      EY(KK,I):=(SYE(K)*E2AP(3,KK)+CYE(K)*(E1*SZAI+E2*CZAI))/SE(K);
    end loop; --for KK
 
    TT(I):=0.0;
    if (NSTATE>4) then
      T:=YGMT(K)-TREF2;
      if T>0.0 then TT(I):=(T**2); else TT(I):=0.0; end if;
    end if;
  end loop; --for I
  -- -----------------
  PECF(1):=STATES(1);
  PECF(2):=STATES(2);
  PECF(3):=STATES(3);
 
  for I in 1..7 loop
    ZW(I):=STATES(I+3);
  end loop; --for I
 
  E2APA.E2APA(PECF,E2LH);
  TRANSPOS(E2LH,XLH2E);
 
  DOT.DOT(PECF,PECF,REPHS);
  REPH:=SQRT(REPHS);
  F:=0.5*GSTDNM/REPH;
 
  for I in 1..N loop
 
    for J in 1..3 loop
      DP(J,I):=PECF(J)-S(J,I)-DT2(I)*F*PECF(J);
    end loop; --for J
  end loop; --for I
 
  PHIM:=100000.0;
  NITER:=5;
  -- Iteration loop ---------------------
  for ITER in 1..NITER loop
    AK1:=ZW(4);
    AK2:=ZW(5);
 
    for J in 1..3 loop
      VECF(J):=ZW(J);
      AECF(J):=VECF(J)*AK1;
    end loop; --for J
    if (NSTATE>=6) then
 
      YAW1:=ZW(6);
      SYY1:=SIN(YAW1);
      CYY1:=COS(YAW1);
      YAW2:=YAW1+PR(6);
      SYY2:=SIN(YAW2);
      CYY2:=COS(YAW2);
      DOT.DOT(E2LH,AECF,TMP);
      ALH(1):=CYY1*TMP(1)+SYY1*TMP(2);
      ALH(2):=(-SYY1*TMP(1))+CYY1*TMP(2);
      ALH(3):=TMP(3);
 
      if (NSTATE>6) then
	PIT1:=ZW(7);
	SPP1:=SIN(PIT1);
	CPP1:=COS(PIT1);
	PIT2:=PIT1+PR(7);
	SPP2:=SIN(PIT2);
	CPP2:=COS(PIT2);
	TMPP:=CPP1*ALH(2)+SPP1*ALH(3);
	ALH(3):=(-SPP1*ALH(2))+CPP1*ALH(3);
	ALH(2):=TMPP;
      end if;
      DOT.DOT(XLH2E,ALH,AECF);
    end if;
    GATSUB.GATSUB(AK1,AK2,DT,DT2,TT,DP,EX,EY,JSATV,N,VECF,AECF,S1,S2,VX,VY);
 
    -- ----------   -- Average reference
    PHI:=0.0;
 
    for I in 1..N loop
      JJ:=JSATV(I);
      DY1:=VX(I)-RJ(JJ)*S1(JJ);
      DY2:=VY(I)-RJ(JJ)*S2(JJ);
      VPX(I):=DY1;
      VPY(I):=DY2;
      PHI:=PHI+DY1**2+DY2**2;
    end loop; --for I
    -- ------------------------
    -- VLH:=DOT.DOT(E2LH VECF)
 
    AMIN.AMIN(PHIM,PHI,PHIM);
    if (ITER/=NITER) then
      -- -----------------------------
 
      YAWV(1):=SYY1;
      YAWV(2):=CYY1;
      YAWV(3):=SYY2;
      YAWV(4):=CYY2;
      PITV(1):=SPP1;
      PITV(2):=CPP1;
      PITV(3):=SPP2;
      PITV(4):=CPP2;
 
      GATGRAD.GATGRAD(NSTATE,ZW,N,JSATV,E2LH,XLH2E,DT,DT2,TT,DP,EX,EY,RJ,YAWV,PITV,VPX,VPY,HMAT);
 
      for I in 1..NSTATE loop
 
	for J in 1..NSTATE loop
	  K:=M+I;
	  HMAT(K,J):=0.0;
	end loop; --for J
	HMAT(K,I):=QOI(I);
	HMAT(K,NP1):=0.0;
      end loop; --for I
 
      for I in 1..N loop
	HMAT(I,NP1):=-VPX(I);
	HMAT(N+I,NP1):=-VPY(I);
      end loop; --for I
 
      SRIFA.SRIFA(MH,NP1,HMAT,DZ);
 
      for I in 1..7 loop
	ZW(I):=ZW(I)+DZ(I);
      end loop; --for I
 
      AMAX.AMAX(ACC1,ZW(4),ZW4);
      AMIN.AMIN(ACC2,ZW4,ZW(4));
      AMAX.AMAX(ACC1,ZW(5),ZW5);
      AMIN.AMIN(ACC2,ZW5,ZW(5));
    end if;
  end loop; --for ITER
 
  -- SP:=DOT.DOT(VLH VLH)
  -- B:=RAD*HALFPI--1 VLH(3)/SP     -- B:=RAD*ARCCOS(VLH3/SP)
  -- AZL:=RAD*ATAN2(VLH(1), VLH(2))
  ZO:=ZW;
  ZO(8):=PHIM;
 
  end GAT;
  end GAT;
--::::::::::
--starts.ads
--::::::::::
with ATYPES; use ATYPES; 
package STARTS is
 
procedure STARTS (JSAT : in INTEGER; --  Satellite id
                  YGMT : in REAL8  ; --  GMT
                  SARR : in REAL8  ; --  Sin azimuth
                  CARR : in REAL8  ; --  Cos azimuth
                  SERR : in REAL8  ; --  Sin elevation
                  CERR : in REAL8  ; --  Cos elevation
                  FACT : out REAL8;
                  DAD  : out REAL8;
                  DED  : out REAL8);
end STARTS;
-------------------------------------------------------------------------------
--::::::::::
--starts.adb
--::::::::::
with RET1; use RET1; 
   with SQRT_PKG;             use SQRT_PKG;
   with TRIG_PKG;             use TRIG_PKG;
with ATYPES; use ATYPES; 
with CONSTS; use CONSTS; 
with DRILL; use DRILL; 
with EPHEMS; use EPHEMS; 
with E2APA; use E2APA; 
with VMULT3; use VMULT3; 
package body STARTS is
 
procedure STARTS (JSAT : in INTEGER; --  Satellite id
                  YGMT : in REAL8  ; --  GMT
                  SARR : in REAL8  ; --  Sin azimuth
                  CARR : in REAL8  ; --  Cos azimuth
                  SERR : in REAL8  ; --  Sin elevation
                  CERR : in REAL8  ; --  Cos elevation
                  FACT : out REAL8;
                  DAD  : out REAL8;
                  DED  : out REAL8) is
 UD,U1,U,S,D,PECF:V3;
 E2AP            :FM33;
 CZ,GMT,REPH,RL,SZ: REAL8;
 
begin
 
  --   FACT is gravity correction factor for elevation         (rad/sec**2)
  --   DAD and DED are correction factors for satellite motion (rad/sec)
 
  EPHEMS.EPHEMS(JSAT,YGMT,S);               -- Satellite position vector (ECF)
  U(1):=SARR*SERR;                    -- Unit LOS vector in ARF'
  U(2):=CARR*SERR;
  U(3):=-CERR;
 
  DRILL.DRILL(S,4.0,U,PECF);               -- Earth shell intersection position (ECF)
  REPH:=SQRT(PECF(1)**2+PECF(2)**2+PECF(3)**2);
  D(1):=S(1)-PECF(1);                     -- LOS vector (ECF, nm)
  D(2):=S(2)-PECF(2);
  D(3):=S(3)-PECF(3);
  RL:=SQRT(D(1)**2+D(2)**2+D(3)**2);     -- LOS radius (nm)
  CZ:=(D(1)*PECF(1)+D(2)*PECF(2)+D(3)*PECF(3))/(RL*REPH); -- Cos(zenith)
  SZ:=SQRT(1.0-CZ**2);                     -- Sin(zenith)
  FACT:=0.5*GSTDNM*SZ/RL;                 -- Elevation accel. due to gravity
  -- ---------------------------------------------------------------------------
  GMT:=YGMT+1.0;
  EPHEMS.EPHEMS(JSAT,GMT,S);                    -- Sat positions 1 sec later
  D(1):=PECF(1)-S(1);                     -- LOS vector (ECF, nm)
  D(2):=PECF(2)-S(2);
  D(3):=PECF(3)-S(3);
  RL:=SQRT(D(1)**2+D(2)**2+D(3)**2);
  D(1):=D(1)/RL;
  D(2):=D(2)/RL;
  D(3):=D(3)/RL;
 
  E2APA.E2APA(S,E2AP);                         -- Transformation matrices
  VMULT3.VMULT3(E2AP,D,U1);                     -- Unit LOS vectors in ARF'
  UD(1):=U1(1)-U(1);                      -- Derivative of LOS vectors in ARF'
  UD(2):=U1(2)-U(2);
  UD(3):=U1(3)-U(3);
  DAD:=CARR*UD(1)-SARR*UD(2);           -- Satellite motion corrections
  DED:=SERR*UD(3)+CERR*(SARR*UD(1)+CARR*UD(2));      -- in LOS frame
 
  end STARTS;
  end STARTS;
--::::::::::
--extend.ads
--::::::::::
with ATYPES; use ATYPES; 
package EXTEND is
 
procedure EXTEND (TREF   : in REAL8  ; --  Time reference
                  ISCAN  : in INTEGER; --  Extension scan
                  MF     : in IM30005; --  Input track pointers
                  NTRI   : in INTEGER; --  No. of input tracks (to be extended)
                  NF     : in INTEGER; --  Track length of input tracks (assumed uniform)
                  ISAT   : in INTEGER; --  Sat no.
                  IPT    : in IM2100 ; --  Return pointers
                  IGOLD  : in IV4000 ; --  Golden point flag (detection number)
                  PHIMAX : in REAL8  ; --
                  THRESH : in REAL8  ; --
                  MEO  : out IM30005;
                  SO   : out V3000  ;
                  NTRO : out INTEGER);
end EXTEND;
-------------------------------------------------------------------------------
--::::::::::
--extend.adb
--::::::::::
with RET1; use RET1; 
--   with SQRT_PKG;             use SQRT_PKG;
--   with TRIG_PKG;             use TRIG_PKG;
with ATYPES; use ATYPES; 
with CONSTS1; use CONSTS1; 
with STARTS; use STARTS; 
with TRACKER; use TRACKER; 
package body EXTEND is
 
procedure EXTEND (TREF   : in REAL8  ; --  Time reference
                  ISCAN  : in INTEGER; --  Extension scan
                  MF     : in IM30005; --  Input track pointers
                  NTRI   : in INTEGER; --  No. of input tracks (to be extended)
                  NF     : in INTEGER; --  Track length of input tracks (assumed uniform)
                  ISAT   : in INTEGER; --  Sat no.
                  IPT    : in IM2100 ; --  Return pointers
                  IGOLD  : in IV4000 ; --  Golden point flag (detection number)
                  PHIMAX : in REAL8  ; --
                  THRESH : in REAL8  ; --
                  MEO  : out IM30005;
                  SO   : out V3000  ;
                  NTRO : out INTEGER) is
 ME          :IM30005;
 STV         :V26;
 XLOS,YLOS,DT:V4000;
 DT5,X5,Y5   :V5;
 I,IE,IHI,ILO,ISC,ISC1,ITR,I1,K,MEK,MFK,NF1,NTR,NTRR: INTEGER;
 CA1,CDE,CEE,CE1,DAD,DE,DED,DTT,FACT,FF,OO,PHI,SA1,SEE,SE1,XC,XP,YC,YGMT1,YP,ZC: REAL8;
 
begin
 
  --  O contains tracks ME  and test scores TSC
 
  -- Extends feasible tracks (from one satellite) into scan ISCAN
  -- ME contains ONLY those tracks which extend
  -- Conflicting extensions are permitted
  -- Allows for internal misses and mixed arrays
  -- Assumes returns are in scan order within satellite order
  -- ----------------------------------------------------------------
 
  -- -----------------------------------------------------------------
  NTRO:=0;
  if (NTRI/=0) then
    NF1:=1+NF;
    -- ----------------------------------------------------------------
 
    ISC1:=ISCAN;                      -- Find lowest scan of returns in MF
 
    for ITR in 1..NTRI loop
      ISC:=IRSCAN(MF(ITR,1));
      if ISC<ISC1 then ISC1:=ISC; end if;
    end loop; --for ITR
 
    ILO:=IPT(ISAT,ISC1);              -- 1st return in scan ISC1
 
    I1:=MF(1,1);         -- Might want a return in scan ISC1
    YGMT1:=YGMT(I1);
    SA1:=SYA(I1);
    CA1:=CYA(I1);
    SE1:=SYE(I1);
    CE1:=CYE(I1);
 
    -- Remove gravitation and sat motion effects and compute LOS coordinates
    STARTS.STARTS(ISAT,YGMT1,SA1,CA1,SE1,CE1,FACT,DAD,DED);
 
    IHI:=IPT(ISAT,ISCAN+1)-1;      -- Last return in extension scan
 
    for I in ILO..IHI loop
      DT(I):=YGMT(I)-TREF;
      DE:=FACT*DT(I)**2;
      CDE:=1.0-0.5*DE**2;
      SEE:=SYE(I)*CDE+CYE(I)*DE;
      CEE:=CYE(I)*CDE-SYE(I)*DE;
      XC:=SYA(I)*SEE;             -- LOS vectors in ARF' coordinates
      YC:=CYA(I)*SEE;             -- Then in LOS coordinates
      ZC:=-CEE;
      DTT:=YGMT(I)-YGMT1;
      XLOS(I):=CA1*XC-SA1*YC-DAD*DTT;
      YLOS(I):=CE1*(SA1*XC+CA1*YC)+SE1*ZC-DED*DTT;
    end loop; --for I
 
    ILO:=IPT(ISAT,ISCAN);      -- 1st return in extension scan
    if (ILO<=IHI) then                  -- If none, return
 
      -- Compute states for time TREF (coordinates centered at I1)
      NTR:=0;
 
      for ITR in 1..NTRI loop
        if (NTR<MXITRR) then
 
          for K in 1..NF loop
            MFK:=MF(ITR,K);
            DT5(K):=DT(MFK);
            X5(K):=XLOS(MFK);
            Y5(K):=YLOS(MFK);
          end loop; --for K
          I:=MF(ITR,1);
          TRACKER.TRACKER(DT5,X5,Y5,VA(I),VE(I),NF,STV);
 
          for IE in ILO..IHI loop                -- Loop over returns in extension scan ISCAN
            if (IGOLD(IE)=0) then
              if (NTR<MXITRR) then
                FF:=DT(IE)*(1.0+DT(IE)*STV(5));
                XP:=STV(1)+STV(3)*FF;      -- Predictions
                YP:=STV(2)+STV(4)*FF;
                -- Predictions minus observations
                PHI:=(XP-XLOS(IE))**2/VA(IE)+(YP-YLOS(IE))**2/VE(IE);
                if (PHI<=PHIMAX) then
 
                  NTR:=NTR+1;
 
                  for K in 1..NF loop
                    ME(NTR,K):=MF(ITR,K);
                  end loop; --for K
                  ME(NTR,NF1):=IE;
                end if;
              end if;
            end if;
          end loop; --for IE
        end if;
      end loop; --for ITR
 
      if (NTR/=0) then
 
        -- Prune these combinations (TRACKER with rectangular coordinates)
        NTRR:=0;
 
        for ITR in 1..NTR loop
 
          for K in 1..NF1 loop
            MEK:=ME(ITR,K);
            DT5(K):=DT(MEK);
            X5(K):=XLOS(MEK);
            Y5(K):=YLOS(MEK);
          end loop; --for K
 
          I:=ME(ITR,1);
          TRACKER.TRACKER(DT5,X5,Y5,VA(I),VE(I),NF1,STV);
 
          if (STV(6)<=THRESH) then
            NTRR:=NTRR+1;
            SO(NTRR):=STV(6);
 
            for K in 1..NF1 loop
              MEO(NTRR,K):=ME(ITR,K);
            end loop; --for K
          end if;
        end loop; --for ITR
 
        NTRO:=NTRR;
      end if;
    end if;
  end if;
 
  end EXTEND;
  end EXTEND;
--::::::::::
--dextsub.ads
--::::::::::
with ATYPES; use ATYPES; 
package DEXTSUB is
 
procedure DEXTSUB (JTR   : in INTEGER ; --
                   NF1   : in INTEGER ; --
                   ME10  : in IM300010; --
                   IDETV : in IV3000  ; --
                   PHI   : in V3000   ; --
                   MEO    : out IM30005;
                   IDETVO : out IV3000 ;
                   PHIO   : out V3000  ;
                   NGOODO : out INTEGER);
end DEXTSUB;
-------------------------------------------------------------------------------
--::::::::::
--dextsub.adb
--::::::::::
with RET1; use RET1; 
--   with SQRT_PKG;             use SQRT_PKG;
--   with TRIG_PKG;             use TRIG_PKG;
with ASSIGN; use ASSIGN; 
with ATYPES; use ATYPES; 
with CONSTS; use CONSTS; 
package body DEXTSUB is
 
procedure DEXTSUB (JTR   : in INTEGER ; --
                   NF1   : in INTEGER ; --
                   ME10  : in IM300010; --
                   IDETV : in IV3000  ; --
                   PHI   : in V3000   ; --
                   MEO    : out IM30005;
                   IDETVO : out IV3000 ;
                   PHIO   : out V3000  ;
                   NGOODO : out INTEGER) is
 IG:IV3000;
 I,IGI,K,NGOOD: INTEGER;
 
begin
 
  NGOODO:=0;
  if (JTR/=0) then
 
    ASSIGN.ASSIGN(PHI,ME10,JTR,NF1,IG,NGOOD);
 
    for I in 1..NGOOD loop
      IGI:=IG(I);
 
      for K in 1..NF1 loop
        MEO(I,K):=ME10(IGI,K);
      end loop; --for K
      IDETVO(I):=IDETV(IGI);
      PHIO(I):=PHI(IGI);
    end loop; --for I
 
    NGOODO:=NGOOD;
  end if;
 
  end DEXTSUB;
  end DEXTSUB;
--::::::::::
--nxmain.ads
--::::::::::
with ATYPES; use ATYPES; 
package NXMAIN is
 
procedure NXMAIN (NH   : in INTEGER; --
                  IXIN : in IV3000 ; --
                  TREF : in REAL8  ; --
                  ZOUT : out V15);
end NXMAIN;
-------------------------------------------------------------------------------
--::::::::::
--nxmain.adb
--::::::::::
with RET1; use RET1; 
   with SQRT_PKG;             use SQRT_PKG;
   with TRIG_PKG;             use TRIG_PKG;
with ATYPES; use ATYPES; 
with CONSTS1; use CONSTS1; 
with EPHEMS; use EPHEMS; 
with E2APA; use E2APA; 
with ISORT; use ISORT; 
with NTRACKER; use NTRACKER; 
with SRIFA; use SRIFA; 
with STARTS; use STARTS; 
with TRACKER; use TRACKER; 
package body NXMAIN is
 
procedure NXMAIN (NH   : in INTEGER; --
                  IXIN : in IV3000 ; --
                  TREF : in REAL8  ; --
                  ZOUT : out V15) is
 HH,H                                           :FM488;
 E1,E2                                          :FM33;
 ST1,ST2                                        :V26;
 STM,STNEW                                      :FM226;
 EX1,EX2,EY1,EY2,D1,D2,PECF,SD,S1,S2,V1,V2,U1,U2:V3;
 VLX,VLY,DTV,V                                  :V5;
 DT                                             :V10;
 IX                                             :IV3000;
 JV,IU                                          :IV2;
 VECF,DPECF                                     :V7;
 I,IXI,IX1,IX2,I1,I2,JC,JOLD,K,NI: INTEGER;
 A,B,C,CA1,CA2,CDE,CEE,CE1,CE2,D,DA,DAD,DB,DE,DED,DTT,FACT,P1,P2,RL1,RL2,SA1,SA2,SEE: REAL8;
 SE1,SE2,VLA,VLE,XC,YC,YL,ZC,ZL,ZO                                                  : REAL8;
 
begin
 
  -- -------------------------------------
  ISORT.ISORT(IXIN,NH,IX);
 
  JC:=0;
  JOLD:=0;
 
  for I in 1..NH loop
    IXI:=IX(I);
    DT(I):=YGMT(IXI)-TREF;   -- YGMT for each hit
    if (JSAT(IXI)/=JOLD) then
      JC:=JC+1;
      IU(JC):=I;
      JOLD:=JSAT(IXI);
    end if;
  end loop; --for I
 
  I1:=IU(1);
  IX1:=IX(I1);
  SA1:=SYA(IX1);
  CA1:=CYA(IX1);
 
  STARTS.STARTS(JSAT(IX1),YGMT(IX1),SA1,CA1,SYE(IX1),CYE(IX1),FACT,DAD,DED);
 
  DE:=FACT*DT(I1)**2;
  CDE:=1.0-0.5*DE**2;
  SE1:=SYE(IX1)*CDE+CYE(IX1)*DE;
  CE1:=CYE(IX1)*CDE-SYE(IX1)*DE;
 
  NI:=0;
 
  for I in 1..NH loop
    IXI:=IX(I);
    if (JSAT(IXI)=JSAT(IX1)) then
      DE:=FACT*DT(I)**2;
      CDE:=1.0-0.5*DE**2;
      SEE:=SYE(IXI)*CDE+CYE(IXI)*DE;
      CEE:=CYE(IXI)*CDE-SYE(IXI)*DE;
      XC:=SYA(IXI)*SEE;
      YC:=CYA(IXI)*SEE;
      ZC:=-CEE;
      NI:=NI+1;
      DTV(NI):=DT(I);
      DTT:=YGMT(IXI)-YGMT(IX1);
      VLX(NI):=CA1*XC-SA1*YC-DAD*DTT;
      VLY(NI):=CE1*(SA1*XC+CA1*YC)+SE1*ZC-DED*DTT;
      if (NI=1) then
        VLA:=VA(IXI);
        VLE:=VE(IXI);
      end if;
    end if;
  end loop; --for I
 
  TRACKER.TRACKER(DTV,VLX,VLY,VLA,VLE,NI,ST1);
 
  ZL:=1.0-(ST1(1)**2+ST1(2)**2);
  ZL:=-SQRT(ZL);
  YL:=CE1*ST1(2)-SE1*ZL;
  U1(1):=CA1*ST1(1)+SA1*YL;
  U1(2):=(-SA1*ST1(1))+CA1*YL;
  U1(3):=SE1*ST1(2)+CE1*ZL;
  -- ----------------------------------------------
  I2:=IU(2);
  IX2:=IX(I2);
  SA2:=SYA(IX2);
  CA2:=CYA(IX2);
 
  STARTS.STARTS(JSAT(IX2),YGMT(IX2),SA2,CA2,SYE(IX2),CYE(IX2),FACT,DAD,DED);
 
  DE:=FACT*DT(I2)**2;
  CDE:=1.0-0.5*DE**2;
  SE2:=SYE(IX2)*CDE+CYE(IX2)*DE;
  CE2:=CYE(IX2)*CDE-SYE(IX2)*DE;
 
  NI:=0;
 
  for I in 1..NH loop
    IXI:=IX(I);
    if (JSAT(IXI)=JSAT(IX2)) then
      DE:=FACT*DT(I)**2;
      CDE:=1.0-0.5*DE**2;
      SEE:=SYE(IXI)*CDE+CYE(IXI)*DE;
      CEE:=CYE(IXI)*CDE-SYE(IXI)*DE;
      XC:=SYA(IXI)*SEE;
      YC:=CYA(IXI)*SEE;
      ZC:=-CEE;
      NI:=NI+1;
      DTV(NI):=DT(I);
      DTT:=YGMT(IXI)-YGMT(IX2);
      VLX(NI):=CA2*XC-SA2*YC-DAD*DTT;
      VLY(NI):=CE2*(SA2*XC+CA2*YC)+SE2*ZC-DED*DTT;
      if (NI=1) then
        VLA:=VA(IXI);
        VLE:=VE(IXI);
      end if;
    end if;
  end loop; --for I
 
  TRACKER.TRACKER(DTV,VLX,VLY,VLA,VLE,NI,ST2);
 
  ZL:=1.0-(ST2(1)**2+ST2(2)**2);
  ZL:=-SQRT(ZL);
  YL:=CE2*ST2(2)-SE2*ZL;
  U2(1):=CA2*ST2(1)+SA2*YL;
  U2(2):=(-SA2*ST2(1))+CA2*YL;
  U2(3):=SE2*ST2(2)+CE2*ZL;
  -- ------------------------------------------------
  -- Compute geometry at time TREF for both satellites
 
  EPHEMS.EPHEMS(JSAT(IX1),TREF,S1);
  EPHEMS.EPHEMS(JSAT(IX2),TREF,S2);
  E2APA.E2APA(S1,E1);
  E2APA.E2APA(S2,E2);
 
  for I in 1..3 loop
    V1(I):=E1(1,I)*U1(1)+E1(2,I)*U1(2)+E1(3,I)*U1(3);
    V2(I):=E2(1,I)*U2(1)+E2(2,I)*U2(2)+E2(3,I)*U2(3);
    SD(I):=S2(I)-S1(I);
  end loop; --for I
 
  B:=SD(1)*V1(1)+SD(2)*V1(2)+SD(3)*V1(3);
  A:=SD(1)*V2(1)+SD(2)*V2(2)+SD(3)*V2(3);
  C:=V1(1)*V2(1)+V1(2)*V2(2)+V1(3)*V2(3);
  D:=1.0/(1.0-C**2);
  DA:=D*A;
  DB:=D*B;
 
  for I in 1..3 loop
    P1:=S1(I)+V1(I)*(DB-DA*C);
    P2:=S2(I)-V2(I)*(DA-DB*C);
    PECF(I):=0.5*(P1+P2);
  end loop; --for I
 
  for I in 1..26 loop
    STM(1,I):=ST1(I);
    STM(2,I):=ST2(I);
  end loop; --for I
 
  NTRACKER.NTRACKER(STM,STNEW);
 
  for I in 1..3 loop
    D1(I):=PECF(I)-S1(I);
    D2(I):=PECF(I)-S2(I);
    EX1(I):=CA1*E1(1,I)-SA1*E1(2,I);
    EX2(I):=CA2*E2(1,I)-SA2*E2(2,I);
    EY1(I):=SA1*CE1*E1(1,I)+CA1*CE1*E1(2,I)+SE1*E1(3,I);
    EY2(I):=SA2*CE2*E2(1,I)+CA2*CE2*E2(2,I)+SE2*E2(3,I);
  end loop; --for I
 
  RL1:=D1(1)**2+D1(2)**2+D1(3)**2;
  RL1:=SQRT(RL1);
  RL2:=D2(1)**2+D2(2)**2+D2(3)**2;
  RL2:=SQRT(RL2);
 
  for I in 1..3 loop
    EX1(I):=EX1(I)/RL1;
    EX2(I):=EX2(I)/RL2;
    EY1(I):=EY1(I)/RL1;
    EY2(I):=EY2(I)/RL2;
  end loop; --for I
 
  for I in 1..3 loop
    A:=EX1(I);
    H(1,I):=A;
    HH(1,I):=A;
    B:=EX2(I);   -- Did use A throughout, but got compiler error
    H(2,I):=B;
    HH(2,I):=B;
    C:=EY1(I);
    H(3,I):=C;
    HH(3,I):=C;
    D:=EY2(I);
    H(4,I):=D;
    HH(4,I):=D;
  end loop; --for I
 
  H(1,4):=STNEW(1,1)-(EX1(1)*D1(1)+EX1(2)*D1(2)+EX1(3)*D1(3));
  H(2,4):=STNEW(2,1)-(EX2(1)*D2(1)+EX2(2)*D2(2)+EX2(3)*D2(3));
  H(3,4):=STNEW(1,2)-(EY1(1)*D1(1)+EY1(2)*D1(2)+EY1(3)*D1(3));
  H(4,4):=STNEW(2,2)-(EY2(1)*D2(1)+EY2(2)*D2(2)+EY2(3)*D2(3));
 
  HH(1,4):=STNEW(1,3);
  HH(2,4):=STNEW(2,3);
  HH(3,4):=STNEW(1,4);
  HH(4,4):=STNEW(2,4);
 
  SRIFA.SRIFA(4,4,HH,VECF);
 
  SRIFA.SRIFA(4,4,H,DPECF);
 
  for K in 1..3 loop
    ZOUT(K):=PECF(K)+DPECF(K);
    ZOUT(K+3):=VECF(K);
  end loop; --for K
  ZOUT(7):=STNEW(1,5);
  ZOUT(8):=STNEW(1,5);
  ZOUT(9):=0.0;
  ZOUT(10):=0.0;
 
  end NXMAIN;
  end NXMAIN;
--::::::::::
--dext.ads
--::::::::::
with ATYPES; use ATYPES; 
package DEXT is
 
procedure DEXT (ISAT    : in INTEGER; --
                ISCAN   : in INTEGER; --
                TNOW    : in REAL8  ; --
                RRC     : in REAL8  ; --
                IGOLD   : in IV4000 ; --
                NDET    : in INTEGER; --
                JESAT   : in INTEGER; --
                PHIMAXE : in REAL8  ; --
                IPT     : in IM2100 ; --
                MEO    : out IM30005;
                IDETVO : out IV3000 ;
                PHIO   : out V3000  ;
                NGOODO : out INTEGER);
end DEXT;
-------------------------------------------------------------------------------
--::::::::::
--dext.adb
--::::::::::
with RET1; use RET1; 
--   with SQRT_PKG;             use SQRT_PKG;
--   with TRIG_PKG;             use TRIG_PKG;
with AMIN; use AMIN; 
with ATYPES; use ATYPES; 
with CONSTS; use CONSTS; 
with CONSTS1; use CONSTS1; 
with CONSTS2; use CONSTS2; 
with COPL; use COPL; 
with DEXTSUB; use DEXTSUB; 
with EXTEND; use EXTEND; 
with GAT; use GAT; 
with NXMAIN; use NXMAIN; 
package body DEXT is
 
procedure DEXT (ISAT    : in INTEGER; --
                ISCAN   : in INTEGER; --
                TNOW    : in REAL8  ; --
                RRC     : in REAL8  ; --
                IGOLD   : in IV4000 ; --
                NDET    : in INTEGER; --
                JESAT   : in INTEGER; --
                PHIMAXE : in REAL8  ; --
                IPT     : in IM2100 ; --
                MEO    : out IM30005;
                IDETVO : out IV3000 ;
                PHIO   : out V3000  ;
                NGOODO : out INTEGER) is
 MF,ME      :IM30005;
 ME10       :IM300010;
 S,PHI      :V3000;
 IDETV,IG,KV:IV3000;
 ZO         :V10;
 STATES     :V15;
 I,IDET,IE,IGI,IHI,ILO,IP,ISCLOW,ITR,JTR,K,N,NF1,NK,NO,NR,NSTATE,NTR: INTEGER;
 AC,DTE,PHIC,PHIZ,RC,T,TE,TMAX,TREF,TREF1: REAL8;
 
begin
 
  IHI:=IPT(ISAT,ISCAN+1)-1;
  I:=IPT(JESAT,ISCAN+1)-1;
  if IHI<=I then IHI:=I; end if;
  ISCLOW:=ISCAN-6;
  if ISCLOW<=0 then ISCLOW:=1; end if;
  ILO:=IPT(ISAT,ISCLOW);
  I:=IPT(JESAT,ISCLOW);
  if ILO>=I then ILO:=I; end if;
  if ILO<=0 then ILO:=1; end if;
  NR:=1+IHI-ILO;
  -- --------------------------------------------------------------------
  NGOODO:=0;
  if (0/=NDET) then
    if (0/=NR) then
      NF1:=1+NSCEXT;
      --  -----------------------------------------------------------
      NTR:=0;
 
      for IDET in 1..NDET loop                 -- ------------ Loop over stereo pairs
        TMAX:=0.0;
        NO:=0;
        NK:=NSCEXT+1;
 
        for I in 1..NR loop                                  -- Loop over returns in recent scans
          IP:=IHI+1-I;                  -- Go backwards
          if (IGOLD(IP)=IDET) then
            if (JSAT(IP)=ISAT) then
              if (NK/=1) then                 -- Only last NSCEXT returns
                NK:=NK-1;
                KV(NK):=IP;
                if TMAX<=YGMT(IP) then TMAX:=YGMT(IP); end if;
                if (IRSCAN(IP)>=ISCAN) then                 -- Don't extend if already here
                  NO:=1;
                end if;
              end if;
            end if;
          end if;
        end loop; --for I
 
        if (EXTGAP>=TNOW-TMAX) then                 -- Don't extend too far
          if (NO=0) then
            if (1>=NK) then                 -- Require enough returns
              NTR:=NTR+1;
 
              for I in 1..NSCEXT loop
                MF(NTR,I):=KV(I);
              end loop; --for I
            end if;
          end if;
        end if;
      end loop; --for IDET
      -- ------------------------------------------------------------
      if (0/=NTR) then
        TREF:=YGMT(MF(1,NSCEXT));
 
        EXTEND.EXTEND(TREF,ISCAN,MF,NTR,NSCEXT,ISAT,IPT,IGOLD,PHIMAXE,TRE(NF1),ME,S,NTR);
 
        if (0/=NTR) then                  -- If none, quit
          --  :='Potential extensions ',3 0 NTR
          -- ---------------------------------------------------------------------
          JTR:=0;
 
          for ITR in 1..NTR loop              -- ------------- Loop over extending detections
            PHI(ITR):=100000.0;
            IE:=ME(ITR,NF1);                    -- Extending return
            TE:=YGMT(IE);                        -- Time of that return
            IDET:=IGOLD(ME(ITR,1));              -- Detection number
            -- ---
            NK:=0;
 
            for IP in ILO..IHI loop
              if (IGOLD(IP)=IDET) then                   -- Golden pts for this detection
                if (JSAT(IP)=JESAT) then                   --  and from other sat only
                  DTE:=ABS(YGMT(IP)-TE);
                  if (TWIND>=DTE) then                 --  and within time window of ext. return
                    NK:=NK+1;
                    KV(NK):=IP;                        -- NK can't exceed 10 (for this kind of sat)
                  end if;
                end if;
              end if;
            end loop; --for IP
 
            if NF1<NK then N:=NF1; else N:=NK; end if;
            if (3<=N) then                 -- Require 3 hits from other satellite
 
              NO:=1;
 
              for I in 1..N loop
                IP:=KV(NK-N+I);                    -- Use no more than last NF1 returns
                KV(I):=IP;
                DTE:=ABS(YGMT(IP)-TE);
                if (EXTGAP>=DTE) then                 -- Time window for other sat
                  NO:=0;
                end if;
              end loop; --for I
 
              if (NO=0) then
 
                for I in 1..NF1 loop
                  KV(N+I):=ME(ITR,I);            -- Returns from both sats, including ext.
                end loop; --for I
                N:=N+NF1;                      -- Total no. of returns for this track
 
                COPL.COPL(N,KV,AC,RC);
 
                PHIC:=ARCSEC*(0.25*RC+ABS(AC-RRC));
                if (PHIC<=PHICOPL) then
 
                  TREF1:=100000.0;
 
                  for I in 1..N loop
                    K:=KV(I);
                    AMIN.AMIN(TREF1,YGMT(K),TREF1);
                  end loop; --for I
 
                  NXMAIN.NXMAIN(N,KV,TREF1,STATES);
 
                  NSTATE:=6;
                  GAT.GAT(NSTATE,TREF1,STATES,N,KV,ZO);
 
                  PHIZ:=ZO(8);
                  if (PHIZ<PHILIME) then
                    -- :=(3 0 IDET),'  ',(3 0 ID(N KV,1)),'  ',(3 0 IRSCAN(N KV)),7 1 PHIC,PHIZ
 
                    JTR:=JTR+1;
                    PHI(JTR):=PHIZ;                     -- Stereo score
                    IDETV(JTR):=IDET;                   -- Detection number
 
                    for K in 1..NF1 loop
                      ME10(JTR,K):=ME(ITR,K);             -- Monocular track pointers
                    end loop; --for K
                  end if;
                end if;
              end if;
            end if;
          end loop; --for ITR
          -- ----------------------------------------------------------------------
 
          DEXTSUB.DEXTSUB(JTR,NF1,ME10,IDETV,PHI,MEO,IDETVO,PHIO,NGOODO);
 
        end if;
      end if;
    end if;
  end if;
 
  end DEXT;
  end DEXT;
--::::::::::
--pcorr.ads
--::::::::::
with ATYPES; use ATYPES; 
package PCORR is
 
procedure PCORR (KMAT  : in IM300010; --
                 NTRR  : in INTEGER ; --  Total number of "new" detections
                 NHITS : in INTEGER ; --
                 IGOLD : in IV4000  ; --
                 ICORRV : out IV3000);
end PCORR;
-------------------------------------------------------------------------------
--::::::::::
--pcorr.adb
--::::::::::
with RET1; use RET1; 
--   with SQRT_PKG;             use SQRT_PKG;
--   with TRIG_PKG;             use TRIG_PKG;
with AMAX; use AMAX; 
with AMIN; use AMIN; 
with ATYPES; use ATYPES; 
with GAT; use GAT; 
with IMAX; use IMAX; 
with NXMAIN; use NXMAIN; 
package body PCORR is
 
procedure PCORR (KMAT  : in IM300010; --
                 NTRR  : in INTEGER ; --  Total number of "new" detections
                 NHITS : in INTEGER ; --
                 IGOLD : in IV4000  ; --
                 ICORRV : out IV3000) is
 PHIMAT :FM100100;
 KV,KL,K:IV3000;
 T      :V3000;
 ZOUT   :V15;
 ZO     :V10;
 I,ICOL,IFLAG,INKL,IROW,ISTOP,ITR,ITRR,J,JS1,JS2,J1,NDET1,NKL: INTEGER;
 BIG,DT,DTG,DTGAP,PHILIM1,PHIMIN,TMAX,TMAX1,TMIN,TMIN1,TMP,TREF,TSC,TSCLIM1,TWIND: REAL8;
 
begin
 
  --  GLOBALS:  SYA CYA SYE CYE JSAT YGMT SA SE
 
  --   KMAT  are return pointers from (later) detections
  --            (each column is a detection)
  --   NTRR  is the number of rows in KMAT which are valid
  --   NHITS is the number of total points per track (stereo - up to 10)
  -- ICORRV  are detection numbers of earlier, correlating detections
 
  --  Needs more work on return selection (see below)
 
  DTGAP:=60.0;     -- Max time gap between track pieces
  TWIND:=90.0;     -- Max time window encompassing track pieces
  TSCLIM1:=200.0;   -- Threshold on tracker test score from NXMAIN
  PHILIM1:=10.0;    -- Threshold on filter score
  NDET1:=0;
 
  for I in 1..NRET loop                             -- Total number of "old" detections
    IMAX.IMAX(IGOLD(I),NDET1,NDET1);
  end loop; --for I
 
  BIG:=9999.0;
 
  for I in 1..NDET1 loop
 
    for J in 1..NTRR loop
      PHIMAT(I,J):=BIG;
    end loop; --for J
  end loop; --for I
  -- -----------------------------------------------------------------
 
  for ITRR in 1..NTRR loop
    TMIN:=99999.0;
 
    for I in 1..NHITS loop
      KV(I):=KMAT(ITRR,I);          -- Return pointers for ITRRth detection
      T(I):=YGMT(KV(I));               -- Associated GMT's and minimum
      AMIN.AMIN(T(I),TMIN,TMIN);
    end loop; --for I
 
    -- Sort return pointer in time order
    for I in 1..NHITS-1 loop
 
      for J in I+1..NHITS loop
        if (T(I)>T(J)) then
          TMP:=REAL8(KV(I));
          KV(I):=KV(J);
          KV(J):=INTEGER(TMP);
          TMP:=T(I);
          T(I):=T(J);
          T(J):=TMP;
        end if;
      end loop; --for J
    end loop; --for I
    -- --------------------------------------------------------------------
 
    for ITR in 1..NDET1 loop                 -- ----- Loop over (earlier) detections -------
      NKL:=0;
      TMAX:=0.0;
 
      for I in 1..NRET loop
        if (IGOLD(I)=ITR) then                    -- Return pointers for detection ITR
          NKL:=NKL+1;
          KL(NKL):=I;
          T(NKL):=YGMT(I);                -- Associated GMT's and maximum
          AMAX.AMAX(T(NKL),TMAX,TMAX);
        end if;
      end loop; --for I
 
      DTG:=TMIN-TMAX;               -- Time gap between track pieces
      if (DTG>0.0) then                    -- If time overlap, next track piece
        if (DTG<=DTGAP) then                  -- If time gap too large, next track piece
          -- Sort return pointer in time order
          for I in 1..NKL-1 loop
 
            for J in I+1..NKL loop
              if (T(I)>T(J)) then
                TMP:=REAL8(KL(I));
                KL(I):=KL(J);
                KL(J):=INTEGER(TMP);
                TMP:=T(I);
                T(I):=T(J);
                T(J):=TMP;
              end if;
            end loop; --for J
          end loop; --for I
 
          --K:=(-4 KL),4 KV       -- Return selection needs to be more sophisticated
 
          JS1:=JSAT(KV(1));     -- Get earliest 2 returns for each sat for new det
          K(5):=KV(1);
          IFLAG:=0;
 
          for I in 1..NHITS-1 loop
            if (IFLAG=0) then
              if (JSAT(KV(I+1))=JS1) then
                IFLAG:=1;
                K(6):=KV(I+1);
              end if;
            end if;
          end loop; --for I
 
          IFLAG:=0;
 
          for I in 1..NHITS loop
            if (IFLAG<=1) then
              if (JSAT(KV(I))/=JS1) then
                JS2:=JSAT(KV(I));
                K(7+IFLAG):=KV(I);
                IFLAG:=IFLAG+1;
              end if;
            end if;
          end loop; --for I
          --                        Get latest 2 returns for each sat for old det
          IFLAG:=0;
 
          for I in 1..NKL loop
            INKL:=1+NKL-I;
            if (IFLAG<=1) then
              if (JSAT(KL(INKL))=JS1) then
                IFLAG:=IFLAG+1;
                K(5-IFLAG):=KL(INKL);
              end if;
            end if;
          end loop; --for I
 
          IFLAG:=0;
 
          for I in 1..NKL loop
            INKL:=1+NKL-I;
            if (IFLAG<=1) then
              if (JSAT(KL(INKL))=JS2) then
                IFLAG:=IFLAG+1;
                K(3-IFLAG):=KL(INKL);
              end if;
            end if;
          end loop; --for I
 
          TMAX1:=0.0;
          TMIN1:=99999.0;
 
          for I in 1..8 loop
            T(I):=YGMT(K(I));             -- Associated GMT's
            AMAX.AMAX(T(I),TMAX1,TMAX1);
            AMIN.AMIN(T(I),TMIN1,TMIN1);
          end loop; --for I
 
          DT:=TMAX1-TMIN1;                -- Time window encompassing the pieces
          if (DT<=TWIND) then                  -- If too large, next track piece
 
            TREF:=TMIN1;                         -- Time reference for NXMAIN, GAT
            NXMAIN.NXMAIN(8,K,TREF,ZOUT);             -- Analytic Tracker
 
            TSC:=ZOUT(7);                       -- Resulting test score
            if (TSC<=TSCLIM1) then                  -- If too large, next track piece
              GAT.GAT(7,TREF,ZOUT,8,K,ZO);
 
              PHIMAT(ITR,ITRR):=ZO(8);            -- Resulting test score
            end if;
          end if;
        end if;
      end if;
    end loop; --for ITR     -- --------- End loop over detections -----
  end loop; --for ITRR
 
  for I in 1..NTRR loop
    ICORRV(I):=0;
  end loop; --for I
  -- ---------------------------------------
  ISTOP:=0;
 
  for I in 1..NDET1 loop
    if (ISTOP=0) then
      PHIMIN:=BIG;
 
      for J in 1..NDET1 loop
 
        for J1 in 1..NTRR loop
          if (PHIMIN>PHIMAT(J,J1)) then
            PHIMIN:=PHIMAT(J,J1);
            IROW:=J;
            ICOL:=J1;
          end if;
        end loop; --for J1
      end loop; --for J
 
      if PHIMIN>=PHILIM1 then ISTOP:=1; end if;
      if (ISTOP=0) then
 
        ICORRV(ICOL):=IROW;
 
        for J in 1..NTRR loop
          PHIMAT(IROW,J):=BIG;
        end loop; --for J
 
        for J in 1..NDET1 loop
          PHIMAT(J,ICOL):=BIG;
        end loop; --for J
      end if;
    end if;
  end loop; --for I
 
  end PCORR;
  end PCORR;
--::::::::::
--point.ads
--::::::::::
with ATYPES; use ATYPES; 
package POINT is
 
procedure POINT (MF    : in IM30005; --  Matrix of pointers (tracks) to returns for one sensor
                 SATPL : in V3     ; --  Sat position at end of time window 3-vector
                 SATP  : in V3     ; --  Sat position at start of time window 3-vector
                 TLATE : in REAL8  ; --  Time reference (at end of time window) scalar
                 TREF  : in REAL8  ; --  Time reference (at start of time window ) scalar
                 NTR   : in INTEGER; --    MF
                 NH    : in INTEGER; --
                 V   : out FM33000 ;
                 VL  : out FM33000 ;
                 EX  : out FM33000 ;
                 EY  : out FM33000 ;
                 STT : out FM263000);
end POINT;
-------------------------------------------------------------------------------
--::::::::::
--point.adb
--::::::::::
with RET1; use RET1; 
   with SQRT_PKG;             use SQRT_PKG;
   with TRIG_PKG;             use TRIG_PKG;
with ATYPES; use ATYPES; 
with E2APA; use E2APA; 
with STARTS; use STARTS; 
with TRACKER; use TRACKER; 
package body POINT is
 
procedure POINT (MF    : in IM30005; --  Matrix of pointers (tracks) to returns for one sensor
                 SATPL : in V3     ; --  Sat position at end of time window 3-vector
                 SATP  : in V3     ; --  Sat position at start of time window 3-vector
                 TLATE : in REAL8  ; --  Time reference (at end of time window) scalar
                 TREF  : in REAL8  ; --  Time reference (at start of time window ) scalar
                 NTR   : in INTEGER; --    MF
                 NH    : in INTEGER; --
                 V   : out FM33000 ;
                 VL  : out FM33000 ;
                 EX  : out FM33000 ;
                 EY  : out FM33000 ;
                 STT : out FM263000) is
 ELATE,E2APU         :FM33;
 DT,SEE,CEE,XLOS,YLOS:V4000;
 STV                 :V26;
 DT5,X5,Y5           :V5;
 I,ITR,I1,K,M,M1: INTEGER;
 CAI,CA1,CDE,CEI,CE1,DAD,DE,DED,DTT,FACT,FF,OO,SAI,SA1,SEI,SE1,VL1,VL2,VL3,V1,V2,V3,XC: REAL8;
 XX,YC,YGMT1,YY,ZC,ZL,ZZ                                                              : REAL8;
 
begin
 
  -- --------------------------------------------------------------------
  E2APA.E2APA(SATP,E2APU);         -- Rotation matrix ECF to ARF'
  E2APA.E2APA(SATPL,ELATE);
 
  I1:=MF(1,1);         -- Pointer to 1st return of 1st track
  YGMT1:=YGMT(I1);
  SA1:=SYA(I1);
  CA1:=CYA(I1);
  SE1:=SYE(I1);
  CE1:=CYE(I1);
 
  -- Remove gravitation and sat motion effects and compute LOS coordinates
  STARTS.STARTS(JSAT(I1),YGMT1,SA1,CA1,SE1,CE1,FACT,DAD,DED);
 
  for I in 1..NRET loop
    DT(I):=YGMT(I)-TREF;        -- This is wasteful
    DE:=FACT*DT(I)**2;           -- Elevation correction due to gravity
    CDE:=1.0-0.5*DE**2;       -- Close approx. to COS(DE) since DE is very small
    SEE(I):=SYE(I)*CDE+CYE(I)*DE;   -- SIN(YE+DE)
    CEE(I):=CYE(I)*CDE-SYE(I)*DE;   -- COS(YE+DE)
 
    XC:=SYA(I)*SEE(I);          -- "Corrected" LOS vectors in ARF' coordinates
    YC:=CYA(I)*SEE(I);
    ZC:=-CEE(I);
 
    DTT:=YGMT(I)-YGMT(I1);                 -- Convert to LOS' frame, apply sat
    XLOS(I):=CA1*XC-SA1*YC-DAD*DTT;                  -- motion corrections
    YLOS(I):=CE1*(SA1*XC+CA1*YC)+SE1*ZC-DED*DTT;
  end loop; --for I
 
  for ITR in 1..NTR loop
    I:=MF(ITR,1);
 
    for K in 1..NH loop
      M:=MF(ITR,K);
      DT5(K):=DT(M);
      X5(K):=XLOS(M)-XLOS(I);     -- _X, _Y in LOS' frame
      Y5(K):=YLOS(M)-YLOS(I);
    end loop; --for K
 
    TRACKER.TRACKER(DT5,X5,Y5,VA(I),VE(I),NH,STV);
 
    for K in 1..26 loop
      STT(K,ITR):=STV(K);
    end loop; --for K
 
    SAI:=SYA(I);
    CAI:=CYA(I);
    SEI:=SEE(I);
    CEI:=CEE(I);
    XX:=STV(1);                -- Predicted x,y at time reference TREF
    YY:=STV(2);
    ZL:=-SQRT(1.0-(XX**2+YY**2)); -- Reconstruct z from x and y
    ZZ:=SEI*YY+CEI*ZL;        -- Transform (rotate) to ARF' coordinates
    YY:=CEI*YY-SEI*ZL;
 
    V1:=CAI*XX+SAI*YY;
    V2:=(-SAI*XX)+CAI*YY;
    V3:=ZZ;
 
    FF:=TLATE*(1.0+STV(5)*TLATE);     -- Same, except at time TLATE
    XX:=DAD*TLATE+STV(1)+STV(3)*FF;
    YY:=DED*TLATE+STV(2)+STV(4)*FF;
    ZL:=-SQRT(1.0-(XX**2+YY**2));
    ZZ:=SEI*YY+CEI*ZL;
    YY:=CEI*YY-SEI*ZL;
 
    VL1:=CAI*XX+SAI*YY;
    VL2:=(-SAI*XX)+CAI*YY;
    VL3:=ZZ;
 
    for K in 1..3 loop
      --               Predicted LOS vectors in ECF
      V(K,ITR):=E2APU(1,K)*V1+E2APU(2,K)*V2+E2APU(3,K)*V3;
      VL(K,ITR):=ELATE(1,K)*VL1+ELATE(2,K)*VL2+ELATE(3,K)*VL3;
      --               Arrays used to compute gradient matrices later in SHORT
      EX(K,ITR):=CAI*E2APU(1,K)-SAI*E2APU(2,K);
      EY(K,ITR):=SAI*CEI*E2APU(1,K)+CAI*CEI*E2APU(2,K)+SEI*E2APU(3,K);
    end loop; --for K
 
  end loop; --for ITR
 
  end POINT;
  end POINT;
--::::::::::
--sehorz.ads
--::::::::::
with ATYPES; use ATYPES; 
package SEHORZ is
 
procedure SEHORZ (S : in V3; --  Satellite position vector in ECF (nm)
                  U : in V3; --  3 n matrix of unit position vectors toward earth in ARF'
                  SEO : out REAL8);
end SEHORZ;
-------------------------------------------------------------------------------
--::::::::::
--sehorz.adb
--::::::::::
with RET1; use RET1; 
   with SQRT_PKG;             use SQRT_PKG;
   with TRIG_PKG;             use TRIG_PKG;
with ATYPES; use ATYPES; 
with CONSTS; use CONSTS; 
with E2APA; use E2APA; 
with MMULT3; use MMULT3; 
package body SEHORZ is
 
procedure SEHORZ (S : in V3; --  Satellite position vector in ECF (nm)
                  U : in V3; --  3 n matrix of unit position vectors toward earth in ARF'
                  SEO : out REAL8) is
 DD,SS             :V3;
 E,E2E,EE,E2AP,E2,Q:FM33;
 I: INTEGER;
 A,CAA,CECA,CES,D,D3S,F,R,RLS,RS,RSS,SAA,SECA,SEE,SES,W: REAL8;
 
begin
 
  -- ----------------------------------------------------------------
 
  A:=YK(6);                      -- Equatorial radius (nm)
  F:=A/YK(7);                    -- Divide by polar radius
  SS(1):=S(1);
  SS(2):=S(2);
  SS(3):=S(3)*F;
  W:=S(1)**2+S(2)**2;
  RS:=W+S(3)**2;
  RS:=SQRT(RS);
  RSS:=W+SS(3)**2;
  RSS:=SQRT(RSS);
  E2APA.E2APA(S,E2AP);                -- ECF   ARF' transformation matrix
  E2APA.E2APA(SS,E2);                 -- Same, but stretched space
 
  for I in 1..3 loop
    Q(1,I):=A*E2(I,1);
    Q(2,I):=A*E2(I,2);
    Q(3,I):=A*E2(I,3)/F;
    E(1,I):=E2AP(I,1);
    E(2,I):=E2AP(I,2);
    E(3,I):=E2AP(I,3)*F;
  end loop; --for I
 
  MMULT3.MMULT3(E2AP,Q,EE);
  MMULT3.MMULT3(E2,E,E2E);
 
  W:=0.0;
 
  for I in 1..3 loop
    D:=E2E(I,1)*U(1)+E2E(I,2)*U(2)+E2E(I,3)*U(3);
    DD(I):=D;
    W:=W+D**2;
  end loop; --for I
 
  CES:=DD(3)**2/W;
  SES:=1.0-CES;
  SEE:=SQRT(SES);
  R:=SEE*SQRT(W);
  SAA:=DD(1)/R;
  CAA:=DD(2)/R;
  CECA:=A/RSS;
  SECA:=SQRT(1.0-CECA**2);
 
  for I in 1..3 loop
    DD(I):=SECA*(EE(I,1)*SAA+EE(I,2)*CAA)+EE(I,3)*CECA;
  end loop; --for I
 
  D3S:=(DD(3)-RS)**2;
  RLS:=DD(1)**2+DD(2)**2+D3S;
  SEO:=SQRT(1.0-D3S/RLS);
 
  end SEHORZ;
  end SEHORZ;
--::::::::::
--short.ads
--::::::::::
with ATYPES; use ATYPES; 
-- with TEXT_IO;		    use TEXT_IO;
package SHORT is
 
procedure SHORT (NTR1 : in INTEGER; --
		 NTR2 : in INTEGER; --
		 NH1  : in INTEGER; --
		 NH2  : in INTEGER; --
		 MF1  : in IM30005; --
		 MF2  : in IM30005; --
		 RRC  : in REAL8  ; --
		 COPE : in REAL8  ; --
		 ACV	: out V3000   ;
		 RCV	: out V3000   ;
		 ALTV	: out V3000   ;
		 PHIO	: out V3000   ;
		 NGOODO : out INTEGER ;
		 KMATO	: out IM300010);
end SHORT;
-------------------------------------------------------------------------------
--::::::::::
--short.adb
--::::::::::
with RET1; use RET1; 
   with SQRT_PKG;	      use SQRT_PKG;
   with TRIG_PKG;	      use TRIG_PKG;
with AMAX; use AMAX; 
with AMIN; use AMIN; 
with ASSIGN; use ASSIGN; 
with ATYPES; use ATYPES; 
with CONSTS; use CONSTS; 
with CONSTS1; use CONSTS1; 
with COPL; use COPL; 
with EPHEMS; use EPHEMS; 
with GAT; use GAT; 
with NTRACKER; use NTRACKER; 
with POINT; use POINT; 
with SRIFA; use SRIFA; 
package body SHORT is
 
procedure SHORT (NTR1 : in INTEGER; --
		 NTR2 : in INTEGER; --
		 NH1  : in INTEGER; --
		 NH2  : in INTEGER; --
		 MF1  : in IM30005; --
		 MF2  : in IM30005; --
		 RRC  : in REAL8  ; --
		 COPE : in REAL8  ; --
		 ACV	: out V3000   ;
		 RCV	: out V3000   ;
		 ALTV	: out V3000   ;
		 PHIO	: out V3000   ;
		 NGOODO : out INTEGER ;
		 KMATO	: out IM300010) is
 U,UL,V1,VL1,EX1,EY1,V2,VL2,EX2,EY2  :FM33000;
 ST1,ST2			     :FM263000;
 STT,STM			     :FM226;
 A,B,PHIV			     :V3000;
 VECF,PECF,D1,D2,S1,S2,SL1,SL2,SD,SDL:V3;
 KV,IGOOD			     :IV3000;
 H				     :FM488;
 DZ				     :V7;
 STATES 			     :V15;
 ZO				     :V10;
 KMAT				     :IM300010;
 I,ITR,ITR1,ITR2,J1,J2,K,KSMAT,M,NGOOD,NH8,NSTATE,NTR: INTEGER;
 AC,ACC,ALT,C,CC1,CC2,CC3,C1,C2,DC,DC1,DEN,DPHI,DPHI1,F,O1,O2,PHI,RC,RE,REPH,R1,R2,SP: REAL8;
 SPSC,T,TLATE,TLATEO,TREF,TREFO,TSC,UMAG,U1,U2,U3,XI				     : REAL8;
 
begin
 
  -- ------------------------
--  TEXT_IO.PUT("About to calculate NH8");
--  TEXT_IO.NEW_LINE;
 
  NH8:=NH1+NH2;
 
--  TEXT_IO.PUT("Calculated NH8 before AMIN/AMAX");
--  TEXT_IO.NEW_LINE;
 
  AMIN.AMIN(YGMT(MF1(1,1)),YGMT(MF2(1,1)),TREF);
  AMAX.AMAX(YGMT(MF1(1,NH1)),YGMT(MF2(1,NH2)),T);
  TLATE:=T-TREF;
  J1:=JSAT(MF1(1,1));
  J2:=JSAT(MF2(1,1));
 
  EPHEMS.EPHEMS(J1,TREF,S1);
  EPHEMS.EPHEMS(J2,TREF,S2);
  T:=TREF+TLATE;
  EPHEMS.EPHEMS(J1,T,SL1);
  EPHEMS.EPHEMS(J2,T,SL2);
 
  for I in 1..3 loop
    SD(I):=S2(I)-S1(I);
    SDL(I):=SL2(I)-SL1(I);
  end loop; --for I
 
--  TEXT_IO.PUT("About to compute POINT");
--  TEXT_IO.NEW_LINE;
 
  POINT.POINT(MF1,SL1,S1,TLATE,TREF,NTR1,NH1,V1,VL1,EX1,EY1,ST1);
 
  POINT.POINT(MF2,SL2,S2,TLATE,TREF,NTR2,NH2,V2,VL2,EX2,EY2,ST2);
 
  for ITR in 1..NTR1 loop
    U1:=SD(2)*V1(3,ITR)-SD(3)*V1(2,ITR);
    U2:=SD(3)*V1(1,ITR)-SD(1)*V1(3,ITR);
    U3:=SD(1)*V1(2,ITR)-SD(2)*V1(1,ITR);
    UMAG:=SQRT(U1**2+U2**2+U3**2);
    U(1,ITR):=U1/UMAG;
    U(2,ITR):=U2/UMAG;
    U(3,ITR):=U3/UMAG;
 
    U1:=SDL(2)*VL1(3,ITR)-SDL(3)*VL1(2,ITR);
    U2:=SDL(3)*VL1(1,ITR)-SDL(1)*VL1(3,ITR);
    U3:=SDL(1)*VL1(2,ITR)-SDL(2)*VL1(1,ITR);
    UMAG:=SQRT(U1**2+U2**2+U3**2);
    UL(1,ITR):=U1/UMAG;
    UL(2,ITR):=U2/UMAG;
    UL(3,ITR):=U3/UMAG;
 
    B(ITR):=V1(1,ITR)*SD(1)+V1(2,ITR)*SD(2)+V1(3,ITR)*SD(3);
  end loop; --for ITR
  -- ---------------------------------------------------
 
  for ITR in 1..NTR2 loop
    A(ITR):=V2(1,ITR)*SD(1)+V2(2,ITR)*SD(2)+V2(3,ITR)*SD(3);
  end loop; --for ITR
  -- ------------------------------------------------------------------
 
  NTR:=0;
 
  for ITR1 in 1..NTR1 loop
    if (NTR<MXITRR) then
 
      for ITR2 in 1..NTR2 loop
	if (NTR<MXITRR) then
	  C1:=U(1,ITR1)*V2(1,ITR2)+U(2,ITR1)*V2(2,ITR2)+U(3,ITR1)*V2(3,ITR2);
	  CC1:=ABS(C1-RRC);
	  if (COPE>=CC1) then
	    C2:=UL(1,ITR1)*VL2(1,ITR2)+UL(2,ITR1)*VL2(2,ITR2)+UL(3,ITR1)*VL2(3,ITR2);
	    CC2:=ABS(C2-RRC);
	    if (COPE>=CC2) then
	      CC3:=ABS(C2-C1);
	      if (COPLMD(1)>=CC3) then
 
		for K in 1..NH1 loop
		  KV(K):=MF1(ITR1,K);
		end loop; --for K
 
		for K in 1..NH2 loop
		  KV(NH1+K):=MF2(ITR2,K);
		end loop; --for K
 
		COPL.COPL(NH8,KV,AC,RC);
 
		C:=ABS(AC-RRC);
		if (COPE>=C) then
		  if (COPLMD(2)>=RC) then
 
		    DC1:=ABS(AC-RRC);	       -- This is slightly different from APL version
		    if RRC/=0.0 then DC:=DC1; else DC:=0.0; end if;
		    if (DC<=SWATHS) then
 
		      for K in 1..26 loop
			STM(1,K):=ST1(K,ITR1);
			STM(2,K):=ST2(K,ITR2);
		      end loop; --for K
 
 
--  TEXT_IO.PUT("About to compute NTRACKER");
--  TEXT_IO.NEW_LINE;
 
		      NTRACKER.NTRACKER(STM,STT);
		      TSC:=STT(1,6)+STT(2,6);
		      if (TSCLIM(NH8)>=TSC) then
 
			C:=V1(1,ITR1)*V2(1,ITR2)+V1(2,ITR1)*V2(2,ITR2)+V1(3,ITR1)*V2(3,ITR2);
			DEN:=1.0/(1.0-C**2);
			R1:=DEN*(B(ITR1)-A(ITR2)*C);		    -- LOS radii from sat 1
			R2:=-DEN*(A(ITR2)-B(ITR1)*C);		    -- LOS radii from sat 2
 
			-- Initial estimates of event positions
 
			for K in 1..3 loop
			  PECF(K):=0.5*(S1(K)+S2(K)+V1(K,ITR1)*R1+V2(K,ITR2)*R2);
			end loop; --for K
			REPH:=SQRT(PECF(1)**2+PECF(2)**2+PECF(3)**2);
			RE:=XK1/SQRT(XK2+XK3*(PECF(3)/REPH)**2);
			ALT:=REPH-RE;
			if (HLIM(1)<=ALT) then
			  if (HLIM(2)>=ALT) then
 
			    for K in 1..3 loop
			      D1(K):=PECF(K)-S1(K);
			      D2(K):=PECF(K)-S2(K);
			    end loop; --for K
 
			    R1:=SQRT(D1(1)**2+D1(2)**2+D1(3)**2);
			    R2:=SQRT(D2(1)**2+D2(2)**2+D2(3)**2);
 
			    for K in 1..3 loop
			      H(1,K):=EX1(K,ITR1)/R1;
			      H(2,K):=EX2(K,ITR2)/R2;
			      H(3,K):=EY1(K,ITR1)/R1;
			      H(4,K):=EY2(K,ITR2)/R2;
			    end loop; --for K
 
			    H(1,4):=STT(1,1)-(H(1,1)*D1(1)+H(1,2)*D1(2)+H(1,3)*D1(3));
			    H(2,4):=STT(2,1)-(H(2,1)*D2(1)+H(2,2)*D2(2)+H(2,3)*D2(3));
			    H(3,4):=STT(1,2)-(H(3,1)*D1(1)+H(3,2)*D1(2)+H(3,3)*D1(3));
			    H(4,4):=STT(2,2)-(H(4,1)*D2(1)+H(4,2)*D2(2)+H(4,3)*D2(3));
 
			    SRIFA.SRIFA(4,4,H,DZ);	-- Correction to original estimate PECF
 
			    for K in 1..3 loop
			      PECF(K):=PECF(K)+DZ(K);
			      STATES(K):=PECF(K);
			    end loop; --for K
 
			    H(1,4):=STT(1,3);
			    H(2,4):=STT(2,3);
			    H(3,4):=STT(1,4);
			    H(4,4):=STT(2,4);
 
			    SRIFA.SRIFA(4,4,H,DZ);	-- Compute velocity VECF
 
			    for K in 1..3 loop
			      VECF(K):=DZ(K);
			      STATES(K+3):=DZ(K);
			    end loop; --for K
 
			    REPH:=SQRT(PECF(1)**2+PECF(2)**2+PECF(3)**2);
			    SP:=SQRT(VECF(1)**2+VECF(2)**2+VECF(3)**2);
			    -- BB:=-1 ((VECF(1)*PECF(1))+(VECF(2)*PECF(2))+VECF(3)*PECF(3))/REPH*SP
			    -- BB:=90.0-BB*RAD
 
			    ALT:=REPH-RE;
			    SPSC:=0.0;
			    -- Current tables are obsolete
			    -- SP1:=0.0 (,ALT)CODIMNEW((-1+ NSPNM),SPNM1)
			    -- SP2:=.06 (,ALT)CODIMNEW((-1+ NSPNM),SPNM2)
			    -- SPSC:=((0.0 SP1-SP)+0.0 SP-SP2)/0.03
 
			    ACC:=STT(1,5);
			    STATES(7):=ACC;
			    STATES(8):=ACC;
			    STATES(9):=0.0;
			    STATES(10):=0.0;
			    NSTATE:=5;
 
			    GAT.GAT(NSTATE,TREF,STATES,NH8,KV,ZO);
			    -- ZO:=VECF,AC1,AC2,YAW,PITCH,PHI,0 0
 
			    PHI:=ZO(8)+SPSC;
			    if (PHI<=PHILIM(NH8)) then
 
			      DPHI1:=ABS(AC-RRC);
			      if RRC/=0.0 then DPHI:=DPHI1; else DPHI:=0.0; end if;
			      PHI:=PHI+ARCSEC*DPHI;
 
			      --  :=( ID(KV( NH8),1)),' ',6 1 (ARCSEC*C1,C2,AC,RC),ALT,TSC,PHI
			      NTR:=NTR+1;
 
			      for I in 1..NH8 loop
				KMAT(NTR,I):=KV(I);
			      end loop; --for I
			      ACV(NTR):=AC;
			      RCV(NTR):=RC;
			      ALTV(NTR):=ALT;
			      PHIV(NTR):=PHI;
 
			    end if;
			  end if;
			end if;
		      end if;
		    end if;
		  end if;
		end if;
	      end if;
	    end if;
	  end if;
	end if;
      end loop; --for ITR2
    end if;
  end loop; --for ITR1
 
  ASSIGN.ASSIGN(PHIV,KMAT,NTR,NH8,IGOOD,NGOOD);
 
  if (NGOOD/=0) then
 
    for I in 1..NGOOD loop
      M:=IGOOD(I);
 
      for K in 1..NH8 loop
	KMATO(I,K):=KMAT(M,K);
	PHIO(I):=PHIV(M);
      end loop; --for K
    end loop; --for I
 
  end if;
  NGOODO:=NGOOD;
 
  end SHORT;
  end SHORT;
--::::::::::
--stsub1.ads
--::::::::::
with ATYPES; use ATYPES; 
package STSUB1 is
 
procedure STSUB1 (
		  LATH	: out INTEGER;
		  SLON1 : out REAL8  ;
		  SLON2 : out REAL8  );
end STSUB1;
-------------------------------------------------------------------------------
--::::::::::
--stsub1.adb
--::::::::::
with RET1; use RET1; 
--   with SQRT_PKG;	      use SQRT_PKG;
   with TRIG_PKG;	      use TRIG_PKG;
--   with TEXT_IO;	      use TEXT_IO;
with ATYPES; use ATYPES; 
with CONSTS; use CONSTS; 
with EPHEMS; use EPHEMS; 
with SEHORZ; use SEHORZ; 
package body STSUB1 is
 
procedure STSUB1 (
		  LATH	: out INTEGER;
		  SLON1 : out REAL8  ;
		  SLON2 : out REAL8  ) is
 U1,U2,S1,S2:V3;
 I,LATH1,LATH2,LATH3: INTEGER;
 SE1,SE2: REAL8;
 
begin
 
  -- ----------------------------------------------------------
 
--  TEXT_IO.PUT("Starting STSUB1");
--  TEXT_IO.NEW_LINE;
  EPHEMS.EPHEMS(1,YGMT(1),S1);
  U1(1):=X(1);
  U1(2):=Y(1);
  U1(3):=Z(1);
  SEHORZ.SEHORZ(S1,U1,SE1);
 
--  TEXT_IO.PUT("STSUB1 Point 1");
--  TEXT_IO.NEW_LINE;
 
  I:=NR1+1;
  EPHEMS.EPHEMS(2,YGMT(I),S2);
  U2(1):=X(I);
  U2(2):=Y(I);
  U2(3):=Z(I);
  SEHORZ.SEHORZ(S2,U2,SE2);
 
  LATH1:=1;
 
--  TEXT_IO.PUT("STSUB1 Point 2");
--  TEXT_IO.NEW_LINE;
 
  for I in 1..NR1 loop
    if SYE(I)<=SE1 then LATH1:=0; end if;
  end loop; --for I
 
--  TEXT_IO.PUT("STSUB1 Point 3");
--  TEXT_IO.NEW_LINE;
 
  LATH2:=1;
 
  for I in NR1+1..NRET loop
    if SYE(I)<=SE2 then LATH2:=0; end if;
  end loop; --for I
 
--  TEXT_IO.PUT("STSUB1 Point 4");
--  TEXT_IO.NEW_LINE;
 
  LATH3:=LATH1+LATH2;
  if LATH3<=1 then LATH:=LATH3; else LATH:=1; end if;
 
--  TEXT_IO.PUT("STSUB1 Point 5");
--  TEXT_IO.NEW_LINE;
 
  SLON1:=RAD*ATAN2(S1(2), S1(1));
  SLON2:=RAD*ATAN2(S2(2), S2(1));
 
--  TEXT_IO.PUT("STSUB1 Point 6");
--  TEXT_IO.NEW_LINE;
 
  end STSUB1;
  end STSUB1;
--::::::::::
--st_pack.ads
--::::::::::

with atypes; use atypes;

package st_pack is
  NDET : integer;	-- Number of detections
  RRC_SUM : REAL8;
  IDET_SUM, K_SUM, INT_SUM, IRSCAN_SUM, IGOLD_SUM : integer;
  X_SUM, Y_SUM : REAL8;
  ID_SUM : integer;

  procedure st;

end st_pack;
--::::::::::
--st_pack.adb
--::::::::::
with RET1; use RET1; 
--   with SQRT_PKG;	      use SQRT_PKG;
   with TRIG_PKG;	      use TRIG_PKG;
--   with TEXT_IO;	      use TEXT_IO;
--   with FLT_TEXT_IO;	      use FLT_TEXT_IO;
--   with INT_TEXT_IO;	      use INT_TEXT_IO;
-- with LIN_TEXT_IO;	      use LIN_TEXT_IO;
with ATYPES; use ATYPES; 
with CONSTS; use CONSTS; 
with CONSTS1; use CONSTS1; 
with CONSTS2; use CONSTS2; 
with DEXT; use DEXT; 
with ESTBIAS; use ESTBIAS; 
with EXTEND; use EXTEND; 
with FEASIB; use FEASIB; 
with PCORR; use PCORR; 
with RET1; use RET1; 
with SHORT; use SHORT; 
with STSUB1; use STSUB1; 
with STSUB2; use STSUB2; 

package body st_pack is
procedure ST   is
 IGOLD			      :IV4000;
 TNEXTT,TNEXT		      :V100;
 NXTSCNN,NXTSATT,NXTSCN,NXTSAT:IV100;
 NRR,IPT		      :IM2100;
 MF,ME,MF1,MF2,ME1,ME2	      :IM30005;
 SAT1,SAT2		      :V3;
 IS1,IS2,JHM1,JHM2	      :IV5;
 PHI,ALTV,ACO,RCO,S1,S2       :V3000;
 KMAT			      :IM300010;
 ICORRV,IGOOD,IDETV	      :IV3000;
 REPORT 		      :FM10022;-- 100 detections max
 I,IDET,IDS1,IDS2,IEPOCH,IG,IHUGE,INT,IRESTART,ISAT,ISC,ISUM,ITEPOCH,IV1,IZONE,J,JS: INTEGER;
 JSCAN1,JSCAN2,K,KK,LATH,LRESTART,M,N,NEPOCH,NEX,NG,NHITS,NH1,NH2,NH8,NRESTART: INTEGER;
 NSCANS,NTR1,NTR2								   : INTEGER;
 COPE,DELZONE,ELMAX,PHIMAX,PHIMAXE,RRC,RR1,RR2,SEL,SELMAX,SLON1,SLON2,T,TEPOCH,TREF: REAL8;
 XMAXMOT									   : REAL8;

--   FILE2 : FILE_TYPE;
--   MODE2 : FILE_MODE:=OUT_FILE;
-- NAME2 : STRING (1..10):= "=UUDETOUT ";
--   NAME2 : STRING (1..10):= "Stereo.out";
--   SPACE : POSITIVE_COUNT :=1;
begin

--  CREATE(FILE2,MODE2,NAME2);

  -- ----------------------------------------------------------------

  RET1.RET1;

-- TEXT_IO.PUT("Number of returns: ");
--  INT_TEXT_IO.PUT(NRET);
--  TEXT_IO.NEW_LINE;
--  TEXT_IO.PUT("Completed RET1");
--  TEXT_IO.NEW_LINE;

  for I in 1..NSCMAX loop
    NRR(1,I):=0;
    NRR(2,I):=0;
    IPT(1,I):=0;
    IPT(2,I):=0;
  end loop; --for I

--  TEXT_IO.PUT("Completed 1st FOR LOOP");
--  TEXT_IO.NEW_LINE;

  SELMAX:=0.0;
  NSCANS:=0;

  for I in 1..NRET loop
    SEL:=SYE(I);
    if SEL>=SELMAX then SELMAX:=SEL; end if;
    ISC:=IRSCAN(I);
    JS:=JSAT(I);
    NRR(JS,ISC):=NRR(JS,ISC)+1;
    if NSCANS<=ISC then NSCANS:=ISC; end if;
  end loop; --for I

--  TEXT_IO.PUT("Completed 2nd FOR LOOP");
--  TEXT_IO.NEW_LINE;

  N:=0;

--  TEXT_IO.PUT("Ready to Call STSUB1");
--  TEXT_IO.NEW_LINE;

  STSUB1.STSUB1(LATH,SLON1,SLON2);

--  TEXT_IO.PUT("Completed STSUB1 Call");
--  TEXT_IO.NEW_LINE;

  STSUB2.STSUB2(NSCANS,NRR,NEPOCH,TNEXT,NXTSAT,NXTSCN,IPT);

--  TEXT_IO.PUT("Completed STSUB2 Call");
--  TEXT_IO.NEW_LINE;

  ELMAX:=ARCSIN(SELMAX);

--  PUT("SELMAX  => ");
--  PUT(SELMAX);
--  TEXT_IO.NEW_LINE;
--  PUT("ELMAX := ARCSIN(SELMAX) => ");
--  PUT(ELMAX);
--  TEXT_IO.NEW_LINE;

--  TEXT_IO.NEW_LINE;

--  TEXT_IO.PUT("Modifying ARCSIN Value");
--  TEXT_IO.NEW_LINE;

--  TEXT_IO.PUT("Completed ARCSIN Call");
--  TEXT_IO.NEW_LINE;

  IZONE:=0;

  for I in 1..NZONE loop
    if (IZONE=0) then
      if (ELZONE(I)>ELMAX) then
	IZONE:=I;
      end if;
    end if;
  end loop; --for I

--  TEXT_IO.PUT("Completed 3rd FOR LOOP");
--  TEXT_IO.NEW_LINE;

  if LATH=0 then XMAXMOT:=3000.0; else XMAXMOT:=200.0; end if;
  XMAXMOT:=XMAXMOT/ARCSEC;
  DELZONE:=DELZON(IZONE);

 -- PUT("IZONE  => ");
 -- PUT(IZONE);
 -- TEXT_IO.NEW_LINE;
 -- PUT("DELZONE => ");
 -- PUT(DELZONE);
 -- TEXT_IO.NEW_LINE;

  NHITS:=4;
  NH1:=NHITS;
  NH2:=NHITS;
  NH8:=NH1+NH2;
--IHUGE:=99999;
  IHUGE:=32000;

  for I in 1..NHITS loop
    JHM1(I):=I;
    JHM2(I):=I;
  end loop; --for I

  RRC:=0.0;
  PHIMAX:=100.0;
  PHIMAXE:=1000.0;
  COPE:=COPLIM;
  NRESTART:=5;			-- No. of detections before restarting area
  LRESTART:=0;			-- Haven't restarted yet
  NDET:=0;

  for IRESTART in 0..1 loop
    if ( NOT ((IRESTART=1) AND NDET<NRESTART)) then
      NDET:=0;

      for I in 1..NRET loop
	IGOLD(I):=0;		      -- Golden point flags
      end loop; --for I

      -- ------------------------------------------------------------------

      for IEPOCH in NH1+NH2..NEPOCH loop	      -- ----- Loop over e

	if (LRESTART/=1) then
	  IDS1:=NXTSAT(IEPOCH);
	  JSCAN1:=NXTSCN(IEPOCH);
	  if (NRR(IDS1,JSCAN1)/=0) then
	    TEPOCH:=TNEXT(IEPOCH);

	    I:=0;

	    for K in 1..NHITS loop
	      if (I=0) then
		if (IDS1/=NXTSAT(IEPOCH-K)) then
		  I:=IEPOCH-K;
		end if;
	      end if;
	    end loop; --for K

	    if (I/=0) then
	      IDS2:=NXTSAT(I);
	      JSCAN2:=NXTSCN(I);

	      for K in 1..NH1 loop
		IS1(K):=JSCAN1+JHM1(K)-NH1;
	      end loop; --for K

	      for K in 1..NH2 loop
		IS2(K):=JSCAN2+JHM2(K)-NH2;
	      end loop; --for K

 -- PUT("At 1st IF//IEPOCH= ");
 -- PUT(IEPOCH);
 -- NEW_LINE;

	      if ( NOT ((IS1(NH1)<=0) OR IS2(NH2)<=0)) then

		FEASIB.FEASIB(IDS1,IS1(1),IS1(2),XMAXMOT,DELZONE,IGOLD,IPT,MF1,NTR1);


  --TEXT_IO.PUT("At 2nd IF");
  --TEXT_IO.NEW_LINE;

		if (0/=NTR1) then

		  FEASIB.FEASIB(IDS2,IS2(1),IS2(2),XMAXMOT,DELZONE,IGOLD,IPT,MF2,NTR2);


  --TEXT_IO.PUT("At 3rd IF");
  --TEXT_IO.NEW_LINE;

		  if (0/=NTR2) then

		    TREF:=YGMT(MF1(1,1));
		    T:=YGMT(MF2(1,1));
		    if TREF<=T then TREF:=T; end if;

		    ISAT:=JSAT(MF1(1,1));
		    EXTEND.EXTEND(TREF,IS1(3),MF1,NTR1,2,ISAT,IPT,IGOLD,PHIMAX,TR(3),ME1,S1,NTR1);

		    if (0/=NTR1) then

		      ISAT:=JSAT(MF2(1,1));
		      EXTEND.EXTEND(TREF,IS2(3),MF2,NTR2,2,ISAT,IPT,IGOLD,PHIMAX,TR(3),ME2,S2,NTR2);

		      if (0/=NTR2) then

			ISAT:=JSAT(ME1(1,1));
			EXTEND.EXTEND(TREF,IS1(4),ME1,NTR1,3,ISAT,IPT,IGOLD,PHIMAX,TR(4),MF1,S1,NTR1);

			if (0/=NTR1) then

			  ISAT:=JSAT(ME2(1,1));
			  EXTEND.EXTEND(TREF,IS2(4),ME2,NTR2,3,ISAT,IPT,IGOLD,PHIMAX,TR(4),MF2,S2,NTR2);

			  if (0/=NTR2) then

			    SHORT.SHORT(NTR1,NTR2,NH1,NH2,MF1,MF2,RRC,COPE,ACO,RCO,ALTV,PHI,NG,KMAT);

			    ITEPOCH:=INTEGER(TEPOCH-0.5);
--* Number Good?

 -- TEXT_IO.PUT("NG:");
 -- PUT(NG);
 -- TEXT_IO.NEW_LINE;

			    if (NG/=0) then
			      if (NDET/=0) then
				-- ------------------------------------------------------------------
				--					     -- Piece correlation
				PCORR.PCORR(KMAT,NG,NH8,IGOLD,ICORRV);

				for I in 1..NG loop
				  IGOOD(I):=I;
				  IV1:=ICORRV(I);
				  if (IV1/=0) then

				    for J in 1..NH8 loop
				      IGOLD(KMAT(I,J)):=IV1;
				    end loop; --for J

				    RR1:=REPORT(IV1,1);
				    RR2:=-RR1;
				    if RR1<=0.0 then REPORT(IV1,1):=RR1; else REPORT(IV1,1):=RR2; end if;
				    IGOOD(I):=IHUGE;
				  end if;
				end loop; --for I
				-- ------------------------------------------------------------------
			      end if;

			      for IG in 1..NG loop
				if (IGOOD(IG)<IHUGE) then
				  NDET:=NDET+1;

				  for K in 1..NH8 loop
				    M:=KMAT(IG,K);
				    IGOLD(M):=NDET;		  -- Load golden points for new detections
				  end loop; --for K
				  REPORT(NDET,22):=ACO(IG);	-- Record the coplanarity residual
				end if;
			      end loop; --for IG

			      ESTBIAS.ESTBIAS(NDET,SWATH,REPORT,RRC);	-- Estimate the coplanarity bias

--			      PUT(FILE2,  " NDET ");
--			      PUT(FILE2,  NDET);
--			      PUT(FILE2,  " RRC  ");
--			      PUT(FILE2,   ARCSEC*RRC);
			      RRC_SUM := RRC_SUM + (ARCSEC*RRC);
--			      NEW_LINE(FILE2,SPACE);
--			      NEW_LINE(FILE2,SPACE);
			      -- ------------------------------------------------------------------

			      if ( NOT ((NDET<NRESTART) OR IRESTART=1)) then
				LRESTART:=1;
				COPE:=COPLSMALL;
--				PUT(FILE2,  " ==== RESTART ==== ");
--				NEW_LINE(FILE2,SPACE);
--				NEW_LINE(FILE2,SPACE);

			      end if;
			    end if;
			  end if;
			end if;
		      end if;
		    end if;
		  end if;
		end if;
	      end if;
	    end if;
	  end if;
	end if;
	if (NDET/=0) then

	  DEXT.DEXT(IDS1,JSCAN1,TEPOCH,RRC,IGOLD,NDET,IDS2,PHIMAXE,IPT,ME,IDETV,PHI,NEX);

	  if (0<NEX) then

	    for I in 1..NEX loop
	      M:=ME(I,NSCEXT+1);
	      IGOLD(M):=IDETV(I);	   -- Load golden points

	    end loop; --for I

	  end if;
	end if;
      end loop; --for IEPOCH
      LRESTART:=0;
    end if;
  end loop; --for IRESTART

--  NEW_LINE(FILE2,SPACE);

--    TEXT_IO.NEW_LINE;
--    TEXT_IO.PUT("Number of Detection is:");
--    PUT(NDET);
--    TEXT_IO.NEW_LINE;

  for IDET in 1..NDET loop
    ISUM:=0;

    for K in 1..NRET loop
      if (IGOLD(K)=IDET) then
	ISUM:=ISUM+1;
      end if;
    end loop; --for K

--  TEXT_IO.PUT("Point X");
--  TEXT_IO.NEW_LINE;

--    PUT(FILE2,	" Detection");
--    PUT(FILE2,	IDET);
    IDET_SUM := IDET_SUM + IDET;
--    PUT(FILE2,	ISUM);
--    PUT(FILE2,	" hits");
--    NEW_LINE(FILE2,SPACE);

--  TEXT_IO.PUT("Point Y");
--  TEXT_IO.NEW_LINE;

  end loop; --for IDET

--  NEW_LINE(FILE2,SPACE);

  for IDET in 1..NDET loop
--    NEW_LINE(FILE2,SPACE);


    for K in 1..NRET loop
      if (IGOLD(K)=IDET) then
	INT:=INTEGER(YI(K));
--	PUT(FILE2,  K);
	K_SUM := K_SUM + K;
--	PUT(FILE2,  INT);
	INT_SUM := INT_SUM + INT;
--	PUT(FILE2,  IRSCAN(K));
	IRSCAN_SUM := IRSCAN_SUM + IRSCAN(K);
--	PUT(FILE2,  "  ");
--	PUT(FILE2,  IGOLD(K));
	IGOLD_SUM := IGOLD_SUM + IGOLD(K);
--	PUT(FILE2,  " ");     --uu
--	PUT(FILE2,  X(K));    --uu
	X_SUM := X_SUM + X(K);
--	PUT(FILE2,  " ");     --uu
--	PUT(FILE2,  Y(K));    --uu
	Y_SUM := Y_SUM + Y(K);

	for KK in 1..5 loop
--	  PUT(FILE2,  ID(K,KK));
	  ID_SUM := ID_SUM + ID(K,KK);
	end loop; --for KK
--	NEW_LINE(FILE2,SPACE);
      end if;
    end loop; --for K
  end loop; --for IDET
--  put(RRC_SUM);
--  put(IDET_SUM);
--  put(K_SUM);
--  put(INT_SUM);
--  put(IRSCAN_SUM);
--  put(IGOLD_SUM);
--  put(X_SUM);
--  put(Y_SUM);
--  put(ID_SUM);
--  put(NDET);
--  TEXT_IO.PUT(FILE2,"Closed");
--  CLOSE(FILE2);
  end ST;
  end st_pack;
--::::::::::
--rudstone.adb
--::::::::::
   with GLOBAL;       use GLOBAL;
   with atypes;       use atypes;
   with calendar;     use calendar;
   with text_io;      use text_io;
   with INT_TEXT_IO;        use INT_TEXT_IO;
   with FLT_TEXT_IO;        use FLT_TEXT_IO;
   with st_pack;      use st_pack;            -- test problem

   with system;
procedure rudstone is

 type REAL8 is digits 6;
  package INT_IO is new Integer_io(INT); use INT_IO;
  package REAL8_io is new float_io(REAL8); use REAL8_io;
uu : REAL8;
s_time               : time;              -- Temporary clock value for
                                          -- sync loop
start_time           : time;              -- Initial value of clock for
                                          -- a timing measurement.
stop_time            : time;              -- Last value of clock for a timing
                                          -- measurement.
begin_time           : duration;          -- record the clock time when a
                                          -- test problem is initiated.
                                          -- That is, before entering the outer
                                          -- timing loop.
end_time             : duration;          -- Clock time when cycle of the inner
                                          -- timing loop is completed.
                                          -- Used with BEGIN_TIME to monitor the
                                          -- elapsed time to complete a test
                                          -- problem.
start_real_time,
stop_real_time       : time;              -- used to measure actual elapsed
                                          -- time for CPU cutoff check

begin

  new_line;
  put("**********************************************"); new_line;
  put("**********************************************"); new_line;
  put("***     RUDSTONE benchmark               *****"); new_line;
  put("++++++++++++++++++++++++++++++++++++++++++++++"); new_line;
  new_line;
  start_time := clock;
  loop
    s_time := clock;
    exit when s_time > start_time;
  end loop;
  start_real_time := clock;

  st;
  stop_time := clock;
  uu := REAL8(stop_time-start_time);
  put("RUDSTONE execution time is ");
  put(uu);
  put(" seconds "); new_line;
  if (RRC_SUM <2.7E+1) or (RRC_SUM > 3.5E+1) then
     put_line("RRC_SUM error detected in RUDSTONE!!");
  end if;
  if (IDET_SUM < 3485) or (IDET_SUM > 3742) then
     put_line("IDET_SUM error detected in RUDSTONE!!");
  end if;
  if  (K_SUM < 1149499 ) or (K_SUM > 1166844) then
     put_line("K_SUM error detected in RUDSTONE!!");
  end if;
  if (INT_SUM < 671939) or (INT_SUM > 713510) then
     put_line("INT_SUM error detected in RUDSTONE!!");
  end if;
  if  (IRSCAN_SUM < 10236) or (IRSCAN_SUM > 10401) then
     put_line("IRSCAN_SUM error detected in RUDSTONE!!");
  end if;
  if (IGOLD_SUM < 48908) or (IGOLD_SUM > 51454) then
     put_line("IGOLD_SUM error detected in RUDSTONE!!");
  end if;
  if (X_SUM > -3.0E+01) or (X_SUM < -3.4E+01) then
     put_line("X_SUM error detected in RUDSTONE!!");
  end if;
  if  (Y_SUM < 1.5E+2) or (Y_SUM > 1.8E+2) then
     put_line("Y_SUM error detected in RUDSTONE!!");
  end if;
  if (ID_SUM < 81751) or (ID_SUM > 83283) then
     put_line("ID_SUM error detected in RUDSTONE!!");
  end if;
  if (NDET < 83) or (NDET > 86) then
     put_line("NDET error detected in RUDSTONE!!");
  end if;
  put("**********************************************"); new_line;
  put("**********************************************"); new_line;

  put(RRC_SUM);
  put(IDET_SUM);
  put(K_SUM);
  put(INT_SUM);
  put(IRSCAN_SUM);
  put(IGOLD_SUM);
  put(X_SUM);
  put(Y_SUM);
  put(ID_SUM);
  put(NDET);

  end rudstone;
--::::::::::
--size_rudstone.adb
--::::::::::
   with GLOBAL;       use GLOBAL;
   with st_pack;      use st_pack;            -- test problem
   with system;
procedure size_rudstone is

begin

  st;

end size_rudstone;
